// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Backorder</h3>
 * This object contains information about any Backorders that exist at the current point in time as a result of a sales process (a Sales Order being completed for an item that is not in inventory). As the Backorder is filled, the instance is deleted. This information is used in Acquisition, Inventory Management, and Order Fulfillment processes.
 */
global class /*SCMC__*/Backorder__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer Site Sold To</h3>
     */
    global String Customer_Site_Sold_To__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    /**
     * <h3>Fill Order</h3>
     * The order to fill Backorders.  When there are multiple Backorders for the same item, the Fill Order specifies which order to fill first.
     */
    global Decimal Fill_Order__c;
    global ContentVersion FirstPublishLocation;
    global List<Backorder__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>Item Description</h3>
     */
    global String Item_Description__c;
    /**
     * <h3>Item</h3>
     */
    global String Item__c;
    /**
     * <h3>Kit Type</h3>
     */
    global String Kit_Type__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Ownership Code</h3>
     * Ownership code associated with the sales order.
     */
    global Id Ownership_Code__c;
    /**
     * <h3>Ownership Code</h3>
     * Ownership code associated with the sales order.
     */
    global Ownership_Code__c Ownership_Code__r;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Production Order Line</h3>
     */
    global Id Production_Order_Line__c;
    /**
     * <h3>Production Order Line</h3>
     */
    global Production_Order_Line__c Production_Order_Line__r;
    /**
     * <h3>Quantity on Backorder</h3>
     */
    global Decimal Quantity_on_Backorder__c;
    /**
     * <h3>Quantity Ordered</h3>
     */
    global Decimal Quantity_Ordered__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Required Date</h3>
     */
    global Date Required_Date__c;
    /**
     * <h3>Sales Order Line Item</h3>
     * The Sales Order line item that is associated with the Backorder.
     */
    global Id Sales_Order_Line_Item__c;
    /**
     * <h3>Sales Order Line Item</h3>
     * The Sales Order line item that is associated with the Backorder.
     */
    global Sales_Order_Line_Item__c Sales_Order_Line_Item__r;
    /**
     * <h3>Selected Option Count</h3>
     */
    global Decimal Selected_Option_Count__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * The status of the Backorder.  This field cannot be updated by the user.
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Warehouse</h3>
     * Warehouse where backorder can be resolved.  This is set based on the sales order.
     */
    global Id Warehouse__c;
    /**
     * <h3>Warehouse</h3>
     * Warehouse where backorder can be resolved.  This is set based on the sales order.
     */
    global Warehouse__c Warehouse__r;

    global Backorder__c()
    {
    }
}