// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Change Request Line</h3>
 * This Object describes a Change Request Line. A change request may have multiple line items that have change since the service contract was approval. Line items facilitate delivery of multiple non-recurring and recurring services to customers on one contract. They contain the required information for pricing and delivery of services and are subject to a formal process of approval. This information is used in Sales, Quality, and Finance processes
 */
global class /*SCMC__*/Change_Request_Line__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Change Method</h3>
     * Either Add, Modify or Cancel
     */
    global String Change_Request_Line_Method__c;
    /**
     * <h3>Change Request Line Type</h3>
     * Change request line is either a service contract line or service contract line option
     */
    global String Change_Request_Line_Type_Formula__c;
    /**
     * <h3>Change Request</h3>
     */
    global Id Change_Request__c;
    /**
     * <h3>Change Request</h3>
     */
    global Change_Request__c Change_Request__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Contract Gross Profit</h3>
     */
    global Currency Contract_Gross_Profit__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     */
    global Currency_Master__c Currency__r;
    global List<Customer_Quotation_Line__c> Customer_Quotation_Lines__r;
    /**
     * <h3>Customer Quotation Line</h3>
     */
    global Id Customer_Quotation_Line__c;
    /**
     * <h3>Customer Quotation Line</h3>
     */
    global Customer_Quotation_Line__c Customer_Quotation_Line__r;
    /**
     * <h3>Delivery Method</h3>
     */
    global String Delivery_Method__c;
    /**
     * <h3>Delta NRC After Discount</h3>
     * Difference between current nonrecurring base fees after discounts and new nonrecurring base fees after discounts
     */
    global Currency Delta_NRC_After_Discount__c;
    /**
     * <h3>Delta NRC Base</h3>
     * Difference between current nonrecurring base fees and new nonrecurring base fees
     */
    global Currency Delta_NRC_Base__c;
    /**
     * <h3>Delta NRC Discounted</h3>
     * Difference between current nonrecurring discount and new nonrecurring discount
     */
    global Currency Delta_NRC_Discounted__c;
    /**
     * <h3>Delta NRC Ext. After Discounts</h3>
     * Difference between current nonrecurring fees after discounts and new nonrecurring fees after discounts
     */
    global Currency Delta_NRC_Extended_After_Discounts__c;
    /**
     * <h3>Delta NRC Ext.</h3>
     * Difference between current nonrecurring extended fees before discounts and new nonrecurring extended fees before discounts
     */
    global Currency Delta_NRC_Extended__c;
    /**
     * <h3>Delta NRC Options After Discounts</h3>
     * Difference between current nonrecurring options fees after discounts and new nonrecurring options fees after discounts
     */
    global Currency Delta_NRC_Options_After_Discounts__c;
    /**
     * <h3>Delta NRC Options</h3>
     * Difference between current nonrecurring option fees and new nonrecurring option fees
     */
    global Currency Delta_NRC_Options__c;
    /**
     * <h3>Delta NRC w/Options After Discounts</h3>
     * Difference between current nonrecurring base fees with options after discounts and new nonrecurring base fees with options after discounts
     */
    global Currency Delta_NRC_With_Options_After_Discounts__c;
    /**
     * <h3>Delta NRC w/Options</h3>
     * Difference between current nonrecurring base fees with options and new nonrecurring base fees with options
     */
    global Currency Delta_NRC_With_Options__c;
    /**
     * <h3>Delta Quantity</h3>
     * Difference between current quantity and new quantity
     */
    global Decimal Delta_Quantity__c;
    /**
     * <h3>Delta RC After Discount</h3>
     * Difference between current recurring base fees after discounts and new recurring base fees after discounts
     */
    global Currency Delta_RC_After_Discount__c;
    /**
     * <h3>Delta RC Base</h3>
     * Difference between current recurring base fees and new recurring base fees
     */
    global Currency Delta_RC_Base__c;
    /**
     * <h3>Delta RC Discounted</h3>
     * Difference between current recurring discounted and new recurring discounted
     */
    global Currency Delta_RC_Discounted__c;
    /**
     * <h3>Delta RC Ext. After Discounts</h3>
     * Difference between current recurring fees after discounts and new recurring fees after discounts
     */
    global Currency Delta_RC_Extended_After_Discounts__c;
    /**
     * <h3>Delta RC Ext.</h3>
     * Difference between current recurring fees and new recurring fees
     */
    global Currency Delta_RC_Extended__c;
    /**
     * <h3>Delta RC Options After Discounts</h3>
     * Difference between current recurring option fees after discounts and new recurring option fees after discounts
     */
    global Currency Delta_RC_Options_After_Discounts__c;
    /**
     * <h3>Delta RC Options</h3>
     * Difference between current recurring option fees and new recurring option fees
     */
    global Currency Delta_RC_Options__c;
    /**
     * <h3>Delta RC w/Options After Discounts</h3>
     * Difference between current recurring base fees with options after discounts and new recurring base fees with options after discounts
     */
    global Currency Delta_RC_With_Options_After_Discounts__c;
    /**
     * <h3>Delta RC w/Options</h3>
     * Difference between current recurring base fees with options and new recurring base fees with options
     */
    global Currency Delta_RC_With_Options__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Effective Date</h3>
     * The date on which the change is to take effect. This date is used to determine the prorated amount.
     */
    global Date Effective_Date__c;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Ext. Item Cost</h3>
     */
    global Currency Extended_Item_Cost__c;
    /**
     * <h3>Ext. Term Cost</h3>
     */
    global Currency Extended_Term_Cost__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>First term RC Discount</h3>
     * The amount discounted on the first recurring service term (Read Only To The User)
     */
    global Currency First_term_RC_Discount__c;
    global List<Change_Request_Line__History> Histories;
    global List<Invoice_Line_Item__c> Invoice_Line_Items__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Cost W/Options</h3>
     */
    global Currency Item_Cost_With_Options__c;
    /**
     * <h3>Item Cost</h3>
     */
    global Currency Item_Cost__c;
    /**
     * <h3>Item Master</h3>
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Master</h3>
     */
    global Item__c Item_Master__r;
    /**
     * <h3>Item Option</h3>
     */
    global Id Item_Option__c;
    /**
     * <h3>Item Option</h3>
     */
    global Item_Option__c Item_Option__r;
    /**
     * <h3>Item Type</h3>
     * Type of product of service being sold i.e. Time, Material, Options
     */
    global String Item_Type_Formula__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Last Term RC Discount</h3>
     * The amount discounted on the last recurring service term
     */
    global Currency Last_Term_RC_Discount__c;
    /**
     * <h3>Monthly Recurring Revenue</h3>
     * Original Monthly Recurring Revenue for the contract line.
     */
    global Currency Monthly_Recurring_Revenue__c;
    global String Name;
    /**
     * <h3>New Total First RC Term Cost</h3>
     * New total recurring cost with options for the last recurring term after changes (Read Only)
     */
    global Currency NewTotalFirstRCTermCostFormula__c;
    /**
     * <h3>New Total First Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the first term of service (Read Only)
     */
    global Currency NewTotalFirstTermRCContractValueFormula__c;
    /**
     * <h3>New Total Last RC Term Cost</h3>
     * New total recurring cost with options for the last recurring term after changes (Read Only)
     */
    global Currency NewTotalLastRCTermCostFormula__c;
    /**
     * <h3>New Total Last Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the Last  term of service (Read Only)
     */
    global Currency NewTotalLastTermRCContractValueFormula__c;
    /**
     * <h3>New Contract Gross Profit</h3>
     */
    global Currency New_Contract_Gross_Profit__c;
    /**
     * <h3>New Delivery Method</h3>
     * Designates the new means by which the item is to be delivered.
     */
    global String New_Delivery_Method__c;
    /**
     * <h3>New Ext. Item Cost</h3>
     */
    global Currency New_Extended_Item_Cost__c;
    /**
     * <h3>New Ext. Term Cost</h3>
     */
    global Currency New_Extended_Term_Cost__c;
    /**
     * <h3>New First term RC Discount</h3>
     * The amount discounted on the first recurring service term (Read Only To The User)
     */
    global Currency New_First_term_RC_Discount__c;
    /**
     * <h3>New Item Cost W/Options</h3>
     */
    global Currency New_Item_Cost_W_Options__c;
    /**
     * <h3>New Item Cost</h3>
     */
    global Currency New_Item_Cost__c;
    /**
     * <h3>New Last Term RC Discount</h3>
     * The amount discounted on the last recurring service term (Read Only To The User)
     */
    global Currency New_Last_Term_RC_Discount__c;
    /**
     * <h3>New Monthly Recurring Revenue</h3>
     * Monthly Recurring Revenue for the service contract line after the changes are applied.
     */
    global Currency New_Monthly_Recurring_Revenue__c;
    /**
     * <h3>New NRC After Discount</h3>
     * New nonrecurring base fees after discount
     */
    global Currency New_NRC_After_Discount__c;
    /**
     * <h3>New NRC Base</h3>
     * New nonrecurring base fees
     */
    global Currency New_NRC_Base__c;
    /**
     * <h3>New NRC Contract Value</h3>
     * New nonrecurring contract value
     */
    global Currency New_NRC_Contract_Value__c;
    /**
     * <h3>New NRC Discounted %</h3>
     * New discounted percent for nonrecurring fees
     */
    global Decimal New_NRC_Discounted_Percent__c;
    /**
     * <h3>New NRC Discounted</h3>
     * New discounted amount for nonrecurring fees
     */
    global Currency New_NRC_Discounted_Price__c;
    /**
     * <h3>New NRC Ext. After Discounts</h3>
     * New nonrecurring fees after discounts
     */
    global Currency New_NRC_Extended_After_Discounts__c;
    /**
     * <h3>New NRC Ext.</h3>
     * New nonrecurring fees
     */
    global Currency New_NRC_Extended_Formula__c;
    /**
     * <h3>New NRC Not Invoiced</h3>
     * New nonrecurring fees not invoiced
     */
    global Currency New_NRC_Not_Invoiced__c;
    /**
     * <h3>New NRC Options After Discounts</h3>
     * New nonrecurring fees for options after discounts
     */
    global Currency New_NRC_Options_After_Discounts__c;
    /**
     * <h3>New NRC Options</h3>
     * New nonrecurring fees for options
     */
    global Currency New_NRC_Options__c;
    /**
     * <h3>New NRC w/Options After Discounts</h3>
     * New nonrecurring base with options fees for a single unit and after discounts
     */
    global Currency New_NRC_With_Options_After_Discounts__c;
    /**
     * <h3>New NRC w/Options</h3>
     * New nonrecurring base with options fees for a single unit
     */
    global Currency New_NRC_With_Options__c;
    /**
     * <h3>Number of New Options Lines</h3>
     * Number of new options lines on the service order line
     */
    global Decimal New_Number_Options_Line__c;
    /**
     * <h3>New Quantity</h3>
     * New quantity after change
     */
    global Decimal New_Quantity__c;
    /**
     * <h3>New RC After Discount</h3>
     * New recurring base fees after discount
     */
    global Currency New_RC_After_Discount__c;
    /**
     * <h3>New RC Base</h3>
     * New recurring base fees
     */
    global Currency New_RC_Base__c;
    /**
     * <h3>New RC Term Value</h3>
     * New recurring contract value
     */
    global Currency New_RC_Contract_Value__c;
    /**
     * <h3>New RC Cost W/Options</h3>
     */
    global Currency New_RC_Cost_With_Options__c;
    /**
     * <h3>New RC Cost</h3>
     */
    global Currency New_RC_Cost__c;
    /**
     * <h3>New RC Discounted %</h3>
     * New discounted percent for recurring fees
     */
    global Decimal New_RC_Discounted_Percent__c;
    /**
     * <h3>New RC Discounted</h3>
     * New discounted amount for recurring fees
     */
    global Currency New_RC_Discounted_Price__c;
    /**
     * <h3>New RC Ext. After Discounts</h3>
     * New recurring fees after discounts
     */
    global Currency New_RC_Extended_After_Discounts__c;
    /**
     * <h3>New RC Ext.</h3>
     * New recurring fees
     */
    global Currency New_RC_Extended_Formula__c;
    /**
     * <h3>New RC Options After Discounts</h3>
     * New recurring fees for options after discounts
     */
    global Currency New_RC_Options_After_Discounts__c;
    /**
     * <h3>New RC Options</h3>
     * New recurring fees for options
     */
    global Currency New_RC_Options__c;
    /**
     * <h3>New RC Terms</h3>
     * New recurring terms
     */
    global Decimal New_RC_Terms__c;
    /**
     * <h3>New RC w/Options After Discounts</h3>
     * New recurring base with options fees for a single unit and after discounts
     */
    global Currency New_RC_With_Options_After_Discounts__c;
    /**
     * <h3>New RC w/Options</h3>
     * New recurring base with options fees for a single unit
     */
    global Currency New_RC_With_Options__c;
    /**
     * <h3>New Service Contract Line End Date</h3>
     */
    global Date New_Service_Contract_Line_End_Date__c;
    /**
     * <h3>New Service Contract Line Start Date</h3>
     */
    global Date New_Service_Contract_Line_Start_Date__c;
    /**
     * <h3>New Service Term</h3>
     */
    global Id New_Service_Term__c;
    /**
     * <h3>New Service Term</h3>
     */
    global Service_Term__c New_Service_Term__r;
    /**
     * <h3>New Supplier Site</h3>
     */
    global Id New_Supplier_Site__c;
    /**
     * <h3>New Supplier Site</h3>
     */
    global Supplier_Site__c New_Supplier_Site__r;
    /**
     * <h3>New Term Cost</h3>
     */
    global Currency New_Term_Cost__c;
    /**
     * <h3>New Total Contract Cost</h3>
     */
    global Currency New_Total_Contact_Cost__c;
    /**
     * <h3>New Total First RC Term Cost</h3>
     * New total recurring cost with options for the last recurring term after changes
     */
    global Currency New_Total_First_RC_Term_Cost__c;
    /**
     * <h3>New Total First Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the first term of service
     */
    global Currency New_Total_First_Term_RC_Contract_Value__c;
    /**
     * <h3>New Total Contract Value</h3>
     * New total contract value
     */
    global Currency New_Total_Item_Value__c;
    /**
     * <h3>New Total Last RC Term Cost</h3>
     * New total recurring cost with options for the last recurring term after changes
     */
    global Currency New_Total_Last_RC_Term_Cost__c;
    /**
     * <h3>New Total Last Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the Last  term of service
     */
    global Currency New_Total_Last_Term_RC_Contract_Value__c;
    /**
     * <h3>New # Terms</h3>
     * New total service terms
     */
    global Decimal New_Total_Service_Terms__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>NRC After Discount</h3>
     * Current nonrecurring base fees after discount and prior to any changes
     */
    global Currency NRC_After_Discount__c;
    /**
     * <h3>NRC Base</h3>
     * Current total of recurring base fees prior to any changes
     */
    global Currency NRC_Base__c;
    /**
     * <h3>NRC Contract Value</h3>
     * Current nonrecurring contract values prior to any changes
     */
    global Currency NRC_Contract_Value__c;
    /**
     * <h3>NRC Discounted %</h3>
     * Current discounted percent for nonrecurring base fees prior to any changes
     */
    global Decimal NRC_Discounted_Percent__c;
    /**
     * <h3>NRC Discounted</h3>
     * Current discounted amount for nonrecurring base fees prior to any changes
     */
    global Currency NRC_Discounted_Price__c;
    /**
     * <h3>NRC Ext. After Discounts</h3>
     * Current total on nonrecurring fees after discounts and prior to any changes
     */
    global Currency NRC_Extended_After_Discounts__c;
    /**
     * <h3>NRC Ext.</h3>
     * Current total on nonrecurring fees prior to any changes
     */
    global Currency NRC_Extended_Formula__c;
    /**
     * <h3>NRC Not Invoiced</h3>
     * Current nonrecurring fees not invoiced prior to any changes
     */
    global Currency NRC_Not_Invoiced__c;
    /**
     * <h3>NRC Options After Discounts</h3>
     * Current total on nonrecurring fees for options after discounts and prior to any changes
     */
    global Currency NRC_Options_After_Discounts__c;
    /**
     * <h3>NRC Options</h3>
     * Current total on nonrecurring fees for options prior to any changes
     */
    global Currency NRC_Options__c;
    /**
     * <h3>NRC Type</h3>
     * Indicates whether the non recurring fees on the change request line are for time, material or an option.
     */
    global String NRC_Type__c;
    /**
     * <h3>NRC w/Options After Discounts</h3>
     */
    global Currency NRC_With_Options_After_Discounts_Formula__c;
    /**
     * <h3>NRC w/Options</h3>
     * Current nonrecurring base fees with options fees for a single unit prior to any changes
     */
    global Currency NRC_With_Options__c;
    /**
     * <h3>Number Options Lines</h3>
     * Number of option lines on service contract line associated to the line before any changes
     */
    global Decimal Number_Options_Lines__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Option Name</h3>
     */
    global String Option_Name__c;
    global FeedComment Parent;
    /**
     * <h3>Parent Change Request Item</h3>
     */
    global String Parent_Change_Request_Item__c;
    global List<Change_Request_Line__c> Parent_Change_Request_Lines__r;
    /**
     * <h3>Parent Change Request Line</h3>
     * Parent change request line for option
     */
    global Id Parent_Change_Request_Line__c;
    /**
     * <h3>Parent Change Request Line</h3>
     * Parent change request line for option
     */
    global Change_Request_Line__c Parent_Change_Request_Line__r;
    /**
     * <h3>Parent Customer Quotation Line</h3>
     */
    global Id Parent_Customer_Quotation_Line__c;
    /**
     * <h3>Parent Customer Quotation Line</h3>
     */
    global Customer_Quotation_Line__c Parent_Customer_Quotation_Line__r;
    /**
     * <h3>Parent Quantity</h3>
     */
    global Decimal Parent_Quantity_Formula__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Prorated Billing Amount</h3>
     * Prorated amount to be added to the invoice or additional charge as a result of the changes on the contract line. The amount is based on the changes to the contract line and the difference between the Effective Date and the Billed Through date.
     */
    global Currency Prorated_Billing_Amount__c;
    /**
     * <h3>Quantity</h3>
     * Quantity before any changes
     */
    global Decimal Quantity__c;
    /**
     * <h3>RC After Discount</h3>
     * Current recurring base fees after discount and prior to any changes
     */
    global Currency RC_After_Discount__c;
    /**
     * <h3>RC Base Fees</h3>
     * Current recurring base fees prior to any changes
     */
    global Currency RC_Base__c;
    /**
     * <h3>RC Term Value</h3>
     * Current recurring contract values prior to any changes
     */
    global Currency RC_Contract_Value__c;
    /**
     * <h3>RC Cost W/Options</h3>
     */
    global Currency RC_Cost_With_Options__c;
    /**
     * <h3>RC Cost</h3>
     */
    global Currency RC_Cost__c;
    /**
     * <h3>RC Discounted %</h3>
     * Current discounted percent for nonrecurring fees prior to any changes
     */
    global Decimal RC_Discounted_Percent__c;
    /**
     * <h3>RC Discounted</h3>
     * Current discounted amount for recurring fees prior to any changes
     */
    global Currency RC_Discounted_Price__c;
    /**
     * <h3>RC Extended After Discounts</h3>
     * Current total on recurring fees after discounts and prior to any changes
     */
    global Currency RC_Extended_After_Discounts__c;
    /**
     * <h3>RC Ext.</h3>
     * Current total on recurring fees prior to any changes
     */
    global Currency RC_Extended_Formula__c;
    /**
     * <h3>RC Options After Discounts</h3>
     * Current recurring fees for options after discounts and prior to any changes
     */
    global Currency RC_Options_After_Discounts__c;
    /**
     * <h3>RC Options</h3>
     * Current recurring fees for options prior to any changes
     */
    global Currency RC_Options__c;
    /**
     * <h3>RC Terms</h3>
     * Number of days or months that make up the a single contract term. For instance, if the Service Term is Annual, the value of this field is 12. This indicates that a single contract term is 12 months.
     */
    global Decimal RC_Terms__c;
    /**
     * <h3>RC w/Options After Discounts</h3>
     * Current recurring base with options fees for a single unit after discounts and prior to any changes
     */
    global Currency RC_With_Options_After_Discounts__c;
    /**
     * <h3>RC w/Options</h3>
     * Current recurring base with options fees for a single unit prior to any changes
     */
    global Currency RC_With_Options__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Service Contract Line End Date</h3>
     */
    global Date Service_Contract_Line_End_Date__c;
    /**
     * <h3>Service Contract Line Start Date</h3>
     */
    global Date Service_Contract_Line_Start_Date__c;
    /**
     * <h3>Service Item Description</h3>
     */
    global String Service_Item_Description__c;
    /**
     * <h3>Service Item</h3>
     * Product or Optional product being sold
     */
    global String Service_Item_Formula__c;
    global List<Service_Order_Line__c> Service_Order_Lines1__r;
    global List<Service_Order_Line__c> Service_Order_Lines__r;
    global List<Service_Order_Line_Option__c> Service_Order_Line_Options1__r;
    global List<Service_Order_Line_Option__c> Service_Order_Line_Options__r;
    /**
     * <h3>Service Contract Line Option</h3>
     * Reference information when service contract line option is applicable
     */
    global Id Service_Order_Line_Option__c;
    /**
     * <h3>Service Contract Line Option</h3>
     * Reference information when service contract line option is applicable
     */
    global Service_Order_Line_Option__c Service_Order_Line_Option__r;
    /**
     * <h3>Service Order Line Quantity</h3>
     */
    global Decimal Service_Order_Line_Quantity_Formula__c;
    /**
     * <h3>Service Contract Line</h3>
     * Reference information when service contract line is applicable
     */
    global Id Service_Order_Line__c;
    /**
     * <h3>Service Contract Line</h3>
     * Reference information when service contract line is applicable
     */
    global Service_Order_Line__c Service_Order_Line__r;
    /**
     * <h3>Service Term</h3>
     */
    global Id Service_Term__c;
    /**
     * <h3>Service Term</h3>
     */
    global Service_Term__c Service_Term__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Supplier Site</h3>
     * Supplier site associated with the related service contract line. This field is editable.
     */
    global Id Supplier_Site__c;
    /**
     * <h3>Supplier Site</h3>
     * Supplier site associated with the related service contract line. This field is editable.
     */
    global Supplier_Site__c Supplier_Site__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Term Cost</h3>
     */
    global Currency Term_Cost__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total First RC Term Cost</h3>
     * The total recurring cost with options for the first recurring term (Read Only)
     */
    global Currency TotalFirstRCTermCostFormula__c;
    /**
     * <h3>Total First Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the first term of service (Read Only)
     */
    global Currency TotalFirstTermRCContractValueFormula__c;
    /**
     * <h3>Total Last RC Term Cost</h3>
     * The total recurring cost with options for the last recurring term (Read Only)
     */
    global Currency TotalLastRCTermCostFormula__c;
    /**
     * <h3>Total Last Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the last term of service (Read Only)
     */
    global Currency TotalLastTermRCContractValueFormula__c;
    /**
     * <h3>Total Contract Cost</h3>
     */
    global Currency Total_Contact_Cost__c;
    /**
     * <h3>Total Delta Contract Line Cost</h3>
     * Change to the Total Cost of the contract line when the change request line is applied.
     */
    global Currency Total_Delta_Contract_Line_Cost__c;
    /**
     * <h3>Total Delta Contract Line Value</h3>
     * Change to the Total Contract Value of the contract line after the change request line is applied.
     */
    global Currency Total_Delta_Contract_Line_Value__c;
    /**
     * <h3>Total First RC Term Cost</h3>
     * The total recurring cost with options for the first recurring term
     */
    global Currency Total_First_RC_Term_Cost__c;
    /**
     * <h3>Total First Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the first term of service
     */
    global Currency Total_First_Term_RC_Contract_Value__c;
    /**
     * <h3>Total Contract Value</h3>
     */
    global Currency Total_Item_Value__c;
    /**
     * <h3>Total Last RC Term Cost</h3>
     * The total recurring cost with options for the last recurring term
     */
    global Currency Total_Last_RC_Term_Cost__c;
    /**
     * <h3>Total Last Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the last term of service
     */
    global Currency Total_Last_Term_RC_Contract_Value__c;
    /**
     * <h3># Terms</h3>
     */
    global Decimal Total_Service_Terms__c;

    global Change_Request_Line__c()
    {
    }
}