// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Change Request</h3>
 * This Object describes the change request from a service contract and keeps track of the changes made to original service contract. This object supports history on service contract detail, a cancel service contract , etc. There are workflows, attachments, and business intelligences that are dependent on this object.
 */
global class /*SCMC__*/Change_Request__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Annual Contract Value</h3>
     * The Total Recurring Fees after discounts for a fiscal calendar year for the company.
     */
    global Currency Annual_RC_Fees__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Auto Submit Change Request</h3>
     * Flag change request that can be automatically be submit for approval.
     */
    global Boolean Auto_Submit_Change_Request__c;
    /**
     * <h3>Bill Start Date</h3>
     * Effect date for the start of revised billing
     */
    global Date Bill_Start_Date__c;
    /**
     * <h3>Bill To Address</h3>
     * Current Billing Address
     */
    global String Bill_To_Address_Formula__c;
    /**
     * <h3>Cancel Service Contract Date</h3>
     * The date service contract was requested to be canceled
     */
    global Date Cancel_Service_Order_Date__c;
    /**
     * <h3>Cancel Service Contract</h3>
     */
    global Boolean Cancel_Service_Order__c;
    /**
     * <h3>Change Request Approval Date</h3>
     */
    global Datetime Change_Request_Approval_Date__c;
    /**
     * <h3>Change Request Cancel Date</h3>
     */
    global Datetime Change_Request_Cancel_Date__c;
    global List<Change_Request_Line__c> Change_Request_Lines__r;
    /**
     * <h3>Change Request Refresh Status</h3>
     * Status message that indicates when the change request needs refreshing with the values from the service contract. The value of this field is determined by the Change Request Up to Date checkbox.
     */
    global String Change_Request_Refresh_Status__c;
    /**
     * <h3>Change Request Up to Date</h3>
     * Indicates whether the change request has the latest values from the service contract.
     */
    global Boolean Change_Request_Up_to_Date__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     */
    global Currency_Master__c Currency__r;
    /**
     * <h3>Current Contract Cost</h3>
     */
    global Currency Current_Contract_Cost__c;
    /**
     * <h3>Current Contract Term</h3>
     */
    global Decimal Current_Contract_Term__c;
    /**
     * <h3>Current Contract Value</h3>
     */
    global Currency Current_Contract_Value__c;
    /**
     * <h3>Current Invoice Cycle</h3>
     */
    global Decimal Current_Invoice_Cycle__c;
    /**
     * <h3>Current NRC Cost</h3>
     */
    global Currency Current_NRC_Cost__c;
    /**
     * <h3>Current RC Cost</h3>
     */
    global Currency Current_RC_Cost__c;
    /**
     * <h3>Customer Account Sold To</h3>
     */
    global Id Customer_Account_Sold_To__c;
    /**
     * <h3>Customer Account Sold To</h3>
     */
    global Account Customer_Account_Sold_To__r;
    /**
     * <h3>Customer Purchase Order</h3>
     * Customer purchase order for change request
     */
    global String Customer_Purchase_Order__c;
    global List<Customer_Quotation__c> Customer_Quotations__r;
    /**
     * <h3>Customer Quotation Status</h3>
     * Customer quotation status
     */
    global String Customer_Quotation_Status_Formula__c;
    /**
     * <h3>Customer Quotation</h3>
     * References Customer Quotation Number
     */
    global Id Customer_Quotation__c;
    /**
     * <h3>Customer Quotation</h3>
     * References Customer Quotation Number
     */
    global Customer_Quotation__c Customer_Quotation__r;
    /**
     * <h3>Delta Annual RC Fees</h3>
     * Difference between current annual recurring fees and newannual recurring fees total
     */
    global Currency Delta_Annual_RC_Fees__c;
    /**
     * <h3>Delta Contract Cost</h3>
     */
    global Currency Delta_Contract_Cost__c;
    /**
     * <h3>Delta NRC Cost</h3>
     */
    global Currency Delta_NRC_Cost__c;
    /**
     * <h3>Delta RC Cost</h3>
     */
    global Currency Delta_RC_Cost__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Change_Request__History> Histories;
    /**
     * <h3>Incorporated Date</h3>
     */
    global Date Incorporated_Date__c;
    global List<Invoicing__c> Invoices__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    /**
     * <h3>New Annual Contract Value</h3>
     * New Total Recurring Fees after discounts for a fiscal calendar year for the company.
     */
    global Currency New_Annual_RC_Fees__c;
    /**
     * <h3>New Bill To Address</h3>
     * New billing address effected for this change
     */
    global String New_Bill_To_Address_Formula__c;
    /**
     * <h3>New Bill To Address</h3>
     * New billing address effected for this change
     */
    global String New_Bill_To_Formula__c;
    /**
     * <h3>New Contract Term</h3>
     * New contract term applied on change request
     */
    global String New_Contract_Term_Formula__c;
    /**
     * <h3>New Contract Value</h3>
     * New contract value after changes
     */
    global Currency New_Contract_Value_Formula__c;
    /**
     * <h3>New Contract Value</h3>
     * New contract value after the change request is applied.
     */
    global Currency New_Contract_Value__c;
    /**
     * <h3>New Number Service Lines</h3>
     * New total number of service contract lines after changes
     */
    global Decimal New_Number_Service_Lines__c;
    /**
     * <h3>New Override Bill To Account Address</h3>
     */
    global Id New_Override_Bill_To_Account_Address__c;
    /**
     * <h3>New Override Bill To Account Address</h3>
     */
    global Customer_Address__c New_Override_Bill_To_Account_Address__r;
    /**
     * <h3>New Override Bill To Account</h3>
     */
    global Id New_Override_Bill_To_Account__c;
    /**
     * <h3>New Override Bill To Account</h3>
     */
    global Account New_Override_Bill_To_Account__r;
    /**
     * <h3>New Override Bill To Address</h3>
     * Add new billing address if applicable
     */
    global Id New_Override_Bill_To_Address__c;
    /**
     * <h3>New Override Bill To Address</h3>
     * Add new billing address if applicable
     */
    global Customer_Address__c New_Override_Bill_To_Address__r;
    /**
     * <h3>New Override Ship To Address</h3>
     */
    global Id New_Override_Ship_To_Address__c;
    /**
     * <h3>New Override Ship To Address</h3>
     */
    global Customer_Address__c New_Override_Ship_To_Address__r;
    /**
     * <h3>New Price Type</h3>
     */
    global Id New_Price_Type__c;
    /**
     * <h3>New Price Type</h3>
     */
    global Price_Type__c New_Price_Type__r;
    /**
     * <h3>Delta RC Discounted</h3>
     * Difference between current recurring total discounted amount and new recurring total discounted amount
     */
    global Currency New_RC_Price_Discounted__c;
    /**
     * <h3>New Remaining Terms to be Billed</h3>
     * The current terms yet to be billed.
     */
    global Decimal New_Remaining_Terms_to_be_Billed__c;
    /**
     * <h3>New Service Contract First Bill Date</h3>
     */
    global Date New_Service_Contract_First_Bill_Date__c;
    /**
     * <h3>New Service Contract Start Date</h3>
     */
    global Date New_Service_Contract_Start_Date__c;
    /**
     * <h3>New Service Contract End Date</h3>
     * New service contract end date
     */
    global Date New_Service_Order_End_Date__c;
    /**
     * <h3>New Service Contract Line Quantity</h3>
     * Adding up the new service contract line quantity after changes
     */
    global Decimal New_Service_Order_Line_Quantity__c;
    /**
     * <h3>New Service Term</h3>
     * New contract terms after changes
     */
    global String New_Service_Term_Formula__c;
    /**
     * <h3>New Service Term</h3>
     * Select the appropriate Service term for this change
     */
    global Id New_Service_Term_Lookup__c;
    /**
     * <h3>New Service Term</h3>
     * Select the appropriate Service term for this change
     */
    global Service_Term__c New_Service_Term_Lookup__r;
    /**
     * <h3>New Contract Term</h3>
     * New contract terms applied on change request
     */
    global Decimal New_Service_Term_Number__c;
    /**
     * <h3>New Service Term Value</h3>
     * New service term value after changes
     */
    global Currency New_Service_Term_Value_Formula__c;
    /**
     * <h3>New Total NRC Contract Value</h3>
     * Total nonrecurring contract value on the Change Request/Service Contract after changes.
     */
    global Currency New_Total_NRC_Contract_Value__c;
    /**
     * <h3>Delta NRC Discounted</h3>
     * Difference between current nonrecurring discounted amount and new nonrecurring discounted amount
     */
    global Currency New_Total_NRC_Discounted_Price__c;
    /**
     * <h3>Delta NRC Ext.</h3>
     * Difference between current total nonrecurring fees and new total nonrecurring fees
     */
    global Currency New_Total_NRC_Extended_Formula__c;
    /**
     * <h3>Delta NRC Materials</h3>
     * Difference between current total nonrecurring materials fees and new total nonrecurring materials fees
     */
    global Currency New_Total_NRC_Materials__c;
    /**
     * <h3>New NRC Not Invoiced</h3>
     * Total nonrecurring fees not invoiced
     */
    global Currency New_Total_NRC_Not_Invoiced__c;
    /**
     * <h3>Delta NRC Options</h3>
     * Difference between current total nonrecurring option fees and new total nonrecurring option fees
     */
    global Currency New_Total_NRC_Options__c;
    /**
     * <h3>Delta NRC Ext. After Discounts</h3>
     * Difference between current total nonrecurring fees after discounts and new total nonrecurring fees after discounts
     */
    global Currency New_Total_NRC_Price_Formula__c;
    /**
     * <h3>Delta NRC Time</h3>
     * Difference between current total nonrecurring time fees and new total nonrecurring time fees
     */
    global Currency New_Total_NRC_Time__c;
    /**
     * <h3>Delta RC Base</h3>
     * Difference between current total nonrecurring base fees and new total nonrecurring base fees
     */
    global Currency New_Total_RC_Base__c;
    /**
     * <h3>New Total RC Contract Value</h3>
     * Total recurring contract value on the Change Request/Service Contract after changes.
     */
    global Currency New_Total_RC_Contract_Value__c;
    /**
     * <h3>Delta RC Ext.</h3>
     * Difference between current total recurring fees and new total recurring fees
     */
    global Currency New_Total_RC_Extended_Formula__c;
    /**
     * <h3>Delta RC Options</h3>
     * Difference between current total recurring option fees and new total recurring option fees
     */
    global Currency New_Total_RC_Options__c;
    /**
     * <h3>Delta RC Ext. After Discounts</h3>
     * Difference between current total recurring fees after discounts and new total recurring fees after discounts
     */
    global Currency New_Total_RC_Price_Formula__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Current NRC Invoice</h3>
     * Current invoiced on nonrecurring amount prior to any changes
     */
    global Currency NRC_Invoice_Formula__c;
    /**
     * <h3>Number Change Request lines</h3>
     */
    global Decimal Number_Change_Request_lines__c;
    /**
     * <h3>Number Service Lines</h3>
     * Current number of service contract lines
     */
    global Decimal Number_Service_Lines__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Override Bill To Account Address</h3>
     */
    global Id Override_Bill_To_Account_Address__c;
    /**
     * <h3>Override Bill To Account Address</h3>
     */
    global Customer_Address__c Override_Bill_To_Account_Address__r;
    /**
     * <h3>Override Bill To Account</h3>
     */
    global Id Override_Bill_To_Account__c;
    /**
     * <h3>Override Bill To Account</h3>
     */
    global Account Override_Bill_To_Account__r;
    /**
     * <h3>Override Bill To Address</h3>
     */
    global Id Override_Bill_To_Address__c;
    /**
     * <h3>Override Bill To Address</h3>
     */
    global Customer_Address__c Override_Bill_To_Address__r;
    /**
     * <h3>Override Ship To Address</h3>
     */
    global Id Override_Ship_To_Address__c;
    /**
     * <h3>Override Ship To Address</h3>
     */
    global Customer_Address__c Override_Ship_To_Address__r;
    global FeedComment Parent;
    /**
     * <h3>Price Type</h3>
     */
    global Id Price_Type__c;
    /**
     * <h3>Price Type</h3>
     */
    global Price_Type__c Price_Type__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Current RC Discounted</h3>
     * Current discounted amount on recurring fees prior to any changes
     */
    global Currency RC_Price_Discounted__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Remaining Terms to be Billed</h3>
     * Contract term before any changes are made. This value is set when a change request is created.
     */
    global Decimal Remaining_Terms_to_be_Billed__c;
    /**
     * <h3>Remaining Contract Term</h3>
     * Remaining contract term when change request was created
     */
    global String Remain_Contract_Term__c;
    /**
     * <h3>Remaining Contract Value</h3>
     * Remaining contract value when change request was created
     */
    global Currency Remain_Contract_Value__c;
    /**
     * <h3>Remain Service Term Number</h3>
     * Remain service term number
     */
    global Decimal Remain_Service_Term_Number__c;
    global List<SCMQT__Change_Request_Batch_Control_Log__c> SCMQT__Change_Request_Batch_Control_Logs__r;
    /**
     * <h3>Service Contract First Bill Date</h3>
     */
    global Date Service_Contract_First_Bill_Date__c;
    /**
     * <h3>Service Contract Start Date</h3>
     */
    global Date Service_Contract_Start_Date__c;
    /**
     * <h3>Service Contract End Date</h3>
     * Service contract end date prior to any changes
     */
    global Date Service_Order_End_Date__c;
    /**
     * <h3>Service Contract</h3>
     * Every change request must be long to a service contract record
     */
    global Id Service_Order__c;
    /**
     * <h3>Service Contract</h3>
     * Every change request must be long to a service contract record
     */
    global Service_Order__c Service_Order__r;
    /**
     * <h3>Service Term Value</h3>
     * Service term value prior to any changes
     */
    global Currency Service_Term_Value__c;
    /**
     * <h3>Service Term</h3>
     * Service term prior to any changes
     */
    global String Service_Term__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * Current Status of Change Request
     */
    global String Status__c;
    /**
     * <h3>Sync Header Terms to Lines</h3>
     */
    global Boolean Sync_Header_Terms_to_Lines__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Effective Date</h3>
     * Date on which the changes are to take effect
     */
    global Date Take_Effected_On__c;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Current NRC Discounted</h3>
     * Current discounted amount on nonrecurring fees prior to any changes
     */
    global Currency Total_NRC_Discount_Price__c;
    /**
     * <h3>Current NRC Ext.</h3>
     * Current total nonrecurring fees prior to any changes prior to any changes
     */
    global Currency Total_NRC_Extended_Formula__c;
    /**
     * <h3>Current NRC Materials</h3>
     * Current total nonrecurring fees for materials prior to any changes
     */
    global Currency Total_NRC_Materials__c;
    /**
     * <h3>Current NRC Not Invoiced</h3>
     * Current total nonrecurring fees not invoiced prior to any changes
     */
    global Currency Total_NRC_Not_Invoiced_Formula__c;
    /**
     * <h3>Current NRC Options</h3>
     * Current total nonrecurring fees for options prior to any changes
     */
    global Currency Total_NRC_Options__c;
    /**
     * <h3>Current NRC Ext. After Discounts</h3>
     * Current total nonrecurring fees after discount prior to any changes
     */
    global Currency Total_NRC_Price_Formula__c;
    /**
     * <h3>Current NRC Time</h3>
     * Current total nonrecurring fees for time prior to any changes
     */
    global Currency Total_NRC_Time__c;
    /**
     * <h3>Current RC Base</h3>
     * Current total recurring base fees prior to any changes
     */
    global Currency Total_RC_Base__c;
    /**
     * <h3>Current RC Ext.</h3>
     * Current total recurring fees prior to any changes
     */
    global Currency Total_RC_Extended_Formula__c;
    /**
     * <h3>Current RC Options</h3>
     * Current total recurring fees for options prior to any changes
     */
    global Currency Total_RC_Options__c;
    /**
     * <h3>Current RC Ext. After Discounts</h3>
     * Current total recurring fees after discounts and prior to any changes
     */
    global Currency Total_RC_Price_Formula__c;
    /**
     * <h3>Deprecate Total SC Quantity</h3>
     * Total service contract line quantity before change
     */
    global Decimal Total_Service_Order_Line_Quantity__c;
    /**
     * <h3>Update Next Invoice Date</h3>
     * Change the next invoice date
     */
    global Date Update_Next_Invoice_Date__c;

    global Change_Request__c()
    {
    }
}