// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Customer Quotation Line</h3>
 * Line items that are being quoted to the Customer. There is a separate line for each quantity, delivery, part, and condition.
 */
global class /*SCMC__*/Customer_Quotation_Line__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Advance Core Receipt?</h3>
     * The core must be received before the new part is shipped out.
     */
    global Boolean Advance_Core_Receipt__c;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total amount of qualifying rebate for the customer quotation line.
     */
    global Currency Applied_Rebate_Amount__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Attachment_Set_Association__c> Attachment_Set_Associations__r;
    global List<Change_Request_Line__c> Change_Request_Lines1__r;
    global List<Change_Request_Line__c> Change_Request_Lines__r;
    /**
     * <h3>Change Request Line</h3>
     */
    global Id Change_Request_Line__c;
    /**
     * <h3>Change Request Line</h3>
     */
    global Change_Request_Line__c Change_Request_Line__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Comments</h3>
     * Enter text that will appear on outgoing Quotations
     */
    global String Comments__c;
    /**
     * <h3>Condition</h3>
     * The Condition Code of the part being quoted.
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * The Condition Code of the part being quoted.
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Contract Gross Profit</h3>
     */
    global Currency Contract_Gross_Profit__c;
    /**
     * <h3>Core Item Number</h3>
     * This is the expected part number to be returned by customer
     */
    global String Core_Item_Number__c;
    /**
     * <h3>Core Valuation</h3>
     * The value of the core. The customer would be invoiced this amount if the core was not received.
     */
    global Currency Core_Valuation__c;
    /**
     * <h3>CQL Type</h3>
     */
    global String CQL_Type__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Current Contract Cost</h3>
     * The current contract cost for this line.
     */
    global Currency Current_Contract_Cost__c;
    /**
     * <h3>Current Contract Value</h3>
     * The total contract value for this line.
     */
    global Currency Current_Contract_Value__c;
    /**
     * <h3>Customer Price w/Options</h3>
     * The customer price plus the  total options customer price
     */
    global Currency Customer_Price_With_Options__c;
    /**
     * <h3>Customer Price</h3>
     * The price that is displayed on the quote that goes to the customer.  The price is the actual deal price but the sales rep may elect to display a different price on the quote.
     */
    global Currency Customer_Price__c;
    global List<Customer_Quotation_Line__c> Customer_Quotation_Lines__r;
    /**
     * <h3>Customer Quotation</h3>
     * This is a link to the Customer Quotation for this Quotation Line Item.
     */
    global Id Customer_Quotation__c;
    /**
     * <h3>Customer Quotation</h3>
     * This is a link to the Customer Quotation for this Quotation Line Item.
     */
    global Customer_Quotation__c Customer_Quotation__r;
    /**
     * <h3>Customer Rebate Discount</h3>
     * Applied Rebate Amount deducted from the Customer Price
     */
    global Currency Customer_Rebate_Discount__c;
    /**
     * <h3>Customer Total Price</h3>
     * Total customer price rolled up to the customer quotation
     */
    global Currency Customer_Total_Price__c;
    /**
     * <h3>Delivery ARO</h3>
     * Number of days to deliver after receipt of order (ARO)
     */
    global Decimal Delivery_Days__c;
    /**
     * <h3>Delivery Method</h3>
     */
    global String Delivery_Method__c;
    /**
     * <h3>Discount Amount</h3>
     */
    global Currency Discount_Amount__c;
    /**
     * <h3>Distributor Price</h3>
     */
    global Currency Distributor_Price__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Effective Date</h3>
     * The date on which the change is to take effect. This date is used to determine the prorated amount.
     */
    global Date Effective_Date__c;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Ext. Item Cost</h3>
     * The quantity multiplied by the item cost per unit
     */
    global Currency Extended_Cost__c;
    /**
     * <h3>Ext. Customer Price Options</h3>
     */
    global Currency Extended_Customer_Price_Options__c;
    /**
     * <h3>Ext. Customer Price w/Options</h3>
     * The quantity of units multiplied by the customer price w/options
     */
    global Currency Extended_Customer_Price_With_Options__c;
    /**
     * <h3>Ext. Customer Price</h3>
     * The quantity multiplied by the customer price per unit
     */
    global Currency Extended_Customer_Price__c;
    /**
     * <h3>Ext. Internal Sell Price Options</h3>
     * The Quantity of Units multiplied by options internal sell Price
     */
    global Currency Extended_Internal_Sell_Price_Options__c;
    /**
     * <h3>Ext. Internal Sell Price</h3>
     * The quantity multiplied by the internal sell price per unit
     */
    global Currency Extended_Internal_Sell_Price__c;
    /**
     * <h3>Ext. Item Cost Options</h3>
     * The Quantity of Units multiplied by option cost per unit
     */
    global Currency Extended_Item_Cost_Options__c;
    /**
     * <h3>Ext. Item Cost w/Options</h3>
     * The quantity of units multiplied by the item cost w/ options
     */
    global Currency Extended_Item_Cost_With_Options__c;
    /**
     * <h3>Ext. List Price Options</h3>
     * The Quantity of Units multiplied by options list price
     */
    global Currency Extended_List_Price_Options__c;
    /**
     * <h3>Ext. List Price w/Options</h3>
     * The quantity of units multiplied by the list price  w/options
     */
    global Currency Extended_List_Price_With_Options__c;
    /**
     * <h3>Ext. List Price</h3>
     * The quantity multiplied by the list price per unit
     */
    global Currency Extended_List_Price__c;
    /**
     * <h3>Extended Net Cost</h3>
     */
    global Decimal Extended_Net_Cost__c;
    /**
     * <h3>Ext. Description</h3>
     */
    global String Extend_Description__c;
    /**
     * <h3>Ext Customer Discount</h3>
     * The Extended List Price minus the Total Customer Price
     */
    global Currency Ext_Customer_Discount__c;
    /**
     * <h3>Ext. Customer Price With Rebate Discount</h3>
     * Total price the customer pays after rebates.
     */
    global Currency Ext_Customer_Price_With_Rebate_Discount__c;
    /**
     * <h3>Ext. Internal Sell Price W/Options</h3>
     * The quantity of units multiplied by the internal price w/options
     */
    global Currency Ext_Internal_Sell_Price_With_Options__c;
    /**
     * <h3>Ext. Term Cost</h3>
     */
    global Currency Ext_Term_Cost__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>First term RC Discount</h3>
     * First Term RC Discount (Read Only To The User). The amount discounted on the first recurring service term
     */
    global Currency First_Term_RC_Discount__c;
    /**
     * <h3>Gross Annual Contract Value</h3>
     * Total gross annual contract value for the customer quotation line excluding percentage based pricing.
     */
    global Currency Gross_Annual_Contract_Value__c;
    /**
     * <h3>Gross Percent with Rebate Discount</h3>
     * Percentage of gross profit from rebates
     */
    global Decimal Gross_Percent_with_Rebate_Discounts__c;
    /**
     * <h3>Gross Profit Percent w/Options</h3>
     */
    global Decimal Gross_Profit_Percent_With_Options__c;
    /**
     * <h3>Gross Profit w/Options</h3>
     */
    global Currency Gross_Profit_With_Options__c;
    /**
     * <h3>Gross Profit with Rebate Discounts</h3>
     * Total gross profit including rebates
     */
    global Currency Gross_Profit_with_Rebate_Discounts__c;
    /**
     * <h3>Gross Profit Percent</h3>
     */
    global Decimal Gross_Profit__c;
    /**
     * <h3>GroupIndex</h3>
     */
    global Decimal GroupIndex__c;
    global List<Customer_Quotation_Line__History> Histories;
    /**
     * <h3>Hours</h3>
     */
    global Decimal Hours__c;
    /**
     * <h3>Internal Option Price</h3>
     */
    global Currency Internal_Option_Price__c;
    /**
     * <h3>Internal Sell Price W/Options</h3>
     * The internal sell price plus the options internal sell price
     */
    global Currency Internal_Sell_Price_With_Options_Formula__c;
    /**
     * <h3>Deprecated Internal Sell Price W/Options</h3>
     */
    global Currency Internal_Sell_Price_With_Options__c;
    /**
     * <h3>IsAnItemOption</h3>
     */
    global Boolean IsAnItemOption__c;
    /**
     * <h3>IsChildRecord</h3>
     * Is the line a child record of another customer quotation line.
     */
    global Boolean IsChildRecord__c;
    global Boolean IsDeleted;
    /**
     * <h3>Line</h3>
     */
    global Decimal ItemIndex__c;
    /**
     * <h3>Item Cost w/Options</h3>
     * The item cost  plus the options item cost
     */
    global Currency Item_Cost_With_Options_Formula__c;
    /**
     * <h3>Deprecated Item Cost W/Options</h3>
     */
    global Currency Item_Cost_With_Options__c;
    /**
     * <h3>Item Description New</h3>
     */
    global String Item_Description_New__c;
    /**
     * <h3>Item Description</h3>
     */
    global String Item_Description__c;
    /**
     * <h3>Item Exists in Item Master</h3>
     * This field is automatically checked if the item specified in the item number exists in the Item Master
     */
    global Boolean Item_Exists_in_Item_Master__c;
    /**
     * <h3>Item Is Intangible</h3>
     */
    global Boolean Item_Is_Intangible__c;
    /**
     * <h3>Item Net Cost</h3>
     */
    global Currency Item_Net_Cost__c;
    /**
     * <h3>Item Number - New</h3>
     * Use this Item Number field for Items not currently in the system
     */
    global String Item_Number_New__c;
    /**
     * <h3>Item Number</h3>
     * For parts that are currently in the Item Master, this field is used instead of the Item Master - New field. This is the part being quoted.
     */
    global Id Item_Number__c;
    /**
     * <h3>Item Number</h3>
     * For parts that are currently in the Item Master, this field is used instead of the Item Master - New field. This is the part being quoted.
     */
    global Item__c Item_Number__r;
    /**
     * <h3>Item Option</h3>
     */
    global Id Item_Option__c;
    /**
     * <h3>Item Option</h3>
     */
    global Item_Option__c Item_Option__r;
    /**
     * <h3>Item Quote Description</h3>
     * This is used to describe the product being quoted - It is pre-populated with basic Item Master description information and can be added to as desired. Note only effective for current line item on a specific quote and does not change standard description
     */
    global String Item_Quote_Description__c;
    /**
     * <h3>Item Type New</h3>
     * Item Type establishes warnings within the system based on capabilities
     */
    global String Item_Type_New__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Last Term RC Discount</h3>
     * The amount discounted on the last recurring service term
     */
    global Currency Last_Term_RC_Discount__c;
    /**
     * <h3>Line Type</h3>
     */
    global String Line_Type__c;
    /**
     * <h3>List Price w/Options</h3>
     * The list price plus the options list price
     */
    global Currency List_Price_With_Options_Formula__c;
    /**
     * <h3>Deprecated List Price W/Options</h3>
     */
    global Currency List_Price_With_Options__c;
    /**
     * <h3>List Price</h3>
     * The list price per one unit in the unit of measure specified
     */
    global Currency List_Price__c;
    /**
     * <h3>Known Manufacturer</h3>
     */
    global Id Lookup_Manufacturer__c;
    /**
     * <h3>Known Manufacturer</h3>
     */
    global Manufacturer__c Lookup_Manufacturer__r;
    /**
     * <h3>MandatoryItem</h3>
     * Check to see if line is mandatory, so the use can not remove it from list.
     */
    global Boolean MandatoryItem__c;
    /**
     * <h3>mandatory</h3>
     * For all children Items
     */
    global Boolean mandatory__c;
    /**
     * <h3>Manufacturer - New</h3>
     */
    global String Manufacturer_New__c;
    /**
     * <h3>Manufacturer</h3>
     */
    global String Manufacturer__c;
    /**
     * <h3>Percent</h3>
     */
    global Decimal Margin_Percent__c;
    /**
     * <h3>Margin</h3>
     * Set margin per line.
     */
    global Decimal Margin__c;
    /**
     * <h3>Maximum List Price</h3>
     * This is a read only field that is populated during the quoting process.
     */
    global Currency Maximum_List_Price__c;
    /**
     * <h3>Minimum List Price</h3>
     * This is a read only field and is populated during the quoting process from the selected price entry
     */
    global Currency Minimum_List_Price__c;
    /**
     * <h3>Minimum Order Quantity</h3>
     */
    global Decimal Minimum_Order_Quantity__c;
    /**
     * <h3>Monthly Recurring Revenue</h3>
     * Monthly revenue for the customer quotation line. This is calculated by subtracting the Annual Contract Value from the Total Contract Value and dividing the result by 12.
     */
    global Currency Monthly_Recurring_Revenue__c;
    global String Name;
    /**
     * <h3>Net Annual Contract Value</h3>
     * Net annual contract value for the customer quotation line excluding percentage based pricing.
     */
    global Currency Net_Annual_Contract_Value__c;
    /**
     * <h3>New Supplier</h3>
     */
    global String New_Supplier__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>No Bid?</h3>
     */
    global Boolean No_Bid__c;
    /**
     * <h3>NRC After Discount</h3>
     * Nonrecurring base fees after discount
     */
    global Currency NRC_After_Discount__c;
    /**
     * <h3>NRC Base</h3>
     * Nonrecurring base fees
     */
    global Currency NRC_Base_Fees__c;
    /**
     * <h3>NRC Contract Value</h3>
     * Total nonrecurring value for line
     */
    global Currency NRC_Contract_Value__c;
    /**
     * <h3>NRC Discounted %</h3>
     * Percent discounted for nonrecurring base fees
     */
    global Decimal NRC_Discounted_Percent__c;
    /**
     * <h3>NRC Discounted</h3>
     * Discounted amount for nonrecurring base fees
     */
    global Currency NRC_Discounted_Price__c;
    /**
     * <h3>NRC Ext. After Discounts</h3>
     * Total nonrecurring fees after discounts
     */
    global Currency NRC_Extended_After_Discounts__c;
    /**
     * <h3>NRC Ext.</h3>
     * Total nonrecurring fees
     */
    global Currency NRC_Extended__c;
    /**
     * <h3>NRC Invoiced</h3>
     * Nonrecurring amount invoiced
     */
    global Currency NRC_Invoiced__c;
    /**
     * <h3>NRC Not Invoiced</h3>
     * Nonrecurring amount not invoiced
     */
    global Currency NRC_Not_Invoiced__c;
    /**
     * <h3>NRC Type</h3>
     * Indicates whether the non recurring fees on the customer quotation line are for time, material or an option.
     */
    global String NRC_Type__c;
    /**
     * <h3>NRC w/Options After Discounts</h3>
     * Nonrecurring and options fees for a single unit after discounts
     */
    global Currency NRC_With_Options_After_Discounts__c;
    /**
     * <h3>NRC w/Options</h3>
     * Nonrecurring and options fees for a single unit
     */
    global Currency NRC_With_Options__c;
    global List<OpenActivity> OpenActivities;
    global List<OpportunityLineItem> Opportunity_Product__r;
    /**
     * <h3>Options Customer Price</h3>
     */
    global Currency Options_Customer_Price__c;
    /**
     * <h3>Options Internal Sell  Price</h3>
     * The internal price for all options per one unit
     */
    global Currency Options_Internal_Sell_Price__c;
    /**
     * <h3>Options Item Cost</h3>
     * The cost for all options per one unit
     */
    global Currency Options_Item_Cost__c;
    /**
     * <h3>Options List Price</h3>
     * The list price for all options per one unit
     */
    global Currency Options_List_Price__c;
    global List<Option_Item__c> Option_Items1__r;
    global List<Option_Item__c> Option_Items__r;
    /**
     * <h3>Option NRC</h3>
     * Total NRC options for the parent customer quotation line.
     */
    global Currency Option_NRC__c;
    /**
     * <h3>Option RC</h3>
     * Total RC options for the parent customer quotation line.
     */
    global Currency Option_RC__c;
    /**
     * <h3>Original Internal Sell Price</h3>
     * Original internal sell price before any bottom line discount.
     */
    global Currency Original_Internal_Sell_Price__c;
    /**
     * <h3>Gross Profit</h3>
     */
    global Currency Over_All_Revenue_Price__c;
    global FeedComment Parent;
    /**
     * <h3>Parent Customer Quotation Line</h3>
     */
    global Id Parent_Customer_Quotation_Line__c;
    /**
     * <h3>Parent Customer Quotation Line</h3>
     */
    global Customer_Quotation_Line__c Parent_Customer_Quotation_Line__r;
    /**
     * <h3>Percentage Based Pricing</h3>
     * This checkbox is set by the system depending on the chosen pricing method.
     */
    global Boolean Percentage_Based_Pricing__c;
    /**
     * <h3>PriceList</h3>
     * The field is populated by a background process.  It references a price from the price list that applies to this quote line.
     */
    global Id PriceList__c;
    /**
     * <h3>PriceList</h3>
     * The field is populated by a background process.  It references a price from the price list that applies to this quote line.
     */
    global Price__c PriceList__r;
    /**
     * <h3>Price List Overridden</h3>
     * List price was overridden by user
     */
    global Boolean Price_List_Overridden__c;
    /**
     * <h3>Internal Sell Price</h3>
     * The price for the item being quoted.  The price is for the unit of measure - for example, if the unit of measure is "each" and the price is 2.00, then an order of 4 is 8.00.
     */
    global Currency Price__c;
    /**
     * <h3>Pricing Action</h3>
     * What method was used in pricing the line.
     */
    global String Pricing_Action__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product Group New</h3>
     * Defines the logical group this items belongs to (e.g., computing equipment, printing supplies).
     */
    global Id Product_Group_New__c;
    /**
     * <h3>Product Group New</h3>
     * Defines the logical group this items belongs to (e.g., computing equipment, printing supplies).
     */
    global Product_Group__c Product_Group_New__r;
    /**
     * <h3>Prorated Billing Amount</h3>
     * Prorated amount from the change request line. The amount is based on the changes to the contract line and the difference between the Effective Date and the Billed Through date.
     */
    global Currency Prorated_Billing_Amount__c;
    /**
     * <h3>Quantity</h3>
     * The quantity of the specific item requested
     */
    global Decimal Quantity__c;
    /**
     * <h3>Quote Item Description</h3>
     * Displayable description of item
     */
    global String QuoteItem_Description__c;
    /**
     * <h3>Item to Quote</h3>
     * Displayable item for quote line
     */
    global String QuoteItem__c;
    /**
     * <h3>Quote Line Group</h3>
     */
    global Id Quote_Line_Group__c;
    /**
     * <h3>Quote Line Group</h3>
     */
    global Quote_Line_Group__c Quote_Line_Group__r;
    global List<Warranty_Sell_Side__c> R00N40000001qzLgEAI__r;
    /**
     * <h3>RC After Discount</h3>
     * Recurring base fees after discount
     */
    global Currency RC_After_Discount__c;
    /**
     * <h3>RC Base</h3>
     * Recurring base fees
     */
    global Currency RC_Base_Fees__c;
    /**
     * <h3>Term Value</h3>
     * Recurring term value for the line
     */
    global Currency RC_Contract_Value__c;
    /**
     * <h3>RC Contract Value</h3>
     * Total recurring fees for the customer quotation line.
     */
    global Currency RC_Contract_Val__c;
    /**
     * <h3>RC Cost W/Options</h3>
     */
    global Currency RC_Cost_With_Options__c;
    /**
     * <h3>RC Cost</h3>
     */
    global Currency RC_Cost__c;
    /**
     * <h3>RC Discounted %</h3>
     * Percent discounted  for recurring base fees
     */
    global Decimal RC_Discounted_Percent__c;
    /**
     * <h3>RC Discounted</h3>
     * Discounted amount for recurring base fees
     */
    global Currency RC_Discounted_Price__c;
    /**
     * <h3>RC Ext. After Discounts</h3>
     * Total recurring fees after discount
     */
    global Currency RC_Extended_After_Discounts__c;
    /**
     * <h3>RC Ext.</h3>
     * Total recurring fees
     */
    global Currency RC_Extended__c;
    /**
     * <h3>RC Terms</h3>
     * Number of days or months that make up the a single contract term. For instance, if the Service Term is Annual, the value of this field is 12. This indicates that a single contract term is 12 months.
     */
    global Currency RC_Terms__c;
    /**
     * <h3>RC w/Options After Discounts</h3>
     * Recurring and options fees for a single unit after discounts
     */
    global Currency RC_With_Options_After_Discounts__c;
    /**
     * <h3>RC w/Options</h3>
     * Recurring and options fees for a single unit
     */
    global Currency RC_With_Options__c;
    global List<Rebate_Applied__c> Rebates_Applied__r;
    /**
     * <h3>Recalc</h3>
     */
    global Boolean Recalc__c;
    /**
     * <h3>Received RFQ Item</h3>
     * Reference to the received RFQ line item. Set by the conversion from RRFQ to Customer Quotation
     */
    global Id Received_RFQ_Item__c;
    /**
     * <h3>Received RFQ Item</h3>
     * Reference to the received RFQ line item. Set by the conversion from RRFQ to Customer Quotation
     */
    global Received_RFQ_Item__c Received_RFQ_Item__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Remaining # Terms</h3>
     * The number of terms remaining to bill on this line.  The is populated from the service contract line.
     */
    global Decimal Remaining_Terms__c;
    /**
     * <h3>Requested Delivery Date</h3>
     * Enter the date the Customer/Prospect has requested delivery
     */
    global Date Requested_Delivery_Date__c;
    global List<Sales_Order_Line_Item__c> Sales_Order_Line_Items__r;
    /**
     * <h3>Sales Tax?</h3>
     */
    global String Sales_Tax_Picklist__c;
    /**
     * <h3>Sales Tax</h3>
     */
    global Currency Sales_Tax__c;
    /**
     * <h3>Available</h3>
     * The field is a place holder for the field set. Any values place inside this will not be used.
     */
    global Decimal SCMQT__Available_to_Promise__c;
    /**
     * <h3>Commodity Code</h3>
     * Line Item Commodity Code
     */
    global String SCMQT__Commodity_Code_Formula__c;
    /**
     * <h3>Condition</h3>
     * Condition Name
     */
    global String SCMQT__Condition_Formula__c;
    /**
     * <h3>Contract Type</h3>
     * Related information to support the reporting on sales
     */
    global String SCMQT__Contract_Type__c;
    /**
     * <h3>Customer Discount</h3>
     * Discount equals List Price minus Customer Price
     */
    global Currency SCMQT__Customer_Discount__c;
    /**
     * <h3>ExpandOptions</h3>
     * Used To Display Option List
     */
    global Boolean SCMQT__ExpandOptions__c;
    /**
     * <h3>Term Cost</h3>
     * The Extended List Price minus the Total Customer Price
     */
    global Currency SCMQT__Ext_Customer_Discount__c;
    /**
     * <h3>Item Type</h3>
     * Line Item Type
     */
    global String SCMQT__Item_Type_Formula__c;
    /**
     * <h3>Manufacturer</h3>
     * This is a manufacture to use on a quote printout or a report.  It is the name from the reference to a known manufacturer or the new manufacturer.
     */
    global String SCMQT__Manufacturer_Formula__c;
    /**
     * <h3>Parent Customer Quotation Line Item</h3>
     */
    global String SCMQT__Parent_Customer_Quotation_Line_Item__c;
    /**
     * <h3>Price By</h3>
     */
    global String SCMQT__Price_By__c;
    /**
     * <h3>Product Group</h3>
     * Line Item Product Group Name
     */
    global String SCMQT__Product_Group_Formula__c;
    /**
     * <h3>Resolved Supplier MFG Relationship</h3>
     */
    global Boolean SCMQT__Resolved_Supplier_MFG_Relationship__c;
    /**
     * <h3>Supplier</h3>
     */
    global String SCMQT__Supplier_Formula__c;
    /**
     * <h3>Scope Of Work</h3>
     */
    global String Scope_Of_Work__c;
    /**
     * <h3>Service Being Quoted</h3>
     * A description of the service that is being quoted.
     */
    global String Service_Being_Quoted__c;
    /**
     * <h3>Service Contract Line Option</h3>
     */
    global Id Service_Contract_Line_Option__c;
    /**
     * <h3>Service Contract Line Option</h3>
     */
    global Service_Order_Line_Option__c Service_Contract_Line_Option__r;
    /**
     * <h3>Service Contract Line Status</h3>
     */
    global String Service_Contract_Line_Status__c;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Id Service_Contract_Line__c;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Service_Order_Line__c Service_Contract_Line__r;
    global List<Service_Order_Line__c> Service_Order_Lines1__r;
    global List<Service_Order_Line__c> Service_Order_Lines__r;
    global List<Service_Order_Line_Option__c> Service_Order_Line_Options1__r;
    global List<Service_Order_Line_Option__c> Service_Order_Line_Options__r;
    /**
     * <h3>Service Term End Date</h3>
     * This is the End date for a service being rendered - such as a support contract
     */
    global Date Service_Term_End_Date__c;
    /**
     * <h3>Service Term Start Date</h3>
     * This is the beginning date for a service being rendered - such as a support contract
     */
    global Date Service_Term_Start_Date__c;
    /**
     * <h3>Service Term</h3>
     */
    global Id Service_Term__c;
    /**
     * <h3>Service Term</h3>
     */
    global Service_Term__c Service_Term__r;
    /**
     * <h3>Ship-to City</h3>
     */
    global String Ship_to_City__c;
    /**
     * <h3>Ship-to Country</h3>
     */
    global String Ship_to_Country__c;
    /**
     * <h3>Ship-to State / Province</h3>
     */
    global String Ship_to_State_Province__c;
    /**
     * <h3>Ship-to Street 2</h3>
     */
    global String Ship_to_Street_2__c;
    /**
     * <h3>Ship-to Street</h3>
     */
    global String Ship_to_Street__c;
    /**
     * <h3>Ship-to Zip / Postal Code</h3>
     */
    global String Ship_to_Zip_Postal_Code__c;
    global SObjectType SObjectType;
    global List<Sourcing_Response__c> Sourcing_Responses__r;
    /**
     * <h3>Selected Response</h3>
     */
    global Id Sourcing_Response__c;
    /**
     * <h3>Selected Response</h3>
     */
    global Sourcing_Response__c Sourcing_Response__r;
    /**
     * <h3>Status</h3>
     * The price field contains a valid price if the status is Bid otherwise the price is not a valid price. This is used to indicate the user does not wish to supply a quote for the particular item.
     */
    global String Status__c;
    /**
     * <h3>Supplier Catalogue Item</h3>
     */
    global Id Supplier_Catalogue_Item__c;
    /**
     * <h3>Supplier Catalogue Item</h3>
     */
    global Supplier_Catalogue_Item__c Supplier_Catalogue_Item__r;
    /**
     * <h3>Supplier Catalogue Price Break</h3>
     * Supplier Catalogue Price Break used to calculate the price for this line.
     */
    global Id Supplier_Catalogue_Price_Break__c;
    /**
     * <h3>Supplier Catalogue Price Break</h3>
     * Supplier Catalogue Price Break used to calculate the price for this line.
     */
    global Supplier_Catalogue_Price_Break__c Supplier_Catalogue_Price_Break__r;
    /**
     * <h3>Supplier Catalog Overridden</h3>
     * Supplier Catalog Price was overridden by user
     */
    global Boolean Supplier_Catalog_Overridden__c;
    /**
     * <h3>Item Cost</h3>
     * The quoted price for a single unit from a supplier
     */
    global Currency Supplier_Price__c;
    /**
     * <h3>Supplier Quote Number</h3>
     */
    global String Supplier_Quote_Number__c;
    /**
     * <h3>Supplier Site</h3>
     */
    global Id Supplier_Site__c;
    /**
     * <h3>Supplier Site</h3>
     */
    global Supplier_Site__c Supplier_Site__r;
    /**
     * <h3>Supplier</h3>
     * Supplier for line item.
     */
    global String Supplier__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Tag Information</h3>
     */
    global Date Tag_Information__c;
    /**
     * <h3>Tag</h3>
     */
    global String Tag__c;
    global List<Task> Tasks;
    /**
     * <h3>Term Cost</h3>
     */
    global Currency Term_Cost__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Contract Cost</h3>
     */
    global Currency Total_Contact_Cost__c;
    /**
     * <h3>Total Delta Contract Line Cost</h3>
     * Change to the Total Cost of the contract line when the change request line is applied.
     */
    global Currency Total_Delta_Contract_Line_Cost__c;
    /**
     * <h3>Total Delta Contract Line Value</h3>
     * Change to the Total Contract Value of the contract line after the change request line is applied.
     */
    global Currency Total_Delta_Contract_Line_Value__c;
    /**
     * <h3>Total First RC Term Cost</h3>
     * The total recurring cost with options for the first term (Read Only)
     */
    global Currency Total_First_RC_Term_Cost_Formula__c;
    /**
     * <h3>Total First RC Term Cost</h3>
     * The total recurring cost with options for the first term
     */
    global Currency Total_First_RC_Term_Cost__c;
    /**
     * <h3>Total First Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the first term of service
     */
    global Currency Total_First_Term_RC_Contract_Value__c;
    /**
     * <h3>Total First Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the first term of service (Read Only)
     */
    global Currency Total_First_Term_RC_Contract_Val_Formula__c;
    /**
     * <h3>Total Contract Value</h3>
     * The total contract value of the line including options.
     */
    global Currency Total_Item_Value__c;
    /**
     * <h3>Total Last RC Term Cost</h3>
     * The total recurring cost with options for the last term (Read Only)
     */
    global Currency Total_Last_RC_Term_Cost_Formula__c;
    /**
     * <h3>Total Last RC Term Cost</h3>
     * The total recurring cost with options for the last term
     */
    global Currency Total_Last_RC_Term_Cost__c;
    /**
     * <h3>Total Last Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the Last  term of service
     */
    global Currency Total_Last_Term_RC_Contract_Value__c;
    /**
     * <h3>Total Last Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the Last  term of service (Read Only)
     */
    global Currency Total_Last_Term_RC_Contract_Val_Formula__c;
    /**
     * <h3>Total Internal Sell Price</h3>
     * Total price is the price multiplied by the quantity.
     */
    global Currency Total_Price__c;
    /**
     * <h3>Total RC Cost</h3>
     * The total recurring cost for this line.
     */
    global Currency Total_RC_Cost__c;
    /**
     * <h3># of Terms</h3>
     * Numeric value of service terms in duration   Example: Service Term is Annual, Numeric Value 3 Years
     */
    global Decimal Total_Service_Terms__c;
    /**
     * <h3>Traceability Code</h3>
     */
    global String Traceability_Code__c;
    /**
     * <h3>Unit of Measure for New Item</h3>
     * The unit of measure for the item being quoted.
     */
    global Id Unit_of_Measure__c;
    /**
     * <h3>Unit of Measure for New Item</h3>
     * The unit of measure for the item being quoted.
     */
    global Unit_of_Measure__c Unit_of_Measure__r;
    /**
     * <h3>UOM</h3>
     */
    global String UOM__c;
    /**
     * <h3>Up Sell Cross Sell</h3>
     */
    global Id Up_Sell_Cross_Sell__c;
    /**
     * <h3>Up Sell Cross Sell</h3>
     */
    global Up_Sell_Cross_Sell__c Up_Sell_Cross_Sell__r;
    /**
     * <h3>Used Price</h3>
     * Price List price used to calculate the price for this line.
     */
    global Id Used_Price__c;
    /**
     * <h3>Used Price</h3>
     * Price List price used to calculate the price for this line.
     */
    global Price__c Used_Price__r;
    /**
     * <h3>Workers</h3>
     */
    global Decimal Workers__c;

    global Customer_Quotation_Line__c()
    {
    }
}