// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Customer Quotation</h3>
 * This Object describes the Customer Quotation from a sell-side business perspective and its relationships with other objects.  This object supports down stream business processes such as conversion to Customer Sales Order.  There are workflows, attachments, and business intelligences that are dependent on this object.
 */
global class /*SCMC__*/Customer_Quotation__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Actual Bill To</h3>
     * The actual bill to address - if override is provided this is the overridden address otherwise it is the billing address in the account.
     */
    global String Actual_Bill_To__c;
    /**
     * <h3>Actual Ship To</h3>
     * If an override address is specified we see that otherwise it is the shipping address from the account.
     */
    global String Actual_Ship_To__c;
    /**
     * <h3>Annual Contract Value</h3>
     * Average Total Recurring Fees after discounts over 12 months.
     */
    global Currency Annual_RC_Fees__c;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total amount of applied rebates rolled-up from the customer quotation lines
     */
    global Currency Applied_Rebate_Amount__c;
    /**
     * <h3>Approval Status</h3>
     */
    global String Approval_Status__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Attachment_Set_Association__c> Attachment_Set_Associations__r;
    global List<Bid_Section__c> Bid_Sections__r;
    /**
     * <h3>Business Hours End Time Text</h3>
     */
    global String Business_Hours_End_Time_Text__c;
    /**
     * <h3>Business Hours Start Time Text</h3>
     */
    global String Business_Hours_Start_Time_Text__c;
    global List<Change_Request__c> Change_Requests__r;
    /**
     * <h3>Change Request</h3>
     */
    global Id Change_Request__c;
    /**
     * <h3>Change Request</h3>
     */
    global Change_Request__c Change_Request__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Company</h3>
     */
    global String Company__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>COR Number</h3>
     * This number is the ordinal (starting at 1) of all change order quotes related to a project.  The numbers are allocated in record creation order.  It is not intended for manual update.
     */
    global Decimal COR_Number__c;
    /**
     * <h3>COR Reference</h3>
     */
    global String COR_Reference__c;
    /**
     * <h3>COR Reservation of Rights</h3>
     */
    global String COR_Reservation_of_Rights__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     */
    global Id Currency_Master__c;
    /**
     * <h3>Currency</h3>
     */
    global Currency_Master__c Currency_Master__r;
    /**
     * <h3>Customer Contact</h3>
     */
    global Id Customer_Account_Contact__c;
    /**
     * <h3>Customer Contact</h3>
     */
    global Contact Customer_Account_Contact__r;
    /**
     * <h3>Customer Account</h3>
     */
    global Id Customer_Account__c;
    /**
     * <h3>Customer Account</h3>
     */
    global Account Customer_Account__r;
    /**
     * <h3>Customer Address</h3>
     * If a Customer Contact is specified, the address is the address of the site associated with the Contact.  If the Contact is not specified and the Site is specified, that address is used.  If neither address is specified, there is no address.  This field is associated with known customers only.
     */
    global String Customer_Address__c;
    /**
     * <h3>Customer Email</h3>
     * The email comes from the Customer Site or Customer Contact, whichever is present
     */
    global String Customer_Email__c;
    /**
     * <h3>Customer Fax</h3>
     */
    global String Customer_Fax__c;
    /**
     * <h3>Customer Phone</h3>
     */
    global String Customer_Phone__c;
    /**
     * <h3>Customer Purchase Order</h3>
     * Reference the Customer's Purchase Order Number
     */
    global String Customer_Purchase_Order__c;
    global List<Customer_Quotation_Line__c> Customer_Quotation_Lines__r;
    /**
     * <h3>Customer Contact Account</h3>
     */
    global String Customer_Site_Name__c;
    /**
     * <h3>Customer Total Price</h3>
     */
    global Currency Customer_Total_Price__c;
    /**
     * <h3>Delivery Error</h3>
     * Error message returned when attempting to deliver this Quotation.
     */
    global String Delivery_Error__c;
    /**
     * <h3>Delivery Options</h3>
     * Describes how the Quote is to be delivered to the Prospect.
     */
    global String Delivery_Options__c;
    /**
     * <h3>Department</h3>
     */
    global String Department__c;
    /**
     * <h3>Discounted Term Fees</h3>
     * Amount of discount applied to the first and last terms.
     */
    global Currency Discounted_Term_Fees__c;
    /**
     * <h3>Display COR Number</h3>
     */
    global String Display_COR_Number__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Expired Quotes</h3>
     * Select to find open Quotes for requisitioned Item.
     */
    global Boolean Expired_Quotes__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Gross Annual Contract Value</h3>
     */
    global Decimal Gross_Annual_Contract_Value__c;
    global List<Customer_Quotation__History> Histories;
    /**
     * <h3>ILSMart.com RFQ</h3>
     * Generate an RFQ on the ILSMart service.
     */
    global Boolean ILSMart_com_RFQ__c;
    /**
     * <h3>Inbound Request Via</h3>
     */
    global String Inbound_Request_Via__c;
    global Boolean IsDeleted;
    /**
     * <h3>Labor Net Markup Percent</h3>
     */
    global Decimal Labor_Net_Markup_Percent__c;
    /**
     * <h3>Labor</h3>
     */
    global Currency Labor__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Lead</h3>
     * Lead Record
     */
    global Id Lead__c;
    /**
     * <h3>Lead</h3>
     * Lead Record
     */
    global Lead Lead__r;
    /**
     * <h3>Lost Reason</h3>
     */
    global String Lost_Reason__c;
    /**
     * <h3>Prospect City</h3>
     */
    global String Mailing_City__c;
    /**
     * <h3>Prospect Country</h3>
     */
    global String Mailing_Country__c;
    /**
     * <h3>Prospect State or Province</h3>
     */
    global String Mailing_State_Province__c;
    /**
     * <h3>Prospect Address Line 2</h3>
     */
    global String Mailing_Street_Additional_Information__c;
    /**
     * <h3>Prospect Address Line 1</h3>
     */
    global String Mailing_Street__c;
    /**
     * <h3>Prospect Postal Code</h3>
     */
    global String Mailing_Zip_Postal_Code__c;
    /**
     * <h3>Marketing Campaign</h3>
     * Name of Campaign that generated lead
     */
    global String Marketing_Campaign__c;
    /**
     * <h3>Material Tax</h3>
     */
    global Currency Material_Tax__c;
    /**
     * <h3>Material</h3>
     */
    global Currency Material__c;
    /**
     * <h3>Monthly Recurring Revenue</h3>
     * The monthly revenue for the contract. This is calculated by subtracting the Annual Contract Value from the Total Contract Value and dividing the result by 12.
     */
    global Currency Monthly_Recurring_Revenue__c;
    global String Name;
    /**
     * <h3>Net Annual Contract Value</h3>
     */
    global Decimal Net_Annual_Contract_Value__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>No Bid</h3>
     * Check if decision is made to make no bid response
     */
    global Boolean No_Bid__c;
    /**
     * <h3>Number Active Service Lines</h3>
     */
    global Decimal Number_Active_Service_Lines__c;
    /**
     * <h3>Number Lines</h3>
     * The number of lines on the Customer Quote.
     */
    global Decimal Number_Lines__c;
    /**
     * <h3>Number New Lines</h3>
     * The number of new lines on the Customer Quotation.
     */
    global Decimal Number_New_Lines__c;
    /**
     * <h3>Number Of Cancel Lines</h3>
     */
    global Decimal Number_Of_Cancel_Lines__c;
    /**
     * <h3>Number of Months</h3>
     */
    global Decimal Number_of_Months__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Opportunity Name</h3>
     * An optional field used to describe a larger Opportunity in a SFA Application
     */
    global String Opportunity_Name__c;
    /**
     * <h3>Opportunity</h3>
     * The Opportunity that is associated with this customer quote.  This field is visible only if user has a full salesforce license
     */
    global Id Opportunity__c;
    /**
     * <h3>Opportunity</h3>
     * The Opportunity that is associated with this customer quote.  This field is visible only if user has a full salesforce license
     */
    global Opportunity Opportunity__r;
    /**
     * <h3>Override Bill to Account Address</h3>
     */
    global Id Override_Bill_to_Account_Address__c;
    /**
     * <h3>Override Bill to Account Address</h3>
     */
    global Customer_Address__c Override_Bill_to_Account_Address__r;
    /**
     * <h3>Override Bill to Account</h3>
     * Account to be billed when the Customer Account is not to be billed for this customer quotation.
     */
    global Id Override_Bill_to_Account__c;
    /**
     * <h3>Override Bill to Account</h3>
     * Account to be billed when the Customer Account is not to be billed for this customer quotation.
     */
    global Account Override_Bill_to_Account__r;
    /**
     * <h3>Override Bill to Address</h3>
     */
    global Id Override_Bill_To_Address__c;
    /**
     * <h3>Override Bill to Address</h3>
     */
    global Customer_Address__c Override_Bill_To_Address__r;
    /**
     * <h3>Override Ship to Address</h3>
     */
    global Id Override_Ship_To_Address__c;
    /**
     * <h3>Override Ship to Address</h3>
     */
    global Customer_Address__c Override_Ship_To_Address__r;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Ownership Code</h3>
     */
    global Id Ownership_Code__c;
    /**
     * <h3>Ownership Code</h3>
     */
    global Ownership_Code__c Ownership_Code__r;
    global FeedComment Parent;
    /**
     * <h3>Payment Terms Name</h3>
     */
    global String Payment_Terms_Name__c;
    /**
     * <h3>Payment Terms</h3>
     */
    global Id Payment_Terms__c;
    /**
     * <h3>Payment Terms</h3>
     */
    global PO_Payment_Terms__c Payment_Terms__r;
    /**
     * <h3>Price Type</h3>
     * Governs how items are automatically priced.
     */
    global Id Price_Type__c;
    /**
     * <h3>Price Type</h3>
     * Governs how items are automatically priced.
     */
    global Price_Type__c Price_Type__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project (SM)</h3>
     */
    global Id Project_SM__c;
    /**
     * <h3>Project (SM)</h3>
     */
    global SVMX_Project_2__c Project_SM__r;
    /**
     * <h3>Project (PSA)</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project (PSA)</h3>
     */
    global pse__Proj__c Project__r;
    /**
     * <h3>Prospect Address</h3>
     * The address of the prospect. The quote is considered a prospect if there is no Customer Contact and no Customer Site.
     */
    global String Prospect_Address__c;
    /**
     * <h3>Prospect Company</h3>
     * The name of the Company receiving the Quote.
     */
    global String Prospect_Company__c;
    /**
     * <h3>Prospect Email</h3>
     * Email address for prospect.  It must be present for a delivery type of email
     */
    global Email Prospect_Email__c;
    /**
     * <h3>Prospect FAX Number</h3>
     * The fax number for the prospect.  If the delivery type is Fax, the contact fax number must be present.
     */
    global String Prospect_Fax_Number__c;
    /**
     * <h3>Prospect Name</h3>
     * Name of person requesting Quotation.
     */
    global String Prospect_Name__c;
    /**
     * <h3>Prospect Phone</h3>
     * The phone number to contact the prospect.
     */
    global String Prospect_Phone__c;
    /**
     * <h3>Reference</h3>
     * The RFQ number assigned by the prospect when the request for the quotation came in.
     */
    global String Prospect_Reference__c;
    /**
     * <h3>Purchase History</h3>
     * Select to find Purchase Order history for requisitioned Item
     */
    global Boolean Purchase_History__c;
    /**
     * <h3>Quotation Comments</h3>
     * Enter text that will appear on outgoing Quotations
     */
    global String Quotation_Comments__c;
    /**
     * <h3>Quotation Expires On</h3>
     * The date and time when the Quote expires.  The default is set based on a fixed number of days from the date and time that the Quote was created.  It can be overridden by a limit in the price list or by the salesperson.
     */
    global Datetime Quotation_Expires_On__c;
    /**
     * <h3>Quote Date</h3>
     * The date the Quote version was created
     */
    global Datetime Quote_Date__c;
    global List<Quote_Line_Group__c> Quote_Line_Groups__r;
    /**
     * <h3>Quote Description</h3>
     * Enter a description or contextual information for the Quote. This will help aid the Sales Representative recall the business circumstance or contextual information surrounding the Quotation
     */
    global String Quote_Name__c;
    /**
     * <h3>Quote Type</h3>
     */
    global String Quote_Type__c;
    /**
     * <h3>Quote Valid For</h3>
     */
    global Decimal Quote_Valid_For__c;
    global List<Received_RFQ__c> R00N40000001bWdhEAE__r;
    global List<Sales_Order__c> R00N40000001pAXiEAM__r;
    /**
     * <h3>Received RFQ</h3>
     * A reference to the Received Request for Quote that triggered this quote.  It is not mandatory to have a Received Request for Quote in order to create a Quote.
     */
    global Id Received_RFQ__c;
    /**
     * <h3>Received RFQ</h3>
     * A reference to the Received Request for Quote that triggered this quote.  It is not mandatory to have a Received Request for Quote in order to create a Quote.
     */
    global Received_RFQ__c Received_RFQ__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Requestor Comments</h3>
     * Comments from the requestor concerning the Quote.  These are automatically migrated from a received RFQ if there is one.
     */
    global String Requestor_Comment__c;
    /**
     * <h3>Requestor Deliver By Date</h3>
     * Deliver by date from the requestor concerning the Quote. These are automatically migrated from a received RFQ if there is one.
     */
    global Date Requestor_Deliver_By_Date__c;
    /**
     * <h3>Requestor Priority</h3>
     * The priority specified by the individual requesting the quote.  This is automatically populated from the received RFQ if there is one.
     */
    global String Requestor_Priority__c;
    /**
     * <h3>Requestor Quote By Date</h3>
     * Quote by date from the requestor concerning the quote. These are automatically migrated from a received RFQ if there is one.
     */
    global Date Requestor_Quote_By_Date__c;
    /**
     * <h3>Revision Number</h3>
     */
    global Decimal Revision_Number__c;
    /**
     * <h3>Sales Channel</h3>
     * Lead Generation Point
     */
    global String Sales_Channel__c;
    /**
     * <h3>Sales Order Date</h3>
     * The date and time that the Sales Order is created.
     */
    global Datetime Sales_Order_Date__c;
    /**
     * <h3>Sales Order</h3>
     * The Sales Order that was created based on this Quote.
     */
    global Id Sales_Order__c;
    /**
     * <h3>Sales Order</h3>
     * The Sales Order that was created based on this Quote.
     */
    global Sales_Order__c Sales_Order__r;
    /**
     * <h3>Sales Rep</h3>
     * The user who is responsible for this Quote.
     */
    global Id Sales_Rep__c;
    /**
     * <h3>Sales Rep</h3>
     * The user who is responsible for this Quote.
     */
    global User Sales_Rep__r;
    /**
     * <h3>About Customer</h3>
     */
    global String SCMQT__About_Customer__c;
    /**
     * <h3>Apex Job Id</h3>
     */
    global String SCMQT__Apex_Job_Id__c;
    /**
     * <h3>Batch Process Class Name</h3>
     */
    global String SCMQT__Batch_Process_Class_Name__c;
    /**
     * <h3>Batch Process Status</h3>
     */
    global String SCMQT__Batch_Process_Status__c;
    /**
     * <h3>Batch Process</h3>
     */
    global Id SCMQT__Batch_Process__c;
    /**
     * <h3>Batch Process</h3>
     */
    global SCMQT__fflib_BatchProcess__c SCMQT__Batch_Process__r;
    /**
     * <h3>Batch Status</h3>
     */
    global String SCMQT__Batch_Status__c;
    /**
     * <h3>Bottom Line Discount</h3>
     */
    global Currency SCMQT__Bottom_Line_Discount__c;
    global List<SCMQT__Customer_Quotation_Batch_Control_Log__c> SCMQT__Customer_Quotation_Batch_Control_Logs__r;
    /**
     * <h3>Executive Summary</h3>
     */
    global String SCMQT__Executive_Summary__c;
    /**
     * <h3>Inventory Attachment</h3>
     */
    global Id SCMQT__Inventory_Attachment__c;
    /**
     * <h3>Inventory Attachment</h3>
     */
    global Inventory_Attachment__c SCMQT__Inventory_Attachment__r;
    /**
     * <h3>Logo URL</h3>
     */
    global String SCMQT__Logo_URL__c;
    /**
     * <h3>Original Total Sell Price</h3>
     * Original total internal sell price before bottom line discount
     */
    global Currency SCMQT__Original_Total_Sell_Price__c;
    /**
     * <h3>Process Name</h3>
     */
    global String SCMQT__Process_Name__c;
    /**
     * <h3>Discount off List</h3>
     * This is really a rollup field but we are supporting it in a trigger
     */
    global Currency SCMQT__Summary_Discount__c;
    /**
     * <h3>Total Discount</h3>
     * Sum of the Discount Off List, Total Customer Rebate Discount and Bottom Line Discount fields
     */
    global Currency SCMQT__Total_Discount__c;
    /**
     * <h3>Total List Price</h3>
     * This is a roll up field that is calculated in a trigger
     */
    global Currency SCMQT__Total_List_Price__c;
    /**
     * <h3>Total Gross Profit</h3>
     */
    global Currency SCMQT__Total_NRC_Extended_Summary__c;
    /**
     * <h3>Total Item Cost</h3>
     * The NRC invoiced is used only for change request quotes to help the user understand about the service contract.
     */
    global Currency SCMQT__Total_NRC_Invoiced__c;
    /**
     * <h3>Total Quote</h3>
     */
    global Currency SCMQT__Total_Quote_Formula__c;
    /**
     * <h3>Scope Of Work</h3>
     */
    global String Scope_Of_Work__c;
    /**
     * <h3>Services Boilerplate</h3>
     */
    global String Services_Boilerplate__c;
    /**
     * <h3>Service Contract End Date</h3>
     */
    global Date Service_Contract_End_Date__c;
    /**
     * <h3>Service Contract First Bill Date</h3>
     */
    global Date Service_Contract_First_Bill_Date__c;
    /**
     * <h3>Service Contract Start Date</h3>
     */
    global Date Service_Contract_Start_Date__c;
    global List<Service_Order__c> Service_Orders1__r;
    global List<Service_Order__c> Service_Orders__r;
    /**
     * <h3>Service Contract</h3>
     */
    global Id Service_Order__c;
    /**
     * <h3>Service Contract</h3>
     */
    global Service_Order__c Service_Order__r;
    /**
     * <h3>Service Term</h3>
     */
    global Id Service_Term_Lookup__c;
    /**
     * <h3>Service Term</h3>
     */
    global Service_Term__c Service_Term_Lookup__r;
    /**
     * <h3>Service Term Number</h3>
     */
    global Decimal Service_Term_Number__c;
    /**
     * <h3>Service Term Value</h3>
     */
    global Currency Service_Term_Value__c;
    global SObjectType SObjectType;
    global List<Sourcing_to_Supplier_Association__c> Sourcing_to_Supplier_Associations__r;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Supplier Agreements</h3>
     * Select to find open Supplier Agreements for requisitioned Item
     */
    global Boolean Supplier_Agreements__c;
    /**
     * <h3>Sync Header Terms to Lines</h3>
     */
    global Boolean Sync_Header_Terms_to_Lines__c;
    /**
     * <h3>Sync internal and customer price?</h3>
     * When checked, the customer price will automatically be updated with the internal sell price on the customer quotation line.
     */
    global Boolean Sync_internal_and_customer_price__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Taxable?</h3>
     */
    global Boolean Taxable__c;
    /**
     * <h3>Tax Code</h3>
     */
    global Id Tax_Code__c;
    /**
     * <h3>Tax Code</h3>
     */
    global Tax_Code__c Tax_Code__r;
    /**
     * <h3>Tax Rate</h3>
     */
    global Decimal Tax_Rate__c;
    /**
     * <h3>Terms to be Billed</h3>
     * Terms to be billed. For example, if the contract is for 12 months and the Service Contract Start Date is September 1st and the the Service Contract First Bill date is November 1st, the number of terms to be billed will be 10.
     */
    global Decimal Terms_to_be_Billed__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Contract Cost</h3>
     */
    global Currency Total_Contract_Cost__c;
    /**
     * <h3>Total Contract Gross Percent</h3>
     */
    global Decimal Total_Contract_Gross_Percent__c;
    /**
     * <h3>Total Contract Gross Profit</h3>
     * The gross profit of the contract based on the number of terms to be billed.
     */
    global Currency Total_Contract_Gross_Profit__c;
    /**
     * <h3>Total Contract Value After Waived Terms</h3>
     * Total Contract Value minus Waived Term Fees.
     */
    global Currency Total_Contract_Value_After_Waived_Terms__c;
    /**
     * <h3>Total Cost</h3>
     * Total cost rolls up Extended Cost from Line
     */
    global Currency Total_Cost__c;
    /**
     * <h3>Total Customer Rebate Discount</h3>
     * Total customer rebate amount rolled up from the customer quotation line.
     */
    global Currency Total_Customer_Rebate_Discount__c;
    /**
     * <h3>Total Delta Cost</h3>
     * Change to the Total Cost of the contract when the change request is applied.
     */
    global Currency Total_Delta_Cost__c;
    /**
     * <h3>Total Delta Value</h3>
     * Change to the Total Contract Value of the contract when the change request is applied.
     */
    global Currency Total_Delta_Value__c;
    /**
     * <h3>Total Gross Percent with Rebate Discount</h3>
     * Percentage of gross profit from rebates
     */
    global Decimal Total_Gross_Percent_with_Rebate__c;
    /**
     * <h3>Total Gross Percent</h3>
     */
    global Decimal Total_Gross_Percent__c;
    /**
     * <h3>Total Gross Profit with Rebates</h3>
     * Total gross profit including rebates
     */
    global Currency Total_Gross_Profit_with_Rebates__c;
    /**
     * <h3>Total Gross Profit</h3>
     */
    global Currency Total_Gross_Profit__c;
    /**
     * <h3>Total Net Labor Cost</h3>
     */
    global Decimal Total_Net_Labor_Cost__c;
    /**
     * <h3>Total Net Material Cost</h3>
     */
    global Decimal Total_Net_Material_Cost__c;
    /**
     * <h3>Total NRC Discounted %</h3>
     * Total discounted percent for non recurring fees
     */
    global Decimal Total_NRC_Discounted_Percent__c;
    /**
     * <h3>Total NRC Discounted</h3>
     * Total discounted amount for non recurring fees
     */
    global Currency Total_NRC_Discounted__c;
    /**
     * <h3>Total NRC Extended After Discounts</h3>
     * Total non recurring fees after discounts
     */
    global Currency Total_NRC_Extended_After_Discounts__c;
    /**
     * <h3>Total NRC Extended</h3>
     * Total non recurring fees
     */
    global Currency Total_NRC_Extended__c;
    /**
     * <h3>Total NRC Invoiced</h3>
     * The non recurring fees invoiced
     */
    global Currency Total_NRC_Invoiced__c;
    /**
     * <h3>Total NRC Materials</h3>
     * Total non recurring fees for materials
     */
    global Currency Total_NRC_Materials__c;
    /**
     * <h3>Total NRC Options</h3>
     * Total non recurring fees for options
     */
    global Currency Total_NRC_Options__c;
    /**
     * <h3>Total NRC Time</h3>
     * Total non recurring fees for time
     */
    global Currency Total_NRC_Time__c;
    /**
     * <h3>Total Price Discount</h3>
     */
    global Currency Total_Price_Discount__c;
    /**
     * <h3>Total Price</h3>
     */
    global Currency Total_Price__c;
    /**
     * <h3>Total Quote After Rebate</h3>
     * Total price the customer pays after rebates.
     */
    global Currency Total_Quote_After_Rebate__c;
    /**
     * <h3>Total Cost</h3>
     */
    global Currency Total_Quote_Cost__c;
    /**
     * <h3>Total Quote Price</h3>
     * This is the total price of all the line items in the Quote
     */
    global Currency Total_Quote_Price__c;
    /**
     * <h3>Total RC Base Fees</h3>
     */
    global Currency Total_RC_Base_Fees__c;
    /**
     * <h3>Total RC Discounted %</h3>
     * Total discounted percent for recurring fees
     */
    global Decimal Total_RC_Discounted_Percent__c;
    /**
     * <h3>Total RC Discounted</h3>
     * Total discounted amount on recurring fees
     */
    global Currency Total_RC_Discounted__c;
    /**
     * <h3>Total RC Extended After Discounts</h3>
     * Total recurring fees after discounts
     */
    global Currency Total_RC_Extended_After_Discounts__c;
    /**
     * <h3>Total RC Extended</h3>
     * Total recurring fees
     */
    global Currency Total_RC_Extended__c;
    /**
     * <h3>Total RC Options</h3>
     */
    global Currency Total_RC_Options__c;
    /**
     * <h3>Total Service Term Value</h3>
     */
    global Currency Total_Service_Term_Value__c;
    /**
     * <h3>Total Contract Value</h3>
     * Total contract value for service contract quote
     */
    global Currency Total_Value__c;
    /**
     * <h3>Waived Term Fees</h3>
     * Total amount of waived contract fees. This is calculated by the Total Contract Value minus Total Contract Value after waived term fees.
     */
    global Currency Waived_Term_Fees__c;
    /**
     * <h3>Work Type</h3>
     */
    global String Work_Type__c;

    global Customer_Quotation__c()
    {
    }
}