// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Cycle Count Detail</h3>
 * This Object provides the details about the specific part and location to be counted. There can be multiple Cycle Count Details within a Cycle Count batch. All Perpetual and Financial record discrepancies are recorded in the cycle count detail. There are business intelligence reporting’s dependent on this object.
 */
global class /*SCMC__*/Cycle_Count_Detail__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Expected Inventory Value</h3>
     * The actual value of the inventory that the system knows about.
     */
    global Decimal Actual_Inventory_Value__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Actual Inventory Value</h3>
     * The financial value of the counted inventory.  If the count is greater than the actual that is in inventory, the additional parts are entered at 0 cost.
     */
    global Decimal Counted_Inventory_Value__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<Month_End_Inventory__c> CycleCount_Inventory_Positions__r;
    /**
     * <h3>Cycle Count</h3>
     * Details about a specific part to count and where to count it.  This is populated by a background process.
     */
    global Id Cycle_Count__c;
    /**
     * <h3>Cycle Count</h3>
     * Details about a specific part to count and where to count it.  This is populated by a background process.
     */
    global Cycle_Count__c Cycle_Count__r;
    /**
     * <h3>Discrepancy</h3>
     */
    global Decimal Discrepancy__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    /**
     * <h3>Financial Discrepancy</h3>
     */
    global Decimal Financial_Discrepancy__c;
    global ContentVersion FirstPublishLocation;
    global List<Cycle_Count_Detail__History> Histories;
    /**
     * <h3>ICP</h3>
     */
    global String ICP__c;
    /**
     * <h3>Inventory Location</h3>
     * Location that is to be counted.  If the Item master field is null, then all parts in the location must be counted.  This field is populated by a background process.
     */
    global Id Inventory_Location__c;
    /**
     * <h3>Inventory Location</h3>
     * Location that is to be counted.  If the Item master field is null, then all parts in the location must be counted.  This field is populated by a background process.
     */
    global Inventory_Location__c Inventory_Location__r;
    global List<Inventory_Position__c> Inventory_Positions__r;
    /**
     * <h3>Inventory_Quantity</h3>
     * The quantity that is recorded in the system.  This field is not visible to the user and it is only populated after a user has entered the count.  This is used to record count descrepancies.
     */
    global Decimal Inventory_Quantity__c;
    global List<Inventory_Transaction_Perpetual_Record__c> Inventory_Transaction_Perpetual_Records__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Description</h3>
     */
    global String Item_Description__c;
    /**
     * <h3>Item Master</h3>
     * The part that is being counted.  This field is populated by a background process.
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Master</h3>
     * The part that is being counted.  This field is populated by a background process.
     */
    global Item__c Item_Master__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Quantity</h3>
     * The count of the parts in this location.
     */
    global Decimal Quantity__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * The status of the current count detail.
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Warehouse</h3>
     */
    global String Warehouse__c;

    global Cycle_Count_Detail__c()
    {
    }
}