// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Cycle Count</h3>
 * This object supports the generation of the cycle-count-batch number which controls what Item/Location combinations are to be counted within the batch. Also provides the user with status of the batch in terms of being counted or confirmed and tracks the completion of each item count within the batch. For any one specific cycle count, there may be one or multiple items and/or one or multiple locations to be counted. There are business intelligences dependent on this object.
 */
global class /*SCMC__*/Cycle_Count__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Actual Batch Count</h3>
     * This is the sum of all item counts in a specific Cycle Count Batch that were actually confirmed.
     */
    global Decimal Actual_Batch_Count__c;
    /**
     * <h3>Actual Valuation</h3>
     * This is the fiscal valuation sum of all items in a specific Cycle Count Batch that were actually confirmed.
     */
    global Decimal Actual_Valuation__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Batch Discrepancy</h3>
     * The count discrepancy for the cycle count batch.
     */
    global Decimal Batch_Discrepancy__c;
    /**
     * <h3>Batch Financial Discrepancy</h3>
     */
    global Currency Batch_Financial_Discrepancy__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Count Accuracy</h3>
     * This is a calculation between the Expected Batch Count and the Actual Batch Count to provide the accuracy level achieved in performing a cycle count batch from a count perspective.
     */
    global Decimal Count_Accuracy__c;
    /**
     * <h3>Count Status</h3>
     */
    global String Count_Status__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<Cycle_Count_Detail__c> Cycle_Count_Details__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Expected Batch Count</h3>
     * This is the sum of all item counts in a specific Cycle Count Batch that were expected to be confirmed.
     */
    global Decimal Expected_Batch_Count__c;
    /**
     * <h3>Expected Valuation</h3>
     * This is the fiscal valuation sum of all items in a specific Cycle Count Batch that were expected to be confirmed.
     */
    global Decimal Expected_Valuation__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    /**
     * <h3>Financial Accuracy</h3>
     * This is a calculation between the Expected Valuation and the Actual Valuation to provide the accuracy level achieved in performing a cycle count batch from a financial perspective.
     */
    global Decimal Financial_Accuracy__c;
    global ContentVersion FirstPublishLocation;
    global List<Cycle_Count__History> Histories;
    /**
     * <h3>ICP</h3>
     */
    global String ICP__c;
    global List<Inventory_Action_Queue__c> Inventory_Actions_Queue__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Locations Counted</h3>
     * This is the number of item locations within the batch that have been counted.
     */
    global Decimal Item_Locations_Counted__c;
    /**
     * <h3>Item Locations To Count</h3>
     * This is the number of item locations to count in the batch.
     */
    global Decimal Item_Locations_To_Count__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Type</h3>
     * The type of cycle count requested.  A manual item request or an automated requested causes the date of the last cycle count to be updated.
     */
    global String Type__c;
    /**
     * <h3>Warehouse</h3>
     * Specific warehouse or stockroom within an ICP
     */
    global Id Warehouse__c;
    /**
     * <h3>Warehouse</h3>
     * Specific warehouse or stockroom within an ICP
     */
    global Warehouse__c Warehouse__r;

    global Cycle_Count__c()
    {
    }
}