// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Exchange Order</h3>
 * This object supports the Exchange type Purchase and Sales Order management business process. Its role is to monitor contract status that must be adhered to such as returning goods to a supplier or customer sales when required. This object describes the items that are either owed to a supplier or customer. Future releases will leverage this object to manage Borrow and Loan transactions. There are workflow, attachments, and business intelligences dependent on this object.
 */
global class /*SCMC__*/Exchange_Order__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Advance Core Receipt?</h3>
     * Specifies if core must be received before the new part can be shipped.
     */
    global Boolean Advance_Core_Receipt__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Core Return Date</h3>
     * The date the Core is expected to be returned
     */
    global Date Core_Return_Date__c;
    /**
     * <h3>Core Return Warehouse</h3>
     * The warehouse where the core is to be returned.
     */
    global Id Core_Return_Warehouse__c;
    /**
     * <h3>Core Return Warehouse</h3>
     * The warehouse where the core is to be returned.
     */
    global Warehouse__c Core_Return_Warehouse__r;
    /**
     * <h3>Core Valuation</h3>
     * The Value of the core and expected charges if core is not returned
     */
    global Currency Core_Valuation__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Exchange_Order__History> Histories;
    /**
     * <h3>Incoming Item Number</h3>
     * The expected incoming Item Number on an exchange. This is supplied by the sales person or the buyer and it is not necessarily accurate.
     */
    global String Incoming_Item_Number__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Outgoing Item Number</h3>
     * This is the Item Number that is being delivered to a Customer or Returned to the Supplier depending on if this transaction is a Sale or a Procurement
     */
    global Id Outgoing_Item_Number__c;
    /**
     * <h3>Outgoing Item Number</h3>
     * This is the Item Number that is being delivered to a Customer or Returned to the Supplier depending on if this transaction is a Sale or a Procurement
     */
    global Item__c Outgoing_Item_Number__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Purchase Order Line Item</h3>
     */
    global Id Purchase_Order_Line_Item__c;
    /**
     * <h3>Purchase Order Line Item</h3>
     */
    global Purchase_Order_Line_Item__c Purchase_Order_Line_Item__r;
    /**
     * <h3>Quantity Received</h3>
     */
    global Decimal Quantity_Received__c;
    global List<Receipt__c> Receipts__r;
    /**
     * <h3>Received Item Number</h3>
     * This is the Item Number that is being received from a   Supplier or Returned from a Customer depending on whether this transaction is a Procurement or a Sale.  This field is completed at receipt time to confirm the part number before it goes into inventory
     */
    global Id Received_Item_Number__c;
    /**
     * <h3>Received Item Number</h3>
     * This is the Item Number that is being received from a   Supplier or Returned from a Customer depending on whether this transaction is a Procurement or a Sale.  This field is completed at receipt time to confirm the part number before it goes into inventory
     */
    global Item__c Received_Item_Number__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Sales Order Line Item</h3>
     */
    global Id Sales_Order_Line_Item__c;
    /**
     * <h3>Sales Order Line Item</h3>
     */
    global Sales_Order_Line_Item__c Sales_Order_Line_Item__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status Change Date</h3>
     * The date and time when the status changed.
     */
    global Datetime Status_Change_Date__c;
    /**
     * <h3>Status</h3>
     * The status of the exchange order.
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;

    global Exchange_Order__c()
    {
    }
}