// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Inventory Action Queue</h3>
 * This Object describes the actions that must be performed on inventory Items that are stored within a warehouse bin location. This object supports inventory management business processes such as putting parts away (locate parts), cycle counting, consignment, hold status, and shelf life processes. It also supports Inventory consumption business processes such as fulfilling a customer sales order. In addition, there are workflows and business intelligences dependent on this object.
 */
global class /*SCMC__*/Inventory_Action_Queue__c extends SObject 
{
    /**
     * <h3>Action</h3>
     */
    global String Action__c;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Cycle Count</h3>
     * List of parts/locations to be counted. This is populated by a background process.
     */
    global Id Cycle_Count__c;
    /**
     * <h3>Cycle Count</h3>
     * List of parts/locations to be counted. This is populated by a background process.
     */
    global Cycle_Count__c Cycle_Count__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Inventory_Action_Queue__History> Histories;
    /**
     * <h3>Inventory Position</h3>
     * The specific inventory position that must be acted upon.
     */
    global Id Inventory_Position__c;
    /**
     * <h3>Inventory Position</h3>
     * The specific inventory position that must be acted upon.
     */
    global Inventory_Position__c Inventory_Position__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Picklist</h3>
     * A picklist is a set of inventory positions that need to be acted on at the same time.  This field references the picklist.
     */
    global Id Picklist__c;
    /**
     * <h3>Picklist</h3>
     * A picklist is a set of inventory positions that need to be acted on at the same time.  This field references the picklist.
     */
    global Picklist__c Picklist__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * The status of the action in the queue.
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Warehouse</h3>
     */
    global String Warehouse__c;

    global Inventory_Action_Queue__c()
    {
    }
}