// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Inventory Position</h3>
 * This Object describes the Items that are stored within a warehouse bin location. This object supports inventory management business processes such as cycle counting, consignment, hold status, and shelf life processes. It also supports Inventory consumption business processes such as fulfilling a customer sales order. There are workflow, attachments, and business intelligences dependent on this object.
 */
global class /*SCMC__*/Inventory_Position__c extends SObject 
{
    /**
     * <h3>Acquisition Cost</h3>
     * Cost for the item from the actual acquisition (PO,Misc receipt)
     */
    global Decimal Acquisition_Cost__c;
    /**
     * <h3>Acquisition Currency</h3>
     * The currency the part was acquired in
     */
    global Id Acquisition_Currency__c;
    /**
     * <h3>Acquisition Currency</h3>
     * The currency the part was acquired in
     */
    global Currency_Master__c Acquisition_Currency__r;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Adjustment Cost</h3>
     * This fields displays the delta between the initial inventory position value and any adjustments made to the current value.
     */
    global Decimal Adjustment_Cost__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Availability Code</h3>
     * The availability code indicates specifics about whether the item inventory is available to be used, sold, or lent.
     */
    global String Availability_Code__c;
    /**
     * <h3>Availability</h3>
     * Indicates whether the inventory is available for use.
     */
    global Boolean Availability__c;
    /**
     * <h3>Inventory Location</h3>
     * The location of the item in inventory.
     */
    global Id Bin__c;
    /**
     * <h3>Inventory Location</h3>
     * The location of the item in inventory.
     */
    global Inventory_Location__c Bin__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Condition</h3>
     * This information helps describe the condition of the item (e.g., item is serviceable or new).
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * This information helps describe the condition of the item (e.g., item is serviceable or new).
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>CSN</h3>
     * The number of cycles the part has on it since the part was new.
     */
    global String CSN__c;
    /**
     * <h3>CSO</h3>
     * Cycles since last overhaul.
     */
    global String CSO__c;
    /**
     * <h3>CSR</h3>
     * The number of cycles the part has on it since the part was removed.
     */
    global String CSR__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Current Value</h3>
     * The current value of the item in inventory.
     */
    global Decimal Current_Value__c;
    /**
     * <h3>Cycle Count Detail</h3>
     * This field is populated when this inventory position is scheduled to be cycle counted. When the cycle count is confirmed the reference is removed. This provides visibility to current inventory and also prevents double scheduling a specific item for cycle count.
     */
    global Id Cycle_Count_Detail__c;
    /**
     * <h3>Cycle Count Detail</h3>
     * This field is populated when this inventory position is scheduled to be cycle counted. When the cycle count is confirmed the reference is removed. This provides visibility to current inventory and also prevents double scheduling a specific item for cycle count.
     */
    global Cycle_Count_Detail__c Cycle_Count_Detail__r;
    /**
     * <h3>Cycle Count Status</h3>
     * If the inventory position is included in a cycle count batch, this status indicates, based on the count, whether this position should be added to or removed from inventory. This is here mainly to support parts that are under serial, lot, or shelf life control. This is set by a background process.
     */
    global String Cycle_Count_Status__c;
    /**
     * <h3>Date Placed in Inventory</h3>
     * The date the item was placed in inventory.  This date should be used instead of date created to determine first in for allocation.  The split on the inventory position resets created date.  Receiving and miscellaneous receipt set this date and time.
     */
    global Datetime Date_Placed_in_Inventory__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Inventory_Position__History> Histories;
    /**
     * <h3>ICP Acquisition Cost</h3>
     * The unit cost to acquire in the currency that is used for the ICP.
     */
    global Decimal ICP_Acquisition_Cost__c;
    /**
     * <h3>ICP Currency</h3>
     * The currency used to hold the inventory in the specific ICP.
     */
    global Id ICP_Currency__c;
    /**
     * <h3>ICP Currency</h3>
     * The currency used to hold the inventory in the specific ICP.
     */
    global Currency_Master__c ICP_Currency__r;
    global List<ILSMART_Listing__c> ILSMartListing__r;
    /**
     * <h3>ILS Eligible</h3>
     * The part in inventory is eligible for listing on ILS
     */
    global Boolean ILS_Eligible__c;
    /**
     * <h3>Internal Repair Cost</h3>
     */
    global Decimal Internal_Repair_Cost__c;
    global List<Inventory_Action_Queue__c> Inventory_Action_Queue__r;
    /**
     * <h3>Inventory Attachment</h3>
     */
    global Id Inventory_Attachment__c;
    /**
     * <h3>Inventory Attachment</h3>
     */
    global Inventory_Attachment__c Inventory_Attachment__r;
    global List<Inventory_Transaction_Perpetual_Record__c> Inventory_Transaction_Perpetual_Records__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Description</h3>
     * Item description
     */
    global String Item_Description__c;
    /**
     * <h3>Item Master</h3>
     * The item number for the part in inventory.
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Master</h3>
     * The item number for the part in inventory.
     */
    global Item__c Item_Master__r;
    /**
     * <h3>Item Serial Number</h3>
     * The serial number of the item in inventory.  This replaces the serial number field that was originally on the inventory position - it was too short.
     */
    global String Item_Serial_Number__c;
    /**
     * <h3>Item Warehouse</h3>
     * This field is added to the inventory position so that the lookup on the action queue can be a dependent filter.  Specifically for put away, only locations within the current warehouse can be selected.
     */
    global Id Item_Warehouse__c;
    /**
     * <h3>Item Warehouse</h3>
     * This field is added to the inventory position so that the lookup on the action queue can be a dependent filter.  Specifically for put away, only locations within the current warehouse can be selected.
     */
    global Warehouse__c Item_Warehouse__r;
    /**
     * <h3>Labor Cost</h3>
     * The labor cost  for this item per unit.
     */
    global Decimal Labor_Cost__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Last Cycle Count Performed</h3>
     * This date is added as a result of a cycle count confirmation record being generated and is the basis for calculating the next due automated request cycle count
     */
    global Date Last_Cycle_Count_Performed__c;
    /**
     * <h3>Listed Date</h3>
     * The date and time the inventory position was listed on ILSMart.  This field is not set by a user.
     */
    global Datetime Listed_Date__c;
    /**
     * <h3>Listed on ILS?</h3>
     * This inventory position is listed on ILSMart if this field is checked/true. This field is not set by the user.
     */
    global Boolean Listed_on_ILS__c;
    /**
     * <h3>List on ILS</h3>
     * Checking this causes an ILSMart_Listing object to be created. Un-Checking it causes the entry in ILSMart Listing to be reduced.
     */
    global Boolean List_on_ILS__c;
    /**
     * <h3>List Type</h3>
     * The listing type associated with this inventory position when this item is listed.  This is set by software only
     */
    global String List_Type__c;
    /**
     * <h3>Location</h3>
     * ICP and Warehose
     */
    global String Location__c;
    /**
     * <h3>Logistics Cost</h3>
     */
    global Decimal Logistics_Cost__c;
    /**
     * <h3>Logistics Purchase Order Line Item</h3>
     */
    global Id Logistics_Purchase_Order_Line_Item__c;
    /**
     * <h3>Logistics Purchase Order Line Item</h3>
     */
    global Purchase_Order_Line_Item__c Logistics_Purchase_Order_Line_Item__r;
    /**
     * <h3>Lot Number</h3>
     * The lot number for the part(s) in inventory.  The lot number must be specified if the part is defined to be a lot controled part.
     */
    global String Lot_Number__c;
    /**
     * <h3>Manufacturer CAGE</h3>
     * Commercial And Government Entity (CAGE) code is a five-character ID number that identifies government contractors.
     */
    global String Manufacturer_CAGE__c;
    /**
     * <h3>Manufacturer</h3>
     * Manufacturer of Item
     */
    global Id Manufacturer__c;
    /**
     * <h3>Manufacturer</h3>
     * Manufacturer of Item
     */
    global Manufacturer__c Manufacturer__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Owned By</h3>
     * The field indicates who owns the part.  This will eventually be a lookup field
     */
    global String Owned_By__c;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Ownership Code</h3>
     * This information helps describe the Ownership of the item (i.e., item owned by a certain Supplier or Customer)
     */
    global Id Ownership_Code__c;
    /**
     * <h3>Ownership Code</h3>
     * This information helps describe the Ownership of the item (i.e., item owned by a certain Supplier or Customer)
     */
    global Ownership_Code__c Ownership_Code__r;
    global FeedComment Parent;
    global List<Pick_list_Detail__c> Pick_List_Details__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Production Order Line</h3>
     * Production order line to which this is allocated.
     */
    global Id Production_Order_Line__c;
    /**
     * <h3>Production Order Line</h3>
     * Production order line to which this is allocated.
     */
    global Production_Order_Line__c Production_Order_Line__r;
    /**
     * <h3>Production Order</h3>
     * This refers to the production order that created this item.
     */
    global Id Production_Order__c;
    /**
     * <h3>Production Order</h3>
     * This refers to the production order that created this item.
     */
    global Production_Order__c Production_Order__r;
    /**
     * <h3>Purchase Order Line Item</h3>
     * The purchase order line item the parts are allocated to.  This field contains data only if the part(s) are allocated to a purchase order.  This is usually for outside service.
     */
    global Id Purchase_Order_Line_Item__c;
    /**
     * <h3>Purchase Order Line Item</h3>
     * The purchase order line item the parts are allocated to.  This field contains data only if the part(s) are allocated to a purchase order.  This is usually for outside service.
     */
    global Purchase_Order_Line_Item__c Purchase_Order_Line_Item__r;
    /**
     * <h3>Quantity Allocated</h3>
     * The quantity that has been reserved to fill a Purchase, Sales, or Transfer Order
     */
    global Decimal Quantity_Allocated__c;
    /**
     * <h3>Quantity in Transit</h3>
     */
    global Decimal Quantity_in_Transit__c;
    /**
     * <h3>Quantity Stored</h3>
     * The quantity of the part in the specific location
     */
    global Decimal Quantity__c;
    /**
     * <h3>Receipt Line</h3>
     * The receipt line that this inventory was received on
     */
    global Id Receipt_Line__c;
    /**
     * <h3>Receipt Line</h3>
     * The receipt line that this inventory was received on
     */
    global Receipt_Line__c Receipt_Line__r;
    /**
     * <h3>Receiving Inspection</h3>
     * Receiving Inspection associated with the parts in this inventory position entry.  This field is null for parts that do not require inspection.
     */
    global Id Receiving_Inspection__c;
    /**
     * <h3>Receiving Inspection</h3>
     * Receiving Inspection associated with the parts in this inventory position entry.  This field is null for parts that do not require inspection.
     */
    global Receiving_Inspection__c Receiving_Inspection__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Net Change in Value</h3>
     */
    global Decimal Repair_Cost__c;
    /**
     * <h3>Reserve Price</h3>
     * The minimum price at which a seller is willing to sell an item. Reservation prices are commonly used in auctions.
     */
    global Currency Reserve_Price__c;
    /**
     * <h3>Revision Level</h3>
     * Engineering control revision of part in inventory
     */
    global String Revision_Level__c;
    /**
     * <h3>Sales Order Line Item</h3>
     * If inventory position is allocated to a sales order, this references the line item the allocation is for.
     */
    global Id Sales_Order_Line_Item__c;
    /**
     * <h3>Sales Order Line Item</h3>
     * If inventory position is allocated to a sales order, this references the line item the allocation is for.
     */
    global Sales_Order_Line_Item__c Sales_Order_Line_Item__r;
    /**
     * <h3>Sale Price</h3>
     * The price that the inventory part is sold for.
     */
    global Decimal Sale_Price__c;
    /**
     * <h3>Serial Number Lookup</h3>
     */
    global Id Serial_Number_Lookup__c;
    /**
     * <h3>Serial Number Lookup</h3>
     */
    global Serial_Number__c Serial_Number_Lookup__r;
    /**
     * <h3>Serial Number Obsolete</h3>
     * The serial number for the part.  It must be present if the part is serialized (defined in the Item Master) This is obsolete because the length is a mismatch to the other objects in the system.
     */
    global String Serial_Number__c;
    /**
     * <h3>Service Cost</h3>
     * The field is incremented whenever a service type purchase order is received into the system.  The receipt of the service PO updates the current value of the item as well as this attribute.
     */
    global Decimal Service_Cost__c;
    /**
     * <h3>Shelf Life Expiration</h3>
     * Shelf life is the time that items can be stored, during which the defined quality of a specified proportion of the item remains acceptable under expected (or specified) conditions of distribution and storage.
     */
    global Datetime Shelf_Life_Expiration__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Acquisition Cost</h3>
     */
    global Currency Total_Acquisition_Cost__c;
    /**
     * <h3>Total Current Value</h3>
     */
    global Currency Total_Current_Value__c;
    global List<Transfer_Request_Line__c> Transfer_Request_Lines__r;
    /**
     * <h3>Transfer Request Line</h3>
     */
    global Id Transfer_Request_Line__c;
    /**
     * <h3>Transfer Request Line</h3>
     */
    global Transfer_Request_Line__c Transfer_Request_Line__r;
    /**
     * <h3>TSN</h3>
     * Time since the part was new.  This is hours and tenths or minutes
     */
    global String TSN__c;
    /**
     * <h3>TSO</h3>
     * Time since last overhaul.
     */
    global String TSO__c;
    /**
     * <h3>TSR</h3>
     * Time since the part was removed.  This is hours and tenths or minutes.
     */
    global String TSR__c;
    /**
     * <h3>Warehouse</h3>
     * This is an internal field only and is used to facilitate summarizing inventory by warehouse.  The field is automatically populated.
     */
    global String Warehouse__c;

    global Inventory_Position__c()
    {
    }
}