// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Inventory Transaction Perpetual Record</h3>
 * This Object describes the transactions related to acquiring, managing, and selling inventory items. This includes the who, what, when, where, and why specific transactions occurred. In addition, this will enable users to review the history of the perpetual inventory positions.
 */
global class /*SCMC__*/Inventory_Transaction_Perpetual_Record__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Comment</h3>
     * A comment field that is entered by a user for certain inventory transactions.
     */
    global String Comment__c;
    /**
     * <h3>Condition</h3>
     * The condition code associated with the parts involved in the transaction. The location balances include all parts regardless of the condition code.
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * The condition code associated with the parts involved in the transaction. The location balances include all parts regardless of the condition code.
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>CSN</h3>
     * Cycles since New
     */
    global String CSN__c;
    /**
     * <h3>CSO</h3>
     * Cycles since overhaul.
     */
    global String CSO__c;
    /**
     * <h3>CSR</h3>
     * Cycles since removal.
     */
    global String CSR__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Cycle Count Detail</h3>
     * The cycle count detail record that caused this cycle count transaction record to be written.
     */
    global Id Cycle_Count_Detail__c;
    /**
     * <h3>Cycle Count Detail</h3>
     * The cycle count detail record that caused this cycle count transaction record to be written.
     */
    global Cycle_Count_Detail__c Cycle_Count_Detail__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Expiry Date</h3>
     * The date and time when the item can no longer be used.
     */
    global Datetime Expiry_Date__c;
    /**
     * <h3>Export Error</h3>
     * Error that occurred during the GL transaction export process.
     */
    global String Export_Error__c;
    /**
     * <h3>Export Status</h3>
     * The status of the export of this transaction.
     */
    global String Export_Status__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Foreign Transaction Number</h3>
     */
    global String Foreign_Transaction_Number__c;
    global List<Inventory_Transaction_Perpetual_Record__History> Histories;
    /**
     * <h3>ICP</h3>
     */
    global String ICP__c;
    /**
     * <h3>Inventory Location</h3>
     */
    global Id Inventory_Location__c;
    /**
     * <h3>Inventory Location</h3>
     */
    global Inventory_Location__c Inventory_Location__r;
    /**
     * <h3>Inventory Position</h3>
     */
    global Id Inventory_Position__c;
    /**
     * <h3>Inventory Position</h3>
     */
    global Inventory_Position__c Inventory_Position__r;
    /**
     * <h3>Inventory Transactions</h3>
     */
    global String Inventory_Transactions__c;
    global List<Inventory_Transaction_Financial_Records__c> Inventory_Transaction_Financial_Records__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Master</h3>
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Master</h3>
     */
    global Item__c Item_Master__r;
    /**
     * <h3>Item Serial Number</h3>
     * The serial number of the item being referenced.  This replaces the original serial number field since the length of the original is too short
     */
    global String Item_Serial_Number__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Lot Number</h3>
     */
    global String Lot_Number__c;
    global String Name;
    /**
     * <h3>New Location Balance</h3>
     * The balance in the location after the transaction.
     */
    global Decimal New_Location_Balance__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Old Location Balance</h3>
     * The number of parts in the location before the transaction.
     */
    global Decimal Old_Location_Balance__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Owned By</h3>
     * The owner of the inventory.  This is valid only with appropriate Ownership Code
     */
    global String Owned_By__c;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Ownership Code</h3>
     * A reference to the ownership code associated with the inventory referenced on this perpetual record.
     */
    global Id Ownership_Code__c;
    /**
     * <h3>Ownership Code</h3>
     * A reference to the ownership code associated with the inventory referenced on this perpetual record.
     */
    global Ownership_Code__c Ownership_Code__r;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Production Order Line</h3>
     * The production order line associated with this transaction.
     */
    global Id Production_Order_Line__c;
    /**
     * <h3>Production Order Line</h3>
     * The production order line associated with this transaction.
     */
    global Production_Order_Line__c Production_Order_Line__r;
    /**
     * <h3>Production Order</h3>
     * The production order associated with this transaction. Used for completion of production order.
     */
    global Id Production_Order__c;
    /**
     * <h3>Production Order</h3>
     * The production order associated with this transaction. Used for completion of production order.
     */
    global Production_Order__c Production_Order__r;
    /**
     * <h3>Purchase Order Line Item</h3>
     * This refers to a purchase order line where parts are being shipped out for some sort of outside service.
     */
    global Id Purchase_Order_Line_Item__c;
    /**
     * <h3>Purchase Order Line Item</h3>
     * This refers to a purchase order line where parts are being shipped out for some sort of outside service.
     */
    global Purchase_Order_Line_Item__c Purchase_Order_Line_Item__r;
    /**
     * <h3>Purchase Order Line Total Cost</h3>
     */
    global Currency Purchase_Order_Line_Total_Cost__c;
    /**
     * <h3>Quantity</h3>
     */
    global Decimal Quantity__c;
    /**
     * <h3>Reason Code</h3>
     */
    global Id Reason_Code__c;
    /**
     * <h3>Reason Code</h3>
     */
    global Reason_Code__c Reason_Code__r;
    /**
     * <h3>Receipt Line</h3>
     * The receipt line that is associated with this specific inventory transaction
     */
    global Id Receipt_Line__c;
    /**
     * <h3>Receipt Line</h3>
     * The receipt line that is associated with this specific inventory transaction
     */
    global Receipt_Line__c Receipt_Line__r;
    /**
     * <h3>Receiving Inspection</h3>
     * This is a reference to the receiving inspection record associated with the part referenced in this record.
     */
    global Id Receiving_Inspection__c;
    /**
     * <h3>Receiving Inspection</h3>
     * This is a reference to the receiving inspection record associated with the part referenced in this record.
     */
    global Receiving_Inspection__c Receiving_Inspection__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Sales Order Line Item</h3>
     */
    global Id Sales_Order_Line_Item__c;
    /**
     * <h3>Sales Order Line Item</h3>
     */
    global Sales_Order_Line_Item__c Sales_Order_Line_Item__r;
    /**
     * <h3>Serial Number Obsolete</h3>
     * This is obsolete because the length is too short.  Use Item Serial Number instead.
     */
    global String Serial_Number__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Transfer Request Line</h3>
     */
    global Id Transfer_Request_Line__c;
    /**
     * <h3>Transfer Request Line</h3>
     */
    global Transfer_Request_Line__c Transfer_Request_Line__r;
    /**
     * <h3>TSN</h3>
     * Time since new.  Time is in hours and tenths or minutes.
     */
    global String TSN__c;
    /**
     * <h3>TSO</h3>
     * Time since overhaul.
     */
    global String TSO__c;
    /**
     * <h3>TSR</h3>
     * Time since removal.
     */
    global String TSR__c;
    /**
     * <h3>Unit of Measure</h3>
     */
    global Id Unit_of_Measure__c;
    /**
     * <h3>Unit of Measure</h3>
     */
    global Unit_of_Measure__c Unit_of_Measure__r;
    /**
     * <h3>Warehouse</h3>
     */
    global String Warehouse__c;

    global Inventory_Transaction_Perpetual_Record__c()
    {
    }
}