// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Invoice Line Item</h3>
 * This Object describes an Invoice Line Item which describes the details of a request for payment between a company and their Customer for delivery of goods (e.g., parts) or services and is subject to a formal process of control. This object supports business processes such as Inventory consumption business processes such as fulfilling a customer sales order. In addition there are workflows and business intelligences dependent on this object. This information is used in Sales, Inventory Management, Quality, and Finance processes.
 */
global class /*SCMC__*/Invoice_Line_Item__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<Additional_Charge__c> Additional_Charges__r;
    /**
     * <h3>Additional Charge</h3>
     */
    global Id Additional_Charge__c;
    /**
     * <h3>Additional Charge</h3>
     */
    global Additional_Charge__c Additional_Charge__r;
    /**
     * <h3>Amount Description</h3>
     * A description of the line item amount.  This is valid only for non-item related lines.
     */
    global String Amount_Description__c;
    /**
     * <h3>Amount</h3>
     * Amount that is associated with a non-item line on the invoice.  This field is used only for non-item type invoice lines.
     */
    global Currency Amount__c;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total amount of qualifying rebate for the invoice line item.
     */
    global Currency Applied_Rebate_Amount__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Change Description</h3>
     * The change request line modification on which this invoice line is based. The value can be Modified Fees, Modified Quantity, Modified Quantity and Fees, New Line Added or Canceled Line.
     */
    global String Change_Description__c;
    /**
     * <h3>Change Request Line</h3>
     */
    global Id Change_Request_Line__c;
    /**
     * <h3>Change Request Line</h3>
     */
    global Change_Request_Line__c Change_Request_Line__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Condition Code</h3>
     */
    global String Condition_Code_Name__c;
    /**
     * <h3>Condition Code</h3>
     * This field is not being set or used for anything.
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition Code</h3>
     * This field is not being set or used for anything.
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global List<Credit_Invoice_Line__c> Credit_Invoice_Lines__r;
    /**
     * <h3>CSN</h3>
     */
    global String CSN__c;
    /**
     * <h3>CSO</h3>
     */
    global String CSO__c;
    /**
     * <h3>CSR</h3>
     */
    global String CSR__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Current Value</h3>
     * The current value of the item in inventory.
     */
    global Decimal Current_Value__c;
    /**
     * <h3>Customer Rebate Discount</h3>
     * Rebate Amount Applied to Customer Price
     */
    global Currency Customer_Rebate_Discount__c;
    /**
     * <h3>Delivery Method</h3>
     */
    global String Delivery_Method__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Extended Price</h3>
     */
    global Currency Extended_Price__c;
    /**
     * <h3>Extend Price After Rebate Discount</h3>
     * Total price the customer pays after rebates.
     */
    global Currency Extend_Price_After_Rebate_Discount__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Serial Number</h3>
     * The serial number of the item.
     */
    global String Good_Serial_Number__c;
    global List<Invoice_Line_Item__History> Histories;
    /**
     * <h3>Inventory Attachment</h3>
     */
    global Id Inventory_Attachment__c;
    /**
     * <h3>Inventory Attachment</h3>
     */
    global Inventory_Attachment__c Inventory_Attachment__r;
    /**
     * <h3>Invoicing</h3>
     * This Object describes an Invoice which is a request for payment between a company and their Customer for delivery of goods (e.g., parts) or services and is subject to a formal process of control. This object supports business processes such as Inventory consumption business processes such as fulfilling a customer sales order. In addition, there are workflows and business intelligences dependent on this object. This information is used in Sales, Inventory Management, Quality, and Finance processes
     */
    global Id Invoicing__c;
    /**
     * <h3>Invoicing</h3>
     * This Object describes an Invoice which is a request for payment between a company and their Customer for delivery of goods (e.g., parts) or services and is subject to a formal process of control. This object supports business processes such as Inventory consumption business processes such as fulfilling a customer sales order. In addition, there are workflows and business intelligences dependent on this object. This information is used in Sales, Inventory Management, Quality, and Finance processes
     */
    global Invoicing__c Invoicing__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Description</h3>
     */
    global String Item_Description__c;
    /**
     * <h3>Item Name</h3>
     */
    global String Item_Name_Formula__c;
    /**
     * <h3>Item Number</h3>
     */
    global String Item_Number__c;
    /**
     * <h3>Item</h3>
     * The item being referenced on this invoice line - a separate field is added to support adding new line items at the invoice stage - this is freight, handling etc.  We need to look at this and tighten it up.
     */
    global Id Item__c;
    /**
     * <h3>Item</h3>
     * The item being referenced on this invoice line - a separate field is added to support adding new line items at the invoice stage - this is freight, handling etc.  We need to look at this and tighten it up.
     */
    global Item__c Item__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>LineType</h3>
     */
    global String LineType__c;
    /**
     * <h3>Lot Number</h3>
     * The lot number for the part(s) in inventory.  The lot number must be specified if the part is defined to be a lot controled part.
     */
    global String Lot_Number__c;
    /**
     * <h3>Manufacturer CAGE</h3>
     * Commercial And Government Entity (CAGE) code is a five-character ID number that identifies government contractors.
     */
    global String Manufacturer_CAGE__c;
    /**
     * <h3>Manufacturer</h3>
     * Manufacturer of item
     */
    global Id Manufacturer__c;
    /**
     * <h3>Manufacturer</h3>
     * Manufacturer of item
     */
    global Manufacturer__c Manufacturer__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global List<Option_Item__c> Option_Items__r;
    /**
     * <h3>Option Price Per Unit</h3>
     */
    global Currency Option_Price_Per_Unit__c;
    global FeedComment Parent;
    /**
     * <h3>Pick-list Details</h3>
     */
    global Id Pick_list_Details__c;
    /**
     * <h3>Pick-list Details</h3>
     */
    global Pick_list_Detail__c Pick_list_Details__r;
    /**
     * <h3>Price With Options</h3>
     */
    global Currency Price_With_Options__c;
    /**
     * <h3>Price</h3>
     */
    global Currency Price__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Quantity</h3>
     * The quantity of the specific part shipped.
     */
    global Decimal Quantity__c;
    global List<Rebate_Applied__c> Rebates_Applied__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Sales Order Line Item</h3>
     */
    global Id Sales_Order_Line_Item__c;
    /**
     * <h3>Sales Order Line Item</h3>
     */
    global Sales_Order_Line_Item__c Sales_Order_Line_Item__r;
    /**
     * <h3>Serial Numbers</h3>
     * A block of serial numbers instead of individual numbers.  Use this if there are a large number of serial numbers to be added.  The Serial number link to the serial number object is preferred.
     */
    global String Serial_Numbers__c;
    global List<Serial_Number__c> Serial_Numbers__r;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Id Service_Contract_Line__c;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Service_Order_Line__c Service_Contract_Line__r;
    /**
     * <h3>Ship-to City</h3>
     */
    global String Ship_to_City__c;
    /**
     * <h3>Ship-to Country</h3>
     */
    global String Ship_to_Country__c;
    /**
     * <h3>Ship-to State / Province</h3>
     */
    global String Ship_to_State_Province__c;
    /**
     * <h3>Ship-to Street 2</h3>
     */
    global String Ship_to_Street_2__c;
    /**
     * <h3>Ship-to Street</h3>
     */
    global String Ship_to_Street__c;
    /**
     * <h3>Ship-to Zip / Postal Code</h3>
     */
    global String Ship_to_Zip_Postal_Code__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Taxable</h3>
     */
    global Boolean Taxable__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>TSN</h3>
     */
    global String TSN__c;
    /**
     * <h3>TSO</h3>
     */
    global String TSO__c;
    /**
     * <h3>TSR</h3>
     */
    global String TSR__c;
    /**
     * <h3>Unit Price</h3>
     * Selling price for one UOM
     */
    global Currency Unit_Price__c;
    /**
     * <h3>Warehouse</h3>
     * The warehouse were the item was stored.
     */
    global Id Warehouse__c;
    /**
     * <h3>Warehouse</h3>
     * The warehouse were the item was stored.
     */
    global Warehouse__c Warehouse__r;

    global Invoice_Line_Item__c()
    {
    }
}