// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Invoicing</h3>
 * This Object describes an Invoice which is a request for payment between a company and their Customer for delivery of goods (e.g., parts) or services and is subject to a formal process of control. This object supports business processes such as Inventory consumption business processes such as fulfilling a customer sales order. In addition there are workflows and business intelligences dependent on this object. This information is used in Sales, Inventory Management, Quality, and Finance processes.
 */
global class /*SCMC__*/Invoicing__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Applied Discount</h3>
     * The amount of discount applied to this invoice.
     */
    global Currency Applied_Discount__c;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total amount of rebate rolled-up from the invoice lines
     */
    global Currency Applied_Rebate_Amount__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billing Account</h3>
     */
    global Id Billing_Account__c;
    /**
     * <h3>Billing Account</h3>
     */
    global Account Billing_Account__r;
    /**
     * <h3>Bill-to City</h3>
     */
    global String Bill_to_City__c;
    /**
     * <h3>Bill-to Country</h3>
     */
    global String Bill_to_Country__c;
    /**
     * <h3>Bill-to Name</h3>
     */
    global String Bill_to_Name__c;
    /**
     * <h3>Bill-to State / Province</h3>
     */
    global String Bill_to_State_Province__c;
    /**
     * <h3>Bill-to Street 2</h3>
     */
    global String Bill_to_Street_2__c;
    /**
     * <h3>Bill-to Street</h3>
     */
    global String Bill_to_Street__c;
    /**
     * <h3>Bill-to Zip / Postal Code</h3>
     */
    global String Bill_to_Zip_Postal_Code__c;
    /**
     * <h3>Change Request</h3>
     */
    global Id Change_Request__c;
    /**
     * <h3>Change Request</h3>
     */
    global Change_Request__c Change_Request__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global List<Credit_Invoice__c> Credit_Invoices__r;
    /**
     * <h3>Credit Status</h3>
     * This is set by code.
     */
    global String Credit_Status__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer Site Sold To</h3>
     */
    global String Customer_Account__c;
    /**
     * <h3>Customer Name</h3>
     */
    global String Customer_Name__c;
    /**
     * <h3>Customer Purchase Order Number</h3>
     */
    global String Customer_Purchase_Order_Number__c;
    /**
     * <h3>Customer</h3>
     */
    global Id Customer__c;
    /**
     * <h3>Customer</h3>
     */
    global Account Customer__r;
    /**
     * <h3>Delivery Options</h3>
     */
    global String Delivery_Options__c;
    /**
     * <h3>Delivery Status</h3>
     */
    global String Delivery_Status__c;
    /**
     * <h3>Total Order Discount</h3>
     * Total discount on entire order. See 'Applied Discount' field for the discount applied to this invoice.
     */
    global Currency Discount__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Export Error</h3>
     */
    global String Export_Error__c;
    /**
     * <h3>Export Status</h3>
     * The status of the export of this invoice.
     */
    global String Export_Status__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>FOB</h3>
     */
    global String FOB__c;
    /**
     * <h3>Foreign Invoice Number</h3>
     */
    global String Foreign_Invoice_Number__c;
    global List<Invoicing__History> Histories;
    /**
     * <h3>Invoice Date</h3>
     */
    global Date Invoice_Date__c;
    /**
     * <h3>Invoice Due Date</h3>
     */
    global Date Invoice_Due_Date__c;
    global List<Invoice_Line_Item__c> Invoice_Line_Items__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Memo</h3>
     */
    global String Memo_Long__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Payment Terms Name</h3>
     */
    global String Payment_Terms_Name__c;
    /**
     * <h3>Payment Terms</h3>
     * The terms are initially set from the sales order.
     */
    global Id Payment_Terms__c;
    /**
     * <h3>Payment Terms</h3>
     * The terms are initially set from the sales order.
     */
    global PO_Payment_Terms__c Payment_Terms__r;
    /**
     * <h3>PO Number</h3>
     */
    global String PO_Number__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Rebate_Claim__c> Rebate_Claims__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Sales Order</h3>
     */
    global Id Sales_Order__c;
    /**
     * <h3>Sales Order</h3>
     */
    global Sales_Order__c Sales_Order__r;
    /**
     * <h3>Sales Representative</h3>
     */
    global String Sales_Representative__c;
    /**
     * <h3>Service Contract</h3>
     */
    global Id Service_Contract__c;
    /**
     * <h3>Service Contract</h3>
     */
    global Service_Order__c Service_Contract__r;
    /**
     * <h3>Shipping</h3>
     * Reference to the shipping object that shipped the parts to the customer.
     */
    global Id Shipping__c;
    /**
     * <h3>Shipping</h3>
     * Reference to the shipping object that shipped the parts to the customer.
     */
    global Shipping__c Shipping__r;
    /**
     * <h3>Ship-to City</h3>
     */
    global String Ship_to_City__c;
    /**
     * <h3>Ship-to Country</h3>
     */
    global String Ship_to_Country__c;
    /**
     * <h3>Ship-to State / Province</h3>
     */
    global String Ship_to_State_Province__c;
    /**
     * <h3>Ship-to Street 2</h3>
     */
    global String Ship_to_Street_2__c;
    /**
     * <h3>Ship-to Street</h3>
     */
    global String Ship_to_Street__c;
    /**
     * <h3>Ship-to Zip / Postal Code</h3>
     */
    global String Ship_to_Zip_Postal_Code__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Tax Code</h3>
     */
    global String Tax_Code__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Amount Credited</h3>
     */
    global Currency Total_Amount_Credited__c;
    /**
     * <h3>Total Customer Rebate Discount</h3>
     * Total amount of rebate rolled-up from the invoice lines
     */
    global Currency Total_Customer_Rebate_Discount__c;
    /**
     * <h3>Total Invoice After Rebate Discount</h3>
     * Total invoice with discounts minus total customer rebate discount.
     */
    global Currency Total_Invoice_After_Rebate_Discount__c;
    /**
     * <h3>Total Invoice with Discount</h3>
     */
    global Currency Total_Invoice_with_Discount__c;
    /**
     * <h3>Total Invoice</h3>
     * The total value of the invoice including tax, freight, miscellaneous charges, and shipped parts. This is a summary of the Amount attribute.
     */
    global Currency Total_Invoice__c;

    global Invoicing__c()
    {
    }
}