// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Item Master</h3>
 * This describes the elements of data that detail an Item that can be purchased received, stored, and consumed, i.e sold
 */
global class /*SCMC__*/Item__c extends SObject 
{
    /**
     * <h3>ABC Classification</h3>
     * Setting the ABC Classification defines the stratification of inventory by Item Price and will invoke Cycle Counting rules. Please refer to cycle counting information
     */
    global String ABC_Classification__c;
    /**
     * <h3>Acquisition Lead Time</h3>
     * The sum of time in calendar days for the total acquisition process for an item to be performed
     */
    global Decimal Acquisition_Lead_Time__c;
    /**
     * <h3>Acquisition</h3>
     */
    global String Acquisition__c;
    /**
     * <h3>Active Status?</h3>
     * Only Active Items can be bought or sold. Inactive items can be stored and issued
     */
    global Boolean Active_Status__c;
    global List<ActivityHistory> ActivityHistories;
    global List<Additional_Charge__c> Additional_Charges__r;
    global List<Alternate_Item__c> AlternatetoItems__r;
    /**
     * <h3>Approval Lead Time</h3>
     * Approval time is the estimated process time to establish a sourcing selection and process internal purchase approvals
     */
    global Decimal Approval_Lead_Time__c;
    global List<AP_Voucher_Line_Credit__c> AP_Voucher_Credit_Lines__r;
    global List<AP_Voucher_Line__c> AP_Voucher_Lines__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Bill_of_Material__c> Bills_of_Material__r;
    global List<Box__c> Boxes__r;
    /**
     * <h3>Box Height</h3>
     */
    global Decimal Box_Height__c;
    /**
     * <h3>Box Length</h3>
     */
    global Decimal Box_Length__c;
    /**
     * <h3>Box Width</h3>
     */
    global Decimal Box_Width__c;
    /**
     * <h3>CAGE Controlled?</h3>
     * Commercial And Government Entity (CAGE) code is a five-character ID number that identifies government contractors.
     */
    global Boolean CAGE_Controlled__c;
    global List<Change_Request_Line__c> Change_Request_Lines__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Commodity Code</h3>
     * Segregation of product used typically for acquisition process (e.g., spend by commodity code)
     */
    global Id Commodity_Code__c;
    /**
     * <h3>Commodity Code</h3>
     * Segregation of product used typically for acquisition process (e.g., spend by commodity code)
     */
    global Commodity_Code__c Commodity_Code__r;
    /**
     * <h3>Configurable</h3>
     * Checking this allows the item to be configured with options
     */
    global Boolean Configurable__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Conversion Factor</h3>
     * This is the factor by which Supplier UOM will be used to establish stocking levels for Stocking UOM
     */
    global String Conversion_Factor__c;
    /**
     * <h3>Conversion Value</h3>
     * This is the value that is used along with the conversion factor to convert supplier UOM to stocking UOM.
     */
    global Decimal Conversion_Value__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<Customer_Item__c> Customer_Items__r;
    global List<Cycle_Count_Detail__c> Cycle_Count_Details__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>ElectroStatic Discharge (ESD) Sensitive</h3>
     * Flagging this Item as ESD Sensitive will provide informational warnings to users during Receiving, Inspections, and warehouse operations
     */
    global Boolean ElectroStatic_Discharge_ESD_Sensitive__c;
    /**
     * <h3>Eligible for ILS</h3>
     * A checked value indicates that this part number is eligible for listing on ILS. This will be used by programs that analyze the inventory and makes recommendations about parts to list on ILS
     */
    global Boolean Eligible_for_ILS__c;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<Exchange_Order__c> Exchange_Orders__r;
    /**
     * <h3>Exportation allowed</h3>
     * Exportation allowed to foreign countries may be restricted during shipping processes by selecting "no"
     */
    global String Exportation__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>FSC</h3>
     * A four character code that is combined with the NIIN to form the NSN.
     */
    global String FSC__c;
    /**
     * <h3>Hazardous Material</h3>
     * Hazardous Material requires MSDS control sheets and may require special handling and storage requirements.  Rules are established to enforce these requirements.
     */
    global Boolean Hazardous_Material__c;
    global List<Month_End_Inventory__c> HistoricalInventoryItems__r;
    global List<Item__History> Histories;
    global List<ILSMART_Listing__c> ILSMART_Listings__r;
    /**
     * <h3>ILS Condition Codes</h3>
     * Select the Condition Codes that will be eligible for listing on ILSMart for this Item
     */
    global String ILS_Condition_Codes__c;
    /**
     * <h3>Inbound Outbound Serial Number?</h3>
     * Serial Number tracking on inbound Receipt and outbound only shipment. Relieves requirement to pick specific serial numbers during order fulfillment.
     */
    global Boolean Inbound_Outbound_Serial_Number__c;
    /**
     * <h3>Inspection Required?</h3>
     * Items checked as requiring Inspections must have an inspection record in the system before being able to be stored or sold
     */
    global Boolean Inspection_Required__c;
    /**
     * <h3>Intangible?</h3>
     * As opposed to a physical item, an intangible one is not stocked, allocated, or shipped. Examples include labor and software licenses.
     */
    global Boolean Intangible__c;
    /**
     * <h3>Internal Repair L/T</h3>
     * The estimated time in calendar days for internal repair services for an item to be performed
     */
    global Decimal Internal_Repair_L_T__c;
    global List<Inventory_Position__c> InventoryItems__r;
    global List<Invoice_Line_Item__c> Invoice_Line_Items__r;
    global Boolean IsDeleted;
    /**
     * <h3>Items per Box</h3>
     */
    global Decimal Items_per_Box__c;
    /**
     * <h3>Item and Description</h3>
     */
    global String Item_and_Description__c;
    /**
     * <h3>Item Description</h3>
     * Text to describe an Item Number
     */
    global String Item_Description__c;
    global List<Item_Option__c> Item_Options__r;
    global List<Return_Material_Authorization__c> Item_Return_Material_Authorization__r;
    /**
     * <h3>Item Type</h3>
     * Item Type establishes warnings within the system based on capabilities
     */
    global String Item_Type__c;
    global List<Job_Site_Item_Position__c> Job_Site_Item_Positions__r;
    /**
     * <h3>Kit</h3>
     * The kit type determines how the item is managed through the system.  If not a kit, then the item is managed as a single item.  A virtual kit is a group of items that is stocked separately but actions on the kit, affect all the components.  A manufactured kit is stocked as a single item but when a production receipt is done for the item, the components in the kit are back flushed.
     */
    global String Kit__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Life Limited Control?</h3>
     * Life Limited Controlled parts will have master counts associated with them and therefore are typically Serialized Items. During Inspection this flag is utilized to ensure master counts are added to the inventory record
     */
    global Boolean Life_Limited_Control__c;
    global List<SCMImpToolsLoad_Inventory__c> LoadInventory__r;
    global List<SCMImpToolsLoad_Serial_Numbers__c> Load_Serial_Numbers__r;
    /**
     * <h3>Long Description</h3>
     */
    global String Long_Description__c;
    /**
     * <h3>Lot Number Control?</h3>
     */
    global Boolean Lot_Number_Control__c;
    /**
     * <h3>Manufacturer's Part Number</h3>
     */
    global String Manufacturer_s_Part_Number__c;
    /**
     * <h3>Manufacturing L/T</h3>
     * The estimated time in calendar days for internal manufacturing services for an item to be performed
     */
    global Decimal Manufacturing_L_T__c;
    global List<Manufacturer_Part_Number_Reference__c> MfgPartNumberRef__r;
    /**
     * <h3>Model Relationship</h3>
     * This field specifies various models or high level assemblies that this part is used on.
     */
    global String Model_Relationship__c;
    global String Name;
    /**
     * <h3>NIIN</h3>
     * National (or NATO) Item Identification Number (NIIN) is a 9-digit numeric code which uniquely identifies an item of supply in the NATO Codification System
     */
    global String NIIN__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>NSN</h3>
     * This is the National Stock Number associated with an Item Number
     */
    global String NSN__c;
    global List<OpenActivity> OpenActivities;
    global List<Option__c> Options__r;
    global List<Option_Item__c> Option_Items__r;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Packaged Weight</h3>
     */
    global Decimal Packaged_Weight__c;
    global FeedComment Parent;
    global List<Pick_list_Detail__c> Pick_list_Details__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Production_Order__c> Production_Orders__r;
    global List<Production_Order_Line__c> Production_Order_Lines__r;
    /**
     * <h3>Product Group</h3>
     * Defines the logical group this items belongs to (e.g., computing equipment, printing supplies).
     */
    global Id Product_Group__c;
    /**
     * <h3>Product Group</h3>
     * Defines the logical group this items belongs to (e.g., computing equipment, printing supplies).
     */
    global Product_Group__c Product_Group__r;
    /**
     * <h3>Product</h3>
     * Product associated with this item.  This is visible only by individuals who have a full salesforce license.
     */
    global Id Product__c;
    /**
     * <h3>Product</h3>
     * Product associated with this item.  This is visible only by individuals who have a full salesforce license.
     */
    global Product2 Product__r;
    global List<Purchase_Order_Line_Item__c> PurchaseOrderLines__r;
    global List<Received_RFQ_Item__c> R00N40000001aNdvEAE__r;
    global List<Customer_Quotation_Line__c> R00N40000001bDS3EAM__r;
    global List<Sales_Order_Line_Item__c> R00N40000001bmWxEAI__r;
    global List<Alternate_Item__c> R00N40000001pEj9EAE__r;
    global List<Inventory_Transaction_Perpetual_Record__c> R00N40000001popHEAQ__r;
    global List<Receipt_Line__c> R00N40000001pzSqEAI__r;
    global List<Cycle_Count_Profile__c> R00N40000001qDxIEAU__r;
    global List<Receiving_Inspection__c> R00N40000001qNJsEAM__r;
    global List<Receiving_Inspection__c> R00N40000001qVoMEAU__r;
    global List<Warranty_Sell_Side__c> R00N40000001qzLaEAI__r;
    global List<Rebate_Line__c> Rebate_Lines__r;
    global List<Exchange_Order__c> Received_Exchange_Orders__r;
    /**
     * <h3>Receiving / Inspection L/T</h3>
     * Receiving / Inspection time is the estimated time in calendar days for internal Dock-to-Stock processing for a part
     */
    global Decimal Receiving_Inspection_L_T__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global List<Requisition_Line_Item__c> RequisitionLines__r;
    /**
     * <h3>Revision Control</h3>
     * Checking this determines if an Item is under revision controls. Typically used for recording engineering document levels within the system
     */
    global Boolean Revision_Control__c;
    global List<ReOrder_Criteria__c> Re_Order_Criterias__r;
    global List<RTV__c> RTVs__r;
    global List<Serial_Number__c> Serial_Numbers__r;
    /**
     * <h3>Serial Number Control?</h3>
     */
    global Boolean Serial_Number_Control__c;
    global List<Service_Order_Line__c> Service_Order_Lines__r;
    /**
     * <h3>Shelf Life Control?</h3>
     * Shelf Life Controlled items enforce rules for issue within the system
     */
    global Boolean Shelf_Life_Control__c;
    /**
     * <h3>Shipping Volume</h3>
     */
    global Decimal Shipping_Volume__c;
    /**
     * <h3>Single Lot Fulfillment</h3>
     * When allocating this item, it will be completely fulfilled by items from a single lot.
     */
    global Boolean Single_Lot_Fulfillment__c;
    global SObjectType SObjectType;
    global List<Sourcing_Request_Line__c> Sourcing_Request_Lines__r;
    global List<Standard_Order_Line__c> Standard_Order_Lines__r;
    /**
     * <h3>Stocking UOM</h3>
     * The unit of measure used for stocking and issuing.
     */
    global Id Stocking_UOM__c;
    /**
     * <h3>Stocking UOM</h3>
     * The unit of measure used for stocking and issuing.
     */
    global Unit_of_Measure__c Stocking_UOM__r;
    global List<Supplier_Catalogue_Item__c> Supplier_Catalogue_Items__r;
    /**
     * <h3>Supplier Procurement L/T</h3>
     * Supplier Procurement time is the estimated time in calendar days for a supplier to provide a new part
     */
    global Decimal Supplier_Procurement_L_T__c;
    /**
     * <h3>Supplier Repair Service L/T</h3>
     * Supplier Repair Service time is the estimated time in calendar days for a supplier to provide repair services for a part
     */
    global Decimal Supplier_Repair_Service_L_T__c;
    /**
     * <h3>Supplier UOM</h3>
     * The unit of measure in which a supplier delivers this item.  This is not necessarily the same as the Stocking UOM.
     */
    global Id Supplier_UOM__c;
    /**
     * <h3>Supplier UOM</h3>
     * The unit of measure in which a supplier delivers this item.  This is not necessarily the same as the Stocking UOM.
     */
    global Unit_of_Measure__c Supplier_UOM__r;
    /**
     * <h3>Supply Requisition Auto Firm</h3>
     * When supply is required to meet MIN/MAX, reorder Point, or Safety Stock Levels, a Supply Requisition is automatically generated
     */
    global String Supply_Requisition_Auto_Firm__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    global List<Transfer_Request_Line__c> Transfer_Request_Lines__r;
    global List<Up_Sell_Cross_Sell__c> Up_Sell_Cross_Sell1__r;
    global List<Up_Sell_Cross_Sell__c> Up_Sell_Cross_Sell__r;

    global Item__c()
    {
    }
}