// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Month End Inventory</h3>
 * Snapshot of the inventory at a specific point in time.
 */
global class /*SCMC__*/Month_End_Inventory__c extends SObject 
{
    /**
     * <h3>Acquisition Cost</h3>
     * The acquisition unit cost for the inventory.
     */
    global Decimal Acquisition_Cost__c;
    /**
     * <h3>Acquisition Currency</h3>
     * The currency the part was acquired in
     */
    global Id Acquisition_Currency__c;
    /**
     * <h3>Acquisition Currency</h3>
     * The currency the part was acquired in
     */
    global Currency_Master__c Acquisition_Currency__r;
    /**
     * <h3>Adjustment Cost</h3>
     * This fields displays the delta between the initial inventory position value and any adjustments made to the current value.
     */
    global Decimal Adjustment_Cost__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Availability Code</h3>
     * The availability code indicates specifics about whether the item inventory is available to be used, sold, or lent.
     */
    global String Availability_Code__c;
    /**
     * <h3>Availability</h3>
     * Indicates whether the inventory is available for use.
     */
    global Boolean Availability__c;
    /**
     * <h3>Inventory Location</h3>
     * The location of the item in inventory.
     */
    global Id Bin__c;
    /**
     * <h3>Inventory Location</h3>
     * The location of the item in inventory.
     */
    global Inventory_Location__c Bin__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Condition</h3>
     * This information helps describe the condition of the item (e.g., item is serviceable or new).
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * This information helps describe the condition of the item (e.g., item is serviceable or new).
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>CSN</h3>
     * The number of cycles the part has on it since the part was new.
     */
    global String CSN__c;
    /**
     * <h3>CSO</h3>
     * Cycles since last overhaul.
     */
    global String CSO__c;
    /**
     * <h3>CSR</h3>
     * The number of cycles the part has on it since the part was removed.
     */
    global String CSR__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Current Value</h3>
     * The current value of the item in inventory.
     */
    global Decimal Current_Value__c;
    /**
     * <h3>Cycle Count Detail</h3>
     * This field is populated when this inventory position is scheduled to be cycle counted. When the cycle count is confirmed the reference is removed. This provides visibility to current inventory and also prevents double scheduling a specific item for cycle count.
     */
    global Id Cycle_Count_Detail__c;
    /**
     * <h3>Cycle Count Detail</h3>
     * This field is populated when this inventory position is scheduled to be cycle counted. When the cycle count is confirmed the reference is removed. This provides visibility to current inventory and also prevents double scheduling a specific item for cycle count.
     */
    global Cycle_Count_Detail__c Cycle_Count_Detail__r;
    /**
     * <h3>Cycle Count Status</h3>
     * If the inventory position is included in a cycle count batch, this status indicates, based on the count, whether this position should be added to or removed from inventory. This is here mainly to support parts that are under serial, lot, or shelf life control. This is set by a background process.
     */
    global String Cycle_Count_Status__c;
    /**
     * <h3>Date Placed in Inventory</h3>
     */
    global Datetime Date_Placed_in_Inventory__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>ICP Acquisition Cost</h3>
     * The unit cost to acquire in the currency that is used for the ICP.
     */
    global Decimal ICP_Acquisition_Cost__c;
    /**
     * <h3>ICP Currency</h3>
     * The currency used to hold the inventory in the specific ICP.
     */
    global Id ICP_Currency__c;
    /**
     * <h3>ICP Currency</h3>
     * The currency used to hold the inventory in the specific ICP.
     */
    global Currency_Master__c ICP_Currency__r;
    /**
     * <h3>Internal Repair Cost</h3>
     */
    global Decimal Internal_Repair_Cost__c;
    /**
     * <h3>IP Created By</h3>
     */
    global Id IP_Created_By__c;
    /**
     * <h3>IP Created By</h3>
     */
    global User IP_Created_By__r;
    /**
     * <h3>IP Created DateTime</h3>
     */
    global Datetime IP_Created_DateTime__c;
    /**
     * <h3>IP Modified By</h3>
     */
    global Id IP_Modified_By__c;
    /**
     * <h3>IP Modified By</h3>
     */
    global User IP_Modified_By__r;
    /**
     * <h3>IP Modified DateTime</h3>
     */
    global Datetime IP_Modified_DateTime__c;
    global Boolean IsDeleted;
    /**
     * <h3>Item Master</h3>
     * The item number for the part in inventory.
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Master</h3>
     * The item number for the part in inventory.
     */
    global Item__c Item_Master__r;
    /**
     * <h3>Item Serial Number</h3>
     * The serial number of the item in inventory.  This replaces the serial number field that was originally on the inventory position - it was too short.
     */
    global String Item_Serial_Number__c;
    /**
     * <h3>Labor Cost</h3>
     * The labor cost for this item per unit.
     */
    global Decimal Labor_Cost__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Last Cycle Count Performed</h3>
     * This date is added as a result of a cycle count confirmation record being generated and is the basis for calculating the next due automated request cycle count
     */
    global Date Last_Cycle_Count_Performed__c;
    /**
     * <h3>Logistics Cost</h3>
     */
    global Decimal Logistics_Cost__c;
    /**
     * <h3>Lot Number</h3>
     * The lot number for the part(s) in inventory.  The lot number must be specified if the part is defined to be a lot controled part.
     */
    global String Lot_Number__c;
    /**
     * <h3>Manufacturer CAGE</h3>
     * Commercial And Government Entity (CAGE) code is a five-character ID number that identifies government contractors.
     */
    global String Manufacturer_CAGE__c;
    /**
     * <h3>Manufacturer</h3>
     * Manufacturer of Item
     */
    global Id Manufacturer__c;
    /**
     * <h3>Manufacturer</h3>
     * Manufacturer of Item
     */
    global Manufacturer__c Manufacturer__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Owned By</h3>
     * The field indicates who owns the part.  This will eventually be a lookup field
     */
    global String Owned_By__c;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Ownership Code</h3>
     * This information helps describe the Ownership of the item (i.e., item owned by a certain Supplier or Customer)
     */
    global Id Ownership_Code__c;
    /**
     * <h3>Ownership Code</h3>
     * This information helps describe the Ownership of the item (i.e., item owned by a certain Supplier or Customer)
     */
    global Ownership_Code__c Ownership_Code__r;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Purchase Order Line Item</h3>
     * The purchase order line item the parts are allocated to.  This field contains data only if the part(s) are allocated to a purchase order.  This is usually for outside service.
     */
    global Id Purchase_Order_Line_Item__c;
    /**
     * <h3>Purchase Order Line Item</h3>
     * The purchase order line item the parts are allocated to.  This field contains data only if the part(s) are allocated to a purchase order.  This is usually for outside service.
     */
    global Purchase_Order_Line_Item__c Purchase_Order_Line_Item__r;
    /**
     * <h3>Quantity Allocated</h3>
     * The quantity that has been reserved to fill a Purchase, Sales, or Transfer Order
     */
    global Decimal Quantity_Allocated__c;
    /**
     * <h3>Quantity in Transit</h3>
     */
    global Decimal Quantity_in_Transit__c;
    /**
     * <h3>Quantity</h3>
     * The quantity of the part in the specific location
     */
    global Decimal Quantity__c;
    /**
     * <h3>Receipt Line</h3>
     * The receipt line that this inventory was received on
     */
    global Id Receipt_Line__c;
    /**
     * <h3>Receipt Line</h3>
     * The receipt line that this inventory was received on
     */
    global Receipt_Line__c Receipt_Line__r;
    /**
     * <h3>Receiving Inspection</h3>
     * Receiving Inspection associated with the parts in this inventory position entry.  This field is null for parts that do not require inspection.
     */
    global Id Receiving_Inspection__c;
    /**
     * <h3>Receiving Inspection</h3>
     * Receiving Inspection associated with the parts in this inventory position entry.  This field is null for parts that do not require inspection.
     */
    global Receiving_Inspection__c Receiving_Inspection__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Net Change in Value</h3>
     */
    global Decimal Repair_Cost__c;
    /**
     * <h3>Reserve Price</h3>
     * The minimum price at which a seller is willing to sell an item. Reservation prices are commonly used in auctions.
     */
    global Currency Reserve_Price__c;
    /**
     * <h3>Revision Level</h3>
     * Engineering control revision of part in inventory
     */
    global String Revision_Level__c;
    /**
     * <h3>Sales Order Line Item</h3>
     * If inventory position is allocated to a sales order, this references the line item the allocation is for.
     */
    global Id Sales_Order_Line_Item__c;
    /**
     * <h3>Sales Order Line Item</h3>
     * If inventory position is allocated to a sales order, this references the line item the allocation is for.
     */
    global Sales_Order_Line_Item__c Sales_Order_Line_Item__r;
    /**
     * <h3>Sale Price</h3>
     * The price that the inventory part is sold for.
     */
    global Decimal Sale_Price__c;
    /**
     * <h3>Service Cost</h3>
     * The field is incremented whenever a service type purchase order is received into the system. The receipt of the service PO updates the current value of the item as well as this attribute.
     */
    global Decimal Service_Cost__c;
    /**
     * <h3>Shelf Life Expiration</h3>
     * Shelf life is the time that items can be stored, during which the defined quality of a specified proportion of the item remains acceptable under expected (or specified) conditions of distribution and storage.
     */
    global Datetime Shelf_Life_Expiration__c;
    /**
     * <h3>Snapshot Date/Time</h3>
     */
    global Datetime Snapshot_Date_Time__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Acquisition Cost</h3>
     */
    global Currency Total_Acquisition_Cost__c;
    /**
     * <h3>Total Current Value</h3>
     */
    global Currency Total_Current_Value__c;
    /**
     * <h3>TSN</h3>
     * Time since the part was new.  This is hours and tenths or minutes
     */
    global String TSN__c;
    /**
     * <h3>TSO</h3>
     * Time since last overhaul.
     */
    global String TSO__c;
    /**
     * <h3>TSR</h3>
     * Time since the part was removed.  This is hours and tenths or minutes.
     */
    global String TSR__c;
    /**
     * <h3>Warehouse</h3>
     * This is an internal field only and is used to facilitate summarizing inventory by warehouse.  The field is automatically populated.
     */
    global String Warehouse__c;

    global Month_End_Inventory__c()
    {
    }
}