// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Option Item</h3>
 * This Object describes the business information for Items that have configured options. Populated from the quoting tool options are associated to a Item Master (Product SKU) on a Quotation Line.
 * This configuration for a quotation line could be related to Sales and Purchase Order lines along with Invoice lines for Order fulfillment, Procurement and Invoicing processes
 * There are workflow, and business intelligences dependent on this object.
 */
global class /*SCMC__*/Option_Item__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     * This Field denotes the currency that the Item Option was priced or costed at
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     * This Field denotes the currency that the Item Option was priced or costed at
     */
    global Currency_Master__c Currency__r;
    /**
     * <h3>Customer Quotation Line</h3>
     * This Field denotes a reference to the Customer Quote Line used during the Sales process
     */
    global Id Customer_Quotation_Line__c;
    /**
     * <h3>Customer Quotation Line</h3>
     * This Field denotes a reference to the Customer Quote Line used during the Sales process
     */
    global Customer_Quotation_Line__c Customer_Quotation_Line__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Ext. Item Cost</h3>
     * This Field describes an Option's exteded cost (QTY X cost)  - Used for reporting and providing detailed information to the Supplier on the Purchase Order
     */
    global Currency Ext_Item_Cost__c;
    /**
     * <h3>Ext. List Price</h3>
     * This Field describes an Option's extended list price before discounting (QTY X Price)  - Used for reporting and understanding the list price for Options sold to a customer
     */
    global Currency Ext_List_Price__c;
    /**
     * <h3>Ext. Price</h3>
     * This Field describes an Option's extended price after discounting (QTY X Price)  - Used for reporting and understanding the discounted price for Options sold to a customer
     */
    global Currency Ext_Price__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Option_Item__History> Histories;
    /**
     * <h3>Invoice Line Item</h3>
     * This Field denotes a reference to the Invoice Line item was was sold on the Sales Order Line - Used for reporting and providing detailed information on the customer invoice
     */
    global Id Invoice_Line_Item__c;
    /**
     * <h3>Invoice Line Item</h3>
     * This Field denotes a reference to the Invoice Line item was was sold on the Sales Order Line - Used for reporting and providing detailed information on the customer invoice
     */
    global Invoice_Line_Item__c Invoice_Line_Item__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Cost</h3>
     * This Field describes an Option's cost  - Used for reporting and providing detailed information to the Supplier on the Purchase Order
     */
    global Currency Item_Cost__c;
    /**
     * <h3>Item Description - No Item Record</h3>
     * This Field denotes a reference to the Item Master Option description when no Itme master is used that was was sold on the Sales Order Line or purchaed on the Purchase Order Line- Used for reporting and providing detailed information on the customer invoice
     */
    global String Item_Description_No_Item_Record__c;
    /**
     * <h3>Item Description</h3>
     * This Field denotes a reference to the Item Master description that was was sold on the Sales Order Line or purchaed on the Purchase Order Line- Used for reporting and providing detailed information on the customer invoice
     */
    global String Item_Description__c;
    /**
     * <h3>Item - No Item Record</h3>
     * This Field denotes a reference to the Item Master Option when no Itme master is used that was was sold on the Sales Order Line or purchaed on the Purchase Order Line- Used for reporting and providing detailed information on the customer invoice
     */
    global String Item_No_Item_Record__c;
    /**
     * <h3>Item Option</h3>
     */
    global Id Item_Option__c;
    /**
     * <h3>Item Option</h3>
     */
    global Item_Option__c Item_Option__r;
    /**
     * <h3>Item</h3>
     * This Field denotes a reference to the Item Master that was was sold on the Sales Order Line or purchaed on the Purchase Order Line- Used for reporting and providing detailed information on the customer invoice
     */
    global Id Item__c;
    /**
     * <h3>Item</h3>
     * This Field denotes a reference to the Item Master that was was sold on the Sales Order Line or purchaed on the Purchase Order Line- Used for reporting and providing detailed information on the customer invoice
     */
    global Item__c Item__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Line Number</h3>
     */
    global Decimal Line_Number__c;
    /**
     * <h3>List Price</h3>
     * This Field describes an Option's list price before discounting - Used for reporting and understanding the list price for Options sold to a customer
     */
    global Currency List_Price__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Option Description</h3>
     */
    global String Option_Description__c;
    /**
     * <h3>Option Name</h3>
     */
    global String Option_Name__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Parent Customer Quotation Line</h3>
     */
    global Id Parent_Customer_Quotation_Line__c;
    /**
     * <h3>Parent Customer Quotation Line</h3>
     */
    global Customer_Quotation_Line__c Parent_Customer_Quotation_Line__r;
    /**
     * <h3>Price</h3>
     * This Field describes an Option's price after discounting  - Used for reporting and understanding the discounted price for Options sold to a customer
     */
    global Currency Price__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Purchase Order Line Item</h3>
     * This Field denotes a reference to the Purchase Order Line item that is being purchased or was  sold on the Sales Order Line (Drop Ship Fulfillment) - Used for reporting and providing detailed information to the Supplier on the Purchase Order
     */
    global Id Purchase_Order_Line_Item__c;
    /**
     * <h3>Purchase Order Line Item</h3>
     * This Field denotes a reference to the Purchase Order Line item that is being purchased or was  sold on the Sales Order Line (Drop Ship Fulfillment) - Used for reporting and providing detailed information to the Supplier on the Purchase Order
     */
    global Purchase_Order_Line_Item__c Purchase_Order_Line_Item__r;
    /**
     * <h3>Quantity</h3>
     * The quantity of the option being provided in the configuration
     */
    global Decimal Quantity__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Sales Order Line Item</h3>
     * This Field denotes a reference to the Sales Order Line item that was was sold on the Quotation Line - Used for reporting and providing detailed information on the customer invoice
     */
    global Id Sales_Order_Line_Item__c;
    /**
     * <h3>Sales Order Line Item</h3>
     * This Field denotes a reference to the Sales Order Line item that was was sold on the Quotation Line - Used for reporting and providing detailed information on the customer invoice
     */
    global Sales_Order_Line_Item__c Sales_Order_Line_Item__r;
    /**
     * <h3>Service Contract Line Option</h3>
     */
    global Id Service_Contract_Line_Option__c;
    /**
     * <h3>Service Contract Line Option</h3>
     */
    global Service_Order_Line_Option__c Service_Contract_Line_Option__r;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Id Service_Contract_Line__c;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Service_Order_Line__c Service_Contract_Line__r;
    global SObjectType SObjectType;
    /**
     * <h3>Sourcing Request Line</h3>
     * This Field denotes a reference to the Sourcing Request line Line item that is was set out during a RFQ process - Used for reporting and providing detailed information to the Supplier on the Purchase Order
     */
    global Id Sourcing_Request_Line__c;
    /**
     * <h3>Sourcing Request Line</h3>
     * This Field denotes a reference to the Sourcing Request line Line item that is was set out during a RFQ process - Used for reporting and providing detailed information to the Supplier on the Purchase Order
     */
    global Sourcing_Request_Line__c Sourcing_Request_Line__r;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;

    global Option_Item__c()
    {
    }
}