// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Organization Settings</h3>
 * A collection of settings that allow the customer to specify certain behaviors.
 */
global class /*SCMC__*/Organization_Settings__c extends SObject 
{
    /**
     * <h3>Ability to Add Carrier Information</h3>
     * Ability to add carrier Information on the shipping tab on the action queue.
     */
    global Boolean Ability_to_Add_Carrier_Information__c;
    /**
     * <h3>Allow Over Receipt of PO Line</h3>
     * When this option is checked, the receiving clerk can receive more items than were specified on the original PO.
     */
    global Boolean Allow_Over_Receipt_of_PO_Line__c;
    /**
     * <h3>Allow Rebates on Customer Quotations</h3>
     * Indicates whether rebates can be applied to customer quotations. When deselected, you are prevented from adding rebates to customer quotation lines and therefore cannot pass the rebate to the buyer.
     */
    global Boolean Allow_Rebates_on_Customer_Quotations__c;
    /**
     * <h3>AQ Display Record Count</h3>
     * Number of items to be displayed under the Action Queue tabs per section. This does not include Put Away Items.
     */
    global Decimal AQ_Display_Record_Count__c;
    /**
     * <h3>AQ Put Away Item Display Record Count</h3>
     * Number of items to be displayed under the Action Queue Put Away section.
     */
    global Decimal AQ_Put_Away_Item_Display_Record_Count__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    /**
     * <h3>Attach PDF To Parent Record</h3>
     */
    global Boolean Attach_PDF_To_Parent_Record__c;
    /**
     * <h3>Auto Create Item</h3>
     * This is used in the quote to sales order and potentially quote to sales order to purchase order process.  If set to true, items that are quoted that are not currently in the item master will automatically be created in the item master in a skeleton state so that the sales order can be created.  It cannot be submitted for approval until the item is complete and active.
     */
    global Boolean Auto_Create_Item__c;
    /**
     * <h3>Auto Create Service Contract</h3>
     * Auto create a service contract when creating a the sales order from customer quotation. Must have Service Contract Package installed and customer quotation line must have service terms.
     */
    global Boolean Auto_Create_Service_Contract__c;
    /**
     * <h3>Auto Place PO</h3>
     * If this is checked, automatically create a PO if a requisition/requisition line is approved.
     */
    global Boolean Auto_Place_PO__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Company Logo URL</h3>
     * Company Logo URL - must start with http://
     */
    global String Company_Logo_URL__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Convert Lead To Account</h3>
     * Convert Lead To Account for Sales Order. Must be careful about duplication when "Convert Lead To Account" is turning this on.
     */
    global Boolean Convert_Lead_To_Account__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>CustomerQuotationLine_Field_Id</h3>
     * Internal Id of the Customer Quotation Line object. Found by going to the Customer Quotation Line object in Setup and grabbing the 15 characters before the question mark (?) in the URL.
     */
    global String CustomerQuotationLine_Field_Id__c;
    /**
     * <h3>CustomerQuotation_Field_Id</h3>
     * Internal Id of the Customer Quotation field on the Customer Quotation Line object. Found by going to the Customer Quotation Line object in Setup and going to the Customer Quotation field. Grab the 15 characters before the question mark (?) in the URL.
     */
    global String CustomerQuotation_Field_Id__c;
    /**
     * <h3>Default Number of Days till Quote Expire</h3>
     * This field sets the valid till date by adding the number of days entered to the original quote date.
     */
    global Decimal DefaultNumDaysTillQuoteExpire__c;
    /**
     * <h3>Do Not Allow Partial Invoicing</h3>
     * If unchecked, each shipment will generate its own invoice.
     * If checked, multiple shipments will add to existing open invoices.
     */
    global Boolean Do_Not_Allow_Partial_Invoicing__c;
    /**
     * <h3>Do Not Credit Line Details On Invoice</h3>
     */
    global Boolean Do_Not_Credit_Line_Details_On_Invoice__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Maximum Item Length</h3>
     * The maximum item name length that can be entered.
     */
    global Decimal Maximum_Item_Length__c;
    global String Name;
    /**
     * <h3>Notification Email</h3>
     */
    global Email Notification_Email__c;
    /**
     * <h3>Number of Decimal Digits</h3>
     * This value is used to set the scale for unit amount fields in SCM.  The unit amount fields are all defined with 9 decimal digits but this setting limits the actual number that are carried.
     */
    global Decimal Number_of_Decimal_Digits__c;
    /**
     * <h3>Opportunity Rollup Quote Line Field</h3>
     * Which field on the Customer Quotation line should be used to roll up revenue to the opportunity revenue fields. If blank, no roll-up will occur. Use full API name (ex. SCMC__Customer_Price__c).
     */
    global String Opportunity_Rollup_Quote_Line_Field__c;
    /**
     * <h3>Over Receipt Percent</h3>
     * The percentage over the quantity ordered that may be received.  If this field is not set and the Allow Over Receipt is checked, then there is no limit on the amount that may be over received.
     */
    global Decimal Over_Receipt_Percent__c;
    global FeedComment Parent;
    /**
     * <h3>Partial Shipments</h3>
     * If checked, partial shipments are allowed.  This means that if there are backorders, all allocated sales order items are eligible for shipment.  Backorders turn into a shipment as soon as an item is received.
     */
    global Boolean Partial_Shipments__c;
    /**
     * <h3>Prioritize Sales & Production Backorders</h3>
     * If selected and a purchase order that was created from a sales order line or production order line is received, backorders associated with those lines are filled first.  When cleared, backorders are filled by Fill Order and Required Date.
     */
    global Boolean Prioritize_Sales_Production_Backorders__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Allow Manufactured Kit with no BOM</h3>
     * Indicates whether you can create a production order for an item which is a valid manufactured kit, but has no bill of materials.
     */
    global Boolean Production_Orders_Without_BOM__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global SObject SetupOwner;
    global Id SetupOwnerId;
    /**
     * <h3>Set Sales Order Owner</h3>
     * Default is to always set the sales order owner to the sales rep associated with the account.  If the option is not checked, then the system does not automatically change the sales order owner.
     */
    global Boolean Set_Sales_Order_Owner__c;
    /**
     * <h3>Show Bill Of Materials Details</h3>
     * Show all bill of material details for virtual kits on invoice and quote print forms.
     */
    global Boolean Show_Bill_Of_Materials_Details__c;
    /**
     * <h3>Show Manufacturer Details</h3>
     * Used to turn off and on the manufacturer detail in various locations including receipt.
     */
    global Boolean Show_Manufacturer_Details__c;
    /**
     * <h3>Show Ownership Tag</h3>
     * This custom setting is used to display the "Ownership" data on Visualforce pages throughout the product where Ownership_Code__c is being used.
     */
    global Boolean Show_Ownership_Tag__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Track Purchase Price Variance (PPV)</h3>
     */
    global Boolean Track_PPV__c;
    /**
     * <h3>Turn on Rebates</h3>
     * Indicates whether the rebates functionality is turned on. You can turn off rebates if you need to lower the load on Salesforce resources for drop ship and inventory customer quotations.
     */
    global Boolean Turn_on_Rebates__c;

    global Organization_Settings__c()
    {
    }

    global static Map<String, Organization_Settings__c> getAll()
    {
    }

    global static Organization_Settings__c getInstance(Id userOrProfileId)
    {
    }

    global static Organization_Settings__c getInstance()
    {
    }

    global static Organization_Settings__c getInstance(String datasetName)
    {
    }

    global static Organization_Settings__c getOrgDefaults()
    {
    }

    global static Organization_Settings__c getValues(Id userOrProfileId)
    {
    }

    global static Organization_Settings__c getValues(String datasetName)
    {
    }
}