// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>PO Payment Terms</h3>
 * This Object describes Purchase Order Payment Terms which are used in Purchase Order Agreements to provide a record and instruction for how Accounts payable is to pay for a Supplier's goods or services. This information is used in Procurement and Finance processes.
 */
global class /*SCMC__*/PO_Payment_Terms__c extends SObject 
{
    global List<Account> Accounts__r;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Basis for Due</h3>
     * The selection here is used to calculate the invoice due date
     */
    global String Basis_for_Due__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<Customer_Quotation__c> Customer_Quotations__r;
    /**
     * <h3>Date Due</h3>
     * Enter the date the payment is to be made
     */
    global Date Date_Due__c;
    /**
     * <h3>Description</h3>
     */
    global String Description__c;
    /**
     * <h3>Discount Days</h3>
     */
    global Decimal Discount_Days__c;
    /**
     * <h3>Discount Determined by</h3>
     * Price is  valid up to this date
     */
    global String Discount_Determined_by__c;
    /**
     * <h3>Discount Number</h3>
     * Enter the amount for the discount
     */
    global Currency Discount_Number__c;
    /**
     * <h3>Discount Percentage</h3>
     * Enter the percentage for the discount
     */
    global Decimal Discount_Percentage__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<PO_Payment_Terms__History> Histories;
    global List<Invoicing__c> Invoices__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Number of Days</h3>
     * Enter the number of days in which the payment is to be made
     */
    global Decimal Number_of_Days__c;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Purchase_Order__c> Purchase_Orders__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global List<Sales_Order__c> Sales_Orders__r;
    global SObjectType SObjectType;
    global List<Supplier_Site__c> Supplier_Sites__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Terms Description</h3>
     * Description of Purchase Order Term
     */
    global String Terms_Description__c;
    /**
     * <h3>Terms Name</h3>
     */
    global String Terms_Name__c;
    global List<TopicAssignment> TopicAssignments;

    global PO_Payment_Terms__c()
    {
    }
}