// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Price</h3>
 * The price object supports sales processes of Quotation and Sales Order and Financial Invoicing processes. This object defines multiple types of price lists that are Quantity, Date, Location, Catalogue, Customer, and Units of Measure
 */
global class /*SCMC__*/Price__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Condition</h3>
     * The condition code that is associated with this price.  If the condition code is omitted, the price applies only to requirements that have no condition code.
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * The condition code that is associated with this price.  If the condition code is omitted, the price applies only to requirements that have no condition code.
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     * The currency of the price list entry
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     * The currency of the price list entry
     */
    global Currency_Master__c Currency__r;
    /**
     * <h3>Customer Account</h3>
     * The customer for customer based pricing
     */
    global Id Customer_Account__c;
    /**
     * <h3>Customer Account</h3>
     * The customer for customer based pricing
     */
    global Account Customer_Account__r;
    global List<Customer_Quotation_Line__c> Customer_Quotation_Lines1__r;
    global List<Customer_Quotation_Line__c> Customer_Quotation_Lines__r;
    /**
     * <h3>Distributor Price</h3>
     */
    global Currency Distributor_Price__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Price__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>Price List</h3>
     * A valid Item Number on the Price List
     */
    global Id Item_Number__c;
    /**
     * <h3>Price List</h3>
     * A valid Item Number on the Price List
     */
    global Price_List__c Item_Number__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Maximum List Price</h3>
     */
    global Currency Maximum_List_Price__c;
    /**
     * <h3>Minimum List Price</h3>
     * If the calculated list amount is less than this amount then this amount is the list price.
     */
    global Currency Minimum_List_Price__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>NRC</h3>
     * Nonrecurring price associated with this item
     */
    global Currency NRC__c;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Price by Percent</h3>
     * Indicates whether pricing is based on a percentage of a base total. The type of total is determined by the RC Percentage Base field.
     */
    global Boolean Price_by_Percent__c;
    /**
     * <h3>Price Sub-Type</h3>
     */
    global Id Price_Sub_Type__c;
    /**
     * <h3>Price Sub-Type</h3>
     */
    global Price_Type__c Price_Sub_Type__r;
    /**
     * <h3>Price</h3>
     * Asking list price based on parameters selected
     */
    global Decimal Price__c;
    /**
     * <h3>Pricing Type</h3>
     * Describes the basic types of Price Lists supported by the application
     */
    global String Pricing_Type__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Promotion</h3>
     * Pricing based on a specific marketing promotion
     */
    global String Promotion__c;
    /**
     * <h3>RC Percentage Base</h3>
     * All lines that are not based on a percentage price contribute to the gross or net.
     */
    global String RC_Percentage_Base__c;
    /**
     * <h3>RC Price Percentage</h3>
     * Percentage to be used to calculate the RC Price if percentage based pricing is selected. RC Percentage Base determines the base from which to calculate list price.
     */
    global Decimal RC_Price_Percentage__c;
    /**
     * <h3>RC</h3>
     * Service Contract Recurring Fees
     */
    global Currency RC__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Service Term</h3>
     * This will be used if the service term on a quote/contract line is different than on the price entry.
     */
    global Id Service_Term__c;
    /**
     * <h3>Service Term</h3>
     * This will be used if the service term on a quote/contract line is different than on the price entry.
     */
    global Service_Term__c Service_Term__r;
    global SObjectType SObjectType;
    global List<Standard_Order_Line__c> Standard_Order_Lines__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Unit of Measure</h3>
     * Tier 1 Pricing based on UOM (each)
     */
    global Id Unit_of_Measure__c;
    /**
     * <h3>Unit of Measure</h3>
     * Tier 1 Pricing based on UOM (each)
     */
    global Unit_of_Measure__c Unit_of_Measure__r;
    /**
     * <h3>Valid Until Date</h3>
     * Price is  valid up to this date
     */
    global Date Valid_Until_Date__c;
    /**
     * <h3>Valid Until Quantity</h3>
     * Price is valid up to this Quantity. If no quantity is entered, this price is used for the top end.
     */
    global Decimal Valid_Until_Quantity__c;

    global Price__c()
    {
    }
}