// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Purchase Order Line Item</h3>
 * This Object describes a Purchase Order Line Item. A Purchase Order may have multiple line items. Line items facilitate procurement of multiple items or services on one purchase order and the supplier's information for pricing and delivery of goods (i.e., parts or facility supplies (MRO)) or services and is subject to a formal process of approval. This information is used in Procurement, Quality, and Finance processes
 */
global class /*SCMC__*/Purchase_Order_Line_Item__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Actual Ship Date</h3>
     */
    global Date Actual_Ship_Date__c;
    /**
     * <h3>Amount Vouchered</h3>
     */
    global Currency Amount_Vouchered__c;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total amount of qualifying rebate for the purchase order line.
     */
    global Currency Applied_Rebate_Amount__c;
    global List<AP_Voucher_Line_Credit__c> AP_Voucher_Credit_Lines__r;
    global List<AP_Voucher_Line__c> AP_Voucher_Lines__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Attachment_Set_Association__c> Attachment_Set_Associations__r;
    /**
     * <h3>Budget</h3>
     * Requestor's budget coming from Requisition but can be added on the Purchase Order Line
     */
    global Currency Budget__c;
    /**
     * <h3>Charge Number</h3>
     * Enter the authorized charge number used for this purchase
     */
    global String Charge_Number__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Condition</h3>
     * Condition of the Item that is being procured
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * Condition of the Item that is being procured
     */
    global Condition_Code__c Condition_Code__r;
    /**
     * <h3>Construction Project</h3>
     */
    global Id Construction_Project__c;
    /**
     * <h3>Construction Project</h3>
     */
    global pse__Proj__c Construction_Project__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Delivery Method</h3>
     * Designates by what means this will be delivered.
     */
    global String Delivery_Method__c;
    /**
     * <h3>Description</h3>
     * This description is used for capital equipment, description, and contractor line item types.
     */
    global String Description__c;
    /**
     * <h3>DPAS Rating</h3>
     * Defense Priorities and Allocations System Rating for Government Contract
     */
    global String DPAS_Rating__c;
    /**
     * <h3>Drop Ship City</h3>
     */
    global String Drop_Ship_City__c;
    /**
     * <h3>Drop Ship Country</h3>
     */
    global String Drop_Ship_Country__c;
    /**
     * <h3>Drop Ship Line 1</h3>
     */
    global String Drop_Ship_Line1__c;
    /**
     * <h3>Drop Ship Line 2</h3>
     */
    global String Drop_Ship_Line2__c;
    /**
     * <h3>Drop Ship Name</h3>
     * The Name for a drop shipment
     */
    global String Drop_Ship_Name__c;
    /**
     * <h3>Drop Ship State / Province</h3>
     */
    global String Drop_Ship_State_Province__c;
    /**
     * <h3>Drop Ship Zip / Postal Code</h3>
     */
    global String Drop_Ship_Zip_Postal_Code__c;
    /**
     * <h3>Drop Ship</h3>
     * Indicate whether this line item is drop shipped.
     */
    global Boolean Drop_Ship__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Estimated Arrival Date</h3>
     */
    global Date Estimated_Arrival_Date__c;
    global List<Event> Events;
    global List<Exchange_Order__c> Exchange_Orders__r;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Government Contract Number</h3>
     * Enter the government contract number this Requisition supports
     */
    global String Government_Contract_Number__c;
    global List<Purchase_Order_Line_Item__History> Histories;
    global List<Month_End_Inventory__c> Hist_POLine_Inventory_Position__r;
    /**
     * <h3>Inspection Required</h3>
     */
    global String Inspection_Required__c;
    /**
     * <h3>Internal Procurement</h3>
     */
    global Boolean Internal_Procurement__c;
    global List<Inventory_Position__c> Inventory_Positions__r;
    global List<Inventory_Transaction_Perpetual_Record__c> Inventory_Transaction_Perpetual_Records__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Description</h3>
     * The description of the item being purchased
     */
    global String Item_Description__c;
    /**
     * <h3>Item Being Procured</h3>
     * The part that is being purchased if this is an item type Purchase Order
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Being Procured</h3>
     * The part that is being purchased if this is an item type Purchase Order
     */
    global Item__c Item_Master__r;
    /**
     * <h3>Item Type</h3>
     */
    global String Item_Type__c;
    /**
     * <h3>Job Site Address</h3>
     */
    global Id Job_Site_Address__c;
    /**
     * <h3>Job Site Address</h3>
     */
    global Customer_Address__c Job_Site_Address__r;
    /**
     * <h3>Job</h3>
     */
    global Id Job__c;
    /**
     * <h3>Job</h3>
     */
    global Job__c Job__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Lead Time</h3>
     */
    global Decimal Lead_Time__c;
    /**
     * <h3>PO Line Number</h3>
     * PO Line Number covert to a number, so the user change sort po lines
     */
    global Decimal Line_Formula__c;
    /**
     * <h3>PO Line Number</h3>
     * The line number within the current Purchase Order. This is auto-populated and cannot be changed.
     */
    global String Line_Number__c;
    /**
     * <h3>Line Type</h3>
     * The type of purchase order line item. Processing for the purchase order differs depending on the line type
     */
    global String Line_Type__c;
    /**
     * <h3>Logistics Cost</h3>
     */
    global Currency Logistics_Cost__c;
    /**
     * <h3>Manufacturer's Part Number</h3>
     */
    global String Manufacturer_s_Part_Number__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Option Cost Per Unit</h3>
     */
    global Currency Option_Cost_Per_Unit__c;
    global List<Option_Item__c> Option_Items__r;
    /**
     * <h3>Outbound Parts Status</h3>
     * For a services purchase order, there must be at least one part selected, allocated, and shipped. This status field indicates the status of this activity.
     */
    global String Outbound_Parts_Status__c;
    /**
     * <h3>Ownership</h3>
     */
    global String Ownership__c;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Production_Order_Line__c> Production_Order_Lines__r;
    /**
     * <h3>Production Order Line</h3>
     * Production order line that generated this purchase order line
     */
    global Id Production_Order_Line__c;
    /**
     * <h3>Production Order Line</h3>
     * Production order line that generated this purchase order line
     */
    global Production_Order_Line__c Production_Order_Line__r;
    /**
     * <h3>Project Area</h3>
     */
    global Id Project_Area__c;
    /**
     * <h3>Project Area</h3>
     */
    global Project_Area__c Project_Area__r;
    /**
     * <h3>Purchase Order</h3>
     * The purchase order this line item is related to.  All purchase order line items must have a purchase order.
     */
    global Id Purchase_Order__c;
    /**
     * <h3>Purchase Order</h3>
     * The purchase order this line item is related to.  All purchase order line items must have a purchase order.
     */
    global Purchase_Order__c Purchase_Order__r;
    /**
     * <h3>Purchase Price Variance</h3>
     * This field is set during the AP Voucher process
     */
    global Currency Purchase_Price_Variance__c;
    /**
     * <h3>Quantity Received</h3>
     * Number of items received against this line item.
     */
    global Decimal Quantity_Received__c;
    /**
     * <h3>Quantity Vouchered</h3>
     * The number of items that have been vouchered
     */
    global Decimal Quantity_Vouchered__c;
    /**
     * <h3>Quantity</h3>
     * Number of units being ordered
     */
    global Decimal Quantity__c;
    global List<Receipt_Line__c> R00N40000001pzT5EAI__r;
    global List<Pick_list_Detail__c> R00N40000001r0KFEAY__r;
    global List<Inventory_Position__c> R00N40000001rdjxEAA__r;
    global List<Rebate_Applied__c> Rebates_Applied__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Release Date</h3>
     */
    global Date Release_Date__c;
    /**
     * <h3>Release Status Indicator</h3>
     */
    global String Release_Status_Indicator__c;
    /**
     * <h3>Release Status</h3>
     */
    global String Release_Status__c;
    /**
     * <h3>Remaining to Voucher</h3>
     */
    global Decimal Remaining_to_Voucher__c;
    /**
     * <h3>Requested Delivery Date</h3>
     */
    global Date Requested_Date__c;
    global List<Requisition_Line_Item__c> Requisition_Line_Items__r;
    /**
     * <h3>Requisition Line Item</h3>
     * The requisition line that triggered this requirement.
     */
    global Id Requisition_Line_Item__c;
    /**
     * <h3>Requisition Line Item</h3>
     * The requisition line that triggered this requirement.
     */
    global Requisition_Line_Item__c Requisition_Line_Item__r;
    global List<RTV__c> RTVs__r;
    global List<Sales_Order_Line_Item__c> Sales_Order_Line_Items__r;
    /**
     * <h3>Sales Order Line Item</h3>
     * The Sales Order Line used to create this Purchase Order Line.
     */
    global Id Sales_Order_Line_Item__c;
    /**
     * <h3>Sales Order Line Item</h3>
     * The Sales Order Line used to create this Purchase Order Line.
     */
    global Sales_Order_Line_Item__c Sales_Order_Line_Item__r;
    global List<Serial_Number__c> Serial_Numbers__r;
    /**
     * <h3>Services Project</h3>
     */
    global Id Services_Project__c;
    /**
     * <h3>Services Project</h3>
     */
    global SVMX_Project_2__c Services_Project__r;
    /**
     * <h3>Services Work Order</h3>
     */
    global Id Services_Work_Order__c;
    /**
     * <h3>Services Work Order</h3>
     */
    global SVMXC__Service_Order__c Services_Work_Order__r;
    /**
     * <h3>ServiceTitan Job Number</h3>
     */
    global String ServiceTitan_Job_Number__c;
    /**
     * <h3>Service Being Procured</h3>
     */
    global String Service_Being_Procured__c;
    /**
     * <h3>Service Contact Line Type</h3>
     */
    global String Service_Contact_Line_Type__c;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Id Service_Contract_Line__c;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Service_Order_Line__c Service_Contract_Line__r;
    global List<Serial_Number__c> Service_Serial_Numbers__r;
    /**
     * <h3>Service Term</h3>
     */
    global Id Service_Term__c;
    /**
     * <h3>Service Term</h3>
     */
    global Service_Term__c Service_Term__r;
    /**
     * <h3>Shipping Address</h3>
     */
    global Id Shipping_Address__c;
    /**
     * <h3>Shipping Address</h3>
     */
    global Customer_Address__c Shipping_Address__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status Change Date</h3>
     * The date of the last status change.
     */
    global Datetime Status_Change_Date__c;
    /**
     * <h3>Status</h3>
     * The status of the line item.  This is never set by the user.
     */
    global String Status__c;
    /**
     * <h3>Stocking Unit of Measure</h3>
     */
    global String Stocking_Unit_of_Measure__c;
    /**
     * <h3>Supplier Awarded</h3>
     */
    global String Supplier_Awarded__c;
    /**
     * <h3>Supplier Commitment Date</h3>
     * The original date that the supplier committed to for delivery of the goods or service being procured.
     */
    global Date Supplier_Commitment_Date__c;
    /**
     * <h3>Supplier Current Promise Date Descrip</h3>
     */
    global String Supplier_Current_Promise_Date_Descrip__c;
    /**
     * <h3>Supplier Current Promise Date</h3>
     */
    global Date Supplier_Current_Promise_Date__c;
    /**
     * <h3>Supplier Unit of Measure</h3>
     */
    global String Supplier_Unit_of_Measure__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Tag</h3>
     */
    global Id Tag__c;
    /**
     * <h3>Tag</h3>
     */
    global Tag__c Tag__r;
    global List<Task> Tasks;
    /**
     * <h3>Taxable?</h3>
     * Select this box if taxes are applicable to this Purchase Order Line
     */
    global Boolean Taxable__c;
    /**
     * <h3>Tax Rate</h3>
     */
    global Decimal Tax_Rate__c;
    /**
     * <h3>Tax</h3>
     */
    global Currency Tax__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Cost</h3>
     */
    global Currency Total_Cost__c;
    /**
     * <h3>Total Service Terms</h3>
     */
    global Decimal Total_Service_Terms__c;
    /**
     * <h3>Total Vouchered</h3>
     */
    global Decimal Total_Vouchered__c;
    /**
     * <h3>Tracking Number</h3>
     */
    global String Tracking_Number__c;
    /**
     * <h3>Unit Cost With Options</h3>
     */
    global Currency Unit_Cost_With_Options__c;
    /**
     * <h3>Unit Cost</h3>
     * The unit cost of the item being ordered.
     */
    global Currency Unit_Cost__c;
    /**
     * <h3>Use Code</h3>
     * For use tax purposes. Determines what the item is to be used for.
     */
    global String Use_Code__c;
    /**
     * <h3>Tax Code</h3>
     */
    global String Use_Tax_Code__c;
    /**
     * <h3>Warehouse Address</h3>
     */
    global Id Warehouse_Address__c;
    /**
     * <h3>Warehouse Address</h3>
     */
    global Address__c Warehouse_Address__r;
    /**
     * <h3>Ship to Warehouse</h3>
     * The warehouse where the items are to be delivered.
     */
    global Id Warehouse__c;
    /**
     * <h3>Ship to Warehouse</h3>
     * The warehouse where the items are to be delivered.
     */
    global Warehouse__c Warehouse__r;

    global Purchase_Order_Line_Item__c()
    {
    }
}