// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Purchase Order</h3>
 * This Object describes a Purchase Order which is an Agreement between a company and their supplier for pricing and delivery of goods (i.e., parts or facility supplies (MRO)) or services and is subject to a formal process of approval. This information is used in Procurement, Quality, and Finance processes
 */
global class /*SCMC__*/Purchase_Order__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total amount of applied rebates rolled-up from the purchase order lines.
     */
    global Currency Applied_Rebate_Amount__c;
    global List<AP_Voucher__c> AP_Vouchers__r;
    global List<AP_Voucher_Credit__c> AP_Voucher_Credits__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Attachment_Set_Association__c> Attachment_Set_Associations__r;
    /**
     * <h3>Award Code</h3>
     * Enter an Award Code to establish a record and reason why a Supplier was awarded this Purchase Order
     */
    global Id Award_Code__c;
    /**
     * <h3>Award Code</h3>
     * Enter an Award Code to establish a record and reason why a Supplier was awarded this Purchase Order
     */
    global Award_Code__c Award_Code__r;
    /**
     * <h3>Blanket Order Quantity Limit</h3>
     * Established quantity limit for the number of items that can be procured against this Order Agreement
     */
    global Decimal Blanket_Order_Quantity_Limit__c;
    /**
     * <h3>Blanket Order Spend Limit</h3>
     * Established total spend limit for items that can be procured against this Order Agreement
     */
    global Currency Blanket_Order_Spend_Limit__c;
    /**
     * <h3>Buyer Instructions to Supplier</h3>
     * These are the Buyer's general instruction notes to the Supplier, used for external purposes
     */
    global String Buyer_Instructions_to_Supplier__c;
    /**
     * <h3>Buyer Notes</h3>
     * These are the Buyer's general notes regarding this Purchase Order, used for internal purposes
     */
    global String Buyer_Notes__c;
    /**
     * <h3>Buyer</h3>
     * The user who is responsible for the PO
     */
    global Id Buyer_User__c;
    /**
     * <h3>Buyer</h3>
     * The user who is responsible for the PO
     */
    global User Buyer_User__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Confirm To</h3>
     * The Supplier's representative that accepted the order
     */
    global String Confirm_To__c;
    /**
     * <h3>Construction Project</h3>
     */
    global Id Construction_Project__c;
    /**
     * <h3>Construction Project</h3>
     */
    global pse__Proj__c Construction_Project__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     * This defaults from the Supplier Site but can be overriden by the user
     */
    global Id Currency_Master__c;
    /**
     * <h3>Currency</h3>
     * This defaults from the Supplier Site but can be overriden by the user
     */
    global Currency_Master__c Currency_Master__r;
    /**
     * <h3>Delivery Options</h3>
     */
    global String Delivery_Options__c;
    /**
     * <h3>Delivery Status</h3>
     */
    global String Delivery_Status__c;
    /**
     * <h3>Drop Ship City</h3>
     */
    global String Drop_Ship_City__c;
    /**
     * <h3>Drop Ship Country</h3>
     */
    global String Drop_Ship_Country__c;
    /**
     * <h3>Drop Ship Line 1</h3>
     */
    global String Drop_Ship_Line1__c;
    /**
     * <h3>Drop Ship Line 2</h3>
     */
    global String Drop_Ship_Line2__c;
    /**
     * <h3>Drop Ship Name</h3>
     * The Name for a drop shipment
     */
    global String Drop_Ship_Name__c;
    /**
     * <h3>Drop Ship State / Province</h3>
     */
    global String Drop_Ship_State_Province__c;
    /**
     * <h3>Drop Ship Zip / Postal Code</h3>
     */
    global String Drop_Ship_Zip_Postal_Code__c;
    /**
     * <h3>Drop Ship</h3>
     * Indicate whether this line item is drop shipped.
     */
    global Boolean Drop_Ship__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     * Established end date for when Items can be procured against this Order Agreement
     */
    global Date End_Date__c;
    global List<Event> Events;
    /**
     * <h3>Existing PO Number</h3>
     */
    global String Existing_PO_Number__c;
    global List<Purchase_Order__Feed> Feeds;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Purchase_Order__History> Histories;
    /**
     * <h3>Internal Procurement</h3>
     */
    global Boolean Internal_Procurement__c;
    global Boolean IsDeleted;
    /**
     * <h3>Job Concatenation</h3>
     */
    global String Job_Concatenation__c;
    /**
     * <h3>Job Information Set</h3>
     */
    global Boolean Job_Information_Set__c;
    /**
     * <h3>Job Site Address</h3>
     */
    global Id Job_Site_Address__c;
    /**
     * <h3>Job Site Address</h3>
     */
    global Customer_Address__c Job_Site_Address__r;
    /**
     * <h3>Job</h3>
     */
    global Id Job__c;
    /**
     * <h3>Job</h3>
     */
    global Job__c Job__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Miscellaneous Charges 2</h3>
     */
    global Decimal Miscellaneous_Charges_2__c;
    /**
     * <h3>Miscellaneous Charges</h3>
     */
    global Decimal Miscellaneous_Charges__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Number of Cancelled Lines</h3>
     */
    global Decimal Number_of_Cancelled_Lines__c;
    /**
     * <h3>Number of Closed Lines</h3>
     */
    global Decimal Number_of_Closed_Lines__c;
    /**
     * <h3>Number of Item Lines</h3>
     */
    global Decimal Number_of_Item_Lines__c;
    /**
     * <h3>Number of Lines</h3>
     */
    global Decimal Number_of_Lines__c;
    /**
     * <h3>Number of Partially Received Lines</h3>
     */
    global Decimal Number_of_Partially_Received_Lines__c;
    /**
     * <h3>Number of Service Lines Shipped</h3>
     */
    global Decimal Number_of_Service_Lines_Shipped__c;
    /**
     * <h3>Number of Service Lines to Allocate</h3>
     */
    global Decimal Number_of_Service_Lines_to_Allocate__c;
    /**
     * <h3>Number of Service Lines</h3>
     */
    global Decimal Number_of_Service_Lines__c;
    /**
     * <h3>Number Open Lines</h3>
     * The number of open lines on the purchase order.  This field is automatically calculated.
     */
    global Decimal Number_Open_Lines__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Order Type</h3>
     */
    global String Order_Type__c;
    /**
     * <h3>Override Ship to Address</h3>
     * For drop ship purchase orders that are associated with a sales order, we need the override ship to from the sales order if it is there, otherwise the ship to address is taken from the customer record.
     */
    global Id Override_Ship_to_Address__c;
    /**
     * <h3>Override Ship to Address</h3>
     * For drop ship purchase orders that are associated with a sales order, we need the override ship to from the sales order if it is there, otherwise the ship to address is taken from the customer record.
     */
    global Customer_Address__c Override_Ship_to_Address__r;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Ownership</h3>
     */
    global Id Ownership__c;
    /**
     * <h3>Ownership</h3>
     */
    global Ownership_Code__c Ownership__r;
    global FeedComment Parent;
    /**
     * <h3>Payment Terms Name</h3>
     */
    global String Payment_Terms_Name__c;
    /**
     * <h3>Payment Terms</h3>
     * The payment terms flowed down from the selected supplier.  It can be overridden by user.
     */
    global Id Payment_Terms__c;
    /**
     * <h3>Payment Terms</h3>
     * The payment terms flowed down from the selected supplier.  It can be overridden by user.
     */
    global PO_Payment_Terms__c Payment_Terms__r;
    global List<Picklist__c> Picklists__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Procured for</h3>
     * The customer this is being procured for.  This is valid only on a drop ship purchase order type
     */
    global Id Procured_for__c;
    /**
     * <h3>Procured for</h3>
     * The customer this is being procured for.  This is valid only on a drop ship purchase order type
     */
    global Account Procured_for__r;
    global List<Purchase_Order_Line_Item__c> PurchaseOrderLineItems__r;
    /**
     * <h3>Purchase Order Date</h3>
     * The date this Purchase Order version was created
     */
    global Date Purchase_Order_Date__c;
    /**
     * <h3>Purchase Order Name</h3>
     * Enter a Name for the Purchase Order. This is optional
     */
    global String Purchase_Order_Name__c;
    global List<Rebate_Claim__c> Rebate_Claims__r;
    global List<Receipt__c> Receipts__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Resale</h3>
     * If checked, the items on the purchase order are procured for resale
     */
    global Boolean Resale__c;
    /**
     * <h3>Revision Date</h3>
     */
    global Datetime Revision_Date__c;
    /**
     * <h3>Revision</h3>
     */
    global Decimal Revision__c;
    /**
     * <h3>Sales Order</h3>
     * Only used if this is a drop ship purchase order that was created from a sales order.
     */
    global Id Sales_Order__c;
    /**
     * <h3>Sales Order</h3>
     * Only used if this is a drop ship purchase order that was created from a sales order.
     */
    global Sales_Order__c Sales_Order__r;
    /**
     * <h3>Services Project</h3>
     */
    global Id Services_Project__c;
    /**
     * <h3>Services Project</h3>
     */
    global SVMX_Project_2__c Services_Project__r;
    /**
     * <h3>Services Work Order</h3>
     */
    global Id Services_Work_Order__c;
    /**
     * <h3>Services Work Order</h3>
     */
    global SVMXC__Service_Order__c Services_Work_Order__r;
    /**
     * <h3>ServiceTitan Job Number</h3>
     */
    global String ServiceTitan_Job_Number__c;
    /**
     * <h3>Service Contract</h3>
     */
    global Id Service_Contract__c;
    /**
     * <h3>Service Contract</h3>
     */
    global Service_Order__c Service_Contract__r;
    /**
     * <h3>Shipment Options</h3>
     */
    global String Shipment_Options__c;
    /**
     * <h3>Shipment Services</h3>
     */
    global String Shipment_Services__c;
    /**
     * <h3>Shipping Address Concatenation Area</h3>
     */
    global String Shipping_Address_Concatenation_Area__c;
    /**
     * <h3>Shipping Address</h3>
     */
    global Id Shipping_Address__c;
    /**
     * <h3>Shipping Address</h3>
     */
    global Customer_Address__c Shipping_Address__r;
    global List<Shipping__c> Shipping__r;
    /**
     * <h3>Ship To Address</h3>
     * Address of the warehouse to receive the parts.
     */
    global String Ship_To_Address__c;
    /**
     * <h3>Ship To City</h3>
     */
    global String Ship_To_City__c;
    /**
     * <h3>Ship To Country</h3>
     */
    global String Ship_To_Country__c;
    /**
     * <h3>Ship To State</h3>
     */
    global String Ship_To_State__c;
    /**
     * <h3>Ship To Street</h3>
     */
    global String Ship_To_Street__c;
    /**
     * <h3>Ship to Warehouse</h3>
     * The warehouse the parts on the sales order are shipped to
     */
    global Id Ship_To_Warehouse__c;
    /**
     * <h3>Ship to Warehouse</h3>
     * The warehouse the parts on the sales order are shipped to
     */
    global Warehouse__c Ship_To_Warehouse__r;
    /**
     * <h3>Ship To Zipcode</h3>
     */
    global String Ship_To_Zipcode__c;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     * Initiation date for when Order Agreement becomes effective
     */
    global Date Start_Date__c;
    /**
     * <h3>Status Change Date</h3>
     * The date and time of the last status change.
     */
    global Datetime Status_Change_Date__c;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Supplier Contact</h3>
     * Enter known contact at Supplier
     */
    global Id Supplier_Contact__c;
    /**
     * <h3>Supplier Contact</h3>
     * Enter known contact at Supplier
     */
    global Supplier_Contact__c Supplier_Contact__r;
    /**
     * <h3>Supplier Ship Via</h3>
     * Instructions to supplier. This appears on Purchase Order
     */
    global String Supplier_Ship_Via__c;
    /**
     * <h3>Supplier Site</h3>
     * Select from current Suppliers
     */
    global Id Supplier_Site__c;
    /**
     * <h3>Supplier Site</h3>
     * Select from current Suppliers
     */
    global Supplier_Site__c Supplier_Site__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Amount Vouchered</h3>
     */
    global Currency Total_Amount_Vouchered__c;
    /**
     * <h3>Total Quantity Vouchered</h3>
     */
    global Decimal Total_Quantity_Vouchered__c;
    /**
     * <h3>Total Tax</h3>
     */
    global Currency Total_Tax__c;
    /**
     * <h3>Total Value of PO</h3>
     */
    global Currency Total_Value_of_PO__c;
    /**
     * <h3>Warehouse Address</h3>
     */
    global Id Warehouse_Address__c;
    /**
     * <h3>Warehouse Address</h3>
     */
    global Warehouse__c Warehouse_Address__r;

    global Purchase_Order__c()
    {
    }
}