// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Rebate Claim</h3>
 * Tracks rebate claims. Claim date, reimbursement date, claim value and status are tracked.
 */
global class /*SCMC__*/Rebate_Claim__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total Amount of Applied Rebates
     */
    global Currency Applied_Rebate_Amount__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     */
    global Id Currency_Master__c;
    /**
     * <h3>Currency</h3>
     */
    global Currency_Master__c Currency_Master__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Rebate_Claim__History> Histories;
    /**
     * <h3>Invoicing</h3>
     * Lookup to the invoice to which the claim relates.
     */
    global Id Invoicing__c;
    /**
     * <h3>Invoicing</h3>
     * Lookup to the invoice to which the claim relates.
     */
    global Invoicing__c Invoicing__r;
    global Boolean IsDeleted;
    /**
     * <h3>Items</h3>
     * Items on a purchase order rebate claim
     */
    global String Items__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Manufacturer</h3>
     * Lookup to the Manufacturer Name. You can display this field on the Rebate claims page by adding it to the Claim field set
     */
    global String Manufacturer__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Notes</h3>
     * Notes about the claim
     */
    global String Notes__c;
    global List<OpenActivity> OpenActivities;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Purchase Order</h3>
     * Lookup to the Purchase order to which the claim relates
     */
    global Id Purchase_Order__c;
    /**
     * <h3>Purchase Order</h3>
     * Lookup to the Purchase order to which the claim relates
     */
    global Purchase_Order__c Purchase_Order__r;
    /**
     * <h3>Quantity Purchased</h3>
     * Number of items purchased that the rebate is being claimed for. The value of this field comes from the Quantity field of the related purchase order line item.
     */
    global Decimal Quantity_Purchased__c;
    /**
     * <h3>Rebate Applied</h3>
     * Lookup to the record of the applied rebate to which the rebate claim applies
     */
    global Id Rebate_Applied__c;
    /**
     * <h3>Rebate Applied</h3>
     * Lookup to the record of the applied rebate to which the rebate claim applies
     */
    global Rebate_Applied__c Rebate_Applied__r;
    /**
     * <h3>Rebate Name</h3>
     * Lookup to the Rebate Promotion Name. You can display this field on the Rebate claims page by adding it to the Claim field set
     */
    global String Rebate_Name__c;
    /**
     * <h3>Rebate Type</h3>
     * The type of rebate being offered. This can be Customer Submitted, Incentive, Manufacturer Direct or Reseller Submitted.
     */
    global String Rebate_Type__c;
    /**
     * <h3>Rebate</h3>
     * Lookup to the rebate to which the rebate claim applies.
     */
    global Id Rebate__c;
    /**
     * <h3>Rebate</h3>
     * Lookup to the rebate to which the rebate claim applies.
     */
    global Rebate__c Rebate__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Reimbursement Date</h3>
     * Date on which the claim was reimbursed.
     */
    global Date Reimbursement_Date__c;
    /**
     * <h3>Rejected Date</h3>
     * Date on which the claim was rejected
     */
    global Date Rejected_Date__c;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Sales Order</h3>
     * Lookup to the sales order to which the claim relates.
     */
    global Id Sales_Order__c;
    /**
     * <h3>Sales Order</h3>
     * Lookup to the sales order to which the claim relates.
     */
    global Sales_Order__c Sales_Order__r;
    global List<Serial_Number__c> Serial_Numbers__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * Status of the claim. This can be New, Submitted, Reimbursed, Rejected or Expired.
     */
    global String Status__c;
    /**
     * <h3>Submitted Date</h3>
     * Date on which the claim as submitted.
     */
    global Date Submitted_Date__c;
    /**
     * <h3>Submit By Date</h3>
     * Last date on which a claim can be received for the rebate
     */
    global Date Submit_By_Date__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Vendor Claim Number</h3>
     * Claim number used to track rebate claims
     */
    global String Vendor_Claim_Number__c;

    global Rebate_Claim__c()
    {
    }
}