// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Rebate</h3>
 * Contains overall details of rebates
 */
global class /*SCMC__*/Rebate__c extends SObject 
{
    /**
     * <h3>Active</h3>
     * Indicates whether the rebate can be associated with new items
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    global List<Additional_Rebate_Terms__c> Additional_Rebate_Terms__r;
    /**
     * <h3>Amount</h3>
     * Amount of rebate to be given
     */
    global Currency Amount__c;
    /**
     * <h3>Applied Rebates</h3>
     * Total number of applied rebates
     */
    global Decimal Applied_Rebates__c;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total amount of applied rebates
     */
    global Currency Applied_Rebate_Amount__c;
    /**
     * <h3>Apply Rebate To</h3>
     * Indicates whether the rebate is applied to a sales order or a purchase order.
     */
    global String Apply_Rebate_To__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Bundle?</h3>
     */
    global Boolean Bundle__c;
    /**
     * <h3>Combination Allowed?</h3>
     * Indicates whether the rebate can be combined with any other rebates or discounts
     */
    global Boolean Combination_Allowed__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     */
    global Id Currency_Master__c;
    /**
     * <h3>Currency</h3>
     */
    global Currency_Master__c Currency_Master__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     * Date on which the seller must stop offering the rebate
     */
    global Date End_Date__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Rebate__History> Histories;
    /**
     * <h3>Instructions</h3>
     * Instructions on how the rebate can be claimed
     */
    global String Instructions__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Manufacturer</h3>
     * Manufacturer offering the rebate
     */
    global Id Manufacturer__c;
    /**
     * <h3>Manufacturer</h3>
     * Manufacturer offering the rebate
     */
    global Manufacturer__c Manufacturer__r;
    /**
     * <h3>Maximum Number of Rebates</h3>
     * Maximum number of rebates that can be submitted per transaction.
     */
    global Decimal Maximum_Number_of_Rebates__c;
    /**
     * <h3>Minimum Unit Threshold</h3>
     * The minimum number of units to be purchased for one rebate.
     */
    global Decimal Minimum_Unit_Threshold__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Outstanding Claim Amount</h3>
     * Total Outstanding Amount from Rebate Claims
     */
    global Currency Outstanding_Claim_Amount__c;
    global FeedComment Parent;
    /**
     * <h3>Preferred Rebate</h3>
     * Determines the rebate to apply when there is more than one rebate and Combination Allowed? is false on each one.
     */
    global Boolean Preferred_Rebate__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Rebate_Applied__c> Rebates_Applied__r;
    global List<Rebate_Claim__c> Rebate_Claims__r;
    global List<Rebate_Line__c> Rebate_Lines__r;
    /**
     * <h3>Rebate Promotion Description</h3>
     * Brief description of the rebate
     */
    global String Rebate_Promotion_Description__c;
    /**
     * <h3>Rebate Promotion Name</h3>
     * Manufacturer's name for the rebate
     */
    global String Rebate_Promotion_Name__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     * Date on which the seller can start offering the rebate
     */
    global Date Start_Date__c;
    /**
     * <h3>Status</h3>
     * Status of the rebate. This is used for the Salesforce approval process applied to rebates. The status can be New, Approved, Submitted for Approval or Rejected.
     */
    global String Status__c;
    /**
     * <h3>Submit By Date</h3>
     * Last date on which a claim can be received for the rebate
     */
    global Date Submit_By_Date__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Quantity Purchased</h3>
     * Total number of items purchased for the rebates claimed.
     */
    global Decimal Total_Quantity_Purchased__c;
    /**
     * <h3>Type</h3>
     * The type of rebate being offered. The types you can choose from are Customer Submitted, Incentive, Manufacturer Direct or Reseller Submitted
     */
    global String Type__c;
    /**
     * <h3>Website Link</h3>
     * A URL link to public facing information about the rebate
     */
    global String Website_Link__c;

    global Rebate__c()
    {
    }
}