// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Received RFQ</h3>
 * RFQ received from a customer or a potential customer. These RFQs can be created by an automated process or they may be hand entered
 */
global class /*SCMC__*/Received_RFQ__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Tail Number</h3>
     * The aircraft the part is for.  This is an optional field.
     */
    global String Aircraft_Identifier__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Building Information</h3>
     */
    global String Building_Information__c;
    /**
     * <h3>Buyer Priority</h3>
     * The request type that the sender of the RFQ has specified (e.g., Expedite)
     */
    global String Buyer_Priority__c;
    /**
     * <h3>Buyer RFQ Reference</h3>
     * Reference number or control number that is passed from the sender/buyer to the system that supplies the quote.
     */
    global String Buyer_RFQ_Reference__c;
    /**
     * <h3>Close Date</h3>
     * The date and time that the RRFQ was closed (i.e., someone selected No Bid, No Response or Create Quote).
     */
    global Datetime Close_Date__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Comments</h3>
     */
    global String Comments__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer Quotation</h3>
     * The quote that was created from this RFQ.  This is populated when the quote is created.
     */
    global Id Customer_Quotation__c;
    /**
     * <h3>Customer Quotation</h3>
     * The quote that was created from this RFQ.  This is populated when the quote is created.
     */
    global Customer_Quotation__c Customer_Quotation__r;
    /**
     * <h3>Deliver By Date</h3>
     * Customer's required delivery date.
     */
    global Date Deliver_By_Date__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>External RFQ Id</h3>
     * RFQ Id from the external system
     */
    global String External_RFQ_ID__c;
    /**
     * <h3>External To Id</h3>
     * Company Id in a foreign system that this RFQ was sent to. Since multiple companies from another system can be set up in a single organization, we need to capture who specifically this was sent to.
     */
    global String External_To_Id__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>From Address</h3>
     * The address of the individual or company that is requesting the quote.
     */
    global String From_Address__c;
    /**
     * <h3>External ID</h3>
     * Company Id in a foreign system. For example, this could be a company Id within ILS.
     */
    global String From_Company_ID__c;
    /**
     * <h3>From Company name</h3>
     * The name of the company sending the RFQ.  This data is entered instead of a lookup in the customer table because the request for quote may have come from a company we do not currently do business with.
     */
    global String From_Company_name__c;
    /**
     * <h3>From Contact</h3>
     * The contact at the company sending the RFQ.  This field is entered instead of being looked up in the customer contact object because we may not be doing business with the sending company.
     */
    global String From_Contact__c;
    /**
     * <h3>From Email</h3>
     * The email address associated with the Contact at the Company requesting the Quote.
     */
    global Email From_Email__c;
    /**
     * <h3>From Fax</h3>
     * The fax number of the Company sending the request for Quote.
     */
    global String From_Fax__c;
    /**
     * <h3>From Phone Extension</h3>
     */
    global Decimal From_Phone_Extension__c;
    /**
     * <h3>From Phone</h3>
     * The contact phone number associated with the contact requesting the RFQ.
     */
    global String From_Phone__c;
    global List<Received_RFQ__History> Histories;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Lead Time</h3>
     */
    global String Lead_Time__c;
    /**
     * <h3>Mailing City</h3>
     */
    global String Mailing_City__c;
    /**
     * <h3>Mailing Country</h3>
     */
    global String Mailing_Country__c;
    /**
     * <h3>Mailing State or Province</h3>
     */
    global String Mailing_State_Province__c;
    /**
     * <h3>Mailing Street Additional Information</h3>
     */
    global String Mailing_Street_Additional_Information__c;
    /**
     * <h3>Mailing Street</h3>
     */
    global String Mailing_Street__c;
    /**
     * <h3>Mailing Postal Code</h3>
     */
    global String Mailing_Zip_Postal_Code__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Quote By Date</h3>
     * The date the request for quote expires.  The customer is indicating he is not interested in receiving a quote after this date.
     */
    global Date Quote_By_Date__c;
    global List<Customer_Quotation__c> R00N40000001bcZ5EAI__r;
    global List<Received_RFQ_Item__c> Received_RFQ_Items__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Sales Channel</h3>
     * Lead Generation Point
     */
    global String Sales_Channel__c;
    global SObjectType SObjectType;
    /**
     * <h3>Source Description</h3>
     */
    global String Source_Description__c;
    /**
     * <h3>Status</h3>
     * The status of the received RFQ
     */
    global String Status__c;
    /**
     * <h3>Subject</h3>
     */
    global String Subject__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>To</h3>
     */
    global String To__c;

    global Received_RFQ__c()
    {
    }
}