// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Receiving Inspection</h3>
 * This Object describes the business information for Items that require Inspection and confirmation of acceptance prior to storage within a warehouse location. This object supports Acquisition and Inventory Management business processes such as acceptance of materials, Life Controlled, and Shelf Life business processes. There are workflow, attachments, and business intelligences dependent on this object.
 */
global class /*SCMC__*/Receiving_Inspection__c extends SObject 
{
    /**
     * <h3>Acceptance APIS</h3>
     * Produced under a TC without a separate production authorization and an Approved Production Inspection System (APIS), in accordance with part 21, subpart F.
     */
    global Boolean Acceptance_APIS__c;
    /**
     * <h3>Acceptance Bilateral Agreement</h3>
     * Manufactured in accordance with an approval under a bilateral airworthiness agreement under part 21, subpart N, approval of engines, propellers, materials, parts, and appliances for import.
     */
    global Boolean Acceptance_Bilateral_Agreement__c;
    /**
     * <h3>Acceptance PC</h3>
     * Produced under a Production Certificate (PC) (including production by a "licensee" if produced under PC authority), in accordance with part 21, subpart G.
     */
    global Boolean Acceptance_PC__c;
    /**
     * <h3>Acceptance PMA</h3>
     * Produced in accordance with a Parts Manufacturer Approval (PMA) Produced in accordance with a Technical Standard Order Authorization (TSOA)
     */
    global Boolean Acceptance_PMA__c;
    /**
     * <h3>Acceptance Standard Parts</h3>
     * "Standard parts" has come to be understood by the aviation and manufacturing public as meaning a part, the specification for which has been published by a standard-setting organization or by the U.S. Government, and the FAA has traditionally regulated parts production with that understanding. Examples of such "traditional" standard part specifications include National Aerospace Standards (NAS), Air Force-Navy Aeronautical Standard (AN), Society of Automotive Engineers (SAE), SAE Aerospace Standard (AS), and Military Standard (MS).
     */
    global Boolean Acceptance_Standard_Parts__c;
    /**
     * <h3>Acceptance STC</h3>
     * Produced during the TC application process under part 21, subpart B, or the STC application process under part 21, subpart E, prior to the issuance of the certificate; subsequently determined to conform to the approved TC or STC data
     */
    global Boolean Acceptance_STC__c;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Bench Test</h3>
     */
    global Boolean Bench_Test__c;
    /**
     * <h3>CAGE Code</h3>
     * Commercial and Government Entity (CAGE) Code. Identifies contractors doing business with the Federal government, NATO member nations, and other foreign governments.
     */
    global String CAGE_Code__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Condition</h3>
     * The condition of the part being inspected.
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * The condition of the part being inspected.
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>CSN</h3>
     */
    global String CSN__c;
    /**
     * <h3>CSO</h3>
     */
    global String CSO__c;
    /**
     * <h3>CSR</h3>
     */
    global String CSR__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Documentation</h3>
     */
    global Boolean Documentation__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Functional Test</h3>
     */
    global Boolean Functional_Test__c;
    global List<Month_End_Inventory__c> Historical_Inventory_Positions__r;
    global List<Receiving_Inspection__History> Histories;
    /**
     * <h3>Incoming Core</h3>
     * The incoming core as entered by the salesman.  The real part number is entered by the inspector.
     */
    global String Incoming_Core__c;
    /**
     * <h3>Inspection Type</h3>
     * Type of inspection
     */
    global String Inspection_Type__c;
    /**
     * <h3>Inspector Notes</h3>
     * Free form notes relating to this Inspection event
     */
    global String Inspector_Notes__c;
    global List<Inventory_Position__c> Inventory_Positions__r;
    global List<Inventory_Transaction_Perpetual_Record__c> Inventory_Transaction_Perpetual_Records__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Description</h3>
     */
    global String Item_Description__c;
    /**
     * <h3>Item Number</h3>
     * This field is automatically populated during the receiving process if the parts need to be inspected.
     */
    global Id Item_Number__c;
    /**
     * <h3>Item Number</h3>
     * This field is automatically populated during the receiving process if the parts need to be inspected.
     */
    global Item__c Item_Number__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Lot Number</h3>
     * The lot number associated with the part or parts being inspected.
     */
    global String Lot_Number__c;
    /**
     * <h3>Measurement/Test Equipment Utilized</h3>
     */
    global Id Measurement_Test_Equipment_Utilized__c;
    /**
     * <h3>Measurement/Test Equipment Utilized</h3>
     */
    global Item__c Measurement_Test_Equipment_Utilized__r;
    /**
     * <h3>Misc Received Quantity</h3>
     * The quantity receiving from Miscellaneous Receipt
     */
    global Decimal Misc_Received_Quantity__c;
    global String Name;
    global List<Non_Conforming_Material__c> Non_Conforming_Material__r;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Ownership Code</h3>
     */
    global Id Ownership_Code__c;
    /**
     * <h3>Ownership Code</h3>
     */
    global Ownership_Code__c Ownership_Code__r;
    global FeedComment Parent;
    /**
     * <h3>Preservation</h3>
     */
    global Boolean Preservation__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Production Order</h3>
     */
    global Id Production_Order__c;
    /**
     * <h3>Production Order</h3>
     */
    global Production_Order__c Production_Order__r;
    /**
     * <h3>Quantity to Accept</h3>
     * The number of parts being accepted.  This number can never be greater than the number of parts available for inspection.
     */
    global Decimal Quantity_to_Accept__c;
    /**
     * <h3>Receipt Line</h3>
     * The receiver line of the item(s) to be inspected
     */
    global Id Receipt_Line__c;
    /**
     * <h3>Receipt Line</h3>
     * The receiver line of the item(s) to be inspected
     */
    global Receipt_Line__c Receipt_Line__r;
    /**
     * <h3>Received Quantity</h3>
     * The quantity of the item that is received.  This quantity is in stocking unit of measure so it may be different than the number on the receipt line.
     */
    global Decimal Received_Quantity__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Remaining Quantity to Inspect</h3>
     * The remaining quantity that is available to inspect. This is the amount received minus the amount accepted and the amount rejected.
     */
    global Decimal Remaining_Quantity_to_Inspect__c;
    /**
     * <h3>Sample Size Taken</h3>
     */
    global Decimal Sample_Size_Taken__c;
    global List<Serial_Number__c> Serial_Numbers__r;
    /**
     * <h3>Serial Number</h3>
     * The serial number of the part to be inspected. This field is auto-populated during the receiving process. For inbound exchanges, the inspector fills this data in.
     */
    global String Serial_Number__c;
    /**
     * <h3>Shelf Life Limit</h3>
     */
    global Datetime Shelf_Life_Limit__c;
    global SObjectType SObjectType;
    /**
     * <h3>Stamp Number</h3>
     * The unique identifier for an inspector.  This must be provided to complete an inspection and serves to satisfy an electronic signature.
     */
    global String Stamp_Number__c;
    /**
     * <h3>Status</h3>
     * The current status of the inspection.
     */
    global String Status__c;
    /**
     * <h3>Supplier Purchase Order Line</h3>
     */
    global String Supplier_Purchase_Order_Line_c__c;
    /**
     * <h3>Supplier Purchase Order Line</h3>
     */
    global String Supplier_Purchase_Order_Line__c;
    /**
     * <h3>Supplier Purchase Order</h3>
     */
    global String Supplier_Purchase_Order__c;
    /**
     * <h3>Supplier</h3>
     */
    global String Supplier__c;
    /**
     * <h3>Supporting Documentation</h3>
     * A standard airworthiness certificate is a certificate issued by a state's civil aviation authority to permit the operation of the aircraft. The certificate effectively provides flight authority. A standard airworthiness certificate is issued for standard flight operations in the following categories:
     */
    global String Supporting_Documentation__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Technical Data Utilized</h3>
     */
    global String Technical_Data_Utilized__c;
    /**
     * <h3>Technical Document Control Number</h3>
     */
    global String Technical_Document_Control_Number__c;
    /**
     * <h3>Tool / Equipment Calibration Date</h3>
     */
    global Date Tool_Equipment_Calibration_Date__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Quantity Accepted</h3>
     * The total number of parts accepted for this inspection.  This number can never be greater than the number of parts available for inspection.
     */
    global Decimal Total_Quantity_Accepted__c;
    /**
     * <h3>Total Quantity Rejected</h3>
     * The total number of parts rejected for this inspection.  This number can never be greater than the number of parts available for inspection.
     */
    global Decimal Total_Quantity_Rejected__c;
    /**
     * <h3>Total Quantity Scrapped</h3>
     * The total number of parts scrapped for this inspection.  This number can never be greater than the number of parts available for inspection.
     */
    global Decimal Total_Quantity_Scrapped__c;
    /**
     * <h3>TSN</h3>
     */
    global String TSN__c;
    /**
     * <h3>TSO</h3>
     */
    global String TSO__c;
    /**
     * <h3>TSR</h3>
     */
    global String TSR__c;
    /**
     * <h3>Visual</h3>
     */
    global Boolean Visual__c;

    global Receiving_Inspection__c()
    {
    }
}