// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Requisition Line Item</h3>
 * This Object describes a Requisition Line Item. A Requisition may have multiple line items. Line items facilitate procurement of multiple items or services on one purchase order and the requestor's information for pricing and delivery of goods (i.e., parts, facility supplies (MRO)) or services and is subject to a formal process of approval. This information is used in Procurement, Quality, and Finance processes
 */
global class /*SCMC__*/Requisition_Line_Item__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Autobuilt?</h3>
     */
    global Boolean Autobuilt__c;
    /**
     * <h3>Budget</h3>
     * Requestor's budget established for the Buyer to use when placing the Purchase Order Line
     */
    global Currency Budget__c;
    /**
     * <h3>Buyer</h3>
     */
    global Id Buyer_User__c;
    /**
     * <h3>Buyer</h3>
     */
    global User Buyer_User__r;
    /**
     * <h3>Charge Number</h3>
     * Enter the authorized charge number used for this purchase
     */
    global String Charge_Number__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Condition</h3>
     * Enter the condition of the Item you would like purchased
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * Enter the condition of the Item you would like purchased
     */
    global Condition_Code__c Condition_Code__r;
    /**
     * <h3>Construction Project</h3>
     */
    global Id Construction_Project__c;
    /**
     * <h3>Construction Project</h3>
     */
    global pse__Proj__c Construction_Project__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Description</h3>
     * This description is used for capital equipment, description, and contractor line item types.
     */
    global String Description__c;
    /**
     * <h3>DPAS Rating</h3>
     * Defense Priorities and Allocations System Rating for Government Contract
     */
    global String DPAS_Rating__c;
    /**
     * <h3>Drop Ship City</h3>
     */
    global String Drop_Ship_City__c;
    /**
     * <h3>Drop Ship Country</h3>
     */
    global String Drop_Ship_Country__c;
    /**
     * <h3>Drop Ship Line 1</h3>
     */
    global String Drop_Ship_Line1__c;
    /**
     * <h3>Drop Ship Line 2</h3>
     */
    global String Drop_Ship_Line2__c;
    /**
     * <h3>Drop Ship Name</h3>
     * The Name for a drop shipment
     */
    global String Drop_Ship_Name__c;
    /**
     * <h3>Drop Ship State / Province</h3>
     */
    global String Drop_Ship_State_Province__c;
    /**
     * <h3>Drop Ship Zip / Postal Code</h3>
     */
    global String Drop_Ship_Zip_Postal_Code__c;
    /**
     * <h3>Drop Ship</h3>
     * Indicate whether this line item is drop shipped.
     */
    global Boolean Drop_Ship__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Government Contract Number</h3>
     * Enter the government contract number this Requisition supports
     */
    global String Government_Contract_Number__c;
    global List<Requisition_Line_Item__History> Histories;
    /**
     * <h3>Internal Procurement</h3>
     */
    global Boolean Internal_Procurement__c;
    global Boolean IsDeleted;
    /**
     * <h3>Item Description - New</h3>
     * Enter as much information as possible to help procurement find the correct item
     */
    global String Item_Description_New__c;
    /**
     * <h3>Item Description</h3>
     * Item Description Defined in the Item Master
     */
    global String Item_Description__c;
    /**
     * <h3>Item Master</h3>
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Master</h3>
     */
    global Item__c Item_Master__r;
    /**
     * <h3>Item Number - New</h3>
     * Use this Item Number field for Items not currently in the system
     */
    global String Item_Number_New__c;
    /**
     * <h3>Job Site Address</h3>
     */
    global Id Job_Site_Address__c;
    /**
     * <h3>Job Site Address</h3>
     */
    global Customer_Address__c Job_Site_Address__r;
    /**
     * <h3>Job</h3>
     */
    global Id Job__c;
    /**
     * <h3>Job</h3>
     */
    global Job__c Job__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Req Line #</h3>
     * Covert requisition line item number to a number
     */
    global Decimal Line_Number_Formula__c;
    /**
     * <h3>Req Line #</h3>
     * The number of the requisition line within a specific requisition.  This field is automatically set.
     */
    global String Line_Number__c;
    /**
     * <h3>Line Status</h3>
     */
    global String Line_Status__c;
    /**
     * <h3>Line Type</h3>
     */
    global String Line_Type__c;
    /**
     * <h3>Manufacturer's Part Number</h3>
     */
    global String Manufacturer_s_Part_Number__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Outstanding Tag Quantity</h3>
     */
    global Decimal Outstanding_Tag_Quantity__c;
    global FeedComment Parent;
    /**
     * <h3>Parts Request Line</h3>
     */
    global Id Parts_Request_Line__c;
    /**
     * <h3>Parts Request Line</h3>
     */
    global SVMXC__Parts_Request_Line__c Parts_Request_Line__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Production Order Line</h3>
     * Production order line that generated this requisition line
     */
    global Id Production_Order_Line__c;
    /**
     * <h3>Production Order Line</h3>
     * Production order line that generated this requisition line
     */
    global Production_Order_Line__c Production_Order_Line__r;
    /**
     * <h3>Project Area</h3>
     */
    global Id Project_Area__c;
    /**
     * <h3>Project Area</h3>
     */
    global Project_Area__c Project_Area__r;
    /**
     * <h3>Providing Supplier</h3>
     */
    global String Providing_Suppiler__c;
    /**
     * <h3>Purchase Order Award</h3>
     * This is the Purchase Order line that was placed against this Requisition
     */
    global Id Purchase_Order_Award__c;
    /**
     * <h3>Purchase Order Award</h3>
     * This is the Purchase Order line that was placed against this Requisition
     */
    global Purchase_Order_Line_Item__c Purchase_Order_Award__r;
    global List<Purchase_Order_Line_Item__c> Purchase_Order_Line_Items__r;
    /**
     * <h3>Quantity</h3>
     * Number of units being Requisitioned
     */
    global Decimal Quantity__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Requested Delivery Date</h3>
     * Date the item is required to be delivered
     */
    global Date Requested_Date__c;
    /**
     * <h3>Requisition</h3>
     * The requisition this line item is related to. All requisition order line items must have a Requisition header.
     */
    global Id Requisition__c;
    /**
     * <h3>Requisition</h3>
     * The requisition this line item is related to. All requisition order line items must have a Requisition header.
     */
    global Requisition__c Requisition__r;
    /**
     * <h3>Sales Order Association</h3>
     * This Requisition was generated by sales referencing this Sales Order Information
     */
    global Id Sales_Order_Association__c;
    /**
     * <h3>Sales Order Association</h3>
     * This Requisition was generated by sales referencing this Sales Order Information
     */
    global Sales_Order_Line_Item__c Sales_Order_Association__r;
    /**
     * <h3>Services Project</h3>
     */
    global Id Services_Project__c;
    /**
     * <h3>Services Project</h3>
     */
    global SVMX_Project_2__c Services_Project__r;
    /**
     * <h3>Services Work Order</h3>
     */
    global Id Services_Work_Order__c;
    /**
     * <h3>Services Work Order</h3>
     */
    global SVMXC__Service_Order__c Services_Work_Order__r;
    /**
     * <h3>ServiceTitan Job Number</h3>
     */
    global String ServiceTitan_Job_Number__c;
    /**
     * <h3>Service Being Requested</h3>
     * The service being requested.
     */
    global String Service_Being_Requested__c;
    /**
     * <h3>Ship To Holding Location</h3>
     */
    global Boolean Ship_To_Holding_Location__c;
    global SObjectType SObjectType;
    global List<Sourcing_Request_Line__c> Sourcing_Request_Lines__r;
    /**
     * <h3>Sourcing Request Line</h3>
     */
    global Id Sourcing_Request_Line__c;
    /**
     * <h3>Sourcing Request Line</h3>
     */
    global Sourcing_Request_Line__c Sourcing_Request_Line__r;
    /**
     * <h3>Status Change Date</h3>
     * The date the status on the requisition line was last changed.
     */
    global Datetime Status_Change_Date__c;
    /**
     * <h3>Suggested Supplier</h3>
     * Enter a suggested supplier for sourcing of this Requisition. This is optional.
     */
    global String Suggested_Supplier__c;
    /**
     * <h3>Supplier Catalogue Item</h3>
     * Enter the item being requested from a supplier catalogue
     */
    global Id Supplier_Catalogue_Item__c;
    /**
     * <h3>Supplier Catalogue Item</h3>
     * Enter the item being requested from a supplier catalogue
     */
    global Supplier_Catalogue_Item__c Supplier_Catalogue_Item__r;
    /**
     * <h3>Supplier Promise Date</h3>
     */
    global Date Supplier_Promise_Date__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Tag Quantity Requisitioned</h3>
     */
    global Decimal Tag_Quantity_Requisitioned__c;
    /**
     * <h3>Tag</h3>
     */
    global Id Tag__c;
    /**
     * <h3>Tag</h3>
     */
    global Tag__c Tag__r;
    global List<Task> Tasks;
    /**
     * <h3>Taxable?</h3>
     * Select this box if taxes are applicable to this Requisition
     */
    global Boolean Taxable__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Warehouse Address</h3>
     */
    global Id Warehouse_Address__c;
    /**
     * <h3>Warehouse Address</h3>
     */
    global Address__c Warehouse_Address__r;
    /**
     * <h3>Ship to Warehouse</h3>
     * Choose the warehouse this line item is to be delivered to
     */
    global Id Warehouse__c;
    /**
     * <h3>Ship to Warehouse</h3>
     * Choose the warehouse this line item is to be delivered to
     */
    global Warehouse__c Warehouse__r;

    global Requisition_Line_Item__c()
    {
    }
}