// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Sales Order Line Item</h3>
 * This Object describes a Sales Order Line Item. A Sales Order may have multiple line items. Line items facilitate delivery of multiple items or services to customers on one Sales order. They contain the required information for pricing and delivery of goods (i.e., parts, facility supplies (MRO)) or services and are subject to a formal process of approval. This information is used in Sales, Quality, and Finance processes
 */
global class /*SCMC__*/Sales_Order_Line_Item__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Advance Core Receipt?</h3>
     * The core must be received before the new part is shipped out.
     */
    global Boolean Advance_Core_Receipt__c;
    /**
     * <h3>Allocate Message</h3>
     */
    global String Allocate_Message__c;
    /**
     * <h3>Applied Customer Rebate Discount</h3>
     */
    global Currency Applied_Customer_Rebate_Discount__c;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total amount of applied rebate for the sales order line.
     */
    global Currency Applied_Rebate_Amount__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Attachment_Set_Association__c> Attachment_Set_Associations__r;
    global List<Backorder__c> Backorders__r;
    /**
     * <h3>Based on Customer Price List</h3>
     * Is there a published customer price list
     */
    global Boolean Based_on_Customer_Price_List__c;
    global List<Box__c> Boxes__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Condition</h3>
     * The condition code of the requested part.
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * The condition code of the requested part.
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Core Item Number</h3>
     * This is the expected part number to be returned by customer
     */
    global String Core_Item_Number__c;
    /**
     * <h3>Core Return Date</h3>
     * Tracks core return requirement dates
     */
    global Date Core_Return_Date__c;
    /**
     * <h3>Core Return Warehouse</h3>
     * The warehouse to which the customer is going to return the core.
     */
    global Id Core_Return_Warehouse__c;
    /**
     * <h3>Core Return Warehouse</h3>
     * The warehouse to which the customer is going to return the core.
     */
    global Warehouse__c Core_Return_Warehouse__r;
    /**
     * <h3>Core Valuation</h3>
     * The value of the core. The customer will be invoiced this amount if the core is not received.
     */
    global Currency Core_Valuation__c;
    /**
     * <h3>Cost With Options</h3>
     */
    global Currency Cost_With_Options__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Commitment Date</h3>
     */
    global Date Customer_Commitment_Date__c;
    /**
     * <h3>Current Promise Date</h3>
     */
    global Date Customer_Current_Promise_Date__c;
    /**
     * <h3>Customer Quotation Line</h3>
     * Reference to customer quotation line item that is associated with this Sales Order line item.
     */
    global Id Customer_Quotation_Line__c;
    /**
     * <h3>Customer Quotation Line</h3>
     * Reference to customer quotation line item that is associated with this Sales Order line item.
     */
    global Customer_Quotation_Line__c Customer_Quotation_Line__r;
    /**
     * <h3>Customer Rebate Discount</h3>
     * Applied Rebate Amount deducted from the Customer Price
     */
    global Currency Customer_Rebate_Discount__c;
    /**
     * <h3>Requested Delivery Date</h3>
     */
    global Date Customer_Requested_Date__c;
    /**
     * <h3>Delivery Method</h3>
     */
    global String Delivery_Method__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<Exchange_Order__c> Exchange_Orders__r;
    /**
     * <h3>Ext. Item Cost</h3>
     */
    global Currency Extended_Item_Cost__c;
    /**
     * <h3>Ext. Price</h3>
     * Extended Price for Sales Order Line Item
     */
    global Currency Extended_Price__c;
    /**
     * <h3>Ext. Price After Rebate Discounts</h3>
     * Extended price the customer pays after rebates.
     */
    global Currency Ext_Price_After_Rebate_Discounts__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Sales_Order_Line_Item__History> Histories;
    /**
     * <h3>Intangible?</h3>
     */
    global String Intangible__c;
    global List<Inventory_Transaction_Perpetual_Record__c> Inventory_Transaction_Perpetual_Records__r;
    global List<Invoice_Line_Item__c> Invoice_Line_Items__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Cost</h3>
     * What we are paying a supplier for this item
     */
    global Currency Item_Cost__c;
    /**
     * <h3>Item Description</h3>
     */
    global String Item_Description__c;
    /**
     * <h3>Item Master</h3>
     * Use this Item Number field for Items that are currently in the system
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Master</h3>
     * Use this Item Number field for Items that are currently in the system
     */
    global Item__c Item_Master__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Line Number</h3>
     */
    global Decimal Line_Number__c;
    /**
     * <h3>Line Type</h3>
     */
    global String Line_Type__c;
    global List<Month_End_Inventory__c> Month_End_Inventory_Positions__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Open Value</h3>
     */
    global Currency Open_Value__c;
    /**
     * <h3>Option Cost Per Unit</h3>
     */
    global Currency Option_Cost_Per_Unit__c;
    global List<Option_Item__c> Option_Items__r;
    /**
     * <h3>Option Price Per Unit</h3>
     */
    global Currency Option_Price_Per_Unit__c;
    /**
     * <h3>Original Customer Rebate Discount</h3>
     */
    global Currency Original_Customer_Rebate_Discount__c;
    /**
     * <h3>Original Sales Order Line Item</h3>
     * Lookup to the original sales order line from which the line was split.
     */
    global Id Original_Sales_Order_Line_Item__c;
    /**
     * <h3>Original Sales Order Line Item</h3>
     * Lookup to the original sales order line from which the line was split.
     */
    global Sales_Order_Line_Item__c Original_Sales_Order_Line_Item__r;
    global FeedComment Parent;
    global List<Pick_list_Detail__c> Pick_List_Details__r;
    /**
     * <h3>Price With Options</h3>
     */
    global Currency Price_With_Options__c;
    /**
     * <h3>Price</h3>
     * Selling Price for one UOM
     */
    global Currency Price__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Production_Order__c> Production_Orders__r;
    global List<Purchase_Order_Line_Item__c> Purchase_Order_Line_Items__r;
    /**
     * <h3>Purchase Order Line Item</h3>
     */
    global Id Purchase_Order_Line_Item__c;
    /**
     * <h3>Purchase Order Line Item</h3>
     */
    global Purchase_Order_Line_Item__c Purchase_Order_Line_Item__r;
    /**
     * <h3>Quantity Allocated</h3>
     * The number of parts allocated to this Sales Order line item. This field is automatically set by a background process.
     */
    global Decimal Quantity_Allocated__c;
    /**
     * <h3>Quantity Backordered</h3>
     * The number of parts that are backordered. This attribute is automatically populated by a background process.
     */
    global Decimal Quantity_Backordered__c;
    /**
     * <h3>Quantity Billed</h3>
     * Normally this is a whole number but when billing against a fixed amount in sections this can be a decimal number
     */
    global Decimal Quantity_Billed__c;
    /**
     * <h3>Quantity Packed</h3>
     */
    global Decimal Quantity_Packed__c;
    /**
     * <h3>Quantity Shipped</h3>
     * This is a system controlled field that is updated from the shipping module
     */
    global Decimal Quantity_Shipped__c;
    /**
     * <h3>Quantity to Bill</h3>
     */
    global Decimal Quantity_to_Bill__c;
    /**
     * <h3>Quantity</h3>
     * Number of units being Sold
     */
    global Decimal Quantity__c;
    global List<Quote_Line_Group__c> Quote_Line_Groups__r;
    global List<Warranty_Sell_Side__c> R00N40000001qzMJEAY__r;
    global List<Inventory_Position__c> R00N40000001rdjsEAA__r;
    global List<Rebate_Applied__c> Rebates_Applied__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global List<Requisition_Line_Item__c> Requisition_Line_Items__r;
    global List<Return_Material_Authorization__c> Return_Material_Authorizations__r;
    global List<Sales_Order_Line_Item__c> Sales_Order_Line_Items__r;
    /**
     * <h3>Sales Order</h3>
     * A Sales Order may have multiple line items. Line items facilitate delivery to customer sites, multiple items or services on one Sales order and the required information for pricing and delivery of goods or services.
     */
    global Id Sales_Order__c;
    /**
     * <h3>Sales Order</h3>
     * A Sales Order may have multiple line items. Line items facilitate delivery to customer sites, multiple items or services on one Sales order and the required information for pricing and delivery of goods or services.
     */
    global Sales_Order__c Sales_Order__r;
    /**
     * <h3>Selected Option Count</h3>
     */
    global Decimal Selected_Option_Count__c;
    /**
     * <h3>Serial Numbers</h3>
     * Used only if serial numbers are entered in bulk
     */
    global String Serial_Numbers__c;
    global List<Serial_Number__c> Serial_Numbers__r;
    global List<Serial_Number_Related_Record__c> Serial_Number_Related_Records__r;
    /**
     * <h3>Service Being Delivered</h3>
     */
    global String Service_Being_Delivered__c;
    global List<Service_Order_Line__c> Service_Contract_Lines__r;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Id Service_Contract_Line__c;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Service_Order_Line__c Service_Contract_Line__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * The status of the Sales Order line item. This is automatically populated by the system as parts are allocated and shipped.
     */
    global String Status__c;
    /**
     * <h3>Supplier</h3>
     * Customer Quotation Line Supplier
     */
    global String Supplier_Formula__c;
    /**
     * <h3>Supplier Site</h3>
     */
    global Id Supplier_Site__c;
    /**
     * <h3>Supplier Site</h3>
     */
    global Supplier_Site__c Supplier_Site__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Taxable</h3>
     * Check if this Line Item requires tax to be calculated and collected
     */
    global Boolean Taxable__c;
    /**
     * <h3>Tax Code</h3>
     */
    global Id Tax_Code__c;
    /**
     * <h3>Tax Code</h3>
     */
    global Tax_Code__c Tax_Code__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Unit Cost</h3>
     */
    global Currency Unit_Cost__c;
    /**
     * <h3>Unit of Measure</h3>
     */
    global String Unit_of_Measure__c;
    /**
     * <h3>Warranty Claim</h3>
     * To be used as a reference on Warranty Claim replacement Items
     */
    global Id Warranty_Claim__c;
    /**
     * <h3>Warranty Claim</h3>
     * To be used as a reference on Warranty Claim replacement Items
     */
    global Return_Material_Authorization__c Warranty_Claim__r;

    global Sales_Order_Line_Item__c()
    {
    }
}