// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Sales Order</h3>
 * This Object describes a Sales Order which is an Agreement between a company and their Customer for pricing and delivery of goods (i.e., parts, facility supplies (MRO)) or services and is subject to a formal process of approval. This information is used in Sales, Inventory Management, Quality, and Finance processes
 */
global class /*SCMC__*/Sales_Order__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Override Bill To Address</h3>
     * Actual Bill to Address if user wants to override address
     */
    global Id Actual_Bill_To_Address__c;
    /**
     * <h3>Override Bill To Address</h3>
     * Actual Bill to Address if user wants to override address
     */
    global Customer_Address__c Actual_Bill_To_Address__r;
    /**
     * <h3>Override Ship To Address</h3>
     * Override the default ship to address for this Sales Order
     */
    global Id Actual_Ship_To_Address__c;
    /**
     * <h3>Override Ship To Address</h3>
     * Override the default ship to address for this Sales Order
     */
    global Customer_Address__c Actual_Ship_To_Address__r;
    /**
     * <h3>Applied Discount</h3>
     * Amount of discount already put on an invoice.
     */
    global Currency Applied_Discount__c;
    /**
     * <h3>Applied Rebate Amount</h3>
     * Total amount of applied rebates rolled-up from the sales order lines
     */
    global Currency Applied_Rebate_Amount__c;
    /**
     * <h3>Approval Date</h3>
     * Date and time when the Sales Order was approved.
     */
    global Datetime Approval_Date__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Attachment_Set_Association__c> Attachment_Set_Associations__r;
    /**
     * <h3>Billed Status</h3>
     */
    global String Billed_Status__c;
    /**
     * <h3>Blanket Order Quantity Limit</h3>
     * Established quantity limit for the number of items that can be procured against this Order Agreement
     */
    global Decimal Blanket_Order_Quantity_Limit__c;
    /**
     * <h3>Blanket Order Spend Limit</h3>
     * Established total spend limit for items that can be procured against this Order Agreement
     */
    global Currency Blanket_Order_Spend_Limit__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Confirm To</h3>
     * The Customer's representative that placed the order
     */
    global String Confirm_To__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>Credit Card Expiration Date</h3>
     */
    global Date Credit_Card_Expiration_Date__c;
    /**
     * <h3>Credit Card Number</h3>
     */
    global String Credit_Card_Number__c;
    /**
     * <h3>Credit Card Type</h3>
     */
    global String Credit_Card_Type__c;
    /**
     * <h3>Credit Card Validation Code</h3>
     * American Express (AMEX) -AMEX's code is a four-digit number on the front of the card above the credit card number. Visa - Visa's Card Verification Value (CVV) and. MasterCard's Validation Code (CVC) are three-digit numbers on the back of the card.
     */
    global String Credit_Card_Validation_Code__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     * Currency for the Sales Order
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     * Currency for the Sales Order
     */
    global Currency_Master__c Currency__r;
    /**
     * <h3>Current Promise</h3>
     * The earliest promise date on the Sales Order line items.
     */
    global Date Current_Promise__c;
    /**
     * <h3>Customer Site Sold To</h3>
     */
    global Id Customer_Account__c;
    /**
     * <h3>Customer Site Sold To</h3>
     */
    global Account Customer_Account__r;
    /**
     * <h3>Customer Priority</h3>
     */
    global String Customer_Priority__c;
    /**
     * <h3>Customer Purchase Order</h3>
     * Reference the Customer's Purchase Order Number
     */
    global String Customer_Purchase_Order__c;
    /**
     * <h3>Customer Quotation</h3>
     * If the Sales Order was created from a Quote, this field references that Quote.
     */
    global Id Customer_Quotation__c;
    /**
     * <h3>Customer Quotation</h3>
     * If the Sales Order was created from a Quote, this field references that Quote.
     */
    global Customer_Quotation__c Customer_Quotation__r;
    /**
     * <h3>Default Bill To</h3>
     */
    global String Default_Bill_To__c;
    /**
     * <h3>Default Ship To</h3>
     * Default Ship to address
     */
    global String Default_Ship_To__c;
    /**
     * <h3>Deposit Amount</h3>
     * This is populated when a deposit invoice is created.
     */
    global Currency Deposit_Amount__c;
    /**
     * <h3>Deposit Consumed</h3>
     */
    global Currency Deposit_Consumed__c;
    /**
     * <h3>Discount</h3>
     * Discount amount on entire order.
     */
    global Currency Discount__c;
    /**
     * <h3>Drop Ship City</h3>
     */
    global String Drop_Ship_City__c;
    /**
     * <h3>Drop Ship Country</h3>
     */
    global String Drop_Ship_Country__c;
    /**
     * <h3>Drop Ship Line 1</h3>
     */
    global String Drop_Ship_Line1__c;
    /**
     * <h3>Drop Ship Line 2</h3>
     */
    global String Drop_Ship_Line2__c;
    /**
     * <h3>Drop Ship Name</h3>
     * The Name for a drop shipment
     */
    global String Drop_Ship_Name__c;
    /**
     * <h3>Drop Ship State / Province</h3>
     */
    global String Drop_Ship_State_Province__c;
    /**
     * <h3>Drop Ship Zip / Postal Code</h3>
     */
    global String Drop_Ship_Zip_Postal_Code__c;
    /**
     * <h3>Drop Ship?</h3>
     * The attribute indicates whether a customer has specified a drop ship address
     */
    global Boolean Drop_Ship__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     * Established end date for when Items can be procured against this Order Agreement
     */
    global Date End_Date__c;
    global List<Event> Events;
    /**
     * <h3>Existing SO Number</h3>
     */
    global String Existing_SO_Number__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>FOB</h3>
     * e.g., Destination, Origin, COD
     */
    global String FOB__c;
    /**
     * <h3>Freight</h3>
     * e.g., Bill, Prepay, Collect
     */
    global String Freight__c;
    /**
     * <h3>Fulfillment Date</h3>
     * This is the date and time when the last shipment was recorded for the Sales Order. All lines have been satisfied. Once this date is filled in, no changes can be made to the Sales Order.
     */
    global Datetime Fulfillment_Date__c;
    global List<Sales_Order__History> Histories;
    global List<Invoicing__c> Invoices__r;
    /**
     * <h3>Invoice Memo</h3>
     * Can be populated from the AP Voucher screen or the Invoice/billing screen - used in a drop ship mode
     */
    global String Invoice_Memo_Long__c;
    /**
     * <h3>Invoice Memo</h3>
     * Can be populated from the AP Voucher screen or the Invoice/billing screen - used in a drop ship mode
     */
    global String Invoice_Memo__c;
    global Boolean IsDeleted;
    /**
     * <h3>Language</h3>
     */
    global String Language__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global List<Sales_Order_Line_Item__c> Line_Items__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Number Lines</h3>
     * The number of lines on the Sales Order.
     */
    global Decimal Number_Lines__c;
    /**
     * <h3>Number New Lines</h3>
     * The number of lines with status New on the Sales Order.
     */
    global Decimal Number_New_Lines__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Original Sales Order</h3>
     */
    global Id Original_Sales_Order__c;
    /**
     * <h3>Original Sales Order</h3>
     */
    global Sales_Order__c Original_Sales_Order__r;
    /**
     * <h3>Override Billing Account Address</h3>
     */
    global Id Override_Billing_Account_Address__c;
    /**
     * <h3>Override Billing Account Address</h3>
     */
    global Customer_Address__c Override_Billing_Account_Address__r;
    /**
     * <h3>Override Billing Account</h3>
     */
    global Id Override_Billing_Account__c;
    /**
     * <h3>Override Billing Account</h3>
     */
    global Account Override_Billing_Account__r;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Ownership</h3>
     */
    global Id Ownership__c;
    /**
     * <h3>Ownership</h3>
     */
    global Ownership_Code__c Ownership__r;
    global FeedComment Parent;
    /**
     * <h3>Partial Invoicing</h3>
     * Yes - new invoices will be generated for each shipment
     * No - each shipment will add to the same invoice until all shipments are complete.
     */
    global String Partial_Invoicing__c;
    /**
     * <h3>Partial Shipments</h3>
     * Override the custom setting partial shipments by selecting a value other than blank value.
     */
    global String Partial_Shipments__c;
    /**
     * <h3>Payment Terms Name</h3>
     */
    global String Payment_Terms_Name__c;
    /**
     * <h3>Payment Terms</h3>
     * Payment terms default from the account.  If the sales order is created from a quote, the terms on the quote override the terms from the account.
     */
    global Id Payment_Terms__c;
    /**
     * <h3>Payment Terms</h3>
     * Payment terms default from the account.  If the sales order is created from a quote, the terms on the quote override the terms from the account.
     */
    global PO_Payment_Terms__c Payment_Terms__r;
    /**
     * <h3>Payment Type</h3>
     * The method that is going to be used to pay for this Order. If payment type is Purchase Order then the Customer Purchase Order number field must be preset. If the Payment type is Credit Card then credit card information must be present.
     */
    global String Payment_Type__c;
    global List<Picklist__c> Picklists__r;
    /**
     * <h3>Price Type</h3>
     * Governs how items are automatically priced.
     */
    global Id Price_Type__c;
    /**
     * <h3>Price Type</h3>
     * Governs how items are automatically priced.
     */
    global Price_Type__c Price_Type__r;
    /**
     * <h3>Primary Sales Rep</h3>
     * The user who is primarily responsible for the Sales Order
     */
    global Id Primary_Sales_Rep__c;
    /**
     * <h3>Primary Sales Rep</h3>
     * The user who is primarily responsible for the Sales Order
     */
    global User Primary_Sales_Rep__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<pse__Proj__c> PSA_Projects__r;
    global List<Purchase_Order__c> Purchase_Orders__r;
    global List<Customer_Quotation__c> R00N40000001pAgDEAU__r;
    global List<Rebate_Claim__c> Rebate_Claims__r;
    global List<Received_Order__c> Received_Orders__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Remaining Deposit</h3>
     */
    global Currency Remaining_Deposit__c;
    global List<Return_Material_Authorization__c> Return_Material_Authorizations__r;
    /**
     * <h3>Revision</h3>
     * The revision number of the sales order.  This value is updated whenever an approved sales order is updated.
     */
    global Decimal Revision__c;
    /**
     * <h3>Sales Channel</h3>
     * Lead Generation Point
     */
    global String Sales_Channel__c;
    global List<Sales_Order__c> Sales_Orders__r;
    /**
     * <h3>Sales Order Date</h3>
     * The date the Sales Order version was created
     */
    global Date Sales_Order_Date__c;
    /**
     * <h3>Sales Order Name</h3>
     * Enter a Name for the Sales Order. This is optional
     */
    global String Sales_Order_Name__c;
    /**
     * <h3>Sales Representative Instructions</h3>
     * These are the Sales Representative's general instruction notes to the Customer, used for external purposes
     */
    global String Sales_Representative_Instructions__c;
    /**
     * <h3>Sales Representative Notes</h3>
     * These are the Sales Representative's general notes regarding this Sales Order, used for internal purposes
     */
    global String Sales_Representative_Notes__c;
    global List<Service_Order__c> Service_Contracts__r;
    /**
     * <h3>Shipment Options</h3>
     */
    global String Shipment_Options__c;
    /**
     * <h3>Shipment Services</h3>
     */
    global String Shipment_Services__c;
    /**
     * <h3>Shipment Status</h3>
     * The status of shipments for this Sales Order
     */
    global String Shipment_Status__c;
    global List<Shipping__c> Shipping__r;
    global SObjectType SObjectType;
    /**
     * <h3>Standard Order Detail</h3>
     */
    global Id Standard_Order_Detail__c;
    /**
     * <h3>Standard Order Detail</h3>
     */
    global Standard_Order_Detail__c Standard_Order_Detail__r;
    /**
     * <h3>Start Date</h3>
     * Initiation date for when Order Agreement becomes effective
     */
    global Date Start_Date__c;
    /**
     * <h3>Status</h3>
     * Current status of the Sales Order.
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Taxable?</h3>
     */
    global Boolean Taxable__c;
    /**
     * <h3>Tax Code</h3>
     * Choose appropriate Tax Code
     */
    global Id Tax_Code__c;
    /**
     * <h3>Tax Code</h3>
     * Choose appropriate Tax Code
     */
    global Tax_Code__c Tax_Code__r;
    /**
     * <h3>Tax Exemption Group</h3>
     */
    global String Tax_Exemption_Group__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Customer Rebate Discount</h3>
     * Total customer rebate amount rolled up from the sales order.
     */
    global Currency Total_Customer_Rebate_Discount__c;
    /**
     * <h3>Total Open Value</h3>
     */
    global Currency Total_Open_Value__c;
    /**
     * <h3>Total Value After Rebate</h3>
     * Total value of the sales order after customer rebates.
     */
    global Currency Total_Value_After_Rebate__c;
    /**
     * <h3>Total Value</h3>
     * Sum of the price of all non-cancelled lines.
     */
    global Currency Total_Value__c;
    /**
     * <h3>Warehouse</h3>
     * Allocated Warehouse
     */
    global Id Warehouse__c;
    /**
     * <h3>Warehouse</h3>
     * Allocated Warehouse
     */
    global Warehouse__c Warehouse__r;

    global Sales_Order__c()
    {
    }
}