// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Service Contract Line Option</h3>
 * This object describes a Service Contract Line Option. A service line may have multiple options . The option facilitate delivery of multiple nonrecurring and recurring services to customers on one line. They contain the required information for pricing and delivery of services and are subject to a formal process of approval. This information is used in Sales, Quality, and Finance processes
 */
global class /*SCMC__*/Service_Order_Line_Option__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Change_Request_Line__c> Change_Request_Lines__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Contract Gross Profit</h3>
     */
    global Currency Contract_Gross_Profit__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     */
    global Currency_Master__c Currency__r;
    /**
     * <h3>Current Change Request Line</h3>
     */
    global Id Current_Change_Request_Line__c;
    /**
     * <h3>Current Change Request Line</h3>
     */
    global Change_Request_Line__c Current_Change_Request_Line__r;
    /**
     * <h3>Current Customer Quotation Line</h3>
     */
    global Id Current_Customer_Quotation_Line__c;
    /**
     * <h3>Current Customer Quotation Line</h3>
     */
    global Customer_Quotation_Line__c Current_Customer_Quotation_Line__r;
    global List<Customer_Quotation_Line__c> Customer_Quotation_Lines__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Ext. Item Cost</h3>
     */
    global Currency Extended_Item_Cost__c;
    /**
     * <h3>Ext. Term Cost</h3>
     */
    global Currency Extended_Term_Cost__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Service_Order_Line_Option__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>Item Cost</h3>
     */
    global Currency Item_Cost__c;
    /**
     * <h3>Item Option</h3>
     */
    global Id Item_Option__c;
    /**
     * <h3>Item Option</h3>
     */
    global Item_Option__c Item_Option__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Line Number</h3>
     */
    global Decimal Line_Number__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>NRC After Discount</h3>
     * Nonrecurring base fees after discount
     */
    global Currency NRC_After_Discount__c;
    /**
     * <h3>NRC Invoiced</h3>
     * Nonrecurring amount invoiced
     */
    global Currency NRC_Billed__c;
    /**
     * <h3>NRC Contract Value</h3>
     * Nonrecurring contract value for the option
     */
    global Currency NRC_Contract_Value__c;
    /**
     * <h3>NRC Discounted %</h3>
     * Percent discounted for nonrecurring base fees
     */
    global Decimal NRC_Discounted_Percent__c;
    /**
     * <h3>NRC Discounted</h3>
     * Discounted amount for nonrecurring base fees
     */
    global Currency NRC_Discounted_Price__c;
    /**
     * <h3>NRC Ext. After Discounts</h3>
     * Total nonrecurring fees after discounts
     */
    global Currency NRC_Extended_After_Discounts__c;
    /**
     * <h3>NRC Ext.</h3>
     * Total nonrecurring fees
     */
    global Currency NRC_Extended_Formula__c;
    /**
     * <h3>NRC Not Invoiced</h3>
     * Nonrecurring amount not invoiced
     */
    global Currency NRC_Not_Invoiced_Formula__c;
    /**
     * <h3>NRC Base</h3>
     * Nonrecurring base fees
     */
    global Currency NRC__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Option Description</h3>
     * Pre-Populated from the option selected during proposal process
     */
    global String Option_Description_Formula__c;
    /**
     * <h3>Option Description</h3>
     * Pre-Populated from the option selected during proposal process
     */
    global String Option_Description__c;
    /**
     * <h3>Option</h3>
     * Pre-Populated from the option selected during proposal process
     */
    global String Option_Formula__c;
    global List<Option_Item__c> Option_Items__r;
    /**
     * <h3>Option Type</h3>
     * Pre-Populated grouping selected the during proposal process
     */
    global String Option_Type_Formula__c;
    /**
     * <h3>Option Type</h3>
     * Pre-Populated grouping selected the during proposal process
     */
    global String Option_Type__c;
    /**
     * <h3>Option</h3>
     * Pre-Populated from the Option selected during proposal process
     */
    global String Option__c;
    /**
     * <h3>Original Change Request Line</h3>
     * Original change request line the option was added
     */
    global Id Original_Change_Request_Line__c;
    /**
     * <h3>Original Change Request Line</h3>
     * Original change request line the option was added
     */
    global Change_Request_Line__c Original_Change_Request_Line__r;
    /**
     * <h3>Original Customer Quotation Line</h3>
     */
    global Id Original_Customer_Quotation_Line__c;
    /**
     * <h3>Original Customer Quotation Line</h3>
     */
    global Customer_Quotation_Line__c Original_Customer_Quotation_Line__r;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Quantity Billed</h3>
     */
    global Decimal Quantity_Billed__c;
    /**
     * <h3>Quantity Delivered</h3>
     */
    global Decimal Quantity_Delivered__c;
    /**
     * <h3>Quantity</h3>
     * Quantity of the option as it relates to the parent item
     */
    global Decimal Quantity__c;
    /**
     * <h3>RC After Discount</h3>
     * Recurring base fees after discounts
     */
    global Currency RC_After_Discount__c;
    /**
     * <h3>Term Value</h3>
     * Recurring contract value for option
     */
    global Currency RC_Contract_Value__c;
    /**
     * <h3>RC Cost</h3>
     */
    global Currency RC_Cost__c;
    /**
     * <h3>RC Discounted %</h3>
     * Percent discounted off of recurring base fees
     */
    global Decimal RC_Discounted_Percent__c;
    /**
     * <h3>RC Discounted</h3>
     * Amount discounted  for recurring base fees
     */
    global Currency RC_Discounted__c;
    /**
     * <h3>RC Ext. After Discounts</h3>
     * Total recurring fees after discounts
     */
    global Currency RC_Extended_After_Discounts__c;
    /**
     * <h3>RC Ext.</h3>
     * Total recurring fees
     */
    global Currency RC_Extended_Formula__c;
    /**
     * <h3>RC Terms</h3>
     * Number of days or months that make up the a single contract term. For instance, if the Service Term is Annual, the value of this field is 12. This indicates that a single contract term is 12 months.
     */
    global Decimal RC_Terms__c;
    /**
     * <h3>RC Base</h3>
     * Recurring base fees
     */
    global Currency RC__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Revision</h3>
     */
    global Decimal Revision__c;
    /**
     * <h3>Service Contract Option End Date</h3>
     */
    global Date Service_Contract_Option_End_Date__c;
    /**
     * <h3>Service Contract Option Start Date</h3>
     */
    global Date Service_Contract_Option_Start_Date__c;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Id Service_Order_Line__c;
    /**
     * <h3>Service Contract Line</h3>
     */
    global Service_Order_Line__c Service_Order_Line__r;
    /**
     * <h3>Service Term</h3>
     */
    global Id Service_Term__c;
    /**
     * <h3>Service Term</h3>
     */
    global Service_Term__c Service_Term__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Term Cost</h3>
     */
    global Currency Term_Cost__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Contract Cost</h3>
     */
    global Currency Total_Contact_Cost__c;
    /**
     * <h3>Total Contract Value</h3>
     * The total contract value for the option
     */
    global Currency Total_Item_Value__c;
    /**
     * <h3>Number Of Terms</h3>
     * Numeric value of service terms in duration Example: Service Term is Annual, Numeric Value 3 Years
     */
    global Currency Total_Service_Terms__c;

    global Service_Order_Line_Option__c()
    {
    }
}