// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Service Contract Line</h3>
 * This Object describes a Service Contract Line. A Service Contract may have multiple line items. Line items facilitate delivery of multiple nonrecurring and recurring services to customers on one Contract. They contain the required information for pricing and delivery of services and are subject to a formal process of approval. This information is used in Sales, Quality, and Finance processes
 */
global class /*SCMC__*/Service_Order_Line__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<Additional_Charge__c> Additional_Charges__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billed Through</h3>
     * Date up to which the customer has been billed for the contract line. The date is determined by the date of the last invoice after the billing engine runs.
     */
    global Date Billed_Through__c;
    global List<Change_Request_Line__c> Change_Request_Lines__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Contract Gross Profit</h3>
     */
    global Currency Contract_Gross_Profit__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     */
    global Currency_Master__c Currency__r;
    /**
     * <h3>Current Change Request Line</h3>
     */
    global Id Current_Change_Request_Line__c;
    /**
     * <h3>Current Change Request Line</h3>
     */
    global Change_Request_Line__c Current_Change_Request_Line__r;
    /**
     * <h3>Current Customer Quotation Line</h3>
     */
    global Id Current_Customer_Quotation_Line__c;
    /**
     * <h3>Current Customer Quotation Line</h3>
     */
    global Customer_Quotation_Line__c Current_Customer_Quotation_Line__r;
    global List<Customer_Quotation_Line__c> Customer_Quotation_Lines__r;
    /**
     * <h3>Delivery Method</h3>
     */
    global String Delivery_Method__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Ext. Item Cost</h3>
     */
    global Currency Extended_Item_Cost__c;
    /**
     * <h3>Ext. Term Cost</h3>
     */
    global Currency Extended_Term_Cost__c;
    /**
     * <h3>Ext. NRC After Discounts</h3>
     * NRC minus discounts, multiplied by the quantity.
     */
    global Currency Ext_NRC_After_Discounts__c;
    /**
     * <h3>Ext. NRC</h3>
     * NRC base multiplied by the quantity.
     */
    global Currency Ext_NRC__c;
    /**
     * <h3>Ext. RC After Discounts</h3>
     * RC minus discounts multiplied by the quantity
     */
    global Currency Ext_RC_After_Discounts__c;
    /**
     * <h3>Ext. RC</h3>
     * RC base multiplied by the quantity
     */
    global Currency Ext_RC__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>First Term RC Discount</h3>
     * The amount discounted on the first recurring service term
     */
    global Currency First_Term_RC_Discount__c;
    global List<Service_Order_Line__History> Histories;
    global List<Invoice_Line_Item__c> Invoice_Line_Items__r;
    global Boolean IsDeleted;
    /**
     * <h3>Item Cost W/Options</h3>
     */
    global Currency Item_Cost_With_Options__c;
    /**
     * <h3>Item Cost</h3>
     */
    global Currency Item_Cost__c;
    /**
     * <h3>Product or Service Description</h3>
     */
    global String Item_Description_Formula__c;
    /**
     * <h3>Product or Service</h3>
     * Product or Service being delivered
     */
    global Id Item_Number__c;
    /**
     * <h3>Product or Service</h3>
     * Product or Service being delivered
     */
    global Item__c Item_Number__r;
    /**
     * <h3>Type</h3>
     * Time or Material
     */
    global String Item_Type_Formula__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Last Invoice Date</h3>
     */
    global Date Last_Invoice_Date__c;
    /**
     * <h3>Last Invoice Generation</h3>
     * Last date on which the billing engine ran and created an invoice for the contract line.
     */
    global Date Last_Invoice_Generation__c;
    /**
     * <h3>Last Term RC Discount</h3>
     * The amount discounted on the last recurring service term
     */
    global Currency Last_Term_RC_Discount__c;
    /**
     * <h3>Line Number</h3>
     * Line number is order the lines are display on the service order detail layout.
     */
    global Decimal Line_Number__c;
    /**
     * <h3>Milestone</h3>
     * Related to Project
     */
    global String Milestone__c;
    /**
     * <h3>Monthly Recurring Revenue</h3>
     * Monthly revenue for the service contract line.
     */
    global Currency Monthly_Recurring_Revenue__c;
    global String Name;
    /**
     * <h3>Next Invoice Generation</h3>
     * Next date on which the billing engine is to run and create an invoice for the contract line.
     */
    global Date Next_Invoice_Date__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>NRC After Discount</h3>
     * Current nonrecurring base fees after discount with any changes incorporated
     */
    global Currency NRC_After_Discount__c;
    /**
     * <h3>NRC Base</h3>
     * Current nonrecurring base fees with any changes incorporated
     */
    global Currency NRC_Base__c;
    /**
     * <h3>NRC Invoiced</h3>
     * Nonrecurring amount invoiced
     */
    global Currency NRC_Billed__c;
    /**
     * <h3>NRC Contract Value</h3>
     * Current nonrecurring contract value with any changes incorporated
     */
    global Currency NRC_Contract_Value__c;
    /**
     * <h3>NRC Discounted %</h3>
     * Current percent discounted on nonrecurring base fees with any changes incorporated
     */
    global Decimal NRC_Discounted_Percent__c;
    /**
     * <h3>NRC Discounted</h3>
     * Current discounted amount on nonrecurring base fees with any changes incorporated
     */
    global Currency NRC_Discounted_Price__c;
    /**
     * <h3>Ext. NRC with Options After Discounts</h3>
     * NRC with options minus discounts, multiplied by the quantity.
     */
    global Currency NRC_Extended_After_Discounts__c;
    /**
     * <h3>Ext. NRC with Options</h3>
     * NRC with Options, multiplied by the quantity.
     */
    global Currency NRC_Extended_Formula__c;
    /**
     * <h3>NRC Not Invoiced</h3>
     * Nonrecurring amount not invoices includes any changes incorporated
     */
    global Currency NRC_Line_Not_Invoiced_Formula__c;
    /**
     * <h3>Total NRC Not Invoiced</h3>
     * Nonrecurring amount with options not invoices includes any changes incorporated
     */
    global Currency NRC_Not_Invoiced_Formula__c;
    /**
     * <h3>NRC Options After Discounts</h3>
     * Current nonrecurring fees for options after discounts and with any changes incorporated
     */
    global Currency NRC_Options_After_Discounts__c;
    /**
     * <h3>NRC Options Invoiced</h3>
     * Current nonrecurring fees invoiced to date
     */
    global Currency NRC_Options_Billed__c;
    /**
     * <h3>NRC Options</h3>
     * Current nonrecurring fees for options with any changes incorporated
     */
    global Currency NRC_Options_Fees__c;
    /**
     * <h3>NRC Total Option Cost</h3>
     */
    global Currency NRC_Total_Option_Cost__c;
    /**
     * <h3>NRC Type</h3>
     * Indicates whether the non recurring fees on the service contract line are for time or material.
     */
    global String NRC_Type__c;
    /**
     * <h3>NRC w/Options After Discounts</h3>
     * Current nonrecurring and options fees for a single unit after discount and with any changes incorporated
     */
    global Currency NRC_With_Options_After_Discounts__c;
    /**
     * <h3>NRC w/Options</h3>
     * Current nonrecurring and options fees for a single unit with any changes incorporated
     */
    global Currency NRC_With_Options__c;
    /**
     * <h3>Number Options</h3>
     * Total number of options on the service order line
     */
    global Decimal Number_Options__c;
    global List<OpenActivity> OpenActivities;
    global List<Option_Item__c> Option_Items__r;
    /**
     * <h3>Original Change Request Line</h3>
     * The original change request line to which the service order was added
     */
    global Id Original_Change_Request_Line__c;
    /**
     * <h3>Original Change Request Line</h3>
     * The original change request line to which the service order was added
     */
    global Change_Request_Line__c Original_Change_Request_Line__r;
    /**
     * <h3>Original Contract Gross Profit</h3>
     */
    global Currency Original_Contract_Gross_Profit__c;
    /**
     * <h3>Original Customer Quotation Line</h3>
     * Original customer quotation line
     */
    global Id Original_Customer_Quotation_Line__c;
    /**
     * <h3>Original Customer Quotation Line</h3>
     * Original customer quotation line
     */
    global Customer_Quotation_Line__c Original_Customer_Quotation_Line__r;
    /**
     * <h3>Original Ext. Item Cost</h3>
     */
    global Currency Original_Extended_Item_Cost__c;
    /**
     * <h3>Original Ext. Term Cost</h3>
     */
    global Currency Original_Extended_Term_Cost__c;
    /**
     * <h3>Original First Term RC Discount</h3>
     * The original amount discounted on the first recurring service term
     */
    global Currency Original_First_Term_RC_Discount__c;
    /**
     * <h3>Original Item Cost W/Options</h3>
     */
    global Currency Original_Item_Cost_With_Options__c;
    /**
     * <h3>Original Item Cost</h3>
     */
    global Currency Original_Item_Cost__c;
    /**
     * <h3>Original Last term RC Discount</h3>
     * The original amount discounted on the last recurring service term
     */
    global Currency Original_Last_term_RC_Discount__c;
    /**
     * <h3>Original NRC After Discount</h3>
     * Original nonrecurring fees after discounts
     */
    global Currency Original_NRC_After_Discount__c;
    /**
     * <h3>Original NRC Base</h3>
     * Notation of all original nonrecurring pricing before any discounts
     */
    global Currency Original_NRC_Base__c;
    /**
     * <h3>Original NRC Contract Value</h3>
     * Original nonrecurring contract value
     */
    global Currency Original_NRC_Contract_Value__c;
    /**
     * <h3>Original NRC Discounted %</h3>
     * Original discounted percent on nonrecurring base fees
     */
    global Decimal Original_NRC_Discounted_Percent__c;
    /**
     * <h3>Original NRC Discounted</h3>
     * Original discount amount on nonrecurring base fees
     */
    global Currency Original_NRC_Discounted_Price__c;
    /**
     * <h3>Original NRC Ext. After Discounts</h3>
     * Original nonrecurring fees after discounts
     */
    global Currency Original_NRC_Extended_After_Discounts__c;
    /**
     * <h3>Original NRC Ext.</h3>
     * Original nonrecurring fees
     */
    global Currency Original_NRC_Extended_Formula__c;
    /**
     * <h3>Original NRC Options After Discounts</h3>
     * Original nonrecurring fees for options after discounts
     */
    global Currency Original_NRC_Options_After_Discounts__c;
    /**
     * <h3>Original NRC Options</h3>
     * Original nonrecurring fees for options
     */
    global Currency Original_NRC_Options__c;
    /**
     * <h3>Original NRC w/Options After Discounts</h3>
     * Original nonrecurring and options fees for a single unit after discounts
     */
    global Currency Original_NRC_With_Options_After_Discount__c;
    /**
     * <h3>Original NRC w/Options</h3>
     * Original nonrecurring and options fees for a single unit
     */
    global Currency Original_NRC_With_Options__c;
    /**
     * <h3>Original Number Options</h3>
     * Original number of options on service order line
     */
    global Decimal Original_Number_Options__c;
    /**
     * <h3>Original Quantity</h3>
     * Original quantity
     */
    global Decimal Original_Quantity__c;
    /**
     * <h3>Original RC After Discount</h3>
     * Original recurring base fees after discount
     */
    global Currency Original_RC_After_Discount__c;
    /**
     * <h3>Original RC Base</h3>
     * Original recurring fees
     */
    global Currency Original_RC_Base__c;
    /**
     * <h3>Original Term Value</h3>
     */
    global Currency Original_RC_Contract_Value_Formula__c;
    /**
     * <h3>Original RC Cost W/Options</h3>
     */
    global Currency Original_RC_Cost_With_Options__c;
    /**
     * <h3>Original RC Cost</h3>
     */
    global Currency Original_RC_Cost__c;
    /**
     * <h3>Original RC Discounted %</h3>
     * Original percent discounted on recurring base fees
     */
    global Decimal Original_RC_Discounted_Percent__c;
    /**
     * <h3>Original RC Discounted</h3>
     * Original discounted amount on recurring base fees
     */
    global Currency Original_RC_Discounted_Price__c;
    /**
     * <h3>Original RC Ext. After Discounts</h3>
     * Original recurring fees after discounts
     */
    global Currency Original_RC_Extended_After_Discounts__c;
    /**
     * <h3>Original RC Ext.</h3>
     * Original recurring fees
     */
    global Currency Original_RC_Extended_Formula__c;
    /**
     * <h3>Original RC Options After Discounts</h3>
     * Original recurring fees for options after discounts
     */
    global Currency Original_RC_Options_After_Discounts__c;
    /**
     * <h3>Original RC Options</h3>
     * Original recurring fees for options
     */
    global Currency Original_RC_Option__c;
    /**
     * <h3>Original RC Terms</h3>
     */
    global Decimal Original_RC_Terms__c;
    /**
     * <h3>Original RC w/Options After Discounts</h3>
     * Original recurring and options fees for a single unit after discounts
     */
    global Currency Original_RC_With_Options_After_Discounts__c;
    /**
     * <h3>Original RC w/Options</h3>
     * Original recurring and options fees for a single unit
     */
    global Currency Original_RC_With_Options__c;
    /**
     * <h3>Original Service Term</h3>
     */
    global Id Original_Service_Term__c;
    /**
     * <h3>Original Service Term</h3>
     */
    global Service_Term__c Original_Service_Term__r;
    /**
     * <h3>Original Term Cost</h3>
     */
    global Currency Original_Term_Cost__c;
    /**
     * <h3>Original Total Contract Cost</h3>
     */
    global Currency Original_Total_Contract_Cost__c;
    /**
     * <h3>Original Total Contract Value</h3>
     */
    global Currency Original_Total_Item_Value_Formula__c;
    /**
     * <h3>Original # Terms</h3>
     */
    global Decimal Original_Total_Service_Terms__c;
    /**
     * <h3>Original Total First RC Term Cost</h3>
     * The total recurring cost with options for the first term (Read Only)
     */
    global Currency OrigTotalFirstRCTermCostFm__c;
    /**
     * <h3>Original Total First RC Term Cost</h3>
     * Original total recurring cost with options for the first term
     */
    global Currency OrigTotalFirstRCTermCost__c;
    /**
     * <h3>Original Total Last RC Term Cost</h3>
     * The total recurring cost with options for the last term (Read Only)
     */
    global Currency OrigTotalLastRCTermCostFm__c;
    /**
     * <h3>Original Total Last RC Term Cost</h3>
     * Original total recurring cost with options for the last term
     */
    global Currency OrigTotalLastRCTermCost__c;
    /**
     * <h3>Orig Total First Term RC Contract Val</h3>
     * The original total recurring fees minus discounts for the first term of service (Read Only)
     */
    global Currency Orig_Total_FirstTerm_RCContract_Val_Form__c;
    /**
     * <h3>Orig Total First Term RC Contract Val</h3>
     * The original total recurring fees minus discounts for the first term of service
     */
    global Currency Orig_Total_First_Term_RC_Contract_Val__c;
    /**
     * <h3>Orig Total Last Term RC Contract Val</h3>
     * The original total recurring fees minus discounts for the Last  term of service (Read Only)
     */
    global Currency Orig_Total_Last_Term_RCContract_Val_Form__c;
    /**
     * <h3>Orig Total Last Term RC Contract Val</h3>
     * The original total recurring fees minus discounts for the Last  term of service
     */
    global Currency Orig_Total_Last_Term_RC_Contract_Val__c;
    /**
     * <h3>Override Ship to Address</h3>
     */
    global Id Override_Ship_to_Address__c;
    /**
     * <h3>Override Ship to Address</h3>
     */
    global Customer_Address__c Override_Ship_to_Address__r;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project</h3>
     * Project number - typically used internally
     */
    global String Project_Formula__c;
    global List<Purchase_Order_Line_Item__c> Purchase_Order_Line_Items__r;
    /**
     * <h3>Quantity Billed</h3>
     */
    global Decimal Quantity_Billed__c;
    /**
     * <h3>Quantity Delivered</h3>
     */
    global Decimal Quantity_Delivered__c;
    /**
     * <h3>Quantity Ordered</h3>
     */
    global Decimal Quantity_Ordered__c;
    /**
     * <h3>Quantity</h3>
     * Quantity of services contracted
     */
    global Decimal Quantity__c;
    global List<Quote_Line_Group__c> Quote_Line_Groups__r;
    /**
     * <h3>Quote Line Group</h3>
     */
    global Id Quote_Line_Group__c;
    /**
     * <h3>Quote Line Group</h3>
     */
    global Quote_Line_Group__c Quote_Line_Group__r;
    /**
     * <h3>RC After Discount</h3>
     * Current recurring fees after discounts with any changes incorporated
     */
    global Currency RC_After_Discount__c;
    /**
     * <h3>RC Base</h3>
     * Notation of all current recurring fees incorporating any changes prior to discounts
     */
    global Currency RC_Base__c;
    /**
     * <h3>Term Value</h3>
     * Current recurring term value with any changes incorporated
     */
    global Currency RC_Contract_Value__c;
    /**
     * <h3>RC Cost W/Options</h3>
     */
    global Currency RC_Cost_With_Options__c;
    /**
     * <h3>RC Cost</h3>
     */
    global Currency RC_Cost__c;
    /**
     * <h3>RC Discounted %</h3>
     * Current discounted percent on recurring fees with any changes incorporated
     */
    global Decimal RC_Discounted_Percent__c;
    /**
     * <h3>RC Discounted $</h3>
     * Current discounted amount on recurring fees with any changes incorporated
     */
    global Currency RC_Discounted_Price__c;
    /**
     * <h3>Ext. RC with Options After Discounts</h3>
     * RC with options minus discounts, multiplied by the quantity
     */
    global Currency RC_Extended_After_Discount__c;
    /**
     * <h3>Ext. RC with Options</h3>
     * RC with Options multiplied by the quantity.
     */
    global Currency RC_Extended_Formula__c;
    /**
     * <h3>RC Options After Discounts</h3>
     * Current recurring fees for options fees after discounts and with any changes incorporated
     */
    global Currency RC_Options_After_Discounts__c;
    /**
     * <h3>RC Option</h3>
     * Current recurring fees for options fees with any changes incorporated
     */
    global Currency RC_Option_Fees__c;
    /**
     * <h3>RC Terms</h3>
     * Number of days or months that make up the a single contract term. For instance, if the Service Term is Annual, the value of this field is 12. This indicates that a single contract term is 12 months.
     */
    global Decimal RC_Terms__c;
    /**
     * <h3>RC Total Option Cost</h3>
     */
    global Currency RC_Total_Option_Cost__c;
    /**
     * <h3>RC w/Options After Discounts</h3>
     * Current recurring and options fees for a single unit after discounts and with any changes incorporated
     */
    global Currency RC_With_Options_After_Discounts__c;
    /**
     * <h3>RC w/Options</h3>
     * Current recurring and options fees for a single unit with any changes incorporated
     */
    global Currency RC_With_Options__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Remaining Contract Value</h3>
     */
    global Currency Remaining_Contract_Value__c;
    /**
     * <h3>Remaining Contract Value</h3>
     * Remaining value of the contract to be billed.
     */
    global Currency Remaining_Contract_Val__c;
    /**
     * <h3>Remaining # Terms</h3>
     */
    global Decimal Remaining_Terms__c;
    /**
     * <h3>Revision</h3>
     */
    global Decimal Revision__c;
    global List<Sales_Order_Line_Item__c> Sales_Order_Line_Items__r;
    /**
     * <h3>Sales Order Line Item</h3>
     */
    global Id Sales_Order_Line_Item__c;
    /**
     * <h3>Sales Order Line Item</h3>
     */
    global Sales_Order_Line_Item__c Sales_Order_Line_Item__r;
    global List<Serial_Number__c> Serial_Numbers__r;
    global List<Serial_Number_Related_Record__c> Serial_Number_Related_Records__r;
    /**
     * <h3>Service Contract Line End Date</h3>
     */
    global Date Service_Contract_Line_End_Date__c;
    /**
     * <h3>Service Contract Line Start Date</h3>
     */
    global Date Service_Contract_Line_Start_Date__c;
    /**
     * <h3>Service Contract Line Active Date</h3>
     */
    global Date Service_Order_Line_Active_Date__c;
    /**
     * <h3>Service Contract Line Approved Date</h3>
     */
    global Date Service_Order_Line_Approved_Date__c;
    /**
     * <h3>Service Contract Line Cancel Date</h3>
     */
    global Datetime Service_Order_Line_Cancel_Date__c;
    global List<Service_Order_Line_Option__c> Service_Order_Line_Options__r;
    /**
     * <h3>Service Contract</h3>
     */
    global Id Service_Order__c;
    /**
     * <h3>Service Contract</h3>
     */
    global Service_Order__c Service_Order__r;
    /**
     * <h3>Service Term</h3>
     */
    global Id Service_Term__c;
    /**
     * <h3>Service Term</h3>
     */
    global Service_Term__c Service_Term__r;
    /**
     * <h3>Ship-to City</h3>
     */
    global String Ship_to_City__c;
    /**
     * <h3>Ship-to Country</h3>
     */
    global String Ship_to_Country__c;
    /**
     * <h3>Ship-to State / Province</h3>
     */
    global String Ship_to_State_Province__c;
    /**
     * <h3>Ship-to Street 2</h3>
     */
    global String Ship_to_Street_2__c;
    /**
     * <h3>Ship-to Street</h3>
     */
    global String Ship_to_Street__c;
    /**
     * <h3>Ship-to Zip / Postal Code</h3>
     */
    global String Ship_to_Zip_Postal_Code__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Supplier Site</h3>
     */
    global Id Supplier_Site__c;
    /**
     * <h3>Supplier Site</h3>
     */
    global Supplier_Site__c Supplier_Site__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Term Cost</h3>
     */
    global Currency Term_Cost__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Additional Charges</h3>
     * The total additional charges applied to this line. Total First Term RC Contract Value  (The total Recurring fees minus discounts for the first term of service)
     */
    global Currency Total_Additional_Charges__c;
    /**
     * <h3>Total Contract Cost</h3>
     */
    global Currency Total_Contact_Cost__c;
    /**
     * <h3>Total Contract Cost</h3>
     * Total cost of the contract line.
     */
    global Currency Total_Contract_Cost__c;
    /**
     * <h3>Total Contract Value After Waived Terms</h3>
     * Total Contract Value minus Waived Term Fees.
     */
    global Currency Total_Contract_Value_After_Waived_Terms__c;
    /**
     * <h3>Total Contract Value</h3>
     * Total contract value of the line with options and changes incorporated.
     */
    global Currency Total_Contract_Value__c;
    /**
     * <h3>Total First RC Term Cost</h3>
     * The total recurring cost with options for the first term (Read Only)
     */
    global Currency Total_First_RC_Term_Cost_Formula__c;
    /**
     * <h3>Total First RC Term Cost</h3>
     * The total recurring cost with options for the first term
     */
    global Currency Total_First_RC_Term_Cost__c;
    /**
     * <h3>Total First Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the first term of service
     */
    global Currency Total_First_Term_RC_Contract_Value__c;
    /**
     * <h3>Total First Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the first term of service (Read Only)
     */
    global Currency Total_First_Term_RC_Contract_Val_Formula__c;
    /**
     * <h3>Total Contract Value</h3>
     * Current total contract value of the line including options with any changes incorporated
     */
    global Currency Total_Item_Value__c;
    /**
     * <h3>Total Last RC Term Cost</h3>
     * The total recurring cost with options for the last term (Read Only)
     */
    global Currency Total_Last_RC_Term_Cost_Formula__c;
    /**
     * <h3>Total Last RC Term Cost</h3>
     * The total recurring cost with options for the last term
     */
    global Currency Total_Last_RC_Term_Cost__c;
    /**
     * <h3>Total Last Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the Last  term of service
     */
    global Currency Total_Last_Term_RC_Contract_Value__c;
    /**
     * <h3>Total Last Term RC Contract Value</h3>
     * The total recurring fees minus discounts for the last term of service (Read Only)
     */
    global Currency Total_Last_Term_RC_Contract_Val_Formula__c;
    /**
     * <h3>Total NRC Invoiced</h3>
     * Total nonrecurring invoiced. This include options sign to service order line.
     */
    global Currency Total_NRC_Billed_Formula__c;
    /**
     * <h3>Total RC Base Fees x Terms</h3>
     * This field is used in service contract calculations. The formula for this field is:  (RC Ext. * RC Terms) * Terms
     */
    global Currency Total_RC_Base_Fees_x_Terms__c;
    /**
     * <h3>Total RC Discount Fees x Terms</h3>
     * This field is used in service contract calculations. The formula for this field is: ((Ext. RC with Options - Ext. RC with Options After Discounts) * RC Terms) * Terms
     */
    global Currency Total_RC_Discount_Fees_x_Terms__c;
    /**
     * <h3>Total RC Options After Discounts</h3>
     * RC Options after discounts, multiplied by the quantity on the service contract line.
     */
    global Currency Total_RC_Options_After_Discounts__c;
    /**
     * <h3>Total RC Options</h3>
     * RC Options multiplied by the quantity on the service contract line.
     */
    global Currency Total_RC_Options__c;
    /**
     * <h3>Total RC Option Fees x Terms</h3>
     * This field is used in service contract calculations. The formula for this field is: (RC Total Option * RC Terms) * Terms
     */
    global Currency Total_RC_Option_Fees_x_Terms__c;
    /**
     * <h3># Terms</h3>
     * Current service terms with any changes incorporated
     */
    global Decimal Total_Service_Terms__c;
    /**
     * <h3>Warehouse</h3>
     */
    global Id Warehouse__c;
    /**
     * <h3>Warehouse</h3>
     */
    global Warehouse__c Warehouse__r;

    global Service_Order_Line__c()
    {
    }
}