// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Service Contract</h3>
 * This object supports the Service Contract life-cycle process for recurring services business process. Its role is to monitor contract status that must be adhered to such as contract term and rates for recurring and nonrecurring billings. There are workflow, attachments, and business intelligence dependent on this object. This information is used in Sales, Quality, and Finance processes
 */
global class /*SCMC__*/Service_Order__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Annual Contract Value</h3>
     * Average Total Recurring Fees after discounts over 12 months.
     */
    global Currency Annual_RC_Fees__c;
    /**
     * <h3>Architecture Deployment</h3>
     * Architecture deployment date
     */
    global Date Architecture_Deployment__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billed Through</h3>
     * This is set by the billing engine after it creates the invoice.
     */
    global Date Billed_Through__c;
    /**
     * <h3>Billing Error Message</h3>
     * Contains errors that the billing engine detects when billing the service contract.
     */
    global String Billing_Error_Message__c;
    /**
     * <h3>Billing Status</h3>
     * The billing status of the entire contract. Ex Partially billed, Open, Completely Billed, Prepaid
     */
    global String Billing_Status__c;
    /**
     * <h3>Bill To Address</h3>
     * Default from the Account record - always populated from the Account record
     */
    global String Bill_To_Address_Formula__c;
    global List<Change_Request__c> Change_Requests__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<Contact_Role__c> Contact_Roles__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Contract Gross Profit</h3>
     * The gross profit of the contract based on the number of terms to be billed.
     */
    global Currency Contract_Gross_Profit__c;
    global List<Internal_Team__c> Contract_Teams__r;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     * Currency for the Service Contract.
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     * Currency for the Service Contract.
     */
    global Currency_Master__c Currency__r;
    /**
     * <h3>Current Customer Quotation</h3>
     * The last customer quotation tie to the service contract record
     */
    global Id Current_Customer_Quotation__c;
    /**
     * <h3>Current Customer Quotation</h3>
     * The last customer quotation tie to the service contract record
     */
    global Customer_Quotation__c Current_Customer_Quotation__r;
    /**
     * <h3>Customer Account Sold To</h3>
     * This is a look up to current customer records
     */
    global Id Customer_Account_Sold_To__c;
    /**
     * <h3>Customer Account Sold To</h3>
     * This is a look up to current customer records
     */
    global Account Customer_Account_Sold_To__r;
    /**
     * <h3>Customer Contract Counter Signed</h3>
     * Contract has appropriate level of  a management signature(s)
     */
    global Boolean Customer_Contract_Counter_Signed__c;
    /**
     * <h3>Customer Contract Signed</h3>
     * Contract has appropriate level of customer signature(s)
     */
    global Boolean Customer_Contract_Signed__c;
    /**
     * <h3>Customer Kick-off Call Completed</h3>
     * Check when customer Kick-off meeting has been Executed
     */
    global Boolean Customer_Kick_off_Call_Completed__c;
    /**
     * <h3>Customer Kick-off Call Schedule</h3>
     * Kick-off call should be conducted within 72 hours of Contract signature
     */
    global Datetime Customer_Kick_off_Call_Schedule__c;
    /**
     * <h3>Customer Purchase Order</h3>
     */
    global String Customer_Purchase_Order__c;
    global List<Customer_Quotation__c> Customer_Quotations__r;
    /**
     * <h3>Deployment Internal Ops Handoff Complete</h3>
     */
    global Date Deployment_Internal_Ops_Handoff_Complete__c;
    /**
     * <h3>Deployment Internal Ops Review Complete</h3>
     */
    global Date Deployment_Internal_Ops_Review_Complete__c;
    /**
     * <h3>Deposit Amount</h3>
     * This field is populated by a deposit invoice paid by the customer
     */
    global Currency Deposit_Amount__c;
    /**
     * <h3>Deposit Consumed</h3>
     * As items are billed, the deposit is consumed. This field indicates the amount that has been consumed.
     */
    global Currency Deposit_Consumed__c;
    /**
     * <h3>Description</h3>
     * This field flows to the memo field on the invoice during invoice generation
     */
    global String Description__c;
    /**
     * <h3>Discounted Term Fees</h3>
     * Amount of discount applied to the first and last terms.
     */
    global Currency Discounted_Term_Fees__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Service_Order__History> Histories;
    /**
     * <h3>Internal Solution Review Completed</h3>
     * Check when this event is completed
     */
    global Boolean Internal_Solution_Review_Completed__c;
    global List<Invoicing__c> Invoices__r;
    /**
     * <h3>Invoice Date Option</h3>
     * This is used by the billing engine when the invoices are generated
     */
    global String Invoice_Date_Option__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Last Invoice Date</h3>
     * Last date an invoice was created for service contract
     */
    global Date Last_Invoice_Date__c;
    /**
     * <h3>Last Invoice Generation</h3>
     */
    global Date Last_Invoice_Generation__c;
    /**
     * <h3>Monthly Recurring Revenue</h3>
     */
    global Currency Monthly_Recurring_Revenue__c;
    global String Name;
    /**
     * <h3>Next Invoice Generation</h3>
     * Next date on which the billing engine is to run and create an invoice for the contract.
     */
    global Date Next_Invoice_Date__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Number Service Lines</h3>
     * Current Active number of service items (Does not count Cancelled or Dis-Approved lines)
     */
    global Decimal Number_Service_Lines__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Original Annual RC Fees</h3>
     * Original recurring fees for a year
     */
    global Currency Original_Annual_RC_Fees__c;
    /**
     * <h3>Original Bill To Address</h3>
     * Notation of original billing address after a change has been incorporated
     */
    global String Original_Bill_To_Address__c;
    /**
     * <h3>Original Contract Term</h3>
     * Notation of original Contract Term after a change has been incorporated
     */
    global String Original_Contact_Term_Formula__c;
    /**
     * <h3>Original Contract First Bill Date</h3>
     */
    global Date Original_Contract_First_Bill_Date__c;
    /**
     * <h3>Original Contract Value</h3>
     * Notation of original Contract Value before any changes has been incorporated
     */
    global Currency Original_Contract_Value_Formula__c;
    /**
     * <h3>Original Customer Purchase Order</h3>
     * Notation of original Customer Purchaser Order number before any change has been incorporated
     */
    global String Original_Customer_Purchase_Order__c;
    /**
     * <h3>Original Customer Quotation</h3>
     * Notation of original Customer Quotation number
     */
    global Id Original_Customer_Quotation__c;
    /**
     * <h3>Original Customer Quotation</h3>
     * Notation of original Customer Quotation number
     */
    global Customer_Quotation__c Original_Customer_Quotation__r;
    /**
     * <h3>Original Override Ship To Address</h3>
     */
    global Id Original_New_Override_Ship_To_Address__c;
    /**
     * <h3>Original Override Ship To Address</h3>
     */
    global Customer_Address__c Original_New_Override_Ship_To_Address__r;
    /**
     * <h3>Original NRC Discounted %</h3>
     */
    global Decimal Original_NRC_Discounted_Percent__c;
    /**
     * <h3>Original Number Service Lines</h3>
     * Notation of original number of Service Contract Lines
     */
    global Decimal Original_Number_Service_Lines__c;
    /**
     * <h3>Original Override Bill To Ac Address</h3>
     */
    global Id Original_Override_Bill_To_Account_Addres__c;
    /**
     * <h3>Original Override Bill To Ac Address</h3>
     */
    global Customer_Address__c Original_Override_Bill_To_Account_Addres__r;
    /**
     * <h3>Original Override Bill To Account</h3>
     */
    global Id Original_Override_Bill_To_Account__c;
    /**
     * <h3>Original Override Bill To Account</h3>
     */
    global Account Original_Override_Bill_To_Account__r;
    /**
     * <h3>Original Override Bill To Address</h3>
     * Notation of Overridden billing address after a change has been incorporated
     */
    global Id Original_Override_Bill_To_Address__c;
    /**
     * <h3>Original Override Bill To Address</h3>
     * Notation of Overridden billing address after a change has been incorporated
     */
    global Customer_Address__c Original_Override_Bill_To_Address__r;
    /**
     * <h3>Original RC Discounted %</h3>
     */
    global Decimal Original_RC_Discounted_Percent__c;
    /**
     * <h3>Original RC Discounted</h3>
     * Original discounted amount for recurring fees
     */
    global Currency Original_RC_Price_Discounted__c;
    /**
     * <h3>Original Service Contract Start Date</h3>
     */
    global Date Original_Service_Contract_Start_Date__c;
    /**
     * <h3>Original Service Contract End Date</h3>
     * Original service contract end date
     */
    global Date Original_Service_Order_End_Date__c;
    /**
     * <h3>Original Service Term</h3>
     * Notation of original service term after a change has been incorporated
     */
    global String Original_Service_Term_Formula__c;
    /**
     * <h3>Original Service Term Number</h3>
     * Notation of  number of original service term after a change has been incorporated
     */
    global Decimal Original_Service_Term_Number__c;
    /**
     * <h3>Original Service Term Record</h3>
     * Notation of  number of original service term after a change has been incorporated
     */
    global Id Original_Service_Term_Record__c;
    /**
     * <h3>Original Service Term Record</h3>
     * Notation of  number of original service term after a change has been incorporated
     */
    global Service_Term__c Original_Service_Term_Record__r;
    /**
     * <h3>Original Total Contract Cost</h3>
     */
    global Currency Original_Total_Contact_Cost__c;
    /**
     * <h3>Original Total NRC Cost</h3>
     */
    global Currency Original_Total_NRC_Cost__c;
    /**
     * <h3>Original NRC Discounted</h3>
     * Original discounted amount for nonrecurring fees
     */
    global Currency Original_Total_NRC_Discounted_Price__c;
    /**
     * <h3>Original Total NRC Fees</h3>
     * Original summary total on nonrecurring fees
     */
    global Currency Original_Total_NRC_Extended_Formula__c;
    /**
     * <h3>Original Total NRC Materials</h3>
     * Original summary total on nonrecurring fees for materials
     */
    global Currency Original_Total_NRC_Materials__c;
    /**
     * <h3>Original Total NRC Options</h3>
     * Original summary total on nonrecurring fees for options
     */
    global Currency Original_Total_NRC_Options__c;
    /**
     * <h3>Original Total NRC Fees After Discounts</h3>
     * Original summary total on nonrecurring fees after discounts
     */
    global Currency Original_Total_NRC_Price_Formula__c;
    /**
     * <h3>Original Total NRC Time</h3>
     * Original summary total on nonrecurring fees for time
     */
    global Currency Original_Total_NRC_Time__c;
    /**
     * <h3>Original Total RC Base</h3>
     * Original summary total on recurring base fees
     */
    global Currency Original_Total_RC_Base__c;
    /**
     * <h3>Original Total RC Cost</h3>
     */
    global Currency Original_Total_RC_Cost__c;
    /**
     * <h3>Original Total RC Fees</h3>
     * Original summary total on recurring fees
     */
    global Currency Original_Total_RC_Extended_Formula__c;
    /**
     * <h3>Original Total RC Options</h3>
     * Original summary total on recurring fees for options
     */
    global Currency Original_Total_RC_Options__c;
    /**
     * <h3>Original Total RC Fees After Discounts</h3>
     * Original summary total on recurring fees after discounts
     */
    global Currency Original_Total_RC_Price_Formula__c;
    /**
     * <h3>Override Bill To Account Address</h3>
     */
    global Id Override_Bill_To_Account_Address__c;
    /**
     * <h3>Override Bill To Account Address</h3>
     */
    global Customer_Address__c Override_Bill_To_Account_Address__r;
    /**
     * <h3>Override Bill To Account</h3>
     */
    global Id Override_Bill_To_Account__c;
    /**
     * <h3>Override Bill To Account</h3>
     */
    global Account Override_Bill_To_Account__r;
    /**
     * <h3>Override Bill To Address</h3>
     * Notation of  Original Billing Adress after a change has been incorporated
     */
    global Id Override_Bill_To_Address__c;
    /**
     * <h3>Override Bill To Address</h3>
     * Notation of  Original Billing Adress after a change has been incorporated
     */
    global Customer_Address__c Override_Bill_To_Address__r;
    /**
     * <h3>Override Ship To Address</h3>
     */
    global Id Override_Ship_To_Address__c;
    /**
     * <h3>Override Ship To Address</h3>
     */
    global Customer_Address__c Override_Ship_To_Address__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Perpetual Contract</h3>
     */
    global Boolean Pepetual_Contract__c;
    /**
     * <h3>PMO Project Close - Customer Welcome</h3>
     */
    global Date PMO_Project_Close_Customer_Welcome__c;
    /**
     * <h3>Price Type</h3>
     */
    global Id Price_Type__c;
    /**
     * <h3>Price Type</h3>
     */
    global Price_Type__c Price_Type__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project Manager Assigned</h3>
     * Manger's name typically assigned by a PMO
     */
    global String Project_Manager_Assigned__c;
    /**
     * <h3>Project</h3>
     * Typically used to Identify a Project designation used internally
     */
    global String Project__c;
    global List<Purchase_Order__c> Purchase_Orders__r;
    /**
     * <h3>Total RC Discounted %</h3>
     * Current discounted percent on recurring fees with any incorporating changes
     */
    global Decimal RC_Percent_Discounted__c;
    /**
     * <h3>Total RC Discounted</h3>
     * Current discounted amount on recurring fees with any incorporating changes
     */
    global Currency RC_Price_Discounted__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Remaining Deposit</h3>
     * This field displays the remaining deposit that has not been consumed
     */
    global Currency Remaining_Deposit__c;
    /**
     * <h3>Remaining Terms to be Billed</h3>
     * Terms that are yet to be billed. This is used to calculate the remaining contract value.
     */
    global Decimal Remaining_Terms_to_be_Billed__c;
    /**
     * <h3>Remaining Contract Term</h3>
     * Remaining number of contracted terms on this contract
     */
    global String Remain_Contract_Term_Formula__c;
    /**
     * <h3>Remain Service Term Number</h3>
     * Remaining  number of service terms on this contract
     */
    global Decimal Remain_Service_Term_Number__c;
    /**
     * <h3>Revision</h3>
     * Number of revisions to service contract
     */
    global Decimal Revision__c;
    /**
     * <h3>Sales Order</h3>
     */
    global Id Sales_Order__c;
    /**
     * <h3>Sales Order</h3>
     */
    global Sales_Order__c Sales_Order__r;
    /**
     * <h3>Service Contract Start Date</h3>
     */
    global Date Service_Contract_Start_Date__c;
    /**
     * <h3>Service Contract Active Date</h3>
     * This is the effective date to begin billing on this contract - set by "Activate" button
     */
    global Date Service_Order_Active_Date__c;
    /**
     * <h3>Service Contract Approved Date</h3>
     * This is the Approved date on this contract - set after internal approvals are completed
     */
    global Date Service_Order_Approved_Date__c;
    /**
     * <h3>Service Contract Cancel Date</h3>
     * This is the Cancelled date on this contract - set after "Cancel" button is selected
     */
    global Date Service_Order_Cancel_Date__c;
    /**
     * <h3>Service Contract End Date</h3>
     * This is a calculated date for the contract end - The calculation for Service contract end date is creation date times the number of contract terms i.e. (creation date + 36 Months )
     */
    global Date Service_Order_End_Date__c;
    /**
     * <h3>Service Contract First Bill Date</h3>
     * Service contract's first bill date
     */
    global Date Service_Order_First_Bill_Date__c;
    global List<Service_Order_Line__c> Service_Order_Lines__r;
    /**
     * <h3>Service Contract Suspend Date</h3>
     * This is the effective date to begin suspension of billing on this contract - set by "Suspend" button
     */
    global Date Service_Order_Suspend_Date__c;
    /**
     * <h3>Service Term Fees</h3>
     * Total of all Recurring and Nonrecurring fees incorporating changes and including any discounts
     */
    global Currency Service_Term_Cost_Formula__c;
    /**
     * <h3>Service Term</h3>
     * Service Term
     */
    global String Service_Term_Formula__c;
    /**
     * <h3>Service Term Number</h3>
     * Service Term Number
     */
    global Decimal Service_Term_Number__c;
    /**
     * <h3>Service Term Record</h3>
     * Type of Service term
     */
    global Id Service_Term_Record__c;
    /**
     * <h3>Service Term Record</h3>
     * Type of Service term
     */
    global Service_Term__c Service_Term_Record__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * Current status of service contract
     */
    global String Status__c;
    /**
     * <h3>Sync Header Terms to Lines</h3>
     */
    global Boolean Sync_Header_Terms_to_Lines__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Terms to be Billed</h3>
     * Terms to be billed. For example, if the contract is for 12 months and the Service Contract Start Date is September 1st and the the Service Contract First Bill date is November 1st, the number of terms to be billed will be 10.
     */
    global Decimal Terms_to_be_Billed__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Additional Charges</h3>
     * The total additional charges over lifetime contract
     */
    global Currency Total_Additional_Charges__c;
    /**
     * <h3>Total Contract Cost</h3>
     */
    global Currency Total_Contact_Cost__c;
    /**
     * <h3>Total Contract Cost</h3>
     * Total cost of the contract.
     */
    global Currency Total_Contract_Cost__c;
    /**
     * <h3>Total Contract Terms</h3>
     * Total number of service contract terms for this contract - i.e number of months
     */
    global String Total_Contract_Terms_Formula__c;
    /**
     * <h3>Deprecated Contract Value Waived Terms</h3>
     * Total Contract Value minus Waived Term Fees.
     */
    global Currency Total_Contract_Value_After_Waived_Terms__c;
    /**
     * <h3>Total Contract Value After Waived Terms</h3>
     * Total Contract Value minus Waived Term Fees.
     */
    global Currency Total_Contract_Value_Minus_Waived_Terms__c;
    /**
     * <h3>Total Invoiced</h3>
     */
    global Currency Total_Invoiced__c;
    /**
     * <h3>Total NRC Cost</h3>
     */
    global Currency Total_NRC_Cost__c;
    /**
     * <h3>Total NRC Discounted %</h3>
     */
    global Decimal Total_NRC_Discounted_Percent__c;
    /**
     * <h3>Total NRC Discounted</h3>
     * Current discounted amount on nonrecurring fees with any incorporating changes
     */
    global Currency Total_NRC_Discount_Price__c;
    /**
     * <h3>Total NRC Fees</h3>
     * Current nonrecurring fees with any incorporating changes
     */
    global Currency Total_NRC_Extended__c;
    /**
     * <h3>Total NRC Invoice</h3>
     * Current nonrecurring amount invoiced with any incorporating changes
     */
    global Currency Total_NRC_Invoice__c;
    /**
     * <h3>Total NRC Materials</h3>
     * Current nonrecurring fees for materials with any incorporating changes
     */
    global Currency Total_NRC_Materials__c;
    /**
     * <h3>Total NRC Not Invoiced</h3>
     * Current nonrecurring fees with any incorporating changes that have not been invoiced to date
     */
    global Currency Total_NRC_Not_Invoiced__c;
    /**
     * <h3>Total NRC Options</h3>
     * Current nonrecurring fees for options with any incorporating changes
     */
    global Currency Total_NRC_Options__c;
    /**
     * <h3>Total NRC Fees After Discounts</h3>
     * Current total on nonrecurring fees after discounts and with any incorporating changes
     */
    global Currency Total_NRC_Price_Formula__c;
    /**
     * <h3>Total NRC Time</h3>
     * Current total on nonrecurring fees for time with any incorporating changes
     */
    global Currency Total_NRC_Time__c;
    /**
     * <h3>Total RC Base</h3>
     * Current total on recurring base fees with any incorporating changes
     */
    global Currency Total_RC_Base__c;
    /**
     * <h3>Total RC Cost</h3>
     */
    global Currency Total_RC_Cost__c;
    /**
     * <h3>Total RC Fees</h3>
     * Current total on recurring fees with any incorporating changes
     */
    global Currency Total_RC_Extended_Formula__c;
    /**
     * <h3>Total RC Options</h3>
     * Current total on recurring fees for options with any incorporating changes
     */
    global Currency Total_RC_Options__c;
    /**
     * <h3>Total RC Fees After Discounts</h3>
     * Current total on recurring fees after discounts and with any incorporating changes
     */
    global Currency Total_RC_Price_Formula__c;
    /**
     * <h3>Warehouse</h3>
     */
    global Id Warehouse__c;
    /**
     * <h3>Warehouse</h3>
     */
    global Warehouse__c Warehouse__r;

    global Service_Order__c()
    {
    }
}