// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Shipping</h3>
 * This Object describes a shipment of Items that are to be delivered to a Customer or Supplier for delivery of goods for Customer Order Fulfillment or Supplier services. This includes carrier selection, cost, and tracking information. This information is used in Sales, Inventory Management, Shipping, and Finance processes
 */
global class /*SCMC__*/Shipping__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Box__c> Boxes__r;
    /**
     * <h3>Carrier Fees</h3>
     */
    global Currency Carrier_Fees__c;
    /**
     * <h3>Carrier Service</h3>
     */
    global String Carrier_Service__c;
    /**
     * <h3>Carrier Tracking Number</h3>
     */
    global String Carrier_Tracking_Number__c;
    /**
     * <h3>Carrier</h3>
     */
    global String Carrier__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer Account Contact</h3>
     */
    global Id Customer_Account_Contact__c;
    /**
     * <h3>Customer Account Contact</h3>
     */
    global Contact Customer_Account_Contact__r;
    /**
     * <h3>Customer Address</h3>
     */
    global String Customer_Address__c;
    /**
     * <h3>Customer Name</h3>
     */
    global String Customer_Name__c;
    /**
     * <h3>Declared Value</h3>
     * The valuation of this shipment. It is typically used for Insurance purposes
     */
    global Currency Declared_Value__c;
    /**
     * <h3>Drop Ship City</h3>
     */
    global String Drop_Ship_City__c;
    /**
     * <h3>Drop Ship Country</h3>
     */
    global String Drop_Ship_Country__c;
    /**
     * <h3>Drop Ship Line 1</h3>
     */
    global String Drop_Ship_Line1__c;
    /**
     * <h3>Drop Ship Line 2</h3>
     */
    global String Drop_Ship_Line2__c;
    /**
     * <h3>Drop Ship Name</h3>
     * The Name for a drop shipment
     */
    global String Drop_Ship_Name__c;
    /**
     * <h3>Drop Ship State / Province</h3>
     */
    global String Drop_Ship_State_Province__c;
    /**
     * <h3>Drop Ship Zip / Postal Code</h3>
     */
    global String Drop_Ship_Zip_Postal_Code__c;
    /**
     * <h3>Drop Ship?</h3>
     * The attribute indicates whether a customer has specified a drop ship address
     */
    global Boolean Drop_Ship__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Exported</h3>
     * The shipment has been exported.
     */
    global Boolean Exported__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Handling Charge</h3>
     * Additional handing fee for this shipment (surcharges)
     */
    global Currency Handling_Charge__c;
    global List<Shipping__History> Histories;
    /**
     * <h3>Insurance Value</h3>
     */
    global Currency Insurance_Value__c;
    global List<Invoicing__c> Invoices__r;
    /**
     * <h3>Invoicing</h3>
     */
    global Id Invoicing__c;
    /**
     * <h3>Invoicing</h3>
     */
    global Invoicing__c Invoicing__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Number of Boxes</h3>
     */
    global Decimal Number_of_Boxes__c;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Package Height</h3>
     */
    global Decimal Package_Height__c;
    /**
     * <h3>Package Length</h3>
     */
    global Decimal Package_Length__c;
    /**
     * <h3>Package Type</h3>
     */
    global String Package_Type__c;
    /**
     * <h3>Package Width</h3>
     */
    global Decimal Package_Width__c;
    global FeedComment Parent;
    global List<Picklist__c> Picklists__r;
    /**
     * <h3>Picklist</h3>
     * The picklist associated with the shipment.  The picklist contains the list of parts that are to be shipped.  This field is automatically populated by background processes.
     */
    global Id Picklist__c;
    /**
     * <h3>Picklist</h3>
     * The picklist associated with the shipment.  The picklist contains the list of parts that are to be shipped.  This field is automatically populated by background processes.
     */
    global Picklist__c Picklist__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Purchase Order</h3>
     */
    global Id Purchase_Order__c;
    /**
     * <h3>Purchase Order</h3>
     */
    global Purchase_Order__c Purchase_Order__r;
    /**
     * <h3>Receiving Warehouse</h3>
     */
    global Id Receiving_Warehouse__c;
    /**
     * <h3>Receiving Warehouse</h3>
     */
    global Warehouse__c Receiving_Warehouse__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Requestor Department</h3>
     */
    global String Requestor_Department__c;
    /**
     * <h3>Sales Order</h3>
     */
    global Id Sales_Order__c;
    /**
     * <h3>Sales Order</h3>
     */
    global Sales_Order__c Sales_Order__r;
    global List<Serial_Number__c> Serial_Numbers__r;
    global List<Serial_Number_Related_Record__c> Serial_Number_Related_Records__r;
    /**
     * <h3>Shipment Date/Time</h3>
     * The date and time of the shipment.
     */
    global Datetime Shipment_Date_Time__c;
    /**
     * <h3>Shipment Date</h3>
     */
    global Date Shipment_Date__c;
    /**
     * <h3>Shipment Options</h3>
     */
    global String Shipment_Options__c;
    /**
     * <h3>Shipment Requestor</h3>
     * Enter the name of the requestor requesting a shipment
     */
    global String Shipment_Requestor__c;
    /**
     * <h3>Shipment Services</h3>
     */
    global String Shipment_Services__c;
    /**
     * <h3>Shipment Type</h3>
     * This is the type of shipment.  When the shipment is complete, the different types have a different effect on inventory and financials.
     */
    global String Shipment_Type__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Supplier Address</h3>
     */
    global String Supplier_Address__c;
    /**
     * <h3>Supplier Contact</h3>
     */
    global Id Supplier_Contact__c;
    /**
     * <h3>Supplier Contact</h3>
     */
    global Supplier_Contact__c Supplier_Contact__r;
    /**
     * <h3>Supplier Name</h3>
     */
    global String Supplier_Name__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Tax Carrier Fees?</h3>
     * Do you want to calculate tax on the carrier fees?
     */
    global Boolean Tax_Carrier_Fees__c;
    /**
     * <h3>Tax Handling Charge?</h3>
     * Do you want to calculate tax on the handling charge?
     */
    global Boolean Tax_Handling_Charge__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Transfer Request</h3>
     */
    global Id Transfer_Request__c;
    /**
     * <h3>Transfer Request</h3>
     */
    global Transfer_Request__c Transfer_Request__r;
    /**
     * <h3>Truck Load</h3>
     * A shipment is related to a truck load when more than one shipment goes out on a single truck.  The shipments are not necessarily all going to the same destination.
     */
    global Id Truck_Load__c;
    /**
     * <h3>Truck Load</h3>
     * A shipment is related to a truck load when more than one shipment goes out on a single truck.  The shipments are not necessarily all going to the same destination.
     */
    global Truck_Load__c Truck_Load__r;
    /**
     * <h3>Weight</h3>
     * The total weight of all Items (boxes, drums, pallets, etc.) being shipped
     */
    global Decimal Weight__c;

    global Shipping__c()
    {
    }
}