// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Sourcing Request Line</h3>
 * Sourcing Request Lines describe details that are being sent to a Supplier. There is a separate line for each Item quantity, delivery, or condition request. There can be many Sourcing Request Lines for a single Sourcing header record.
 */
global class /*SCMC__*/Sourcing_Request_Line__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Budget</h3>
     * This is a guidance number to the procurement agent as to how much the requisition requirements are budgeted for
     */
    global Currency Budget__c;
    /**
     * <h3>Charge Number</h3>
     * The authorized charge number used for this purchase
     */
    global String Charge_Number__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Condition</h3>
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Deliver to Address</h3>
     */
    global String Deliver_to_Address__c;
    /**
     * <h3>Deliver to Warehouse</h3>
     * Select the Warehouse this supplier will be delivering to
     */
    global Id Deliver_to_Warehouse__c;
    /**
     * <h3>Deliver to Warehouse</h3>
     * Select the Warehouse this supplier will be delivering to
     */
    global Warehouse__c Deliver_to_Warehouse__r;
    /**
     * <h3>DPAS Rating</h3>
     * The Defense Priorities and Allocations System Rating for Government Contract
     */
    global String DPAS_Rating__c;
    /**
     * <h3>Drop Ship City</h3>
     */
    global String Drop_Ship_City__c;
    /**
     * <h3>Drop Ship Country</h3>
     */
    global String Drop_Ship_Country__c;
    /**
     * <h3>Drop Ship Line 1</h3>
     */
    global String Drop_Ship_Line1__c;
    /**
     * <h3>Drop Ship Line 2</h3>
     */
    global String Drop_Ship_Line2__c;
    /**
     * <h3>Drop Ship Name</h3>
     * The Name for a drop shipment
     */
    global String Drop_Ship_Name__c;
    /**
     * <h3>Drop Ship State / Province</h3>
     */
    global String Drop_Ship_State_Province__c;
    /**
     * <h3>Drop Ship Zip / Postal Code</h3>
     */
    global String Drop_Ship_Zip_Postal_Code__c;
    /**
     * <h3>Drop Ship?</h3>
     */
    global Boolean Drop_Ship__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Government Contract Number</h3>
     * The government contract number this Souring Activity supports
     */
    global String Government_Contract_Number__c;
    global List<Sourcing_Request_Line__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>Item Description - New</h3>
     * Use this Item Description field for Items not currently in the system
     */
    global String Item_Description_New__c;
    /**
     * <h3>Item Description</h3>
     */
    global String Item_Description__c;
    /**
     * <h3>Item Exists in Item Master</h3>
     */
    global Boolean Item_Exists_in_Item_Master__c;
    /**
     * <h3>Item Master</h3>
     * Use this Item field for Items that are currently in the system
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Master</h3>
     * Use this Item field for Items that are currently in the system
     */
    global Item__c Item_Master__r;
    /**
     * <h3>Item Number - New</h3>
     * Use this Item Number field for Items not currently in the system
     */
    global String Item_Number_New__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Line Number</h3>
     */
    global Decimal Line_Number__c;
    /**
     * <h3>Line Type</h3>
     */
    global String Line_Type__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global List<Option_Item__c> Option_Items__r;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Quantity Required</h3>
     */
    global Decimal Quantity_Required__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Requested Delivery Date</h3>
     */
    global Date Requested_Date__c;
    global List<Requisition_Line_Item__c> Requisition_Line_Items__r;
    /**
     * <h3>Requisition Line Item</h3>
     * The requisition line item this sourcing line is associated with.
     */
    global Id Requisition_Line_Item__c;
    /**
     * <h3>Requisition Line Item</h3>
     * The requisition line item this sourcing line is associated with.
     */
    global Requisition_Line_Item__c Requisition_Line_Item__r;
    global SObjectType SObjectType;
    /**
     * <h3>Sourcing Item Description</h3>
     */
    global String Sourcing_Item_Description__c;
    /**
     * <h3>Sourcing Item</h3>
     * Field is item master name if item exists in the item master otherwise it is the new item.
     */
    global String Sourcing_Item__c;
    global List<Sourcing_Response__c> Sourcing_Responses__r;
    /**
     * <h3>Sourcing</h3>
     */
    global Id Sourcing__c;
    /**
     * <h3>Sourcing</h3>
     */
    global Sourcing__c Sourcing__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;

    global Sourcing_Request_Line__c()
    {
    }
}