// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Sourcing Response</h3>
 * This Object describes a Sourcing request response which is a response from a potential supplier to a request for pricing and delivery information for something to be procured (i.e., part, service, facility supplies (MRO)) and is measured against other responses. This information is used in Procurement and Finance processes.
 */
global class /*SCMC__*/Sourcing_Response__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Comments Exist?</h3>
     * The field is checked if comments exist.
     */
    global Boolean Comments_Exist__c;
    /**
     * <h3>Condition</h3>
     * The condition of the part being quoted.
     */
    global Id Condition_Code__c;
    /**
     * <h3>Condition</h3>
     * The condition of the part being quoted.
     */
    global Condition_Code__c Condition_Code__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<Customer_Quotation_Line__c> Customer_Quotation_Lines__r;
    /**
     * <h3>Customer Quotation Line</h3>
     * The customer quotation line that was sent out on the RFQ
     */
    global Id Customer_Quotation_Line__c;
    /**
     * <h3>Customer Quotation Line</h3>
     * The customer quotation line that was sent out on the RFQ
     */
    global Customer_Quotation_Line__c Customer_Quotation_Line__r;
    /**
     * <h3>Delivery Days ARO</h3>
     * The expected delivery After Receipt of Order
     */
    global Decimal Delivery_Days_ARO__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>External Condition Code</h3>
     * Condition Code from an external system.
     */
    global String External_Condition_Code__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>First Price Break Amount</h3>
     * First price break amount
     */
    global Currency First_Price_Break_Amount__c;
    /**
     * <h3>FOB</h3>
     */
    global String FOB__c;
    /**
     * <h3>Freight Terms</h3>
     */
    global String Freight_Terms__c;
    global List<Sourcing_Response__History> Histories;
    /**
     * <h3>ILS ItemSupplierPartId</h3>
     * This uniquely identifies the sourcing response item sent to ILSMart. This is automatically populated when the RFQ is sent to ILSMart.
     */
    global String ILS_ItemSupplierPartId__c;
    /**
     * <h3>ILS RFQId</h3>
     * The Id of the RFQ sent to the ILSMart. This is automatically populated when the RFQ is sent to ILSMart.
     */
    global String ILS_RFQId__c;
    global Boolean IsDeleted;
    /**
     * <h3>Item Alternatives</h3>
     * Supplier Suggested Alternate for item requested
     */
    global String Item_Alternatives__c;
    /**
     * <h3>Item Bid Description</h3>
     */
    global String Item_Bid_Description__c;
    /**
     * <h3>Item Bid</h3>
     */
    global String Item_Bid__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Lead Time</h3>
     */
    global String Lead_Time__c;
    /**
     * <h3>Line Comments</h3>
     */
    global String Line_Comments__c;
    /**
     * <h3>Minimum Order Quantity</h3>
     */
    global Decimal Minimum_Order_Quantity__c;
    /**
     * <h3>Minimum Order Value</h3>
     */
    global Currency Minimum_Order_Value__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Price Break Level One</h3>
     * First Price break level
     */
    global Decimal Price_Break_Level_One__c;
    /**
     * <h3>Price Break Level Three</h3>
     * Third Price break level
     */
    global Decimal Price_Break_Level_Three__c;
    /**
     * <h3>Price Break Level Two</h3>
     * Second Price break level
     */
    global Decimal Price_Break_Level_Two__c;
    /**
     * <h3>Price</h3>
     * Enter Price for request made
     */
    global Currency Price__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Quantity</h3>
     */
    global Decimal Quantity__c;
    /**
     * <h3>Quote Date</h3>
     * The date the quote is received/entered in the system.
     */
    global Datetime Quote_Date__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Requested Condition</h3>
     */
    global String Requested_Condition__c;
    /**
     * <h3>Requested Item Description</h3>
     */
    global String Requested_Item_Description__c;
    /**
     * <h3>Requested Item</h3>
     */
    global String Requested_Item__c;
    /**
     * <h3>Requested Quantity</h3>
     */
    global Decimal Requested_Quantity__c;
    /**
     * <h3>Request for Quotation</h3>
     */
    global Id Request_for_Quotation__c;
    /**
     * <h3>Request for Quotation</h3>
     */
    global Sourcing__c Request_for_Quotation__r;
    /**
     * <h3>Response Due Date</h3>
     * The date the response is due back.  After this date, if the status is still New, it will be changed to No Response
     */
    global Date Response_Due_Date__c;
    /**
     * <h3>Second Price Break Amount</h3>
     * Second price break amount
     */
    global Currency Second_Price_Break_Amount__c;
    /**
     * <h3>Ship Via Method</h3>
     */
    global String Ship_Via_Method__c;
    global SObjectType SObjectType;
    /**
     * <h3>Sourcing Request Line</h3>
     * The request line that was sent out on the RFQ
     */
    global Id Sourcing_Request_Line__c;
    /**
     * <h3>Sourcing Request Line</h3>
     * The request line that was sent out on the RFQ
     */
    global Sourcing_Request_Line__c Sourcing_Request_Line__r;
    /**
     * <h3>Sourcing to Supplier Association</h3>
     * A reference back to the association between the sourcing request and the supplier.
     */
    global Id Sourcing_to_Supplier_Association__c;
    /**
     * <h3>Sourcing to Supplier Association</h3>
     * A reference back to the association between the sourcing request and the supplier.
     */
    global Sourcing_to_Supplier_Association__c Sourcing_to_Supplier_Association__r;
    /**
     * <h3>Status</h3>
     * The state of this response. A newly created response is set to Open. When the supplier responds, it is changed to No Bid or Bid.  hen the Buyer makes his selection and creates the Purchase Order, the status is changed to Selected or Closed depending on the Buyer's action. The status is set to No Response if there is no response by the Due Date.
     */
    global String Status__c;
    /**
     * <h3>Supplier Comments</h3>
     */
    global String Supplier_Comments__c;
    /**
     * <h3>Supplier Contact</h3>
     */
    global Id Supplier_Contact__c;
    /**
     * <h3>Supplier Contact</h3>
     */
    global Supplier_Contact__c Supplier_Contact__r;
    /**
     * <h3>Supplier Site</h3>
     */
    global Id Supplier_Site__c;
    /**
     * <h3>Supplier Site</h3>
     */
    global Supplier_Site__c Supplier_Site__r;
    global Datetime SystemModstamp;
    /**
     * <h3>Tag Information</h3>
     */
    global Date Tag_Information__c;
    global List<Task> Tasks;
    /**
     * <h3>Terms</h3>
     * Typically used for payment terms, including discounts
     */
    global String Terms__c;
    /**
     * <h3>Third Price Break Amount</h3>
     * Third price break amount
     */
    global Currency Third_Price_Break_Amount__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Price</h3>
     */
    global Currency Total_Price__c;
    /**
     * <h3>Traceability</h3>
     * The traceability of the part as entered from ILSMart.
     */
    global String Traceability__c;
    /**
     * <h3>Unit of Measure</h3>
     */
    global String Unit_of_Measure__c;
    /**
     * <h3>Valid Until</h3>
     * Supplier's date the supplied information is valid until
     */
    global Date Valid_Until__c;

    global Sourcing_Response__c()
    {
    }
}