// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Sourcing Request</h3>
 * This Object describes a Request from a Supplier (i.e, RFI, RFQ, RFP) which is a request for pricing and delivery information for something to be procured (i.e., part, service, facility supplies (MRO)). This information is used in Procurement, Quality, and Finance processes
 */
global class /*SCMC__*/Sourcing__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Budget</h3>
     * This is a guidance number to the procurement agent as to how much the requisition requirements are budgeted for
     */
    global Currency Budget__c;
    /**
     * <h3>Buyer</h3>
     * The user who is responsible for this sourcing request.
     */
    global Id Buyer_User__c;
    /**
     * <h3>Buyer</h3>
     * The user who is responsible for this sourcing request.
     */
    global User Buyer_User__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Considered Taxable?</h3>
     */
    global Boolean Considered_Taxable__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global List<Sourcing_Response__c> Courcing_Responses__r;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency Master</h3>
     * The currency for the quote response.
     */
    global Id Currency_Master__c;
    /**
     * <h3>Currency Master</h3>
     * The currency for the quote response.
     */
    global Currency_Master__c Currency_Master__r;
    /**
     * <h3>Deliver to Warehouse</h3>
     * The warehouse the goods will be delivered to.
     */
    global Id Deliver_to_Warehouse__c;
    /**
     * <h3>Deliver to Warehouse</h3>
     * The warehouse the goods will be delivered to.
     */
    global Warehouse__c Deliver_to_Warehouse__r;
    /**
     * <h3>Drop Ship City</h3>
     */
    global String Drop_Ship_City__c;
    /**
     * <h3>Drop Ship Country</h3>
     */
    global String Drop_Ship_Country__c;
    /**
     * <h3>Drop Ship Line 1</h3>
     */
    global String Drop_Ship_Line1__c;
    /**
     * <h3>Drop Ship Line 2</h3>
     */
    global String Drop_Ship_Line2__c;
    /**
     * <h3>Drop Ship Name</h3>
     * The Name for a drop shipment
     */
    global String Drop_Ship_Name__c;
    /**
     * <h3>Drop Ship State / Province</h3>
     */
    global String Drop_Ship_State_Province__c;
    /**
     * <h3>Drop Ship Zip / Postal Code</h3>
     */
    global String Drop_Ship_Zip_Postal_Code__c;
    /**
     * <h3>Drop Ship?</h3>
     */
    global Boolean Drop_Ship__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Expired Quotes</h3>
     */
    global Boolean Expired_Quotes__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>FOB</h3>
     */
    global String FOB__c;
    /**
     * <h3>Freight Terms</h3>
     */
    global String Freight_Terms__c;
    global List<Sourcing__History> Histories;
    /**
     * <h3>ILSMart.com RFQ</h3>
     * Generate an RFQ on ILSMart
     */
    global Boolean ILSMart_com_RFQ__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Open Quotes</h3>
     */
    global Boolean Open_Quotes__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Payment Terms</h3>
     */
    global String Payment_Terms__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Purchase History</h3>
     */
    global Boolean Purchase_History__c;
    /**
     * <h3>Quote Valid Until Date</h3>
     */
    global Date Quote_Vaild_Until_Date__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Request Type</h3>
     * Type of product or service being Requested
     */
    global String Request_Type__c;
    /**
     * <h3>Response Due By</h3>
     * The date and time that the response is due by.  After this date and time, responses will not be accepted.
     */
    global Datetime ResponseDueBy__c;
    /**
     * <h3>Ship Via Method</h3>
     */
    global String Ship_Via_Method__c;
    global SObjectType SObjectType;
    /**
     * <h3>Solicitation Type</h3>
     * This defines the expected returned responses from solicited Suppliers
     */
    global String Solicitation_Type__c;
    global List<Sourcing_Request_Line__c> Sourcing_Request_Lines1__r;
    global List<Sourcing_to_Supplier_Association__c> Sourcing_to_Supplier_Associations__r;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Supplier Agreements</h3>
     */
    global Boolean Supplier_Agreements__c;
    /**
     * <h3>Supplier Five</h3>
     */
    global String Supplier_Five__c;
    /**
     * <h3>Supplier Four</h3>
     */
    global String Supplier_Four__c;
    /**
     * <h3>Supplier Name</h3>
     * Suggested Suppliers
     */
    global String Supplier_Name__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;

    global Sourcing__c()
    {
    }
}