// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Supplier RFQ</h3>
 * This is an internal junction object that manages the many to many relationships between Sourcing (i.e., RFQ, RFP, RFI) activities and Suppliers. Each Sourcing request can be sent to multiple Suppliers and each Supplier can have multiple Sourcing activities active at one time.
 */
global class /*SCMC__*/Sourcing_to_Supplier_Association__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Building Information</h3>
     */
    global String Building_Information__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer Quotation</h3>
     */
    global Id Customer_Quotation__c;
    /**
     * <h3>Customer Quotation</h3>
     */
    global Customer_Quotation__c Customer_Quotation__r;
    /**
     * <h3>Deliver</h3>
     */
    global String Deliver__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Established?</h3>
     * This is always true if this association is with an established supplier.  The field is set when the association is created.
     */
    global Boolean Established__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Sourcing_to_Supplier_Association__History> Histories;
    /**
     * <h3>ILSMart.com ID</h3>
     * The Suppliers Identification number on ILSMart
     */
    global String ILSMart_com_ID__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Mailing City</h3>
     */
    global String Mailing_City__c;
    /**
     * <h3>Mailing Country</h3>
     */
    global String Mailing_Country__c;
    /**
     * <h3>Mailing State / Province</h3>
     */
    global String Mailing_State_Province__c;
    /**
     * <h3>Mailing Street Additional Information</h3>
     */
    global String Mailing_Street_Additional_Information__c;
    /**
     * <h3>Mailing Street</h3>
     */
    global String Mailing_Street__c;
    /**
     * <h3>Mailing Zip / Postal Code</h3>
     */
    global String Mailing_Zip_Postal_Code__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>PageReferenceDeliver</h3>
     * This is not to be displayed to the end user. This is used only to host the page address for the deliver link.
     */
    global String PageReferenceDeliver__c;
    /**
     * <h3>PageReferencePrint</h3>
     * This is not to be displayed to the end user. This is used only to host the page address for the print link.
     */
    global String PageReferencePrint__c;
    global FeedComment Parent;
    /**
     * <h3>Potential Suppliers E-Mail Address</h3>
     */
    global Email Potential_Suppliers_E_Mail_Address__c;
    /**
     * <h3>Potential Suppliers FAX Number</h3>
     */
    global String Potential_Suppliers_FAX_Number__c;
    /**
     * <h3>Potential Suppliers Name</h3>
     * This is an unknown supplier that we have not done business with historically
     */
    global String Potential_Suppliers_Name__c;
    /**
     * <h3>Potential Suppliers Phone Number</h3>
     */
    global String Potential_Suppliers_Phone_Number__c;
    /**
     * <h3>Potential Supplier Contact Name</h3>
     */
    global String Potential_Supplier_Contact_Name__c;
    /**
     * <h3>Preferred Communication</h3>
     * The preferred communication vehicle for correspondence
     */
    global String Preferred_Communication__c;
    /**
     * <h3>Print</h3>
     * Deliver the sourcing request to this supplier.
     */
    global String Print__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    global List<Sourcing_Response__c> Sourcing_Responses__r;
    /**
     * <h3>Sourcing</h3>
     */
    global Id Sourcing__c;
    /**
     * <h3>Sourcing</h3>
     */
    global Sourcing__c Sourcing__r;
    /**
     * <h3>Status Change Date</h3>
     * The date and time that the status changed
     */
    global Datetime Status_Change_Date__c;
    /**
     * <h3>Status</h3>
     * Indicates whether an RFQ has been sent to this supplier or not.
     */
    global String Status__c;
    /**
     * <h3>Supplier Address</h3>
     */
    global String Supplier_Address__c;
    /**
     * <h3>Supplier Contact</h3>
     * A known contact at an existing supplier
     */
    global Id Supplier_Contact__c;
    /**
     * <h3>Supplier Contact</h3>
     * A known contact at an existing supplier
     */
    global Supplier_Contact__c Supplier_Contact__r;
    /**
     * <h3>Supplier Office Phone</h3>
     */
    global String Supplier_Office_Phone__c;
    /**
     * <h3>Supplier Phone</h3>
     */
    global String Supplier_Phone__c;
    /**
     * <h3>Established Supplier</h3>
     * This is a known supplier that we have done successful business with historically
     */
    global Id Supplier_Site__c;
    /**
     * <h3>Established Supplier</h3>
     * This is a known supplier that we have done successful business with historically
     */
    global Supplier_Site__c Supplier_Site__r;
    /**
     * <h3>Supplier</h3>
     */
    global String Supplier__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Type</h3>
     * This attribute indicates how this association was created. It was manual or created based on history for a link to ILSMart.
     */
    global String Type__c;

    global Sourcing_to_Supplier_Association__c()
    {
    }
}