// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Supplier Catalogue Item</h3>
 * This Object describes the Supplier Catalogue information which describes Item level information which is used in Purchase Order Agreements to provide a record of available pricing for a Supplier's goods or services. This information is used in Procurement and Finance processes
 */
global class /*SCMC__*/Supplier_Catalogue_Item__c extends SObject 
{
    /**
     * <h3>Active</h3>
     * Item must be Active to be utilized in the Auto-Sourcing process
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     */
    global Currency_Master__c Currency__r;
    global List<Customer_Quotation_Line__c> Customer_Quotation_Lines__r;
    /**
     * <h3>Delivery ARO</h3>
     * The number of days after the receipt of the order for delivery of the item.
     */
    global Decimal Delivery_ARO__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Supplier_Catalogue_Item__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>Is Preferred Catalogue Item</h3>
     */
    global Boolean Is_Preferred_Catalogue_Item__c;
    /**
     * <h3>Item Description</h3>
     */
    global String Item_Description__c;
    /**
     * <h3>Item Master</h3>
     * Item that is described within the system – a known Item Master
     */
    global Id Item_Master__c;
    /**
     * <h3>Item Master</h3>
     * Item that is described within the system – a known Item Master
     */
    global Item__c Item_Master__r;
    /**
     * <h3>Item Type</h3>
     */
    global String Item_Type__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>List Price</h3>
     * Supplier's list price prior to establishment of Catalogue pricing
     */
    global Currency List_Price__c;
    /**
     * <h3>Manufacturer</h3>
     */
    global Id Manufacturer__c;
    /**
     * <h3>Manufacturer</h3>
     */
    global Manufacturer__c Manufacturer__r;
    /**
     * <h3>Model Applicability</h3>
     * Enter the models this item is applicable to (e.g. 737, A320)
     */
    global String Model_Applicability__c;
    global String Name;
    /**
     * <h3>New Item Description</h3>
     * Item that is NOT described within the system – an unknown Item Master
     */
    global String New_Item_Description__c;
    /**
     * <h3>New Item Number</h3>
     * Item that is NOT described within the system – an unknown Item Master
     */
    global String New_Item_Number__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product Group</h3>
     */
    global Id Product_Group__c;
    /**
     * <h3>Product Group</h3>
     */
    global Product_Group__c Product_Group__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global List<Requisition_Line_Item__c> Requisition_Line_Items__r;
    global SObjectType SObjectType;
    global List<Supplier_Catalogue_Price_Break__c> Supplier_Catalogue_Price_Breaks__r;
    /**
     * <h3>Supplier Catalogue</h3>
     */
    global Id Supplier_Catalogue__c;
    /**
     * <h3>Supplier Catalogue</h3>
     */
    global Supplier_Catalogue__c Supplier_Catalogue__r;
    /**
     * <h3>Supplier Unit of Measure</h3>
     */
    global String Supplier_Unit_of_Measure__c;
    /**
     * <h3>Supplier</h3>
     */
    global String Supplier__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;

    global Supplier_Catalogue_Item__c()
    {
    }
}