// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Supplier Catalogue</h3>
 * This Object describes a Supplier Catalogue which is used in Purchase Order Agreements to provide a record of available pricing for a Supplier's goods or services. This information is used in Procurement and Finance processes
 */
global class /*SCMC__*/Supplier_Catalogue__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Available for Use</h3>
     */
    global Boolean Available_for_Use__c;
    /**
     * <h3>Buyer Notes</h3>
     * These are the Buyer's general notes regarding this Catalogue, used for internal purposes only
     */
    global String Buyer_Notes__c;
    /**
     * <h3>Buyer</h3>
     * The user who is associated with the catalogue. Purchase orders that are automatically created based on the catalogue are assigned to this use.
     */
    global Id Buyer_User__c;
    /**
     * <h3>Buyer</h3>
     * The user who is associated with the catalogue. Purchase orders that are automatically created based on the catalogue are assigned to this use.
     */
    global User Buyer_User__r;
    /**
     * <h3>Catalogue Name</h3>
     * Used in combination with the Supplier name to define the catalogue contents
     */
    global String Catalogue_Name__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     */
    global Currency_Master__c Currency__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Supplier_Catalogue__History> Histories;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Order Quantity Limit</h3>
     */
    global Decimal Order_Quantity_Limit__c;
    /**
     * <h3>Order Spend Limit</h3>
     */
    global Currency Order_Spend_Limit__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    global List<Supplier_Catalogue_Item__c> Supplier_Catalogue_Items1__r;
    /**
     * <h3>Supplier Catalogue Type</h3>
     * Used to define the basic kinds of Supplier Catalogues available to users
     */
    global String Supplier_Catalogue_Type__c;
    /**
     * <h3>Supplier Site</h3>
     */
    global Id Supplier_Site__c;
    /**
     * <h3>Supplier Site</h3>
     */
    global Supplier_Site__c Supplier_Site__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;

    global Supplier_Catalogue__c()
    {
    }
}