// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Warranty Claim</h3>
 * This Object describes a Warranty Claim which is used to provide a record of and instructions for how a Customer's claim is to be resolved. This information is used in Sales, Quality, and Finance processes
 */
global class /*SCMC__*/Warranty_Claim__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Claim Administrator Instruction External</h3>
     * These are the Claim Administrator's general instruction notes to the Customer, used for external purposes
     */
    global String Claim_Administrator_Instruction_External__c;
    /**
     * <h3>Claim Administrator Notes Internal</h3>
     * These are the Claim Administrator's general notes regarding this Warranty Claim, used for internal purposes
     */
    global String Claim_Administrator_Notes_Internal__c;
    /**
     * <h3>Claim Resolve Action Notes External</h3>
     * These are the Claim Administrator's Action taken notes to the Customer regarding how this Warranty Claim is being resolved, used for external purposes
     */
    global String Claim_Resolve_Action_Notes_External__c;
    /**
     * <h3>Claim Resolve Action Notes Internal</h3>
     * These are the Claim Administrator's Action notes regarding how this Warranty Claim is to be resolved, used for internal purposes
     */
    global String Claim_Resolve_Action_Notes_Internal__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Confirm To</h3>
     * The Customer's representative that placed the Claim
     */
    global String Confirm_To__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer PO Number</h3>
     * Enter Customer's Authorizing Purchase Order Number
     */
    global String Customer_Purchase_Order_Number__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Warranty_Claim__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>Issue RMA</h3>
     * Select if Return Material Authorization number is to be issued
     */
    global Boolean Issue_RMA__c;
    /**
     * <h3>Item Ship Date</h3>
     */
    global Date Item_Ship_Date__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Order Type</h3>
     * Type of product or service being Sold
     */
    global String Order_Type__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Quantity</h3>
     * Number of units being sold
     */
    global Decimal Quantity__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>RMA Number</h3>
     * The system controlled Return Material Authorization number
     */
    global Decimal RMA_Number__c;
    /**
     * <h3>Selling Price</h3>
     * Price the item was sold for
     */
    global Currency Selling_Price__c;
    global SObjectType SObjectType;
    /**
     * <h3>Supplier Claim</h3>
     * Does this warranty claim invoke a claim in our favor with our supplier?
     */
    global String Supplier_Claim__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Warranty Claim Action</h3>
     */
    global String Warranty_Claim_Action__c;
    /**
     * <h3>Warranty Claim Filed Date</h3>
     * The date the Warranty Claim version was created
     */
    global Date Warranty_Claim_Filed_Date__c;
    /**
     * <h3>Warranty Claim Granted</h3>
     */
    global String Warranty_Claim_Granted__c;
    /**
     * <h3>Warranty Claim Name</h3>
     * Enter a Name for the Warranty Claim. This is optional
     */
    global String Warranty_Claim_Name__c;
    /**
     * <h3>Warranty Claim Resolve Date</h3>
     * The date the Warranty Claim version was resolved
     */
    global Date Warranty_Claim_Resolve_Date__c;

    global Warranty_Claim__c()
    {
    }
}