// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Booking Window</h3>
 * This object stores the definition and access rights for booking windows. Booking windows are selected in Cases and subsequently used for dispatching technicians by OptiMax engine
 */
global class /*SVMXC__*/Booking_Window__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Average Slots</h3>
     * Number of service slots per technician that can be committed in this time period. This information is used to show the number of available slots on the Booking Window selection screen
     */
    global Decimal Average_Slots__c;
    /**
     * <h3>Booking Definition</h3>
     * Name of the booking window to which the user has access. Reference to an existing booking window record in ServiceMax
     */
    global Id Booking_Definition__c;
    /**
     * <h3>Booking Definition</h3>
     * Name of the booking window to which the user has access. Reference to an existing booking window record in ServiceMax
     */
    global Booking_Window__c Booking_Definition__r;
    /**
     * <h3>Booking Window Name</h3>
     * A user-friendly name for the booking window. For example, "Peak Hour Slot"
     */
    global String Booking_Window_Name__c;
    global List<Booking_Window__c> Booking_Window__r;
    global List<Case> Case__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Display Order</h3>
     * Order in which this booking window should be displayed relative to other booking windows in the Case Booking Window selection screen.
     */
    global Decimal Display_Order__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Time</h3>
     * Time when the booking window ends on any day. Represented in increments of 30 minutes
     */
    global String End_Time__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Booking_Window__History> Histories;
    /**
     * <h3>Is Default</h3>
     * Indicates if this booking window can be displayed in the Booking Window selection screen for all users if the current user is not explicitly given access to any booking window records
     */
    global Boolean IsDefault__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    /**
     * <h3>Start Time</h3>
     * Time when the booking window starts on any day. Represented in increments of 30 minutes
     */
    global String Start_Time__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>User</h3>
     * Name of the Salesforce user that has access to a booking window. Applicable only if the record type is Access
     */
    global Id User__c;
    /**
     * <h3>User</h3>
     * Name of the Salesforce user that has access to a booking window. Applicable only if the record type is Access
     */
    global User User__r;

    global Booking_Window__c()
    {
    }
}