// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Process Bottleneck</h3>
 * Object helps to track waiting periods encountered during the life cycle of a Case or Service Order.
 */
global class /*SVMXC__*/Case_Tracker__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Assigned To</h3>
     * User that owns the issue. Reference to standard user object.
     */
    global Id Assigned_To__c;
    /**
     * <h3>Assigned To</h3>
     * User that owns the issue. Reference to standard user object.
     */
    global User Assigned_To__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Case</h3>
     * Reference to the support case in which issues are tracked
     */
    global Id Case__c;
    /**
     * <h3>Case</h3>
     * Reference to the support case in which issues are tracked
     */
    global Case Case__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date & Time</h3>
     * Date and time when this issue was resolved.
     */
    global Datetime End_Date_Time__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Case_Tracker__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>Issue Area</h3>
     * Broad area that identifies where the issue is.
     */
    global String Issue_Area__c;
    /**
     * <h3>Issue Description</h3>
     * Detailed description of the issue/bottleneck.
     */
    global String Issue_Description__c;
    /**
     * <h3>Issue Subcategory</h3>
     * Classification of the issue within an issue area.
     */
    global String Issue_Subcategory__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Parts Order Reference</h3>
     * RMA or Shipment linked to this process bottleneck. Reference to an existing Parts Order record in ServiceMax
     */
    global Id RMA_Shipment_Ref__c;
    /**
     * <h3>Parts Order Reference</h3>
     * RMA or Shipment linked to this process bottleneck. Reference to an existing Parts Order record in ServiceMax
     */
    global RMA_Shipment_Order__c RMA_Shipment_Ref__r;
    /**
     * <h3>Work Order</h3>
     * Service order number connected to this issue. Is a lookup to an existing service order in ServiceMax
     */
    global Id Service_Order__c;
    /**
     * <h3>Work Order</h3>
     * Service order number connected to this issue. Is a lookup to an existing service order in ServiceMax
     */
    global Service_Order__c Service_Order__r;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date & Time</h3>
     * Date and time when this issue/bottleneck started
     */
    global Datetime Start_Date_Time__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Waiting On Contact</h3>
     * Name of the customer contact responsible for resolving this issue.
     */
    global Id Waiting_On_Contact__c;
    /**
     * <h3>Waiting On Contact</h3>
     * Name of the customer contact responsible for resolving this issue.
     */
    global Contact Waiting_On_Contact__r;

    global Case_Tracker__c()
    {
    }
}