// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Counter Detail</h3>
 * This object stores multiple aspects of product counters separated by record types. Record type Definition is used for basic definition of a product counter such as its range of values. Record Type Coverage is used to define counter-based coverage in warranties and service contracts. Record Type Reading is used to capture current counter readings for installed products.
 */
global class /*SVMXC__*/Counter_Details__c extends SObject 
{
    /**
     * <h3>Active</h3>
     * Indicates if this counter is active or not
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Applicable Products</h3>
     * Name of the applicable product in a warranty term for which this coverage is applicable. Reference to an existing Applicable Products record in ServiceMax
     */
    global Id Applicable_Products__c;
    /**
     * <h3>Applicable Products</h3>
     * Name of the applicable product in a warranty term for which this coverage is applicable. Reference to an existing Applicable Products record in ServiceMax
     */
    global Service_Template_Products__c Applicable_Products__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Counters Covered</h3>
     * Number of counters covered from the configured starting point
     */
    global Decimal Counters_Covered__c;
    /**
     * <h3>Counter Definition</h3>
     * Name of the Counter for which the reading/coverage is applicable. Reference to an existing Counter Details record in ServiceMax
     */
    global Id Counter_Definition__c;
    /**
     * <h3>Counter Definition</h3>
     * Name of the Counter for which the reading/coverage is applicable. Reference to an existing Counter Details record in ServiceMax
     */
    global Counter_Details__c Counter_Definition__r;
    global List<Counter_Details__c> Counter_Details__r;
    /**
     * <h3>Counter Name</h3>
     * Unique name of the counter
     */
    global String Counter_Name__c;
    /**
     * <h3>Counter Reading</h3>
     * Current reading of this counter
     */
    global Decimal Counter_Reading__c;
    global List<Counter_Rollup__c> Counter_Rollups__r;
    /**
     * <h3>Counter Rollup</h3>
     * This field is lookup to the Counter Rollup object.
     */
    global Id Counter_Rollup__c;
    /**
     * <h3>Counter Rollup</h3>
     * This field is lookup to the Counter Rollup object.
     */
    global Counter_Rollup__c Counter_Rollup__r;
    /**
     * <h3>Counter Rule</h3>
     * Name of the Counter Rule to which this counter definition applies. Reference to an existing ServiceMax Process record in ServiceMax
     */
    global Id Counter_Rule__c;
    /**
     * <h3>Counter Rule</h3>
     * Name of the Counter Rule to which this counter definition applies. Reference to an existing ServiceMax Process record in ServiceMax
     */
    global ServiceMax_Processes__c Counter_Rule__r;
    /**
     * <h3>Counter Type</h3>
     * Indicates if the counter is increasing or decreasing in nature
     */
    global String Counter_Type__c;
    /**
     * <h3>Coverage Limit</h3>
     * Not used
     */
    global Decimal Coverage_Limit__c;
    /**
     * <h3>Coverage Starts At</h3>
     * Indicates the value where the coverage starts for this counter
     */
    global Decimal Coverage_Starts_At__c;
    /**
     * <h3>Covered Products</h3>
     * Name of the covered product in a service contract for which this coverage is applicable. Reference to an existing Covered Products record in ServiceMax
     */
    global Id Covered_Products__c;
    /**
     * <h3>Covered Products</h3>
     * Name of the covered product in a service contract for which this coverage is applicable. Reference to an existing Covered Products record in ServiceMax
     */
    global Service_Contract_Products__c Covered_Products__r;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Difference</h3>
     * This is formula field to calculate absolute difference between the current reading and last reading.
     */
    global Decimal Difference__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Grows/Reduces By</h3>
     * Indicates the value by which this counter grows or reduces. Not currently used
     */
    global Decimal Grows_Reduces_By__c;
    global List<Counter_Details__History> Histories;
    /**
     * <h3>Installed Product</h3>
     * Name of the installed product for which the reading/coverage is applicable. Reference to an existing installed product record in ServiceMax
     */
    global Id Installed_Product__c;
    /**
     * <h3>Installed Product</h3>
     * Name of the installed product for which the reading/coverage is applicable. Reference to an existing installed product record in ServiceMax
     */
    global Installed_Product__c Installed_Product__r;
    global Boolean IsDeleted;
    /**
     * <h3>Is Counter Active?</h3>
     * Flag to indicate active status of related counter definition
     */
    global Boolean Is_Counter_Active__c;
    /**
     * <h3>Is Latest</h3>
     * This field is used to identify latest reading when we have multiple readings for same counter definition.
     */
    global Boolean Is_Latest__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Last Reading Date</h3>
     * This field is used to hold last reading date.
     */
    global Datetime Last_Reading_Date__c;
    /**
     * <h3>Last Reading</h3>
     * This field is used to hold last reading value.
     */
    global Decimal Last_Reading__c;
    /**
     * <h3>Max Value</h3>
     * Maximum allowed value for this counter
     */
    global Decimal Max_Value__c;
    /**
     * <h3>Min Value</h3>
     * Minimum allowed value for this counter
     */
    global Decimal Min_Value__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product</h3>
     * Name of the product for which the warranty coverage is applicable. Reference to an existing product record in ServiceMax
     */
    global Id Product__c;
    /**
     * <h3>Product</h3>
     * Name of the product for which the warranty coverage is applicable. Reference to an existing product record in ServiceMax
     */
    global Product2 Product__r;
    /**
     * <h3>Reading Date</h3>
     * Date & Time when Reading was recorded
     */
    global Datetime Reading_Date__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Select</h3>
     * Checkbox used in ServiceMax screens to manage record selection
     */
    global Boolean Select__c;
    /**
     * <h3>Service/Maintenance Contract</h3>
     * Name of the service contract for which this coverage is defined. Reference to an existing service contract record in ServiceMax
     */
    global Id Service_Maintenance_Contract__c;
    /**
     * <h3>Service/Maintenance Contract</h3>
     * Name of the service contract for which this coverage is defined. Reference to an existing service contract record in ServiceMax
     */
    global Service_Contract__c Service_Maintenance_Contract__r;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Warranty Terms</h3>
     * Name of the Warranty Terms for which this coverage is defined. Reference to an existing warranty terms record in ServiceMax
     */
    global Id Warranty_Terms__c;
    /**
     * <h3>Warranty Terms</h3>
     * Name of the Warranty Terms for which this coverage is defined. Reference to an existing warranty terms record in ServiceMax
     */
    global Service_Template__c Warranty_Terms__r;

    global Counter_Details__c()
    {
    }
}