// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Service/Maintenance History</h3>
 * Object that stores complete entitlement history of cases/installed products.
 */
global class /*SVMXC__*/Entitlement_History__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Case_Line__c> Case_Lines__r;
    /**
     * <h3>Case Line</h3>
     * Lookup to the Case Line for which entitlement check was performed
     */
    global Id Case_Line__c;
    /**
     * <h3>Case Line</h3>
     * Lookup to the Case Line for which entitlement check was performed
     */
    global Case_Line__c Case_Line__r;
    /**
     * <h3>Case</h3>
     * Reference to Case object
     */
    global Id Case__c;
    /**
     * <h3>Case</h3>
     * Reference to Case object
     */
    global Case Case__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Covered By</h3>
     */
    global String Covered_By__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Date of entitlement</h3>
     * Date of entitlement
     */
    global Date Date_of_entitlement__c;
    /**
     * <h3>Days To Warranty Expiry</h3>
     * Number of days left in the warranty when this entitlement was made. Calculated automatically.
     */
    global Decimal Days_To_Warranty_Expiry__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     * End date of service contract or warranty at the time of entitlement
     */
    global Date End_Date__c;
    /**
     * <h3>Entitled By Contact</h3>
     * Reference to Service Contract Contact
     */
    global Id Entitled_By_Contact__c;
    /**
     * <h3>Entitled By Contact</h3>
     * Reference to Service Contract Contact
     */
    global Service_Contract_Contacts__c Entitled_By_Contact__r;
    /**
     * <h3>Entitled By IB</h3>
     * Reference to Service Contract product
     */
    global Id Entitled_By_IB__c;
    /**
     * <h3>Entitled By IB</h3>
     * Reference to Service Contract product
     */
    global Service_Contract_Products__c Entitled_By_IB__r;
    /**
     * <h3>Entitled By Service</h3>
     * Reference to Service Contract Service
     */
    global Id Entitled_By_Service__c;
    /**
     * <h3>Entitled By Service</h3>
     * Reference to Service Contract Service
     */
    global Service_Contract_Services__c Entitled_By_Service__r;
    /**
     * <h3>Entitled By Site</h3>
     * Reference to Service Contract Site
     */
    global Id Entitled_By_Site__c;
    /**
     * <h3>Entitled By Site</h3>
     * Reference to Service Contract Site
     */
    global Service_Contract_Sites__c Entitled_By_Site__r;
    /**
     * <h3>Entitled Within Threshold</h3>
     */
    global Boolean Entitled_Within_Threshold__c;
    /**
     * <h3>Entitlement notes</h3>
     * Additional information entered in Case during customer entitlement
     */
    global String Entitlement_notes__c;
    global List<Event> Events;
    /**
     * <h3>Exchange Type</h3>
     * Type of exchange allowed as the outcome of entitlement verification.
     */
    global String Exchange_Type__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Entitlement_History__History> Histories;
    /**
     * <h3>Inactive Date</h3>
     * Date on which this entitlement record was inactivated to enable reentitlement
     */
    global Date Inactive_Date__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>RMA Line</h3>
     * Lookup to the RMA Line for which entitlement check was performed
     */
    global Id RMA_Line__c;
    /**
     * <h3>RMA Line</h3>
     * Lookup to the RMA Line for which entitlement check was performed
     */
    global RMA_Shipment_Line__c RMA_Line__r;
    /**
     * <h3>Service/Maintenance Contract</h3>
     * Service contract used in entitlement. Reference to service contract.
     */
    global Id Service_Contract__c;
    /**
     * <h3>Service/Maintenance Contract</h3>
     * Service contract used in entitlement. Reference to service contract.
     */
    global Service_Contract__c Service_Contract__r;
    /**
     * <h3>Work Order</h3>
     * Work order entitled by this entitlement event. Not used
     */
    global Id Service_Order__c;
    /**
     * <h3>Work Order</h3>
     * Work order entitled by this entitlement event. Not used
     */
    global Service_Order__c Service_Order__r;
    /**
     * <h3>SLA Terms</h3>
     * Service level the customer is entitled to by this entitlement event
     */
    global Id SLA_Terms__c;
    /**
     * <h3>SLA Terms</h3>
     * Service level the customer is entitled to by this entitlement event
     */
    global Service_Level__c SLA_Terms__r;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     * Start date of service contract/warranty at the time of entitlement
     */
    global Date Start_Date__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Product Warranty</h3>
     * Warranty used in entitlement. Reference to warranty record
     */
    global Id Warranty__c;
    /**
     * <h3>Product Warranty</h3>
     * Warranty used in entitlement. Reference to warranty record
     */
    global Warranty__c Warranty__r;
    /**
     * <h3>Work Detail</h3>
     */
    global Id Work_Detail__c;
    /**
     * <h3>Work Detail</h3>
     */
    global Service_Order_Line__c Work_Detail__r;

    global Entitlement_History__c()
    {
    }
}