// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Installed Product</h3>
 * Installed Product represents one or a collection of product units delivered to a customer and installed at the customer’s location(s). Depending upon the tracking needs of an organization, installed products are tracked using a serial number, a lot/batch number or simply by the product number. In ServiceMax, Installed Product record drives entitlement, material movement and service delivery activities.
 */
global class /*SVMXC__*/Installed_Product__c extends SObject 
{
    /**
     * <h3>Access Hours</h3>
     * Time period during which this installed product can be accessed for service. Reference to an existing Business Hours record in Salesforce
     */
    global Id Access_Hours__c;
    /**
     * <h3>Access Hours</h3>
     * Time period during which this installed product can be accessed for service. Reference to an existing Business Hours record in Salesforce
     */
    global BusinessHours Access_Hours__r;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Added to Install Work Order</h3>
     */
    global Boolean Added_to_Install_Work_Order__c;
    /**
     * <h3>Alternate Account</h3>
     * Free text to indicate if another account is involved with this product but is not an existing customer record
     */
    global String Alternate_Company__c;
    /**
     * <h3>Asset Tag</h3>
     * Another way to identify the installed product. Typically asset tags are assigned by your customers. This will be a timesaver when your customer calls for support and identifies  the product by their asset tag instead of trying to locate your serial number on the product
     */
    global String Asset_Tag__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Business Hours (Do Not Use)</h3>
     * (Do Not Use)
     */
    global Id Business_Hours__c;
    /**
     * <h3>Business Hours (Do Not Use)</h3>
     * (Do Not Use)
     */
    global BusinessHours Business_Hours__r;
    global List<Case> Case1__r;
    global List<Case> Case2__r;
    global List<Case_Line__c> Case_Lines__r;
    global List<Checklist__c> Checklists__r;
    global List<SM_Checklist_Result__c> Checklist_Results__r;
    /**
     * <h3>City</h3>
     * “City” part of the physical location address
     */
    global String City__c;
    /**
     * <h3>Clear Creek Warranty End Date</h3>
     */
    global Date Clear_Creek_Warranty_End_Date__c;
    /**
     * <h3>Clear Creek Warranty Start Date</h3>
     */
    global Date Clear_Creek_Warranty_Start_Date__c;
    /**
     * <h3>Clear Creek Warranty Terms</h3>
     */
    global String Clear_Creek_Warranty_Terms__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Account</h3>
     * Name of the customer account for this installed product. Lookup to an existing salesforce account record
     */
    global Id Company__c;
    /**
     * <h3>Account</h3>
     * Name of the customer account for this installed product. Lookup to an existing salesforce account record
     */
    global Account Company__r;
    /**
     * <h3>Competitor Installed</h3>
     * Can be checked so the technican knows that the product was installed by a competitor
     */
    global Boolean Competitor_Installed__c;
    /**
     * <h3>Contact</h3>
     * Name of the primary contact for this installed product at the customer’s location. Lookup to an existing salesforce contact record
     */
    global Id Contact__c;
    /**
     * <h3>Contact</h3>
     * Name of the primary contact for this installed product at the customer’s location. Lookup to an existing salesforce contact record
     */
    global Contact Contact__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global List<Counter_Details__c> Counter_Details__r;
    /**
     * <h3>Country</h3>
     * “Country” part of the physical location address
     */
    global String Country__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer IP Name</h3>
     */
    global String Customer_IP_Name__c;
    /**
     * <h3>Date Installed</h3>
     * Date on which the product was installed at the customer location
     */
    global Date Date_Installed__c;
    /**
     * <h3>Date Ordered</h3>
     * Date on which this product was ordered by the customer
     */
    global Date Date_Ordered__c;
    /**
     * <h3>Date Shipped</h3>
     * Date on which this product was shipped to the customer originally
     */
    global Date Date_Shipped__c;
    /**
     * <h3>Distributor Account</h3>
     * Name of the distributor account if applicable
     */
    global Id Distributor_Company__c;
    /**
     * <h3>Distributor Account</h3>
     * Name of the distributor account if applicable
     */
    global Account Distributor_Company__r;
    /**
     * <h3>Distributor Contact</h3>
     * Name of the distributor contact if applicable
     */
    global Id Distributor_Contact__c;
    /**
     * <h3>Distributor Contact</h3>
     * Name of the distributor contact if applicable
     */
    global Contact Distributor_Contact__r;
    /**
     * <h3>Download to Mobile</h3>
     */
    global Decimal Download_to_Mobile__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Equipment</h3>
     */
    global String Equipment__c;
    global List<Event> Events;
    /**
     * <h3>External ID</h3>
     * Installed Product External ID
     */
    global String External_ID__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    /**
     * <h3>Filter Quantity</h3>
     */
    global String Filter_Quantity__c;
    /**
     * <h3>Filter Size</h3>
     */
    global String Filter_Size__c;
    global ContentVersion FirstPublishLocation;
    global List<Installed_Product__History> Histories;
    /**
     * <h3>Installation Notes</h3>
     * Any technical information relevant for the service organization. This is normally supplied by field service engineers upon completion of installation
     */
    global String Installation_Notes__c;
    /**
     * <h3>Install Project</h3>
     */
    global Id Install_Project__c;
    /**
     * <h3>Install Project</h3>
     */
    global SVMX_Project_2__c Install_Project__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Last Date Shipped</h3>
     * If this product was shipped multiple times, date of the most recent shipment. Multiple shipments are possible if the product is returned for depot repair or service
     */
    global Date Last_Date_Shipped__c;
    /**
     * <h3>Latitude</h3>
     * Address location north or south of the equator
     */
    global Decimal Latitude__c;
    /**
     * <h3>Longitude</h3>
     * East west geographic coordinate measurement.
     */
    global Decimal Longitude__c;
    /**
     * <h3>Manufacturer</h3>
     */
    global String Manufacture__c;
    /**
     * <h3>Model</h3>
     */
    global String Model__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Other Manufacturer</h3>
     */
    global String Other_Manufacturer__c;
    /**
     * <h3>Other Model</h3>
     */
    global String Other_Model__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Parent</h3>
     * Serial/Lot number of the parent product in the installed product hierarchy. This is a lookup to an existing installed product record.
     */
    global Id Parent__c;
    /**
     * <h3>Parent</h3>
     * Serial/Lot number of the parent product in the installed product hierarchy. This is a lookup to an existing installed product record.
     */
    global Installed_Product__c Parent__r;
    global List<PM_Coverage__c> PM_Coverage__r;
    global List<PM_History__c> PM_History__r;
    /**
     * <h3>Preferred Technician</h3>
     */
    global Id Preferred_Technician__c;
    /**
     * <h3>Preferred Technician</h3>
     */
    global Service_Group_Members__c Preferred_Technician__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>ProductIQ Template</h3>
     */
    global Id ProductIQTemplate__c;
    /**
     * <h3>ProductIQ Template</h3>
     */
    global ProductIQTemplate__c ProductIQTemplate__r;
    /**
     * <h3>Product Name</h3>
     * Name of the product associated with the Installed Product
     */
    global String Product_Name__c;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Id Product__c;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Product2 Product__r;
    global List<Proforma_Invoice_Line__c> Proforma_Invoice_Lines__r;
    global List<Installed_Product__c> R00N70000001hzcgEAA__r;
    global List<Installed_Product__c> R00N70000001hzcvEAA__r;
    global List<Service_Contract_Products__c> R00N70000001hzdkEAA__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global List<Resource_Preference__c> Resource_Preferences__r;
    global List<RMA_Shipment_Line__c> RMA_Shipment_Line__r;
    /**
     * <h3>Sales Order Number</h3>
     * Sales order reference (typically from the ERP application)
     */
    global String Sales_Order_Number__c;
    /**
     * <h3>Serial/Lot Number</h3>
     * Unique identification of this product. This information is Required if the product’s tracking is Serialized or Lot/Batch Tracked in the product record
     */
    global String Serial_Lot_Number__c;
    global List<ServiceMax_List__c> ServiceMax_List__r;
    /**
     * <h3>Service Contract End Date</h3>
     * This field is used by Reverse Logistics Module. End date of the latest service contract/line for this installed product. Derived automatically upon creating/updating service contract
     */
    global Date Service_Contract_End_Date__c;
    /**
     * <h3>Service Contract Exchange Type</h3>
     * This field is used by Reverse Logistics Module. Exchange type from the latest service contract/line for this installed product. Derived automatically upon creating/updating service contract
     */
    global String Service_Contract_Exchange_Type__c;
    /**
     * <h3>Service Contract Line</h3>
     * This field is used by Reverse Logistics Module. Reference to the latest service contract line for this installed product. Derived automatically upon creating/updating service contract
     */
    global Id Service_Contract_Line__c;
    /**
     * <h3>Service Contract Line</h3>
     * This field is used by Reverse Logistics Module. Reference to the latest service contract line for this installed product. Derived automatically upon creating/updating service contract
     */
    global Service_Contract_Products__c Service_Contract_Line__r;
    /**
     * <h3>Service Contract Start Date</h3>
     * This field is used by Reverse Logistics Module. Start date of the latest service contract/line for this installed product. Derived automatically upon creating/updating service contract
     */
    global Date Service_Contract_Start_Date__c;
    /**
     * <h3>Service Contract</h3>
     * This field is used by Reverse Logistics Module. Reference to the latest service contract for this installed product. Derived automatically upon creating/updating service contract
     */
    global Id Service_Contract__c;
    /**
     * <h3>Service Contract</h3>
     * This field is used by Reverse Logistics Module. Reference to the latest service contract for this installed product. Derived automatically upon creating/updating service contract
     */
    global Service_Contract__c Service_Contract__r;
    global List<Service_Order__c> Service_Order_Component__r;
    global List<Service_Order_Line__c> Service_Order_Line__r;
    global List<Service_Order__c> Service_Order_Top_Level__r;
    global List<Service_Request__c> Service_Requests__r;
    /**
     * <h3>Location</h3>
     * Current physical location of the product. This is a lookup to an existing location record
     */
    global Id Site__c;
    /**
     * <h3>Location</h3>
     * Current physical location of the product. This is a lookup to an existing location record
     */
    global Site__c Site__r;
    global SObjectType SObjectType;
    global List<SPM_Contract_Penetration__c> SPM_Contract_Penetrations__r;
    global List<SPM_Repeat_Visit__c> SPM_Repeat_Visit__r;
    global List<SPM_Contract_Up_Time__c> SPM_Up_Time_Details1__r;
    /**
     * <h3>State</h3>
     * “State/Province” part of the physical location address
     */
    global String State__c;
    /**
     * <h3>Status</h3>
     * Current status of the installed product.
     */
    global String Status__c;
    /**
     * <h3>Street</h3>
     * “Street” part of the physical location address
     */
    global String Street__c;
    /**
     * <h3>Sub Location</h3>
     */
    global Id Sub_Location__c;
    /**
     * <h3>Sub Location</h3>
     */
    global Sub_Location__c Sub_Location__r;
    /**
     * <h3>Dup Serial Number Check</h3>
     * Unique serial number field that is used to prevent duplicate IPs from being adding to the database by throwing a duplicate error message.
     */
    global String SVMX_MD_Serial_Number__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Tax Code</h3>
     */
    global String Tax_Code__c;
    /**
     * <h3>Tax</h3>
     */
    global Decimal Tax__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Top-Level</h3>
     * Serial/Lot number of the top-most product in the installed product hierarchy.
     */
    global Id Top_Level__c;
    /**
     * <h3>Top-Level</h3>
     * Serial/Lot number of the top-most product in the installed product hierarchy.
     */
    global Installed_Product__c Top_Level__r;
    /**
     * <h3>Warranty End Date</h3>
     * This field is used by Reverse Logistics Module. End date of the latest warranty for this installed product. Derived automatically upon creating/updating warranty
     */
    global Date Warranty_End_Date__c;
    /**
     * <h3>Warranty Exchange Type</h3>
     * This field is used by Reverse Logistics Module. Exchange type from the latest warranty for this installed product. Derived automatically upon creating/updating warranty
     */
    global String Warranty_Exchange_Type__c;
    /**
     * <h3>Warranty Notes</h3>
     * To allow the Technician to track any warranty notes from the Installed Product.
     */
    global String Warranty_Notes__c;
    /**
     * <h3>Warranty Start Date</h3>
     * This field is used by Reverse Logistics Module. Start date of the latest warranty for this installed product. Derived automatically upon creating/updating warranty
     */
    global Date Warranty_Start_Date__c;
    /**
     * <h3>Warranty</h3>
     */
    global String Warranty__c;
    global List<Warranty__c> Warranty__r;
    /**
     * <h3>Zip</h3>
     * “Zip/Postal Code” part of the physical location address
     */
    global String Zip__c;

    global Installed_Product__c()
    {
    }
}