// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Preventive Maintenance Plan</h3>
 * Preventive Maintenance Plans for various customer contracts and automatically initiating execution of such maintenance plans using work orders.
 */
global class /*SVMXC__*/PM_Plan__c extends SObject 
{
    /**
     * <h3>Account</h3>
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     */
    global Account Account__r;
    /**
     * <h3>Activation Notes</h3>
     * Preventive Maintenance Plan  Activation Notes
     */
    global String Activation_Notes__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Create Activity on Error</h3>
     * Create an activity in PM Plan if Error occur in Execution
     */
    global Boolean Activity_On_Error__c;
    /**
     * <h3>Create Activity on Success</h3>
     * Create an activity in PM Plan upon successful execution
     */
    global Boolean Activity_On_Success__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Cancelation Notes</h3>
     * Service/Maintenance Contract Cancelation Notes
     */
    global String Cancelation_Notes__c;
    /**
     * <h3>Canceled By</h3>
     * Name of the Salesforce user that canceled this Preventive Maintenance Plan
     */
    global Id Canceled_By__c;
    /**
     * <h3>Canceled By</h3>
     * Name of the Salesforce user that canceled this Preventive Maintenance Plan
     */
    global User Canceled_By__r;
    /**
     * <h3>Canceled On</h3>
     * Date/time on which this service contract was canceled
     */
    global Datetime Canceled_On__c;
    /**
     * <h3>Case Assign To Queue</h3>
     * Name of the Salesforce queue to assign the PM Case to
     */
    global String Case_Assign_To_Queue__c;
    /**
     * <h3>Case Assign To User</h3>
     * Name of the Salesforce user to assign the PM Case to
     */
    global Id Case_Assign_To_User__c;
    /**
     * <h3>Case Assign To User</h3>
     * Name of the Salesforce user to assign the PM Case to
     */
    global User Case_Assign_To_User__r;
    /**
     * <h3>Case Assign To</h3>
     * Indicates if the PM case should be assigned to a user or queue
     */
    global String Case_Assign_To__c;
    global List<Case> Case__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Contact</h3>
     */
    global Id Contact__c;
    /**
     * <h3>Contact</h3>
     */
    global Contact Contact__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Coverage Type</h3>
     */
    global String Coverage_Type__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>Create Case</h3>
     * Indicates if Cases should be created with PM work orders
     */
    global Boolean Create_Case__c;
    /**
     * <h3>Create Parts Requests</h3>
     * Indicates if Parts Requests should be automatically created when creating PM work orders
     */
    global Boolean Create_Parts_Requests__c;
    /**
     * <h3>Create Work Order</h3>
     * Indicates how many days in advance work orders will be created for this PM plan
     */
    global Decimal Create_Work_Order__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Description</h3>
     * Detailed description of the preventive maintenance plan
     */
    global String Description__c;
    /**
     * <h3>Dispatch Process</h3>
     * Dispatch process to route the preventive maintenance plan to
     */
    global Id Dispatch_Process__c;
    /**
     * <h3>Dispatch Process</h3>
     * Dispatch process to route the preventive maintenance plan to
     */
    global ServiceMax_Processes__c Dispatch_Process__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     * End Date for the preventive maintenance plan
     */
    global Date End_Date__c;
    /**
     * <h3>Error Email</h3>
     * Email ID to receive Error Notifications
     */
    global Email Error_Email_ID__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    /**
     * <h3>Field map to use to create Case</h3>
     * Field Mapping Id for creating the case
     */
    global String Field_map_for_Case__c;
    /**
     * <h3>Field map to use to create Work Order</h3>
     * Field mapping id for creating Work Order
     */
    global String Field_map_for_wo__c;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Frequency Unit</h3>
     * Unit of measure for frequency
     */
    global String Frequency_Unit__c;
    /**
     * <h3>Frequency</h3>
     * Frequency to run the preventive maintenance plan if based on dates
     */
    global Decimal Frequency__c;
    global List<PM_Plan__History> Histories;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Last PM Date</h3>
     * Date on which the preventive maintenance plan was last run
     */
    global Date Last_PM_Date__c;
    /**
     * <h3>Location</h3>
     */
    global Id Location__c;
    /**
     * <h3>Location</h3>
     */
    global Site__c Location__r;
    global String Name;
    /**
     * <h3>Next PM Date</h3>
     * Date on which the preventive maintenance plan will be run next
     */
    global Date Next_PM_Date__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Number of Cases</h3>
     * Indicates how Cases will be created for a preventive maintenance plan: One per work order or one per plan
     */
    global String Number_of_Cases__c;
    /**
     * <h3>Number of Failures</h3>
     * Number of failures encountered when executing the PM plan. Updated automatically
     */
    global Decimal Number_of_Failures__c;
    /**
     * <h3>Number of PM s</h3>
     */
    global Decimal Number_of_PM_s__c;
    /**
     * <h3>Number of Work orders</h3>
     * Indicates how Work Orders will be created for a preventive maintenance plan: One per installed product or one per plan
     */
    global String Number_of_Work_orders__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Order Type</h3>
     */
    global String Order_Type__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<PM_Coverage__c> PM_Coverage__r;
    global List<PM_History__c> PM_History__r;
    /**
     * <h3>PM Plan Template</h3>
     */
    global Id PM_Plan_Template__c;
    /**
     * <h3>PM Plan Template</h3>
     */
    global PM_Plan_Template__c PM_Plan_Template__r;
    global List<PM_Schedule_Definition__c> PM_Schedule_Definition__r;
    global List<PM_Schedule__c> PM_Schedule__r;
    /**
     * <h3>Processed</h3>
     * Flag indicates if the PM plan has been processed successfully during a run
     */
    global Boolean Processed__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Schedule Type</h3>
     * Indicates how the PM plan is scheduled: Using Counters, Using Dates or Using Both
     */
    global String Schedule_Type__c;
    /**
     * <h3>Select</h3>
     * Checkbox used in ServiceMax screens to manage record selection
     */
    global Boolean Select__c;
    /**
     * <h3>Service/Maintenance Contract</h3>
     * Lookup to Service/Maintenance Contract
     */
    global Id Service_Contract__c;
    /**
     * <h3>Service/Maintenance Contract</h3>
     * Lookup to Service/Maintenance Contract
     */
    global Service_Contract__c Service_Contract__r;
    global List<Service_Order__c> Service_Order__r;
    /**
     * <h3>SLA Terms</h3>
     * SLA Terms to use when creating Case and work orders as per the PM plan.
     */
    global Id SLA_Terms__c;
    /**
     * <h3>SLA Terms</h3>
     * SLA Terms to use when creating Case and work orders as per the PM plan.
     */
    global Service_Level__c SLA_Terms__r;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     * Start date for the preventive maintenance plan
     */
    global Date Start_Date__c;
    /**
     * <h3>Status</h3>
     * Current status of the PM plan
     */
    global String Status__c;
    /**
     * <h3>Success Email</h3>
     * Email ID to receive Success Notification
     */
    global Email Success_Email_ID__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Task Template</h3>
     * Name of the task template to use for the PM work orders. Reference to an existing Task Template in ServiceMax
     */
    global Id Task_Template__c;
    /**
     * <h3>Task Template</h3>
     * Name of the task template to use for the PM work orders. Reference to an existing Task Template in ServiceMax
     */
    global Task_Template__c Task_Template__r;
    /**
     * <h3>Time & Counters</h3>
     * Indicates the tie-breaking rule between validity dates and counters for a product.
     */
    global String Time_and_Counters__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Update Next PM Date</h3>
     */
    global Boolean Update_Next_PM_Date__c;
    /**
     * <h3>Work Order Assign To Queue</h3>
     * Name of the Salesforce queue to assign the PM work order to
     */
    global String Work_Order_Assign_To_Queue__c;
    /**
     * <h3>Work Order Assign To User</h3>
     * Name of the Salesforce user to assign the PM work order to
     */
    global Id Work_Order_Assign_To_User__c;
    /**
     * <h3>Work Order Assign To User</h3>
     * Name of the Salesforce user to assign the PM work order to
     */
    global User Work_Order_Assign_To_User__r;
    /**
     * <h3>Work Order Assign To</h3>
     * Indicates if the PM work order should be assigned to a user or queue
     */
    global String Work_Order_Assign_To__c;
    /**
     * <h3>Work Order Date</h3>
     * Date on which next work orders will be created for this PM plan. Calculated based on Next PM Date and number of work order days
     */
    global Date Work_Order_Date__c;

    global PM_Plan__c()
    {
    }
}