// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Parts Request Line</h3>
 * This object is used to capture parts and quantities in a parts request. Parts requests do not have the context of a service event.
 */
global class /*SVMXC__*/Parts_Request_Line__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Additional Information</h3>
     * Any additional information relevant to this parts request line.
     */
    global String Additional_Information__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Canceled By</h3>
     * User that canceled this parts request. This is set automatically when the user cancels the parts request.
     */
    global Id Canceled_By__c;
    /**
     * <h3>Canceled By</h3>
     * User that canceled this parts request. This is set automatically when the user cancels the parts request.
     */
    global User Canceled_By__r;
    /**
     * <h3>Canceled On</h3>
     * Date/time when this part request was canceled. This is set automatically when the user cancels the parts request.
     */
    global Datetime Canceled_On__c;
    /**
     * <h3>Closed By</h3>
     * User that closed this parts request line. This is set automatically when the receipt is processed.
     */
    global Id Closed_By__c;
    /**
     * <h3>Closed By</h3>
     * User that closed this parts request line. This is set automatically when the receipt is processed.
     */
    global User Closed_By__r;
    /**
     * <h3>Closed On</h3>
     * Date/time when this parts request line was closed. This is set automatically when the receipt is processed.
     */
    global Datetime Closed_On__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Date Received</h3>
     * Date when the requested part was received at the requested location.
     */
    global Date Date_Received__c;
    /**
     * <h3>Date Required</h3>
     * Date when this part is required at the requesting location.
     */
    global Date Date_Required__c;
    /**
     * <h3>Date Shipped</h3>
     * Date when the requested part was shipped using a shipment order.
     */
    global Date Date_Shipped__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Parts_Request_Line__History> Histories;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Line Status</h3>
     * Status of the parts request line.
     */
    global String Line_Status__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global FeedComment Parent;
    /**
     * <h3>Parts Request</h3>
     * Parent Parts request for this request line. Reference to an existing Parts Request in ServiceMax
     */
    global Id Parts_Request__c;
    /**
     * <h3>Parts Request</h3>
     * Parent Parts request for this request line. Reference to an existing Parts Request in ServiceMax
     */
    global Parts_Request__c Parts_Request__r;
    /**
     * <h3>Posted To Inventory</h3>
     * Flag indicating if this receipt has been posted to product inventory.
     */
    global Boolean Posted_To_Inventory__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Id Product__c;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Product2 Product__r;
    /**
     * <h3>Qty Received</h3>
     * Received quantity of product.
     */
    global Decimal Quantity_Received2__c;
    /**
     * <h3>Qty Required</h3>
     * Required quantity of product.
     */
    global Decimal Quantity_Required2__c;
    /**
     * <h3>Qty Shipment Initiated</h3>
     * Quantity of product for which shipment has been initiated.
     */
    global Decimal Quantity_Shipment_Initiated2__c;
    /**
     * <h3>Qty Shipped</h3>
     * Actual shipped quantity of product.
     */
    global Decimal Quantity_Shipped2__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global List<SCMC__Requisition_Line_Item__c> Requisition_Line_Items__r;
    global List<RMA_Shipment_Line__c> RMA_Shipment_Line__r;
    /**
     * <h3>Select</h3>
     * Flag to control selection of a record in data list.
     */
    global Boolean Select__c;
    /**
     * <h3>Serial Number</h3>
     * Unique identification of a product. This field is intended to be used when Inventory Process in SFM API Configuration is enabled.
     */
    global String Serial_Number_List__c;
    global SObjectType SObjectType;
    global List<Stock_History__c> Stock_History__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Line Price</h3>
     * Total Line Price
     */
    global Currency Total_Line_Price__c;
    /**
     * <h3>Transaction Results</h3>
     * Success or error message as a result of a transaction. This message is derived from executing a defined process in SFM API Configuration.
     */
    global String Transaction_Results__c;
    /**
     * <h3>Unit Price</h3>
     * Unit Price for Line Item.
     */
    global Currency Unit_Price2__c;
    /**
     * <h3>Use Price From Pricebook</h3>
     * Leave this box checked if you want the price to be filled automatically from the default price book. If you like to enter a price manually for this part, simply uncheck this box.
     */
    global Boolean Use_Price_From_Pricebook__c;

    global Parts_Request_Line__c()
    {
    }
}