// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Parts Request</h3>
 * This object is used to capture part requests made from field engineers to other field engineers/warehouses/suppliers, and from warehouses to suppliers. Parts requests do not have the context of a service event.
 */
global class /*SVMXC__*/Parts_Request__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Additional Information</h3>
     * Any additional information relevant to this parts request.
     */
    global String Additional_Information__c;
    /**
     * <h3>Age</h3>
     * Age of the parts request in number of days.
     */
    global Decimal Age__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Canceled By</h3>
     * Name of the salesforce user that canceled this parts request.
     */
    global Id Canceled_By__c;
    /**
     * <h3>Canceled By</h3>
     * Name of the salesforce user that canceled this parts request.
     */
    global User Canceled_By__r;
    /**
     * <h3>Canceled on</h3>
     * Date/time on which this parts request was canceled.
     */
    global Datetime Canceled_on__c;
    /**
     * <h3>Closed By</h3>
     * Name of the salesforce user that closed this parts request.
     */
    global Id Closed_By__c;
    /**
     * <h3>Closed By</h3>
     * Name of the salesforce user that closed this parts request.
     */
    global User Closed_By__r;
    /**
     * <h3>Closed On</h3>
     * Date/time when the request was completed.
     */
    global Datetime Closed_On__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Supplier</h3>
     * Name of the supplier company. Applicable for replenishing stock at warehouse locations. Lookup to an existing salesforce account record.
     */
    global Id Company__c;
    /**
     * <h3>Supplier</h3>
     * Name of the supplier company. Applicable for replenishing stock at warehouse locations. Lookup to an existing salesforce account record.
     */
    global Account Company__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Parts_Request__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>IsPartnerRecord</h3>
     * Flag indicates if Parts Request is for/by a Partner or not.
     */
    global Boolean IsPartnerRecord__c;
    /**
     * <h3>Is Partner</h3>
     * Flag indicates if Parts Request is for/by a Partner or not.
     */
    global String IsPartner__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Id Partner_Account__c;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Account Partner_Account__r;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Id Partner_Contact__c;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Contact Partner_Contact__r;
    global List<Parts_Request_Line__c> Parts_Request_Line__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Requested From</h3>
     * Location from where stock is requested. This is a lookup to an existing site record.
     */
    global Id Requested_From__c;
    /**
     * <h3>Requested From</h3>
     * Location from where stock is requested. This is a lookup to an existing site record.
     */
    global Site__c Requested_From__r;
    /**
     * <h3>Required At Location</h3>
     * Location where stock is required. This is a lookup to an existing site record.
     */
    global Id Required_At_Location__c;
    /**
     * <h3>Required At Location</h3>
     * Location where stock is required. This is a lookup to an existing site record.
     */
    global Site__c Required_At_Location__r;
    global List<SCMC__Requisition__c> Requisitions__r;
    global List<RMA_Shipment_Order__c> RMA_Shipment_Order__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * Current status of parts request.
     */
    global String Status__c;
    global List<Stock_History__c> Stock_History__r;
    /**
     * <h3>Shipping Courier</h3>
     * Indicates the shipping courier to be used for the shipment
     */
    global String SVMX_Shipping_Courier__c;
    /**
     * <h3>Shipping Method</h3>
     * Indicates method of shipment request: Ground, 2nd Day, Next Day
     */
    global String SVMX_Shipping_Method__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Amount</h3>
     * Sum of Total Line Price
     */
    global Currency Total_Amount__c;
    /**
     * <h3>Work Order</h3>
     */
    global Id Work_Order__c;
    /**
     * <h3>Work Order</h3>
     */
    global Service_Order__c Work_Order__r;

    global Parts_Request__c()
    {
    }
}