// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Product Stock</h3>
 * Product stock is used to store inventory information for a product in a given location and status along with reorder information.
 */
global class /*SVMXC__*/Product_Stock__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Actual Quantity Before Update</h3>
     * This field used internally by ServiceMax. This field is being calculated by inventory engine to stop simultaneous update of records.
     */
    global Decimal ActualQtyBeforeUpdate__c;
    /**
     * <h3>Allocated Qty</h3>
     */
    global Decimal Allocated_Qty__c;
    global List<Allocated_Stock__c> Allocated_Stocks__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>At or Below Reorder</h3>
     * Indicates whether the stockable item is at or below the defined reorder point and should now be ordered.
     */
    global String At_or_Below_Reorder__c;
    /**
     * <h3>Available Qty</h3>
     */
    global Decimal Available_Qty__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Product_Stock__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>IsPartnerRecord</h3>
     * Flag indicates if transaction is for/ by a Partner or not.
     */
    global Boolean IsPartnerRecord__c;
    /**
     * <h3>Is Partner</h3>
     * Flag indicates if transaction is for/by a Partner or not.
     */
    global String IsPartner__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Location</h3>
     * Current physical location of the product. This is a lookup to an existing site record.
     */
    global Id Location__c;
    /**
     * <h3>Location</h3>
     * Current physical location of the product. This is a lookup to an existing site record.
     */
    global Site__c Location__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Id Partner_Account__c;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Account Partner_Account__r;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Id Partner_Contact__c;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Contact Partner_Contact__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Composite Key</h3>
     * This field is combination of Product, Location and Status field to make the record unique.
     */
    global String ProdStockCompositeKey__c;
    /**
     * <h3>Product Cost</h3>
     * Product cost, copied from Product. For internal use only.
     */
    global Currency Product_Cost__c;
    global List<Product_Serial__c> Product_Serial__r;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Id Product__c;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Product2 Product__r;
    /**
     * <h3>Qty</h3>
     * Quantity of product in the provided location.
     */
    global Decimal Quantity2__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Reorder Point</h3>
     * Reorder level of this product for the provided location.
     */
    global Decimal Reorder_Level2__c;
    /**
     * <h3>Reorder Qty</h3>
     * Reorder quantity for the provided product and location when reorder level is reached
     */
    global Decimal Reorder_Quantity2__c;
    /**
     * <h3>Required Qty</h3>
     * Calculated required quantity for reordering.
     */
    global Decimal Required_Quantity2__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * Current Status of Product-Stock.
     */
    global String Status__c;
    global List<Stock_History__c> Stock_History_From__r;
    global List<Stock_History__c> Stock_History_To__r;
    global List<Stock_History__c> Stock_History__r;
    /**
     * <h3>Stock Value</h3>
     * Value of current stock. Used for reporting purposes.
     */
    global Currency Stock_Value__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    global List<Service_Order_Line__c> Work_Details__r;

    global Product_Stock__c()
    {
    }
}