// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Service Quote</h3>
 * In ServiceMax, Quote contains the estimated cost of a service event to be presented to a customer to get approval. A quote can be either created manually or generated automatically from the estimate lines of a service order.
 */
global class /*SVMXC__*/Quote__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Account</h3>
     * Customer account for whom the quote is prepared. Is a lookup to an existing salesforce account record
     */
    global Id Company__c;
    /**
     * <h3>Account</h3>
     * Customer account for whom the quote is prepared. Is a lookup to an existing salesforce account record
     */
    global Account Company__r;
    /**
     * <h3>Contact</h3>
     * Customer contact for whom the quote is prepared. Is a lookup to an existing salesforce contact record
     */
    global Id Contact__c;
    /**
     * <h3>Contact</h3>
     * Customer contact for whom the quote is prepared. Is a lookup to an existing salesforce contact record
     */
    global Contact Contact__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Discount Type</h3>
     * Indicates if the discount is entered as an amount or percentage of total price
     */
    global String Discount_Type__c;
    /**
     * <h3>Discount</h3>
     * To capture discount percentage or amount based on selected Discount Type
     */
    global Decimal Discount__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>EndpointURL</h3>
     * Not used
     */
    global String EndpointURL__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Quote__History> Histories;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Quote Amount</h3>
     * Total amount of the quote after discount
     */
    global Currency Quote_Amount2__c;
    global List<Quote_Line__c> Quote_Line__r;
    global List<Quote__c> Quote__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Revised From</h3>
     * The original quote number which was revised to create this quote. Is a lookup to an existing quote in ServiceMax
     */
    global Id Revised_From__c;
    /**
     * <h3>Revised From</h3>
     * The original quote number which was revised to create this quote. Is a lookup to an existing quote in ServiceMax
     */
    global Quote__c Revised_From__r;
    /**
     * <h3>Work Order</h3>
     * Service order number for which this quote is created. Is a lookup to an existing service order record in ServiceMax
     */
    global Id Service_Order__c;
    /**
     * <h3>Work Order</h3>
     * Service order number for which this quote is created. Is a lookup to an existing service order record in ServiceMax
     */
    global Service_Order__c Service_Order__r;
    /**
     * <h3>SESSION_ID</h3>
     * Not used
     */
    global String SESSION_ID__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * Current status of the quote
     */
    global String Status__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Line Price</h3>
     * Sum of Line Price for all the lines
     */
    global Currency Total_Line_Price2__c;
    /**
     * <h3>Valid Until</h3>
     * Date until which the quote is valid
     */
    global Date Valid_Until__c;

    global Quote__c()
    {
    }
}