// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Parts Order Line</h3>
 * ServiceMax uses a common tab Parts Orders as a home for RMA and Shipment orders both. Parts Order Line lists parts returned or shipped.
 */
global class /*SVMXC__*/RMA_Shipment_Line__c extends SObject 
{
    /**
     * <h3>Actual Qty</h3>
     * Actual number of units shipped/received vs. expected quantity
     */
    global Decimal Actual_Quantity2__c;
    /**
     * <h3>Actual Receipt Date</h3>
     * Date on which the product was actually received
     */
    global Date Actual_Receipt_Date__c;
    /**
     * <h3>Actual Ship Date</h3>
     * Date on which the product was actually shipped
     */
    global Date Actual_Ship_Date__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Canceled By</h3>
     * User that canceled this shipment line. This is set automatically when a user cancels the shipment line.
     */
    global Id Canceled_By__c;
    /**
     * <h3>Canceled By</h3>
     * User that canceled this shipment line. This is set automatically when a user cancels the shipment line.
     */
    global User Canceled_By__r;
    /**
     * <h3>Canceled On</h3>
     * Date/time when this shipment line was canceled. This is set automatically when a user cancels the shipment line.
     */
    global Datetime Canceled_On__c;
    /**
     * <h3>Case Line</h3>
     * Reference to the originating Case Line record
     */
    global Id Case_Line__c;
    /**
     * <h3>Case Line</h3>
     * Reference to the originating Case Line record
     */
    global Case_Line__c Case_Line__r;
    /**
     * <h3>Closed By</h3>
     * User that closed this RMA/shipment order.
     */
    global Id Closed_By__c;
    /**
     * <h3>Closed By</h3>
     * User that closed this RMA/shipment order.
     */
    global User Closed_By__r;
    /**
     * <h3>Closed On</h3>
     * Date/time when this RMA/Shipment line was closed.
     */
    global Datetime Closed_On__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Delivered By</h3>
     * User that delivered the product
     */
    global Id Delivered_By__c;
    /**
     * <h3>Delivered By</h3>
     * User that delivered the product
     */
    global User Delivered_By__r;
    /**
     * <h3>Delivered On</h3>
     * Date/time when the product was delivered
     */
    global Datetime Delivered_On__c;
    /**
     * <h3>Delivered?</h3>
     * Indicates if the product has been delivered or not
     */
    global Boolean Delivered__c;
    /**
     * <h3>Delivery Location</h3>
     */
    global Id Delivery_Location__c;
    /**
     * <h3>Delivery Location</h3>
     */
    global Site__c Delivery_Location__r;
    /**
     * <h3>Discount %</h3>
     * Percentage discount to be applied on the Parts Order Line Price
     */
    global Decimal Discount_Percentage__c;
    /**
     * <h3>Disposition Instructions</h3>
     * Any special handling notes for product disposition
     */
    global String Disposition_Instructions__c;
    /**
     * <h3>Disposition</h3>
     * Type of action to be taken by receiving department when the product arrives
     */
    global String Disposition__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Entitled Exchange Type</h3>
     */
    global String Entitled_Exchange_Type__c;
    /**
     * <h3>Entitlement Status</h3>
     */
    global String Entitlement_Status__c;
    /**
     * <h3>Expected Condition</h3>
     * Condition of the product returned
     */
    global String Expected_Condition__c;
    /**
     * <h3>Expected Qty</h3>
     * Number of products returned. Usually 1 for serialized products
     */
    global Decimal Expected_Quantity2__c;
    /**
     * <h3>Expected Receipt Date</h3>
     * Date on which the product is expected to be received at the depot/factory/warehouse
     */
    global Date Expected_Receipt_Date__c;
    /**
     * <h3>Expected Ship Date</h3>
     * Date on which the product is expected to be shipped to the customer/field location
     */
    global Date Expected_Ship_Date__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Fulfillment Qty</h3>
     */
    global Decimal Fulfillment_Qty__c;
    global List<RMA_Shipment_Line__History> Histories;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Line Price</h3>
     * Price for Line Item.
     */
    global Currency Line_Price2__c;
    /**
     * <h3>Line Status</h3>
     * Current status of the RMA/Shipment line.
     */
    global String Line_Status__c;
    /**
     * <h3>Line Type</h3>
     * Internal line type of the RMA/Shipment line. Not displayed.
     */
    global String Line_Type__c;
    /**
     * <h3>Master Order Line</h3>
     */
    global Id Master_Order_Line__c;
    /**
     * <h3>Master Order Line</h3>
     */
    global RMA_Shipment_Line__c Master_Order_Line__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Packing Instructions</h3>
     * Any special handling notes for shipping department
     */
    global String Packing_Instructions__c;
    global FeedComment Parent;
    global List<RMA_Shipment_Line__c> Parts_Order_Lines__r;
    /**
     * <h3>Parts Request Line</h3>
     * The ServiceMax parts request line for which this shipment line was created.
     */
    global Id Parts_Request_Line__c;
    /**
     * <h3>Parts Request Line</h3>
     * The ServiceMax parts request line for which this shipment line was created.
     */
    global Parts_Request_Line__c Parts_Request_Line__r;
    /**
     * <h3>Picked By</h3>
     * User that picked the product for shipment
     */
    global Id Picked_By__c;
    /**
     * <h3>Picked By</h3>
     * User that picked the product for shipment
     */
    global User Picked_By__r;
    /**
     * <h3>Picked On</h3>
     * Date/time when the product was picked for shipment
     */
    global Datetime Picked_On__c;
    /**
     * <h3>Picked Qty</h3>
     * Quantity picked for shipment
     */
    global Decimal Picked_Qty__c;
    /**
     * <h3>Picked?</h3>
     * Indicates if the product has been picked for shipment or not
     */
    global Boolean Picked__c;
    /**
     * <h3>Posted To Inventory</h3>
     * Flag Indicates if this RMA/Shipment line has been posted to inventory or not.
     */
    global Boolean Posted_To_Inventory__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product</h3>
     * Name of the product to be shipped/received. Is a lookup to an existing salesforce product record
     */
    global Id Product__c;
    /**
     * <h3>Product</h3>
     * Name of the product to be shipped/received. Is a lookup to an existing salesforce product record
     */
    global Product2 Product__r;
    /**
     * <h3>Received By</h3>
     * User that received the product
     */
    global Id Received_By__c;
    /**
     * <h3>Received By</h3>
     * User that received the product
     */
    global User Received_By__r;
    /**
     * <h3>Received On</h3>
     * Date/time when the product was received
     */
    global Datetime Received_On__c;
    /**
     * <h3>Received?</h3>
     * Indicates if the product has been received or not
     */
    global Boolean Received__c;
    /**
     * <h3>Reconciliation Action</h3>
     * Action performed by the user to reconcile an unexpected product or serial number
     */
    global String Reconciliation_Action__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Returned Condition</h3>
     * Condition of the product when received (As expected or otherwise)
     */
    global String Returned_Condition__c;
    /**
     * <h3>Parts Order</h3>
     * RMA/Shipment number. Is a lookup to an existing RMA/Shipment record in ServiceMax
     */
    global Id RMA_Shipment_Order__c;
    /**
     * <h3>Parts Order</h3>
     * RMA/Shipment number. Is a lookup to an existing RMA/Shipment record in ServiceMax
     */
    global RMA_Shipment_Order__c RMA_Shipment_Order__r;
    global List<Route_Card__c> Route_Cards__r;
    /**
     * <h3>Route Card</h3>
     */
    global Id Route_Card__c;
    /**
     * <h3>Route Card</h3>
     */
    global Route_Card__c Route_Card__r;
    /**
     * <h3>Route Stop</h3>
     */
    global Id Route_Stop__c;
    /**
     * <h3>Route Stop</h3>
     */
    global Route_Stop__c Route_Stop__r;
    /**
     * <h3>Sales Order Number</h3>
     * Sales order number for this shipment if available.
     */
    global String Sales_Order_Number__c;
    global List<Allocated_Stock__c> Sales_Repair_Order_Line__r;
    /**
     * <h3>Select</h3>
     * Field to bind checkbox in List of Parts Order Line records on Visualforce page with controller.
     */
    global Boolean Select__c;
    /**
     * <h3>Serial Number</h3>
     * List of serial numbers expected/received/shipped separated by a configurable delimiter
     */
    global String Serial_Number_List__c;
    /**
     * <h3>IB Serial Number</h3>
     * ID of the installed product returned/shipped. Is a lookup to an existing installed product record in ServiceMax
     */
    global Id Serial_Number__c;
    /**
     * <h3>IB Serial Number</h3>
     * ID of the installed product returned/shipped. Is a lookup to an existing installed product record in ServiceMax
     */
    global Installed_Product__c Serial_Number__r;
    /**
     * <h3>Service Contract End Date</h3>
     */
    global Date Service_Contract_End_Date__c;
    /**
     * <h3>Service Contract Start Date</h3>
     */
    global Date Service_Contract_Start_Date__c;
    /**
     * <h3>Service Engineer</h3>
     * Name of the service engineer associated with this RMA/shipment order. Is a lookup to an existing salesforce user record
     */
    global Id Service_Engineer__c;
    /**
     * <h3>Service Engineer</h3>
     * Name of the service engineer associated with this RMA/shipment order. Is a lookup to an existing salesforce user record
     */
    global User Service_Engineer__r;
    global List<Entitlement_History__c> Service_Maintenance_History__r;
    /**
     * <h3>Work Details</h3>
     * The ServiceMax service order parts request line for which this shipment line was created.
     */
    global Id Service_Order_Line__c;
    /**
     * <h3>Work Details</h3>
     * The ServiceMax service order parts request line for which this shipment line was created.
     */
    global Service_Order_Line__c Service_Order_Line__r;
    /**
     * <h3>Work Order</h3>
     */
    global Id Service_Order__c;
    /**
     * <h3>Work Order</h3>
     */
    global Service_Order__c Service_Order__r;
    global List<Allocated_Stock__c> Shipment_Order_Line__r;
    /**
     * <h3>Shipped By</h3>
     * User that shipped the product
     */
    global Id Shipped_By__c;
    /**
     * <h3>Shipped By</h3>
     * User that shipped the product
     */
    global User Shipped_By__r;
    /**
     * <h3>Shipped On</h3>
     * Date/time when the product was shipped
     */
    global Datetime Shipped_On__c;
    /**
     * <h3>Shipped?</h3>
     * Indicates if the product has been shipped or not
     */
    global Boolean Shipped__c;
    /**
     * <h3>Return/Ship Location</h3>
     * The actual site/location where the product was shipped/received. Is a lookup to an existing site record
     */
    global Id Ship_Location__c;
    /**
     * <h3>Return/Ship Location</h3>
     * The actual site/location where the product was shipped/received. Is a lookup to an existing site record
     */
    global Site__c Ship_Location__r;
    global SObjectType SObjectType;
    global List<Stock_History__c> Stock_History_RMA_Line__r;
    global List<Stock_History__c> Stock_History_Shipment_Line__r;
    global Datetime SystemModstamp;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Line Price</h3>
     * Total Line Price
     */
    global Currency Total_Line_Price2__c;
    /**
     * <h3>Transaction Results</h3>
     * Success or error message as a result of a transaction. This message is derived from executing a defined process in SFM API Configuration.
     */
    global String Transaction_Results__c;
    /**
     * <h3>Use Price From Pricebook</h3>
     * Leave this box checked if you want the price to be filled automatically from the default price book. If you like to enter a price manually for this part, simply uncheck this box.
     */
    global Boolean Use_Price_From_Pricebook__c;
    /**
     * <h3>Warehouse</h3>
     * Name/number of the warehouse from which the products will be shipped
     */
    global String Warehouse__c;
    /**
     * <h3>Warranty End Date</h3>
     */
    global Date Warranty_End_Date__c;
    /**
     * <h3>Warranty Start Date</h3>
     */
    global Date Warranty_Start_Date__c;
    global List<Service_Order__c> Work_Orders__r;
    /**
     * <h3>Work Order Created?</h3>
     * Indicates if a work order was created upon receipt/delivery
     */
    global Boolean Work_Order_Created__c;

    global RMA_Shipment_Line__c()
    {
    }
}