// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Parts Order</h3>
 * Parts Order is an object to handle parts logistics. With record type RMA, it is a document that authorizes products or parts to be returned to the manufacturer/repair center/warehouse. With record type Shipment,  it is an internal document that authorizes products or parts to be shipped to a customer or field inventory location. ServiceMax uses a common tab Parts Orders as a home for RMA and Shipment orders both.
 */
global class /*SVMXC__*/RMA_Shipment_Order__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Address Type</h3>
     * Address Type
     */
    global String Address_Type__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billing Type</h3>
     * Whether the billing is covered by an agreement or this is a paid shipment
     */
    global String Billing_Type__c;
    /**
     * <h3>Bill To</h3>
     * Indicates who should be billed for shipping charges
     */
    global String Bill_To__c;
    /**
     * <h3>Canceled By</h3>
     * User that canceled this RMA/shipment order.
     */
    global Id Canceled_By__c;
    /**
     * <h3>Canceled By</h3>
     * User that canceled this RMA/shipment order.
     */
    global User Canceled_By__r;
    /**
     * <h3>Canceled On</h3>
     * Date/time when this RMA/shipment order was canceled.
     */
    global Datetime Canceled_On__c;
    global List<Case_Tracker__c> Case_Tracker__r;
    /**
     * <h3>Case</h3>
     * Support Case related to this RMA or shipment. Is a lookup to an existing salesforce case record
     */
    global Id Case__c;
    /**
     * <h3>Case</h3>
     * Support Case related to this RMA or shipment. Is a lookup to an existing salesforce case record
     */
    global Case Case__r;
    global List<Checklist__c> Checklists__r;
    global List<SM_Checklist_Result__c> Checklist_Results__r;
    /**
     * <h3>Closed By</h3>
     * User that closed this RMA/Shipment order
     */
    global Id Closed_By__c;
    /**
     * <h3>Closed By</h3>
     * User that closed this RMA/Shipment order
     */
    global User Closed_By__r;
    /**
     * <h3>Closed On</h3>
     * Date/time when this RMA/shipment order was closed
     */
    global Datetime Closed_On__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Account</h3>
     * Account from/to which this RMA/shipment is made. Is a lookup to an existing salesforce account record
     */
    global Id Company__c;
    /**
     * <h3>Account</h3>
     * Account from/to which this RMA/shipment is made. Is a lookup to an existing salesforce account record
     */
    global Account Company__r;
    /**
     * <h3>Contact</h3>
     * Name of the contact person from the customer account connected with this RMA/shipment order. Is a lookup to an existing salesforce contact record
     */
    global Id Contact__c;
    /**
     * <h3>Contact</h3>
     * Name of the contact person from the customer account connected with this RMA/shipment order. Is a lookup to an existing salesforce contact record
     */
    global Contact Contact__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Delivery Option</h3>
     * Indicates special delivery requirements such as Saturday delivery etc.
     */
    global String Delivery_Option__c;
    /**
     * <h3>To City</h3>
     * “City” part of the destination address
     */
    global String Destination_City__c;
    /**
     * <h3>To Country</h3>
     * “Country” part of the destination address
     */
    global String Destination_Country__c;
    /**
     * <h3>To Location</h3>
     * Name of the internal/customer site to which the products are shipped. Is a lookup to an existing site record in ServiceMax
     */
    global Id Destination_Location__c;
    /**
     * <h3>To Location</h3>
     * Name of the internal/customer site to which the products are shipped. Is a lookup to an existing site record in ServiceMax
     */
    global Site__c Destination_Location__r;
    /**
     * <h3>To State</h3>
     * “State/Province” part of the destination address
     */
    global String Destination_State__c;
    /**
     * <h3>To Street</h3>
     * “Street” part of the destination address
     */
    global String Destination_Street__c;
    /**
     * <h3>To Zip</h3>
     * “Zip/Postal Code” part of the destination address
     */
    global String Destination_Zip__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>EndpointURL</h3>
     * Not used
     */
    global String EndpointURL__c;
    global List<Event> Events;
    /**
     * <h3>Expected Ship Date</h3>
     * Date when the products are expected to be shipped to the customer. Useful for planning and allocating resources
     */
    global Date Expected_Delivery_Date__c;
    /**
     * <h3>Expected Receipt Date</h3>
     * Date when the products are expected at the receiving dock. Useful for planning and allocating resources
     */
    global Date Expected_Receive_Date__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Fulfillment Type</h3>
     */
    global String Fulfillment_Type__c;
    global List<RMA_Shipment_Order__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>IsPartnerRecord</h3>
     * This is the indication of Partner Record.
     */
    global Boolean IsPartnerRecord__c;
    /**
     * <h3>IsPartner</h3>
     * Flag Indicates if record is a Partner Record or not.
     */
    global String IsPartner__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Master Order</h3>
     */
    global Id Master_Order__c;
    /**
     * <h3>Master Order</h3>
     */
    global RMA_Shipment_Order__c Master_Order__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Number of units returned</h3>
     */
    global Decimal Number_of_units_returned__c;
    /**
     * <h3>On Hold</h3>
     */
    global Boolean On_Hold__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Order Status</h3>
     * Current status of the RMA/Shipment order
     */
    global String Order_Status__c;
    /**
     * <h3>Order Type</h3>
     * Order Type
     */
    global String Order_Type__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, Set by Trigger.
     */
    global Id Partner_Account__c;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, Set by Trigger.
     */
    global Account Partner_Account__r;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Id Partner_Contact__c;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Contact Partner_Contact__r;
    global List<RMA_Shipment_Order__c> Parts_Orders__r;
    /**
     * <h3>Parts Request</h3>
     * The ServiceMax Parts Request for which this shipment order was created.
     */
    global Id Parts_Request__c;
    /**
     * <h3>Parts Request</h3>
     * The ServiceMax Parts Request for which this shipment order was created.
     */
    global Parts_Request__c Parts_Request__r;
    /**
     * <h3>Priority</h3>
     * Priority of the parts order
     */
    global String Priority__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Receiving Courier</h3>
     * Name of the courier company the customer used to ship the product. Is a lookup to an existing salesforce account record
     */
    global Id Receiving_Courier__c;
    /**
     * <h3>Receiving Courier</h3>
     * Name of the courier company the customer used to ship the product. Is a lookup to an existing salesforce account record
     */
    global Account Receiving_Courier__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>RMA Age Bucket</h3>
     * Age of the RMA placed in various buckets for reporting
     */
    global String RMA_Age_Bucket__c;
    global List<RMA_Shipment_Line__c> RMA_Shipment_Line__r;
    global List<RMA_Shipment_Order__c> RMA_Shipment_Order__r;
    /**
     * <h3>RMA Type</h3>
     */
    global String RMA_Type__c;
    global List<Route_Card__c> Route_Cards__r;
    /**
     * <h3>Sales Order Number</h3>
     * Sales order number reference for this shipment if available.
     */
    global String Sales_Order_Number__c;
    global List<Allocated_Stock__c> Sales_Repair_Order__r;
    /**
     * <h3>Service Engineer</h3>
     * Name of the service engineer associated with this RMA/shipment order. Is a lookup to an existing salesforce user record
     */
    global Id Service_Engineer__c;
    /**
     * <h3>Service Engineer</h3>
     * Name of the service engineer associated with this RMA/shipment order. Is a lookup to an existing salesforce user record
     */
    global User Service_Engineer__r;
    /**
     * <h3>Work Order</h3>
     * Service Order related to this RMA/shipment order. Is a lookup to an existing service order record in ServiceMax
     */
    global Id Service_Order__c;
    /**
     * <h3>Work Order</h3>
     * Service Order related to this RMA/shipment order. Is a lookup to an existing service order record in ServiceMax
     */
    global Service_Order__c Service_Order__r;
    /**
     * <h3>SESSION_ID</h3>
     * Not used
     */
    global String SESSION_ID__c;
    /**
     * <h3>Shipment Age Bucket</h3>
     * Age of the shipment grouped in various buckets for reporting.
     */
    global String Shipment_Age_Bucket__c;
    global List<Allocated_Stock__c> Shipment_Order__r;
    /**
     * <h3>Parts Order Reference</h3>
     * Reference to another RMA or shipment order number within ServiceMax
     */
    global Id Shipment_Reference__c;
    /**
     * <h3>Parts Order Reference</h3>
     * Reference to another RMA or shipment order number within ServiceMax
     */
    global RMA_Shipment_Order__c Shipment_Reference__r;
    /**
     * <h3>Shipping Courier</h3>
     * Name of the courier company used to ship the product. Is a lookup to an existing salesforce account record
     */
    global Id Shipping_Courier__c;
    /**
     * <h3>Shipping Courier</h3>
     * Name of the courier company used to ship the product. Is a lookup to an existing salesforce account record
     */
    global Account Shipping_Courier__r;
    /**
     * <h3>Shipping/Receiving Notes</h3>
     * Instructions for shipping department/courier if it is a shipment, or for the receiving department if it is an RMA. Free text entry.
     */
    global String Shipping_Receiving_Notes__c;
    /**
     * <h3>Shipping Terms</h3>
     * List indicates the standard shipping terms such as FOB (Free On Board), EXW (EX Works) etc.
     */
    global String Shipping_Terms__c;
    global SObjectType SObjectType;
    /**
     * <h3>From City</h3>
     * “City” part of the source address
     */
    global String Source_City__c;
    /**
     * <h3>From Country</h3>
     * “Country” part of the source address
     */
    global String Source_Country__c;
    /**
     * <h3>From Location</h3>
     * Name of the internal/customer site from which the products are shipped. Is a lookup to an existing site record in ServiceMax
     */
    global Id Source_Location__c;
    /**
     * <h3>From Location</h3>
     * Name of the internal/customer site from which the products are shipped. Is a lookup to an existing site record in ServiceMax
     */
    global Site__c Source_Location__r;
    /**
     * <h3>From State</h3>
     * “State/Province” part of the source address
     */
    global String Source_State__c;
    /**
     * <h3>From Street</h3>
     * “Street” part of the source address
     */
    global String Source_Street__c;
    /**
     * <h3>From Zip</h3>
     * “Zip/Postal Code” part of the source address
     */
    global String Source_Zip__c;
    global List<Stock_History__c> Stock_History_RMA__r;
    global List<Stock_History__c> Stock_History_Shipment__r;
    /**
     * <h3>Supplier</h3>
     * Supplier related to the RMA/Shipment
     */
    global Id Supplier__c;
    /**
     * <h3>Supplier</h3>
     * Supplier related to the RMA/Shipment
     */
    global Account Supplier__r;
    /**
     * <h3>Courier</h3>
     * Courier used for the return or shipment
     */
    global String SVMX_Courier__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Price</h3>
     * Sum of line price. Calculated automatically
     */
    global Currency Total_Price2__c;
    /**
     * <h3>Tracking Number</h3>
     * Shipment tracking number given by the courier company
     */
    global String Tracking_Number__c;
    /**
     * <h3>Warehouse</h3>
     * Name/number of the warehouse from/to which the products will be shipped
     */
    global String Warehouse__c;

    global RMA_Shipment_Order__c()
    {
    }
}