// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>ServiceMax Event</h3>
 * This object stores Calendar events for technicians that are not Salesforce users as well as equipment whose calendars are tracked for dispatching.
 */
global class /*SVMXC__*/SVMX_Event__c extends SObject 
{
    /**
     * <h3>ActivityDateTime</h3>
     * Event start date/time
     */
    global Datetime ActivityDateTime__c;
    /**
     * <h3>ActivityDate</h3>
     * Event start date
     */
    global Date ActivityDate__c;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Total Break Time (Mins)</h3>
     * This is the total time of all breaks taken during the service. There could be multiple breaks taken during the service.
     */
    global Decimal Break_Time_Total__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Description</h3>
     * Event description
     */
    global String Description__c;
    /**
     * <h3>Travel Time Back to Home Base (Mins)</h3>
     * Driving or travel time to get back to the technician's home base from the last work order location for the day or working shift.
     */
    global Decimal Driving_Time_Home__c;
    /**
     * <h3>Travel Time to Workorder Location (Mins)</h3>
     * Driving or travel time to this work order location from the last work order location or from the home base.
     */
    global Decimal Driving_Time__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>DurationInMinutes</h3>
     * Event duration
     */
    global Decimal DurationInMinutes__c;
    global List<EmailMessage> Emails;
    /**
     * <h3>EndDateTime</h3>
     * Event end date/time
     */
    global Datetime EndDateTime__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<SVMX_Event__History> Histories;
    /**
     * <h3>All-Day Event</h3>
     * Whether this is an all-day event?
     */
    global Boolean IsAllDayEvent__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Location</h3>
     * Location of the event
     */
    global String Location__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Overhead Time at End of the Job (Mins)</h3>
     * Total overhead or flex time at the end of the service at the work order location.
     */
    global Decimal Overhead_Time_After__c;
    /**
     * <h3>Overhead Time at Start of the Job (Mins)</h3>
     * Total overhead or flex time before the start of the actual service at the work order location.
     */
    global Decimal Overhead_Time_Before__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Service Time (in Seconds)</h3>
     * Total service time, which is the wrench time of the service
     */
    global Decimal Service_Duration__c;
    /**
     * <h3>Work Order</h3>
     * Service order number. Is a lookup to an existing service order in ServiceMax
     */
    global Id Service_Order__c;
    /**
     * <h3>Work Order</h3>
     * Service order number. Is a lookup to an existing service order in ServiceMax
     */
    global Service_Order__c Service_Order__r;
    /**
     * <h3>Service Team</h3>
     * Service team that owns the event. Reference to an existing service team record in ServiceMax
     */
    global Id Service_Team__c;
    /**
     * <h3>Service Team</h3>
     * Service team that owns the event. Reference to an existing service team record in ServiceMax
     */
    global Service_Group__c Service_Team__r;
    global SObjectType SObjectType;
    /**
     * <h3>StartDateTime</h3>
     * Event start date/time
     */
    global Datetime StartDateTime__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Technician</h3>
     * Technician that owns the event. Reference to an existing technician record in ServiceMax
     */
    global Id Technician__c;
    /**
     * <h3>Technician</h3>
     * Technician that owns the event. Reference to an existing technician record in ServiceMax
     */
    global Service_Group_Members__c Technician__r;
    global List<Timesheet_Entry__c> Time_Entrys__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Type</h3>
     * List of activity types.
     */
    global String Type__c;
    /**
     * <h3>WhatId</h3>
     * The source record related to the event
     */
    global String WhatId__c;
    /**
     * <h3>WhoId</h3>
     * Not used
     */
    global String WhoId__c;

    global SVMX_Event__c()
    {
    }
}