// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>ServiceMax Job Log</h3>
 * ServiceMax Job Logs
 */
global class /*SVMXC__*/SVMX_Job_Logs__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Apex CPU Time</h3>
     * For sync time log records, this field stores the CPU time for executing Apex code, and any processes that are called from the code, such as package code and workflows. This excludes the time spent in database for SOQL and DML operations. It is in seconds if Type is MASTER_*; milliseconds otherwise.
     */
    global Decimal Apex_CPU_Time__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Call Status</h3>
     * For sync time log records, this field stores the status of the sync request: InProgress - Indicates receipt of sync request by the server; Completed / Failed - Indicates end of processing of sync request by the server.
     */
    global String Call_Status__c;
    /**
     * <h3>Client Response Processing Timestamp</h3>
     * For sync time log records, this field stores the date time at which the processing of sync response from server was completed by the client app.
     */
    global Datetime Client_Response_Processing_Timestamp__c;
    /**
     * <h3>Client Response Receive Timestamp</h3>
     * For sync time log records, this field stores the date time at which sync response from server was received by the client app.
     */
    global Datetime Client_Response_Receive_Timestamp__c;
    /**
     * <h3>Client Version</h3>
     * For sync time log records, this field stores the version number of mobile client application that initiated the sync request.
     */
    global String Client_Version__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Event Name</h3>
     * For master records (Type = MASTER_*), server processing time in seconds, with the value calculated using this formula: Response Returned Timestamp - Request Received Timestamp. For other sync time log records, it identifies the sync request purpose (for example,  VALIDATE_PROFILE, MOBILE_DEVICE_TAGS, and so on).
     */
    global String Event_Name__c;
    /**
     * <h3>Event Type</h3>
     * For master records (Type = MASTER_*) total network latency in seconds, with the value calculated using this formula: (Request Received Timestamp - Log Timestamp) + (Client Response Receive Timestamp - Response Returned Timestamp). For other sync time log records, it identifies the sync request type (SYNC / META_SYNC).
     */
    global String Event_Type__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group Id</h3>
     * For master records (Type = MASTER_*):  Full Name of the mobile client user who initiated the sync request from the client app. For other sync time log records: User's Salesforce Record Id.
     */
    global String Group_Id__c;
    global List<SVMX_Job_Logs__History> Histories;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Log Category</h3>
     * For sync time log records, it indicates the type of sync operation initiated by the mobile user (INITIAL SYNC, INCREMENTAL DATA SYNC, CONFIG SYNC, SFM SEARCH). For logs pushed by client app, it is the log category (Application Level/Performance Level).
     */
    global String Log_Category__c;
    /**
     * <h3>Log Context</h3>
     * For sync time log records, it is the time taken by the client app to process sync response, with the value calculated using this formula: Client Response Processing Timestamp - Client Response Receive Timestamp.  It is in seconds if Type is MASTER_*; milliseconds otherwise.
     */
    global String Log_Context__c;
    /**
     * <h3>Log level</h3>
     * For master records (Type = MASTER_*), it is the time taken in seconds for database operations in server, with the value calculated using this formula: Server Processing Time - Code Execution Time.  For logs pushed by client app, it is the the level (1/2/3) of log message. Messages with level 3 are logged when the client app log level is Verbose. Level 2 messages are logged for the log level Warning. Level 1 messages are logged for the log level Error.
     */
    global Decimal Log_level__c;
    /**
     * <h3>Log Timestamp</h3>
     * For sync time log records, it is the date and time at which sync request  was initiated by the client app.
     */
    global Datetime Log_Timestamp__c;
    /**
     * <h3>Message</h3>
     * For master records (Type = MASTER_*), it is the total time taken in seconds for a sync request (e.g. for INITIAL SYNC, CONFIG SYNC, and so on), with the value calculated using this formula: Client Response Processing Timestamp of the last web service call for the sync request - Sync Start Time of the first web service call for the sync request. This value gets updated when the sync is in progress, with every web service call. For logs pushed by client app, this is the log message. This is technical and is meant for troubleshooting by ServiceMax.
     */
    global String Message__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Operation</h3>
     * For sync time log records, it is the unique request id for a specific sync call (such as INITIAL SYNC, INCREMENTAL DATA SYNC, or CONFIG SYNC) made by a client app.
     * For logs pushed by client app, it is a string which indicates the operation executed by the client code. This is technical and is meant for troubleshooting by ServiceMax.
     */
    global String Operation__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Profile Id</h3>
     * If Type = MASTER_*:  Profile Name of the ServiceMax Group Profile of mobile user. For other sync time log records: Salesforce Record Id of the ServiceMax Group Profile of mobile user. For logs pushed by client app: Mobile user's Salesforce Record Id.
     */
    global String Profile_Id__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Request Received Timestamp</h3>
     * Date time at which a sync request from a client app is received by the server.
     */
    global Datetime Request_Received_Timestamp__c;
    /**
     * <h3>Response Returned Timestamp</h3>
     * Date time at which server initiates the response to a sync request from the client app.
     */
    global Datetime Response_Returned_Timestamp__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Type</h3>
     * Stores the name of the device that initiated the sync request. In master sync time log records which store cumulative durations, the device name is stored with the prefix MASTER_.
     */
    global String Type__c;

    global SVMX_Job_Logs__c()
    {
    }
}