// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>ServiceMax Job</h3>
 * This object tracks various jobs that are launched from ServiceMax such as the OptiMax dispatch optimization job.
 */
global class /*SVMXC__*/SVMX_Jobs__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Age</h3>
     * Current age of the job. Used to abort zombie jobs
     */
    global Decimal Age__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Batch Job</h3>
     * Used to store the Batch job Id to track and kill the process if batch execution takes place for longer time.
     */
    global String Batch_Job__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Time</h3>
     * Time when job ended
     */
    global Datetime End_Time__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<SVMX_Jobs__History> Histories;
    /**
     * <h3>Initiated By</h3>
     * User that initiated the job
     */
    global Id Initiated_By__c;
    /**
     * <h3>Initiated By</h3>
     * User that initiated the job
     */
    global User Initiated_By__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Message</h3>
     */
    global String Message__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Job Status</h3>
     */
    global String OptiMax_Message__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Number Of Scheduled Resources</h3>
     * Number of technicians scheduled by the job
     */
    global Decimal Scheduled_Resources__c;
    /**
     * <h3>Number Of Scheduled Work Orders</h3>
     * Number of work orders scheduled by the job
     */
    global Decimal Scheduled_Work_Orders__c;
    /**
     * <h3>Number Of Sent Events</h3>
     */
    global Decimal Sent_Events_Count__c;
    /**
     * <h3>Number Of Sent Resources</h3>
     * Number of technicians sent to the job
     */
    global Decimal Sent_Resources__c;
    /**
     * <h3>Number Of Sent Work Orders</h3>
     * Number of work orders sent to the job
     */
    global Decimal Sent_Work_Orders__c;
    global List<SVMX_Job_Stats__c> ServiceMax_Job_Stats__r;
    global SObjectType SObjectType;
    /**
     * <h3>Start Time</h3>
     * Time when job started
     */
    global Datetime Start_Time__c;
    /**
     * <h3>Status Code</h3>
     * Job status
     */
    global String Status__c;
    /**
     * <h3>SVMX Process</h3>
     * Dispatch process associated with the job
     */
    global Id SVMX_Process__c;
    /**
     * <h3>SVMX Process</h3>
     * Dispatch process associated with the job
     */
    global ServiceMax_Processes__c SVMX_Process__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Territory</h3>
     * Territory for which the job was initiated
     */
    global Id Territory__c;
    /**
     * <h3>Territory</h3>
     * Territory for which the job was initiated
     */
    global Territory__c Territory__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Distance</h3>
     * Total distance of all routes calculated by the job
     */
    global Decimal Total_Distance__c;
    /**
     * <h3>Total Driving Time</h3>
     * Total driving time for all resources scheduled by the job
     */
    global Decimal Total_Driving_Time__c;
    /**
     * <h3>Total Route Time</h3>
     * Total route time for all resources scheduled by the job
     */
    global Decimal Total_Route_Time__c;
    /**
     * <h3>Type</h3>
     * Job type
     */
    global String Type__c;

    global SVMX_Jobs__c()
    {
    }
}