// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>ServiceMax Config Data</h3>
 * This object is used to store details of:
 * * Configuration Profiles: Identifies a collection of module settings and their values
 * * Configuration Access: Lists Salesforce users and profiles for a profile
 * * Setting Values: Profile-specific value for each setting
 * * Inventory Process Steps: List of inventory process steps
 * * Field Mappings of Object: Mapping to be used to copy fields between objects
 * * Expressions
 */
global class /*SVMXC__*/ServiceMax_Config_Data__c extends SObject 
{
    /**
     * <h3>Access Configuration Profile</h3>
     * Lookup to 'ServiceMax Configuration Data' object. Record Type 'Configuration Profile'. Used in Configuration Access.
     */
    global Id Access_Configuration_Profile__c;
    /**
     * <h3>Access Configuration Profile</h3>
     * Lookup to 'ServiceMax Configuration Data' object. Record Type 'Configuration Profile'. Used in Configuration Access.
     */
    global ServiceMax_Config_Data__c Access_Configuration_Profile__r;
    /**
     * <h3>Access To</h3>
     */
    global String Access_To__c;
    /**
     * <h3>Action Type</h3>
     * This is to indicate type of field update action.
     */
    global String Action_Type__c;
    /**
     * <h3>Action</h3>
     * Specify the action for Stock Update in Inventory Process Step (Increase/Decrease/Set).
     */
    global String Action__c;
    /**
     * <h3>Active</h3>
     * Flag to indicate if the configuration data is active or inactive.
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Allow API Access</h3>
     */
    global Boolean Allow_API_Access__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Auto Sync Duration</h3>
     */
    global Decimal Auto_Sync_Duration2__c;
    /**
     * <h3>Auto Sync Duration Unit</h3>
     */
    global String Auto_Sync_Duration_Unit__c;
    /**
     * <h3>Auto Sync Duration  (Do Not Use)</h3>
     * Indicates the duration for auto sync in offline.
     */
    global String Auto_Sync_Duration__c;
    /**
     * <h3>Batch Size</h3>
     * This field refers to number of records that can be passed to execute method when Service is called.
     */
    global Decimal Batch_Size__c;
    /**
     * <h3>Button Size</h3>
     * Indicates the size of buttons and text in Service Flow Wizard when the wizard is placed in a Salesforce page layout.
     */
    global String Button_Size__c;
    /**
     * <h3>Class Name</h3>
     * This field refers to the Class Name in org which will be executed when service run.
     */
    global String Class_Name__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Configuration Type</h3>
     * Type of Configuration (Global/Group/User)
     */
    global String Configuration_Type__c;
    /**
     * <h3>Config Profile Name</h3>
     * Name of the configuration profile this setting is linked to.
     */
    global String Config_Profile_Name__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Day to Run</h3>
     */
    global String Day_to_Run__c;
    /**
     * <h3>Description</h3>
     * Internal use only
     */
    global String Description__c;
    /**
     * <h3>Dispatch Process</h3>
     * Internal use only
     */
    global Id Dispatch_Process__c;
    /**
     * <h3>Dispatch Process</h3>
     * Internal use only
     */
    global ServiceMax_Processes__c Dispatch_Process__r;
    /**
     * <h3>Display Map ID</h3>
     * ServiceMax map ID (MAP001, MAP002 etc.). Derived from object mapping automatically.
     */
    global String Display_Map_ID__c;
    /**
     * <h3>Field Type</h3>
     * Salesforce Display type of the field name
     * Data Type of Expression->Field is stored in this field
     */
    global String Display_Type__c;
    /**
     * <h3>Value</h3>
     * Setting value displayed in User Interface
     */
    global String Display_Value__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Enable Activity Tracking On</h3>
     * Indicates which of user's offline activities should be tracked and recorded in ServiceMax offline activity history
     */
    global String Enable_Activity_Tracking_On__c;
    /**
     * <h3>Enable Calendar</h3>
     * Indicates if users of this profile can use the calendar functionality in offline to download/upload events
     */
    global Boolean Enable_Calendar__c;
    /**
     * <h3>Enable Get Price</h3>
     */
    global Boolean Enable_Get_Price__c;
    /**
     * <h3>Enable Task</h3>
     */
    global Boolean Enable_Task__c;
    /**
     * <h3>Enter Date</h3>
     * Internal use only
     */
    global Date Enter_Date__c;
    global List<Event> Events;
    /**
     * <h3>Expression Rule</h3>
     * Internal use only
     */
    global Id Expression_Rule__c;
    /**
     * <h3>Expression Rule</h3>
     * Internal use only
     */
    global ServiceMax_Processes__c Expression_Rule__r;
    /**
     * <h3>Expression Type</h3>
     * Internal use only
     */
    global String Expression_Type__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    /**
     * <h3>Field Name</h3>
     * Salesforce API name of the field used in the expression
     */
    global String Field_Name__c;
    /**
     * <h3>Field Relationship Name</h3>
     * To store relationship name for reference fields.
     */
    global String Field_Relationship_Name__c;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Object Name Field</h3>
     * Salesforce API name of the Name-Field in the foreign key object
     */
    global String FKey_Name_Field__c;
    /**
     * <h3>Formula</h3>
     * This is to store body/ definition of formula.
     */
    global String Formula__c;
    global List<ServiceMax_Config_Data__History> Histories;
    /**
     * <h3>Installation Key</h3>
     * Installation key used when seeding default configuration settings
     */
    global String Installation_Key__c;
    /**
     * <h3>Internal Value</h3>
     * This value would be stored for a setting. This is an internal value for corresponding Display Value.
     */
    global String Internal_Value__c;
    /**
     * <h3>Inventory Process</h3>
     * Lookup to ServiceMax Process with Record type Inventory Process.
     */
    global Id Inventory_Process__c;
    /**
     * <h3>Inventory Process</h3>
     * Lookup to ServiceMax Process with Record type Inventory Process.
     */
    global ServiceMax_Processes__c Inventory_Process__r;
    /**
     * <h3>Is Default?</h3>
     * Flag to indicate if the record is default.
     */
    global Boolean IsDefault__c;
    global Boolean IsDeleted;
    /**
     * <h3>Is Name Field?</h3>
     */
    global Boolean Is_Name_Field__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Location Field From</h3>
     * Field to indicate if the Location is taken from Header object or line object in Inventory Process.
     */
    global String Location_Field_From__c;
    /**
     * <h3>Location Field Name</h3>
     * Enter API Name for the Location field in Inventory Process Step
     */
    global String Location_Field_Name__c;
    /**
     * <h3>Location Type</h3>
     * Select the type of Location.
     */
    global String Location_Type__c;
    /**
     * <h3>Route Location</h3>
     * Location of the next route stop
     */
    global Id Location__c;
    /**
     * <h3>Route Location</h3>
     * Location of the next route stop
     */
    global Site__c Location__r;
    /**
     * <h3>Lookup Field Name</h3>
     * API Name of the field which holds the ref to  cross object (Ex: FieldName in PartOrderLine which is lookup to WorkDetail/PartsReqLine)
     */
    global String Lookup_Field_API_Name__c;
    /**
     * <h3>Map ID</h3>
     * Lookup to ServiceMax Process with Record type Object Mapping
     */
    global Id MapID__c;
    /**
     * <h3>Map ID</h3>
     * Lookup to ServiceMax Process with Record type Object Mapping
     */
    global ServiceMax_Processes__c MapID__r;
    /**
     * <h3>Minimum Level</h3>
     */
    global Decimal Minimum_Level__c;
    global String Name;
    /**
     * <h3>Namespace</h3>
     * This field refers to the org namespace. This can be useful in calling the class defined in the namespace.
     */
    global String Namespace__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Object Name2</h3>
     */
    global String Object_Name2__c;
    /**
     * <h3>Object Name</h3>
     * Enter the API Name for the Object in Inventory Process Step.
     */
    global String Object_Name__c;
    global List<Offline_Object__c> Offline_Object__r;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Operand</h3>
     * Internal use only
     */
    global String Operand__c;
    /**
     * <h3>Operator</h3>
     * Internal use only
     */
    global String Operator__c;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Ownership Type</h3>
     */
    global String Ownership_Type__c;
    /**
     * <h3>Parameter Name</h3>
     */
    global String Parameter_Name__c;
    /**
     * <h3>Parameter Type</h3>
     */
    global String Parameter_Type__c;
    /**
     * <h3>Parameter Value</h3>
     */
    global String Parameter_Value__c;
    global FeedComment Parent;
    /**
     * <h3>Period End On</h3>
     * This field refers to number of days from which Timesheet Header will end.
     */
    global Decimal Period_End_On__c;
    /**
     * <h3>Period Start On</h3>
     * This field refers to number of days from which Timesheet Header will be created
     */
    global Decimal Period_Start_On__c;
    /**
     * <h3>Period</h3>
     * This field refers to type of duration for respective  Servicemax Config Data record.
     */
    global String Period__c;
    /**
     * <h3>Preference 2</h3>
     * Second preference for considering value of source field in field mapping
     */
    global String Preference_2__c;
    /**
     * <h3>Preference 3</h3>
     * Third preference for considering value of source field in field mapping
     */
    global String Preference_3__c;
    /**
     * <h3>Previous Execution Completed On</h3>
     * This field refers to date/ time at which Service's Last Run completed.
     */
    global Datetime Previous_Execution_Completed_On__c;
    /**
     * <h3>Previous Execution Started On</h3>
     * This field refers to date/ time at which Service's Last Run started.
     */
    global Datetime Previous_Execution_Started_On__c;
    /**
     * <h3>Previous Execution Status</h3>
     * This field refers Service's Last run status.
     */
    global String Previous_Execution_Status__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<ProductIQProfile__c> ProductIQ_Profile__r;
    /**
     * <h3>Profile Name</h3>
     * Configuration Profile Name.
     */
    global String Profile_Name__c;
    /**
     * <h3>Profile</h3>
     * Enter the Profile Name, This will be used in Configuration Access.
     */
    global String Profile__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    /**
     * <h3>Record Type Name</h3>
     * Formula field to store Record Type Name.
     */
    global String RecordType_Name__c;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Remove Events Older Than</h3>
     * Used by Offline Client. Events and Tasks older than the specified days will be deleted from the local database in Offline Client.
     */
    global Decimal Remove_Events_Older_Than2__c;
    /**
     * <h3>Remove Events Older Than  (Do Not Use)</h3>
     * Indicates to remove events and tasks older than number of days.
     */
    global String Remove_Events_Older_Than__c;
    /**
     * <h3>Remove Records Older Than</h3>
     * Used by Offline Client. It is applicable to all objects included as related object in some other dataset. For each related object, related records downloaded will get deleted based on this value, when they are no longer referenced.
     */
    global Decimal Remove_Records_Older_Than2__c;
    /**
     * <h3>Remove Records Older Than  (Do Not Use)</h3>
     * Indicates to remove records older than number of days
     */
    global String Remove_Records_Older_Than__c;
    /**
     * <h3>Required</h3>
     */
    global Boolean Required__c;
    /**
     * <h3>Run At</h3>
     */
    global String Run_At__c;
    /**
     * <h3>Run Type</h3>
     */
    global String Run_Type__c;
    /**
     * <h3>Schedule Days</h3>
     */
    global String Schedule_Days__c;
    /**
     * <h3>Schedule Type</h3>
     * This field provides additional information for scheduling by defining the type of schedule to be ran.
     */
    global String Schedule_Type__c;
    /**
     * <h3>Search Object Field Type</h3>
     */
    global String Search_Object_Field_Type__c;
    /**
     * <h3>Select</h3>
     * Internal use only
     */
    global Boolean Select__c;
    /**
     * <h3>Sequence</h3>
     * Sequence in which the Inventory Process Step is to be excuted.
     */
    global Decimal Sequence__c;
    /**
     * <h3>Service Team</h3>
     */
    global Id Service_Group__c;
    /**
     * <h3>Service Team</h3>
     */
    global Service_Group__c Service_Group__r;
    /**
     * <h3>Setting ID DO NOT USE</h3>
     * Lookup to ServiceMax Configuration
     */
    global Id SettingID__c;
    /**
     * <h3>Setting ID DO NOT USE</h3>
     * Lookup to ServiceMax Configuration
     */
    global ServiceMax_Settings__c SettingID__r;
    /**
     * <h3>Configuration Profile</h3>
     * Lookup To 'ServiceMax Configuration Data' object. Record Type 'Configuration Profile', Used in Setting Value.
     */
    global Id Setting_Configuration_Profile__c;
    /**
     * <h3>Configuration Profile</h3>
     * Lookup To 'ServiceMax Configuration Data' object. Record Type 'Configuration Profile', Used in Setting Value.
     */
    global ServiceMax_Config_Data__c Setting_Configuration_Profile__r;
    /**
     * <h3>Setting ID</h3>
     * Lookup to the setting definition for which value is entered.
     */
    global Id Setting_ID__c;
    /**
     * <h3>Setting ID</h3>
     * Lookup to the setting definition for which value is entered.
     */
    global ServiceMax_Processes__c Setting_ID__r;
    /**
     * <h3>Setting Unique ID</h3>
     * Unique ID of the setting across all submodules
     */
    global String Setting_Unique_ID__c;
    /**
     * <h3>Skill</h3>
     */
    global Id Skill__c;
    /**
     * <h3>Skill</h3>
     */
    global Skill__c Skill__r;
    global SObjectType SObjectType;
    /**
     * <h3>Sort Order</h3>
     */
    global String Sort_Order__c;
    /**
     * <h3>Source Field Name</h3>
     * API Name for the Source Field, Used in Field Mapping.
     */
    global String Source_Field_Name__c;
    /**
     * <h3>Stock History Header Lookup Field</h3>
     * API Name of the reference Field in Stock History for the Header transaction, This would be updated to bind a reference between Stock History and the transaction.
     */
    global String Stock_History_Header_Lookup_Field__c;
    /**
     * <h3>Stock History Line Lookup Field</h3>
     * API Name of the reference Field in Stock History for the Line transaction, This would be updated to bind a reference between Stock History and the transaction.
     */
    global String Stock_History_Line_Lookup_Field__c;
    /**
     * <h3>Stock Status</h3>
     * Enter the Status of Stock (Ex: Available, In-Transit, Consumed etc.)
     */
    global String Stock_Status__c;
    global List<ServiceMax_Config_Data__c> SVMX_Config_Data2__r;
    global List<ServiceMax_Config_Data__c> SVMX_Config_Data__r;
    /**
     * <h3>Sync Data On Login</h3>
     */
    global Boolean Sync_Data_On_Login__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Target Field Name</h3>
     * API Name for the Target Field, Used in Field Mapping.
     */
    global String Target_Field_Name__c;
    global List<Task> Tasks;
    /**
     * <h3>Territory</h3>
     */
    global Id Territory__c;
    /**
     * <h3>Territory</h3>
     */
    global Territory__c Territory__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Unprocessed</h3>
     */
    global Boolean Unprocessed__c;
    /**
     * <h3>User</h3>
     * Lookup to User.
     */
    global Id User__c;
    /**
     * <h3>User</h3>
     * Lookup to User.
     */
    global User User__r;
    /**
     * <h3>Validate User Credentials Every</h3>
     */
    global Decimal Validate_User_Credentials_Every__c;
    /**
     * <h3>Wizard Layout Column</h3>
     */
    global Decimal Wizard_Layout_Column__c;
    /**
     * <h3>Wizard Layout Row</h3>
     */
    global Decimal Wizard_Layout_Row__c;

    global ServiceMax_Config_Data__c()
    {
    }
}