// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>ServiceMax Configuration</h3>
 * Organization-wide settings impacting the functionality of ServiceMax
 */
global class /*SVMXC__*/ServiceMax_Settings__c extends SObject 
{
    /**
     * <h3>Active</h3>
     * Flag to indicate if the setting is active or inactive.
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Allow Entitlement Filters</h3>
     * Flag indicates if a user can specify filters on future/expired entitlements on the entitlement screen, or if the screen should use org-wide settings.
     */
    global Boolean Allow_Entitlement_Filters__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Cancel Parts Request Messages</h3>
     * Labels and messages used in the Cancel Parts Request module.
     */
    global String Cancel_Parts_Request_Messages__c;
    /**
     * <h3>Cancel Shipment Order Messages</h3>
     * Labels and messages used in the Cancel Shipment Order module.
     */
    global String Cancel_Shipment_Order_Messages__c;
    /**
     * <h3>Cancel SVO Parts Request Messages</h3>
     * Field labels and messages dispalyed for Cancel Work Order Parts requests module, both header and line.
     */
    global String Cancel_SVO_Parts_Request_Messages__c;
    /**
     * <h3>Enforcing Uniqueness of Serial Number</h3>
     * Indicates the level of enforcement required for serial number uniqueness.
     * Strict: Only unique serial numbers will be permitted
     * Soft: Warning message for uniqueness violations
     * None: No warning/error for duplicate serial numbers
     */
    global String Check_Serial_Uniqueness__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Complete RMA Shipment Messages</h3>
     * Field labels and messages dispalyed for Complete RMA and Complete Shipment modules.
     */
    global String Complete_RMA_Shipment_Messages__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Country</h3>
     * Not used
     */
    global String Country__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>Create Shipment From Parts Request Msgs</h3>
     * Labels and messages used in the Create shipment from Parts Request module.
     */
    global String Create_Shipment_From_Parts_Request_Msgs__c;
    /**
     * <h3>Create Shipment From RMA Messages</h3>
     * Labels and messages used in the Create Shipment From RMA module.
     */
    global String Create_Shipment_From_RMA_Messages__c;
    /**
     * <h3>Create Shipment From SVO (Inv) Messages</h3>
     * Labels and messages used in the Create Shipment From SVO in Inventory module.
     */
    global String Create_Shipment_From_SVO_Messages__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Default Currency</h3>
     * This is to specify default currency settings of the org.
     */
    global String CurrencyIsoCode__c;
    /**
     * <h3>Data Type</h3>
     * Data Type of the value(s) for the setting.
     */
    global String Data_Type__c;
    /**
     * <h3>DC Messages</h3>
     * Labels and messages used in dispatch console module
     */
    global String DC_Messages__c;
    /**
     * <h3>DC Service Team Help URL</h3>
     * Dispatch Console service team section help URL
     */
    global String DC_Service_Group_Help_URL__c;
    /**
     * <h3>DC Work Order Help URL</h3>
     * Dispatch Console work order section help URL
     */
    global String DC_Service_Order_Help_URL__c;
    /**
     * <h3>DC Work Order Schedule Help URL</h3>
     * Dispatch Console work order schedule section help URL
     */
    global String DC_Service_Order_Schedule_Help_URL__c;
    /**
     * <h3>Default Calender Slot From Time</h3>
     * Default start time that will be considered while displaying the technician/equipment calendar in schedule section in dispatch console
     */
    global String Default_Calender_Slot_From_Time__c;
    /**
     * <h3>Default Calender Slot To Time</h3>
     * Default end time that will be considered while displaying the technician/equipment calendar in schedule section in dispatch console
     */
    global String Default_Calender_Slot_To_Time__c;
    /**
     * <h3>Default Dispatch Schedule Duration Hrs</h3>
     * Default time in hours to schedule an work order to an technician/equipment
     */
    global String Default_Dispatch_Schedule_Duration_Hrs__c;
    /**
     * <h3>Default Dispatch Schedule Duration Mins</h3>
     * Default time in minutes to schedule an work order to an technician/equipment
     */
    global String Default_Dispatch_Schedule_Duration_Mins__c;
    /**
     * <h3>Default Price Book</h3>
     * Indicates the default pricebook to be used in service transactions (Estimates, Usage) and posting stock history
     */
    global String Default_Price_Book__c;
    /**
     * <h3>Default Value</h3>
     * Default value for a setting, this value should be one of the value in Values fields.
     */
    global String Default_Value__c;
    /**
     * <h3>Derive Product from IB</h3>
     * Flag indicates if the product should be derived from Installed product in case screen
     */
    global Boolean Derive_Product_from_IB__c;
    /**
     * <h3>Distance Radius</h3>
     * Default radius used for service team/technician search
     */
    global Decimal Distance_Radius__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Enable Inventory Module</h3>
     * Flag Indicates if inventory functionality has been enabled for this organization or not.
     */
    global Boolean Enable_Inventory_Module__c;
    /**
     * <h3>Enable Serial Tracking</h3>
     * Flag Indicates if this organization requires tracking of product stock at the serial number level
     */
    global Boolean Enable_Serial_Tracking__c;
    /**
     * <h3>Enforce Serial Uniqueness</h3>
     * Not used
     */
    global String Enforce_Serial_Uniqueness__c;
    /**
     * <h3>Entitlement Messages</h3>
     * Labels and messages used in ServiceMax entitlement module. Use translation workbench to customize these for your organization.
     */
    global String Entitlement_Messages__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<ServiceMax_Settings__History> Histories;
    /**
     * <h3>IB Messages</h3>
     * Labels and messages used in ServiceMax Installed Product module. Use translation workbench to customize these for your organization.
     */
    global String IB_Messages__c;
    /**
     * <h3>Inventory Module Status</h3>
     * Indicates if inventory module has been enabled for this organization or not
     */
    global String Inventory_Module_Status__c;
    global Boolean IsDeleted;
    /**
     * <h3>IsPrivate</h3>
     * Flag to indicate that the setting is for internal use by ServiceMax.
     */
    global Boolean IsPrivate__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>MailMerge Messages</h3>
     * Field labels and messages dispalyed for Mail Merge module.
     */
    global String MailMerge_Messages__c;
    /**
     * <h3>Match Account In Entitlement</h3>
     * Flag indicates if the account on case/service order should be matched with account on service contract when entitling on a serial number.
     */
    global Boolean Match_Account_In_Entitlement__c;
    /**
     * <h3>Messages</h3>
     * DO NOT USE. OBSOLETED. Replaced by module-specific message/label picklist
     */
    global String Messages__c;
    /**
     * <h3>Module</h3>
     * ServiceMax module in which this setting is used. Lookup to ServiceMax Process: Record Type 'Module'
     */
    global Id Module__c;
    /**
     * <h3>Module</h3>
     * ServiceMax module in which this setting is used. Lookup to ServiceMax Process: Record Type 'Module'
     */
    global ServiceMax_Processes__c Module__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Notify On Negative Stock - Email</h3>
     * Notify on Negative Stock Email Address
     */
    global String Notify_On_Negative_Stock_Email__c;
    /**
     * <h3>Notify on Negative Stock</h3>
     * Link to an existing salesforce user. User to be notified when Available or In Transit stock reaches negative number in any transaction
     */
    global Id Notify_on_Negative_Stock__c;
    /**
     * <h3>Notify on Negative Stock</h3>
     * Link to an existing salesforce user. User to be notified when Available or In Transit stock reaches negative number in any transaction
     */
    global User Notify_on_Negative_Stock__r;
    /**
     * <h3>Offline Messages( DO NOT USE)</h3>
     * Labels and messages to be used in ServiceMax Offline( DO NOT USE)
     */
    global String Offline_Messages_del__c;
    /**
     * <h3>Offline Objects( DO NOT USE)</h3>
     * Objects to be enabled for ServiceMax offline( DO NOT USE)
     */
    global String Offline_Objects_del__c;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Parts Request Price Book</h3>
     * Not used
     */
    global String Parts_Request_Price_Book__c;
    /**
     * <h3>Post Stock Adj To Inventory Messages</h3>
     * Labels and messages used in the Post Stock Adjustment To Inventory module.
     */
    global String Post_Stock_Adj_To_Inventory_Messages__c;
    /**
     * <h3>Post Stock Tran To Inventory Messages</h3>
     * Labels and messages used in the Post Stock Transfer To Inventory module.
     */
    global String Post_Stock_Tran_To_Inventory_Messages__c;
    /**
     * <h3>Post SVO Usage To Inventory Messages</h3>
     * Labels and messages used in the Post SVO Usage To Inventory module.
     */
    global String Post_SVO_Usage_To_Inventory_Messages__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Process PR Receipts Messages</h3>
     * Labels and messages used in the Process Receipts for Parts Request module.
     */
    global String Process_PR_Receipts_Messages__c;
    /**
     * <h3>Process Receipts For RMA Messages</h3>
     * Labels and messages used in the Process Receipts For RMA module.
     */
    global String Process_Receipts_For_RMA_Messages__c;
    /**
     * <h3>Process SVO Receipts (Inv) Messages</h3>
     * Labels and messages used in the Process Receipts For SVO in Inventory module.
     */
    global String Process_Receipts_For_SVO_Messages__c;
    /**
     * <h3>Process Shipments (Inv) Messages</h3>
     * Labels and messages used in the Process Shipments in Inventory module.
     */
    global String Process_Shipments_Messages__c;
    /**
     * <h3>Process SVO Receipts Messages</h3>
     * Field labels and messages dispalyed for Service Order Process Receipts module.
     */
    global String Process_SVO_Receipts_Messages__c;
    /**
     * <h3>Quick Dispatch Messages</h3>
     * Labels and messages used in Find Partner/Find Technician module in Work Order.
     */
    global String Quick_Dispatch_Messages__c;
    /**
     * <h3>Quote From SVO Messages</h3>
     * Field labels and messages dispalyed for Create Quote from SVO module.
     */
    global String Quote_From_SVO_Messages__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>RMA From Case Messages</h3>
     * Field labels and messages dispalyed for Create RMA from Case module.
     */
    global String RMA_From_Case_Messages__c;
    /**
     * <h3>RMA From SVO Messages</h3>
     * Field labels and messages dispalyed for Create RMA from SVO module.
     */
    global String RMA_From_SVO_Messages__c;
    /**
     * <h3>RMA Line Price Book</h3>
     * Not used
     */
    global String RMA_Line_Price_Book__c;
    /**
     * <h3>SC Activation Messages</h3>
     * Field labels and messages dispalyed for Service Contracts Activation module.
     */
    global String SC_Activation_Messages__c;
    /**
     * <h3>SC Cancelation Messages</h3>
     * Field labels and messages dispalyed for Service Contracts Cancelation module.
     */
    global String SC_Cancelation_Messages__c;
    /**
     * <h3>SC Renewal Messages</h3>
     * Field labels and messages dispalyed for Service Contracts Renewal module.
     */
    global String SC_Renewal__c;
    /**
     * <h3>Search Order 1</h3>
     * Field to define which configuration profile value will take FIRST preference if more than one configuration profiles are found for a setting.
     */
    global String Search_Order_1__c;
    /**
     * <h3>Search Order 2</h3>
     * Field to define which configuration profile value will take SECOND preference if more than two configuration profiles are found for a setting.
     */
    global String Search_Order_2__c;
    /**
     * <h3>Search Order 3</h3>
     * Field to define which configuration profile value will take THIRD preference if more than three configuration profiles are found for a setting.
     */
    global String Search_Order_3__c;
    /**
     * <h3>Serial Selection Messages</h3>
     * Labels and messages used in Serial selection module in inventory.
     */
    global String Serial_Selection_Messages__c;
    /**
     * <h3>Setting ID</h3>
     * A unique Identification of setting within a module/submodule.
     */
    global String SettingID__c;
    /**
     * <h3>Setting Type</h3>
     * Setting Type: Global/Group or User
     */
    global String Setting_Type__c;
    /**
     * <h3>Shipment From Case Messages</h3>
     * Field labels and messages dispalyed for Create Shipment Order from Case module.
     */
    global String Shipment_From_Case_Messages__c;
    /**
     * <h3>Shipment From SVO Messages</h3>
     * Field labels and messages dispalyed for Create Shipment order from SVO module.
     */
    global String Shipment_From_SVO_Messages__c;
    /**
     * <h3>Shipment Line Price Book</h3>
     * Not used
     */
    global String Shipment_Line_Price_Book__c;
    /**
     * <h3>Show Expired Entitlements</h3>
     * Flag indicates if expired warranties and service contracts should be displayed on the entitlement screen.
     */
    global Boolean Show_Expired_Entitlements__c;
    /**
     * <h3>Show Future Entitlements</h3>
     * Flag indicates if future-dated warranties and service contracts should be displayed on the entitlement screen.
     */
    global Boolean Show_Future_Entitlements__c;
    global SObjectType SObjectType;
    /**
     * <h3>Stock Lookup Messages</h3>
     * Labels and messages used in the Stock Lookup module used in Work Order/Parts Requests.
     */
    global String Stock_Lookup_Messages__c;
    /**
     * <h3>Submodule</h3>
     * ServiceMax sub module in which this setting is used. Lookup to ServiceMax process: Record Type 'Submodule'
     */
    global Id Submodule__c;
    /**
     * <h3>Submodule</h3>
     * ServiceMax sub module in which this setting is used. Lookup to ServiceMax process: Record Type 'Submodule'
     */
    global ServiceMax_Processes__c Submodule__r;
    global List<ServiceMax_Config_Data__c> SVMX_Config_Data__r;
    /**
     * <h3>SVO Closure Messages</h3>
     * Field labels and messages dispalyed for Close Service Order module.
     */
    global String SVO_Closure_Messages__c;
    /**
     * <h3>SVO Estimate Price Book</h3>
     * Not used
     */
    global String SVO_Estimate_Price_Book__c;
    /**
     * <h3>SVO From Case Messages</h3>
     * Field labels and messages dispalyed for Create SVO from Case module.
     */
    global String SVO_From_Case_Messages__c;
    /**
     * <h3>SVO Usage Price Book</h3>
     * Not used
     */
    global String SVO_Usage_Price_Book__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Validate Address Messages</h3>
     * Field labels and messages dispalyed for Validate Address module.
     */
    global String Validate_Address_Messages__c;
    /**
     * <h3>Validate Address</h3>
     * Labels and messages displayed in Validate Address module used in Service Team,Technician/Equipment.
     */
    global String Validate_Address__c;
    /**
     * <h3>Values</h3>
     * List of values allowed for this setting, where applicable.  Uses special delimiter (~|~ ) when multiple values are entered.
     */
    global String Values__c;
    /**
     * <h3>Create Warranty On IB create</h3>
     * Create warranty on Installed Product creation
     */
    global Boolean Warranty_On_IB_Creation__c;
    /**
     * <h3>Create Warranty On IB update</h3>
     * Create warranty on Installed Product update
     */
    global Boolean Warranty_On_IB_update__c;

    global ServiceMax_Settings__c()
    {
    }
}