// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Service/Maintenance Contract</h3>
 * Service Contract documents details of entitlement provided to a customer for products bought. Usually shipped/delivered products are covered for a predefined period through a basic warranty. If customers wish to get coverage for repairs beyond the normal warranty period, they normally purchase extended service contracts. Service contract is interchangeably referred to as a service agreement as well.
 */
global class /*SVMXC__*/Service_Contract__c extends SObject 
{
    /**
     * <h3>Activation Notes</h3>
     * Service/Maintenance Contract Activation Notes
     */
    global String Activation_Notes__c;
    /**
     * <h3>Active</h3>
     * Flag indicating if this contract is currently active or not. This flag is checked automatically when you activate a contract
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>All Contacts Covered</h3>
     * Flag that indicates if all contacts from this customer are entitled for support. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean All_Contacts_Covered__c;
    /**
     * <h3>All Products Covered</h3>
     * Flag that indicates if this contract covers all products purchased by this customer.
     */
    global Boolean All_Products_Covered__c;
    /**
     * <h3>All Services Covered</h3>
     * Flag that indicates if the customer is entitled to all types of services offered. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean All_Services_Covered__c;
    /**
     * <h3>All Sites Covered</h3>
     * Flag that indicates if all customer locations are covered by this contract. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean All_Sites_Covered__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billing Schedule</h3>
     * Indicates the frequency of how the customer prefers to be invoiced for the contract amount
     */
    global String Billing_Schedule__c;
    /**
     * <h3>Business Hours</h3>
     */
    global Id Business_Hours__c;
    /**
     * <h3>Business Hours</h3>
     */
    global BusinessHours Business_Hours__r;
    /**
     * <h3>Cancelation Notes</h3>
     * Service/Maintenance Contract Cancelation Notes
     */
    global String Cancelation_Notes__c;
    /**
     * <h3>Canceled By</h3>
     * Name of the salesforce user  that canceled this service contract
     */
    global Id Canceled_By__c;
    /**
     * <h3>Canceled By</h3>
     * Name of the salesforce user  that canceled this service contract
     */
    global User Canceled_By__r;
    /**
     * <h3>Canceled On</h3>
     * Date/time on which this service contract was canceled
     */
    global Datetime Canceled_On__c;
    global List<Case> Cases__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Account</h3>
     * Customer to whom this service contract is sold. Is a lookup to an existing salesforce account record
     */
    global Id Company__c;
    /**
     * <h3>Account</h3>
     * Customer to whom this service contract is sold. Is a lookup to an existing salesforce account record
     */
    global Account Company__r;
    /**
     * <h3>Contact</h3>
     * Name of the contact person from the customer account associated with this contract. Is a lookup to an existing salesforce contact record
     */
    global Id Contact__c;
    /**
     * <h3>Contact</h3>
     * Name of the contact person from the customer account associated with this contract. Is a lookup to an existing salesforce contact record
     */
    global Contact Contact__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Contract Price</h3>
     * Total price of the service contract before discount
     */
    global Currency Contract_Price2__c;
    /**
     * <h3>Contract Price(DO NOT USE)</h3>
     * Total price of the service contract before discount
     */
    global Currency Contract_Price__c;
    global List<Counter_Details__c> Counter_Details__r;
    global List<Counter_Rollup__c> Counter_Rollups__r;
    /**
     * <h3>Counter Usages Processed Until</h3>
     */
    global Datetime Counter_Usages_Processed_Until__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<Custom_Coverage__c> Custom_Coverages__r;
    /**
     * <h3>Default Group Member</h3>
     * Not used
     */
    global Id Default_Group_Member__c;
    /**
     * <h3>Default Group Member</h3>
     * Not used
     */
    global Service_Group_Members__c Default_Group_Member__r;
    /**
     * <h3>Default Parts Price Book</h3>
     * Default price book to be used when no parts price is defined
     */
    global String Default_Parts_Price_Book__c;
    /**
     * <h3>Default Service Group</h3>
     * Not used
     */
    global Id Default_Service_Group__c;
    /**
     * <h3>Default Service Group</h3>
     * Not used
     */
    global Service_Group__c Default_Service_Group__r;
    /**
     * <h3>Default Travel Price</h3>
     */
    global Currency Default_Travel_Price__c;
    /**
     * <h3>Default Travel Unit</h3>
     */
    global String Default_Travel_Unit__c;
    /**
     * <h3>Discounted Price</h3>
     * Contract Price minus discount. Calculated automatically
     */
    global Currency Discounted_Price2__c;
    /**
     * <h3>Discounted Price(DO NOT USE)</h3>
     * Contract Price minus discount. Calculated automatically
     */
    global Currency Discounted_Price__c;
    /**
     * <h3>Discount%</h3>
     * Percentage discount to be applied on the contract price
     */
    global Decimal Discount__c;
    /**
     * <h3>Download to Mobile</h3>
     */
    global Decimal Download_to_Mobile__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>EndpointURL</h3>
     * Not used
     */
    global String EndpointURL__c;
    /**
     * <h3>End Date</h3>
     * End date of the service contract
     */
    global Date End_Date__c;
    global List<Event> Events;
    /**
     * <h3>Exchange Type</h3>
     * Type of exchange allowed as per the service contract
     */
    global String Exchange_Type__c;
    global List<Expense_Pricing__c> Expense_Pricing__r;
    /**
     * <h3>External ID</h3>
     */
    global String External_ID__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Service_Contract__History> Histories;
    global List<Installed_Product__c> Installed_Products__r;
    global Boolean IsDeleted;
    global List<Labor_Pricing__c> Labor_Pricing__r;
    /**
     * <h3>Rounding Type (Labor)</h3>
     */
    global String Labor_Rounding_Type__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global List<Mileage_Tiers__c> Mileage_Tiers__r;
    /**
     * <h3>Minimum Labor (Mins)</h3>
     * Minimum labor price for overtime
     */
    global Decimal Minimum_Labor__c;
    /**
     * <h3>Minimum Travel (Mins)</h3>
     * Minimum labor price for travel
     */
    global Decimal Minimum_Travel__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<Parts_Discount__c> Parts_Discount_Service_Contract__r;
    global List<Parts_Pricing__c> Parts_Pricing__r;
    global List<PM_Offering__c> PM_Offerings__r;
    global List<PM_Plan__c> PM_Plan__r;
    global List<Pricing_Rule__c> Pricing_Rule__r;
    /**
     * <h3>Primary Technician</h3>
     * Primary technician for this service contract. Reference to an existing Technician record in ServiceMax
     */
    global Id Primary_Technician__c;
    /**
     * <h3>Primary Technician</h3>
     * Primary technician for this service contract. Reference to an existing Technician record in ServiceMax
     */
    global Service_Group_Members__c Primary_Technician__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Proforma_Invoice_Detail__c> Proforma_Invoice_Detail__r;
    global List<Proforma_Invoice_Line__c> Proforma_Invoice_Line__r;
    global List<Entitlement_History__c> R00N70000001hzcQEAQ__r;
    global List<Service_Contract_Contacts__c> R00N70000001hzcxEAA__r;
    global List<Service_Contract_Products__c> R00N70000001hzdaEAA__r;
    global List<Service_Contract_Services__c> R00N70000001hzdmEAA__r;
    global List<Service_Contract__c> R00N70000001hzdoEAA__r;
    global List<Service_Contract_Sites__c> R00N70000001hzdvEAA__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Renewal Date</h3>
     * Date on which the contract was renewed
     */
    global Date Renewal_Date__c;
    /**
     * <h3>Renewal Notes</h3>
     * Service/Maintenance Contract Renewal Notes
     */
    global String Renewal_Notes__c;
    /**
     * <h3>Renewal Number</h3>
     * This is incremented automatically when an existing service contract is renewed
     */
    global Decimal Renewal_Number__c;
    /**
     * <h3>Renewed From</h3>
     * The original service contract from which this contract was renewed. Is populated automatically when a service contract is renewed
     */
    global Id Renewed_From__c;
    /**
     * <h3>Renewed From</h3>
     * The original service contract from which this contract was renewed. Is populated automatically when a service contract is renewed
     */
    global Service_Contract__c Renewed_From__r;
    /**
     * <h3>Round Labor To Nearest (Mins)</h3>
     * Maximum minutes a technician can work as overtime
     */
    global Decimal Round_Labor_To_Nearest__c;
    /**
     * <h3>Round Travel to Nearest (Mins)</h3>
     * Upon travel based on timing, what is the increment used to round off travel time
     */
    global Decimal Round_Travel_To_Nearest__c;
    /**
     * <h3>Sales Rep</h3>
     * Name of the internal sales representative responsible for or involved in selling this contract. Is a lookup to a valid salesforce user
     */
    global Id Sales_Rep__c;
    /**
     * <h3>Sales Rep</h3>
     * Name of the internal sales representative responsible for or involved in selling this contract. Is a lookup to a valid salesforce user
     */
    global User Sales_Rep__r;
    /**
     * <h3>Select</h3>
     * Field to bind check box in List of Service Contract Line records on Visualforce page with controller.
     */
    global Boolean Select__c;
    /**
     * <h3>Service Contract Notes</h3>
     * Free text that shows any exceptions or conditions that apply when entitling the customer based on this contract. Information entered here is displayed on the Case Entitlement when this contract is used.
     */
    global String Service_Contract_Notes__c;
    /**
     * <h3>SLA Terms</h3>
     * Service level the customer is entitled to by this contract. Is a lookup to an existing service level record
     */
    global Id Service_Level__c;
    /**
     * <h3>SLA Terms</h3>
     * Service level the customer is entitled to by this contract. Is a lookup to an existing service level record
     */
    global Service_Level__c Service_Level__r;
    /**
     * <h3>Service Plan</h3>
     */
    global Id Service_Plan__c;
    /**
     * <h3>Service Plan</h3>
     */
    global Service_Plan__c Service_Plan__r;
    /**
     * <h3>Service Pricebook</h3>
     */
    global Id Service_Pricebook__c;
    /**
     * <h3>Service Pricebook</h3>
     */
    global Service_Pricebook__c Service_Pricebook__r;
    /**
     * <h3>SESSION ID</h3>
     * Not used
     */
    global String SESSION_ID__c;
    global SObjectType SObjectType;
    global List<SPM_Average_Response_Time__c> SPM_Average_Response_Times__r;
    global List<SPM_Contract_Penetration__c> SPM_Contract_Penetrations__r;
    global List<SPM_Repeat_Visit__c> SPM_Repeat_Visit__r;
    global List<SPM_Contract_Up_Time__c> SPM_Up_Time_Details__r;
    /**
     * <h3>Start Date</h3>
     * Start date of the service contract
     */
    global Date Start_Date__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    global List<Travel_Policy__c> Travel_Pricing__r;
    /**
     * <h3>Rounding Type (Travel)</h3>
     */
    global String Travel_Rounding_Type__c;
    /**
     * <h3>Weeks To Renewal</h3>
     * Number of weeks before the contract expires. Calculated automatically
     */
    global Decimal Weeks_To_Renewal__c;
    global List<Service_Order_Line__c> Work_Details__r;
    global List<Service_Order__c> Work_Orders1__r;
    global List<Zone_Pricing__c> Zone_Pricing__r;
    /**
     * <h3>Zone</h3>
     */
    global String Zone__c;

    global Service_Contract__c()
    {
    }
}