// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Technician/Equipment</h3>
 * Service Group enables definition of your entire service organization. Service group definition includes details of group members, products in which the group specializes in, the skills available in the group, typical service delivery costs as well as geographies covered by the group.
 */
global class /*SVMXC__*/Service_Group_Members__c extends SObject 
{
    global List<Account> Account__r;
    /**
     * <h3>Active</h3>
     * Flag indicates if this member is active and available for service order assignments. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Anniversary Date</h3>
     */
    global Date Anniversary_Date__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Average Drive Time</h3>
     */
    global Decimal Average_Drive_Time__c;
    /**
     * <h3>Average Speed</h3>
     * Average traveling speed for the technician
     */
    global Decimal Average_Speed__c;
    /**
     * <h3>Break Duration</h3>
     * Duration of technician's break in minutes
     */
    global Decimal Break_Duration__c;
    /**
     * <h3>Break Hours</h3>
     * Break hours applicable to the technician. Reference to an existing Business Hours record in Salesforce
     */
    global Id Break_Hours__c;
    /**
     * <h3>Break Hours</h3>
     * Break hours applicable to the technician. Reference to an existing Business Hours record in Salesforce
     */
    global BusinessHours Break_Hours__r;
    /**
     * <h3>Break Type</h3>
     * Type of break: Fixed or Floating. Not used
     */
    global String Break_Type__c;
    /**
     * <h3>City</h3>
     * “City” part of the technician's address
     */
    global String City__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Country</h3>
     * “Country” part of the technician's address
     */
    global String Country__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Download to Mobile</h3>
     */
    global Decimal Download_to_Mobile__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Email</h3>
     * Email of the technician
     */
    global Email Email__c;
    /**
     * <h3>Employment Status</h3>
     * Reflects the current employment status for this technician
     */
    global String Employment_Status__c;
    /**
     * <h3>Enable Scheduling</h3>
     * Indicates if the technician's calendar must be managed by ServiceMax. Applies to third-party technicians and equipment that are not linked to a Salesforce user
     */
    global Boolean Enable_Scheduling__c;
    global List<Event> Events;
    /**
     * <h3>External ID</h3>
     */
    global String External_ID__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Fixed Cost</h3>
     * Any fixed costs associated with the technician for each day of work order activity. Used in dispatch optimization
     */
    global Currency Fixed_Cost__c;
    /**
     * <h3>FST Anniversary</h3>
     */
    global Date FST_Anniversary__c;
    /**
     * <h3>FST YTD Hours Worked</h3>
     * Contains the total hours worked since technician's last anniversary.  Updated automatically when the TSDT record is updated.
     */
    global Decimal FST_YTD_Hours_Worked__c;
    global List<SPM_First_Time_Fix__c> FTF_Details__r;
    global List<Service_Group_Members__History> Histories;
    global List<Installed_Product__c> Installed_Product__r;
    /**
     * <h3>Inventory Location</h3>
     * Technician's inventory location
     */
    global Id Inventory_Location__c;
    /**
     * <h3>Inventory Location</h3>
     * Technician's inventory location
     */
    global Site__c Inventory_Location__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Home Latitude</h3>
     * Home address location north or south of the equator.
     */
    global Decimal Latitude_Home__c;
    /**
     * <h3>Current Latitude</h3>
     * Address location north or south of the equator.
     */
    global Decimal Latitude__c;
    /**
     * <h3>Home Longitude</h3>
     * Home address east west geographic coordinate measurement.
     */
    global Decimal Longitude_Home__c;
    /**
     * <h3>Current Longitude</h3>
     * East west geographic coordinate measurement.
     */
    global Decimal Longitude__c;
    /**
     * <h3>Max Daily Hours</h3>
     * Limits on number of hours of work order activity per day. Though this option is available, it is recommended to use business hours and break hours to indicate technician’s availability. Used in dispatch optimization
     */
    global Decimal Max_Daily_Hours__c;
    /**
     * <h3>Max Distance</h3>
     * Distance if the technician cannot travel beyond this limit on a given route. Used in dispatch optimization
     */
    global Decimal Max_Distance__c;
    /**
     * <h3>Max Hours</h3>
     */
    global Decimal Max_Hours__c;
    /**
     * <h3>Member information</h3>
     * Additional information about the member relevant to service delivery
     */
    global String Member_information__c;
    global List<SPM_Mean_Time_To_Repair__c> MTTR__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Optimizer External Identifier</h3>
     * Some identifier from the external scheduling optimizer to link the Technician
     */
    global String Optimizer_External_ID__c;
    /**
     * <h3>Overtime Hours</h3>
     * Overtime hours applicable to the technician. Reference to an existing Business Hours record in Salesforce
     */
    global Id Overtime_Hours__c;
    /**
     * <h3>Overtime Hours</h3>
     * Overtime hours applicable to the technician. Reference to an existing Business Hours record in Salesforce
     */
    global BusinessHours Overtime_Hours__r;
    global FeedComment Parent;
    /**
     * <h3>Per Hour Cost</h3>
     * Average cost of technician’s time. Used in dispatch optimization
     */
    global Currency Per_Hour_Cost__c;
    /**
     * <h3>Per Mile Cost</h3>
     * Average travel cost per mile for the technician. Used in dispatch optimization
     */
    global Currency Per_Mile_Cost__c;
    /**
     * <h3>Phone</h3>
     * Telephone number of the technician
     */
    global String Phone__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global List<Resource_Preference__c> Resource_Preferences__r;
    /**
     * <h3>Role</h3>
     * Role of the member in the group.
     */
    global String Role__c;
    /**
     * <h3>Salesforce User</h3>
     * Lookup to an existing salesforce User.
     */
    global Id Salesforce_User__c;
    /**
     * <h3>Salesforce User</h3>
     * Lookup to an existing salesforce User.
     */
    global User Salesforce_User__r;
    /**
     * <h3>Select</h3>
     * Checkbox used in ServiceMax screens to manage record selection
     */
    global Boolean Select__c;
    global List<ServiceMax_Processes__c> ServiceMax_Processes__r;
    global List<Service_Contract__c> Service_Contract_Primary_Tech__r;
    global List<Service_Contract__c> Service_Contract__r;
    global List<Service_Group_Costs__c> Service_Group_Costs__r;
    global List<Service_Group_Product__c> Service_Group_Product__r;
    global List<Service_Group_Site__c> Service_Group_Site__r;
    global List<Service_Group_Skills__c> Service_Group_Skills__r;
    /**
     * <h3>Service Team</h3>
     * Name of the service group. Is a lookup to an existing service group in ServiceMax
     */
    global Id Service_Group__c;
    /**
     * <h3>Service Team</h3>
     * Name of the service group. Is a lookup to an existing service group in ServiceMax
     */
    global Service_Group__c Service_Group__r;
    global List<Service_Order_Line__c> Service_Order_Line__r;
    global List<Service_Order__c> Service_Order_Pref_Tech__r;
    global List<Service_Order__c> Service_Order__r;
    /**
     * <h3>Service Territory</h3>
     * Service territory to which this technician belongs. Reference to an existing Territory record in ServiceMax
     */
    global Id Service_Territory__c;
    /**
     * <h3>Service Territory</h3>
     * Service territory to which this technician belongs. Reference to an existing Territory record in ServiceMax
     */
    global Territory__c Service_Territory__r;
    global SObjectType SObjectType;
    global List<SPM_Average_Response_Time__c> SPM_Average_Response_Times__r;
    global List<SPM_Mean_Time_To_Complete__c> SPM_Mean_Time_To_Complete__r;
    global List<SPM_Repeat_Visit__c> SPM_Repeat_Visit__r;
    /**
     * <h3>State</h3>
     * “State” part of the technician's address
     */
    global String State__c;
    /**
     * <h3>Street</h3>
     * “Street” part of the technician's address
     */
    global String Street__c;
    global List<SVMX_Event__c> SVMX_Event__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Technician Manager</h3>
     */
    global String Technician_Manager__c;
    global List<SPM_Utilization__c> Technician_Utilizations__r;
    /**
     * <h3>Third Party</h3>
     * Indicates if the technician is a salesforce user or third party vendor
     */
    global Boolean Third_Party__c;
    global List<SVMXC_Timesheet__c> Timesheets_del__r;
    global List<TimeSheet__c> TimeSheet__r;
    global List<SVMXC_Time_Entry__c> Time_Entries__r;
    global List<Time_Sheet_Daily_Totals__c> Time_Sheet_Daily_Totals__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Working Hours</h3>
     * Working Hours applicable to the technician. Reference to an existing Business Hours record in Salesforce
     */
    global Id Working_Hours__c;
    /**
     * <h3>Working Hours</h3>
     * Working Hours applicable to the technician. Reference to an existing Business Hours record in Salesforce
     */
    global BusinessHours Working_Hours__r;
    global List<Work_Order_Resource__c> Work_Order_Resources__r;
    /**
     * <h3>Zip</h3>
     * “Zip code” part of the technician's address
     */
    global String Zip__c;

    global Service_Group_Members__c()
    {
    }
}