// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>SLA Terms</h3>
 * Service Level indicates the details of coverage a customer is entitled to in a service contract. For example, a Bronze level coverage might be used to provide a response within a maximum of 24 hours whereas Platinum level coverage can be used for response within 4 hours. Service level can also be used to indicate exceptions, and coverage based on time-of-the-day (8 or 24) and day-of-the-week (5 or 7) support eligibility of a customer.
 */
global class /*SVMXC__*/Service_Level__c extends SObject 
{
    /**
     * <h3>Active</h3>
     * Indicates if this service level is currently active and available for use
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Business Hours</h3>
     */
    global Id Business_Hours__c;
    /**
     * <h3>Business Hours</h3>
     */
    global BusinessHours Business_Hours__r;
    global List<Case> Cases__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global List<Service_Contract_Sites__c> Covered_Locations__r;
    global List<Service_Contract_Products__c> Covered_Products__r;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Description</h3>
     * Detailed description of the service level. Information entered here are displayed on the Case entitlement screen when a service contract is selected
     */
    global String Description__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Effective Date</h3>
     * Date from which this service level is available for offering to customers through service contracts
     */
    global Date Effective_Date__c;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Service_Level__History> Histories;
    /**
     * <h3>Initial Response Tracked On</h3>
     */
    global String Initial_Response_Tracked_On__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Onsite Response Tracked On</h3>
     */
    global String Onsite_Response_Tracked_On__c;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<PM_Plan__c> PM_Plan__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Service_Contract__c> R00N70000001hzdfEAA__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Resolution Tracked On</h3>
     */
    global String Resolution_Tracked_On__c;
    /**
     * <h3>Restoration Tracked On</h3>
     */
    global String Restoration_Tracked_On__c;
    /**
     * <h3>Select</h3>
     */
    global Boolean Select__c;
    global List<Service_Plan__c> Service_Catalog__r;
    global List<Entitlement_History__c> Service_Maintenance_History__r;
    global List<Service_Order__c> Service_Order__r;
    global List<SLA_Detail__c> SLA_Detail__r;
    global SObjectType SObjectType;
    global List<SPM_Average_Response_Time__c> SPM_Average_Response_Times__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;

    global Service_Level__c()
    {
    }
}