// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Work Detail</h3>
 * Service Order is used to plan, execute and manage Service events for Field and Depot Service activities. In ServiceMax, service orders can be used to manage the entire service delivery process, from creating estimates and quotations, to requesting and receiving parts, to recording usage/consumption, to closure and analysis.
 */
global class /*SVMXC__*/Service_Order_Line__c extends SObject 
{
    /**
     * <h3>Activity Type</h3>
     * Indicates the type of activity performed. Usually applicable for labor line types.
     */
    global String Activity_Type__c;
    /**
     * <h3>Line Price Per Unit</h3>
     * Unit price for this line
     */
    global Currency Actual_Price2__c;
    /**
     * <h3>Line Qty</h3>
     * Number of units consumed. This is context-sensitive based on line type.
     */
    global Decimal Actual_Quantity2__c;
    /**
     * <h3>Applied Rate Type</h3>
     */
    global String Applied_Rate_Type__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billable Line Price</h3>
     * Total price for this parts/labor/expense/travel line considering discount% and covered%
     */
    global Currency Billable_Line_Price__c;
    /**
     * <h3>Billable Qty</h3>
     * Quantity of part, time, expenses or travel that needs to be invoiced. This is context-sensitive. For example: Quantity for Travel expense might be 500 (miles)
     */
    global Decimal Billable_Quantity__c;
    /**
     * <h3>Billing Information</h3>
     * States how "Get Price" functionality arrived with the billable line price for the line.
     */
    global String Billing_Information__c;
    /**
     * <h3>Canceled By</h3>
     * User that canceled this parts request. This is set automatically when a user cancels a parts request.
     */
    global Id Canceled_By__c;
    /**
     * <h3>Canceled By</h3>
     * User that canceled this parts request. This is set automatically when a user cancels a parts request.
     */
    global User Canceled_By__r;
    /**
     * <h3>Canceled On</h3>
     * Date/time when this service order parts request was canceled. This is set automatically when a user cancels a parts request.
     */
    global Datetime Canceled_On__c;
    global List<Checklist__c> Checklists__r;
    global List<SM_Checklist_Result__c> Checklist_Results__r;
    /**
     * <h3>Closed By</h3>
     * User that closed the service order line. This is set automatically when parts are received.
     */
    global Id Closed_By__c;
    /**
     * <h3>Closed By</h3>
     * User that closed the service order line. This is set automatically when parts are received.
     */
    global User Closed_By__r;
    /**
     * <h3>Closed On</h3>
     * Date/time when this service order line was closed. This is set automatically when parts are received.
     */
    global Datetime Closed_On__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Consumed From Location</h3>
     * Location from which inventory was consumed. Link to an existing site record in ServiceMax
     */
    global Id Consumed_From_Location__c;
    /**
     * <h3>Consumed From Location</h3>
     * Location from which inventory was consumed. Link to an existing site record in ServiceMax
     */
    global Site__c Consumed_From_Location__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Cost Category</h3>
     * Type of costing applied to calculate the actual line price
     */
    global String Cost_Category__c;
    /**
     * <h3>Cost Health</h3>
     */
    global Currency Cost_Health__c;
    /**
     * <h3>Cost</h3>
     */
    global Currency Cost__c;
    /**
     * <h3>Covered %</h3>
     */
    global Decimal Covered__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer IP Name</h3>
     */
    global String Customer_IP_Name__c;
    /**
     * <h3>Date Received</h3>
     * Date when this product was actually received (Last receipt date if multiple receipts are made)
     */
    global Date Date_Received__c;
    /**
     * <h3>Date Required</h3>
     * Date when this product is required at the field/target location.
     */
    global Date Date_Requested__c;
    /**
     * <h3>LineItem Type</h3>
     */
    global String DBSM__LineItem_Type__c;
    /**
     * <h3>Dead Time (In Minutes)</h3>
     * The time spent on non-service activities (In Minutes). Applies only on labor lines.
     */
    global Decimal Dead_Time__c;
    /**
     * <h3>Discount %</h3>
     * Work Order Line Discount Percentage
     */
    global Decimal Discount__c;
    /**
     * <h3>Download to Mobile</h3>
     */
    global Decimal Download_to_Mobile__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date and Time</h3>
     * End date and time if the line type is Labor
     */
    global Datetime End_Date_and_Time__c;
    /**
     * <h3>Entitlement Notes</h3>
     */
    global String Entitlement_Notes__c;
    /**
     * <h3>Estimated Price Per Unit</h3>
     * Total estimated price for this parts/labor/expense line
     */
    global Currency Estimated_Price2__c;
    /**
     * <h3>Estimated Qty</h3>
     * Quantity of part, time or expenses to be used. This is context-sensitive. For example: Quantity for Travel expense might be 500 (miles)
     */
    global Decimal Estimated_Quantity2__c;
    /**
     * <h3>Expense Type</h3>
     * Type of expense likely to be incurred, if the line type is Expenses
     */
    global String Expense_Type__c;
    /**
     * <h3>External ID</h3>
     */
    global String External_ID__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Flate Rate Job</h3>
     */
    global Boolean Flate_Rate_Job__c;
    /**
     * <h3>From Location</h3>
     * Source Location for which parts are requested
     */
    global Id From_Location__c;
    /**
     * <h3>From Location</h3>
     * Source Location for which parts are requested
     */
    global Site__c From_Location__r;
    /**
     * <h3>Technician/Equipment</h3>
     * Name of the service group member if the Log Against is set to Group Member. Is a lookup to an existing group member in ServiceMax
     */
    global Id Group_Member__c;
    /**
     * <h3>Technician/Equipment</h3>
     * Name of the service group member if the Log Against is set to Group Member. Is a lookup to an existing group member in ServiceMax
     */
    global Service_Group_Members__c Group_Member__r;
    global List<Service_Order_Line__History> Histories;
    /**
     * <h3>How Fixed</h3>
     */
    global String How_Fixed__c;
    /**
     * <h3>Include in Quote</h3>
     * Indicates if this expense is covered by a warranty/contract, or should be quoted to customer for approval
     */
    global Boolean Include_in_Quote__c;
    /**
     * <h3>Installed Product Status</h3>
     */
    global String Installed_Product_Status__c;
    global Boolean IsDeleted;
    /**
     * <h3>Is Billable</h3>
     * Indicates if this usage/consumption is billable to the customer
     */
    global Boolean Is_Billable__c;
    /**
     * <h3>Is Entitlement Performed?</h3>
     */
    global Boolean Is_Entitlement_Performed__c;
    /**
     * <h3>Is System Operational?</h3>
     */
    global String Is_System_Operational__c;
    /**
     * <h3>Is Time Against Maintenance Contract?</h3>
     */
    global Boolean Is_Time_Against_Maintenance_Contract__c;
    /**
     * <h3>Labor For2</h3>
     */
    global String Labor_For2__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Line Status</h3>
     * Service Order Line Status.
     */
    global String Line_Status__c;
    /**
     * <h3>Line Type</h3>
     * Indicates the type of usage: Parts, Labor or Expenses
     */
    global String Line_Type__c;
    /**
     * <h3>Log Against</h3>
     * For internal accounting purposes, indicate if this expense/activity is tracked at the service group level or at the group member level
     */
    global String Log_Against__c;
    /**
     * <h3>Miles Driven</h3>
     */
    global Decimal Miles_Driven__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Other How Fixed</h3>
     */
    global String Other_How_Fixed__c;
    /**
     * <h3>Other Root Cause</h3>
     */
    global String Other_Root_Cause__c;
    /**
     * <h3>Other Symptom</h3>
     */
    global String Other_Symptom__c;
    global FeedComment Parent;
    /**
     * <h3>Posted To Inventory</h3>
     * Indicates if quantity from this service order line has been posted to inventory or not. This is applicable for Part Requests and Usage/Consumption records in a service order.
     */
    global Boolean Posted_To_Inventory__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product Serviced Added?</h3>
     */
    global Boolean Product_Serviced_Added__c;
    /**
     * <h3>Product Warranty</h3>
     */
    global Id Product_Warranty__c;
    /**
     * <h3>Product Warranty</h3>
     */
    global Warranty__c Product_Warranty__r;
    /**
     * <h3>Part</h3>
     * Name of the product estimated, requested or used. Is a lookup to an existing salesforce product record
     */
    global Id Product__c;
    /**
     * <h3>Part</h3>
     * Name of the product estimated, requested or used. Is a lookup to an existing salesforce product record
     */
    global Product2 Product__r;
    global List<Proforma_Invoice_Line__c> Proforma_Invoice_Lines__r;
    global List<SVMX_Project_Details__c> Project_Details__r;
    /**
     * <h3>Qty Shipment Initiated</h3>
     * For part requests, quantity for which shipment has been initiated so far.
     */
    global Decimal Quantity_Shipment_Initiated2__c;
    /**
     * <h3>Qty Shipped</h3>
     * For part requests, actual quantity shipped for the request.
     */
    global Decimal Quantity_Shipped2__c;
    global List<Quote_Line__c> Quote_Line__r;
    /**
     * <h3>Received City</h3>
     * “City” part of the received location
     */
    global String Received_City__c;
    /**
     * <h3>Received Country</h3>
     * “Country” part of the received location
     */
    global String Received_Country__c;
    /**
     * <h3>Received Location (Do Not Use)</h3>
     * Received Location (Do Not Use)
     */
    global Id Received_Location__c;
    /**
     * <h3>Received Location (Do Not Use)</h3>
     * Received Location (Do Not Use)
     */
    global Service_Contract_Sites__c Received_Location__r;
    /**
     * <h3>Received Qty</h3>
     * Number of units of this product received so far.
     */
    global Decimal Received_Quantity2__c;
    /**
     * <h3>Received State</h3>
     * “State/Province” part of the received location
     */
    global String Received_State__c;
    /**
     * <h3>Received Street</h3>
     * “Street” part of the received location
     */
    global String Received_Street__c;
    /**
     * <h3>Received Zip</h3>
     * “Zip/Postal code” part of the received location
     */
    global String Received_Zip__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    /**
     * <h3>Reference Information</h3>
     * Additional information about the work performed, or expense incurred (travel ticket # for example)
     */
    global String Reference_Information__c;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Requested City</h3>
     * “City” part of the requested location
     */
    global String Requested_City__c;
    /**
     * <h3>Requested Country</h3>
     * “Country” part of the requested location
     */
    global String Requested_Country__c;
    /**
     * <h3>To Location</h3>
     * Location from which parts are requested
     */
    global Id Requested_Location__c;
    /**
     * <h3>To Location</h3>
     * Location from which parts are requested
     */
    global Site__c Requested_Location__r;
    /**
     * <h3>Requested Qty</h3>
     * Number of units of this product required
     */
    global Decimal Requested_Quantity2__c;
    /**
     * <h3>Requested State</h3>
     * “State/Province” part of the requested location
     */
    global String Requested_State__c;
    /**
     * <h3>Requested Street</h3>
     * “Street” part of the requested location
     */
    global String Requested_Street__c;
    /**
     * <h3>Requested Zip</h3>
     * “Zip/Postal code” part of the requested location
     */
    global String Requested_Zip__c;
    global List<RMA_Shipment_Line__c> RMA_Shipment_Line__r;
    /**
     * <h3>Root Cause</h3>
     */
    global String Root_Cause__c;
    /**
     * <h3>Select</h3>
     * Field to bind checkbox in List of Work Detail records on Visualforce page with controller.
     */
    global Boolean Select__c;
    /**
     * <h3>Serial Number</h3>
     * Unique identification of a product. This field is intended to be used when Inventory Process in SFM API Configuration is enabled.
     */
    global String Serial_Number_List__c;
    /**
     * <h3>IB Serial Number</h3>
     * Serial number of the part used. Reference to an existing installed product record in ServiceMax
     */
    global Id Serial_Number__c;
    /**
     * <h3>IB Serial Number</h3>
     * Serial number of the part used. Reference to an existing installed product record in ServiceMax
     */
    global Installed_Product__c Serial_Number__r;
    /**
     * <h3>Service Team</h3>
     * Name of the service group if the Log Against is set to Service Group. Is a lookup to an existing service group in ServiceMax
     */
    global Id Service_Group__c;
    /**
     * <h3>Service Team</h3>
     * Name of the service group if the Log Against is set to Service Group. Is a lookup to an existing service group in ServiceMax
     */
    global Service_Group__c Service_Group__r;
    /**
     * <h3>Service/Maintenance Contract</h3>
     */
    global Id Service_Maintenance_Contract__c;
    /**
     * <h3>Service/Maintenance Contract</h3>
     */
    global Service_Contract__c Service_Maintenance_Contract__r;
    global List<Entitlement_History__c> Service_Maintenance_History__r;
    /**
     * <h3>Work Order</h3>
     * Service order number. Is a lookup to an existing service order in ServiceMax
     */
    global Id Service_Order__c;
    /**
     * <h3>Work Order</h3>
     * Service order number. Is a lookup to an existing service order in ServiceMax
     */
    global Service_Order__c Service_Order__r;
    /**
     * <h3>Service Paid</h3>
     */
    global String Service_Paid__c;
    global SObjectType SObjectType;
    /**
     * <h3>Sold Hours per Line</h3>
     */
    global Decimal Sold_Hours_per_Line__c;
    /**
     * <h3>Start Date and Time</h3>
     * Start date and time if the line type is Labor
     */
    global Datetime Start_Date_and_Time__c;
    global List<Stock_History__c> Stock_History__r;
    /**
     * <h3>Consumed Part Code</h3>
     * This field will be populated automatically when choosing the consumed product
     */
    global String SVMX_Consumed_Part_Code__c;
    /**
     * <h3>Consumed Status</h3>
     * The status of the Part Consumption functional process
     */
    global String SVMX_Consumed_Status__c;
    /**
     * <h3>Convert to Project Lines</h3>
     */
    global Boolean SVMX_Convert_to_Project_Lines__c;
    /**
     * <h3>Is Part Out</h3>
     * Identifies if the Part Out processing was successful
     */
    global Boolean SVMX_Is_Part_Out__c;
    /**
     * <h3>Line Type</h3>
     * This field will replace the standard line type field of servicemax.
     * Motivation: The get price script gets the standard line type as input and calculations are depended on the standard field. This is the reason we have created this field to indicate the line type, In order to separate it from the get price script
     */
    global String SVMX_LineType__c;
    /**
     * <h3>Consumed Part</h3>
     */
    global Id SVMX_Product_Stock__c;
    /**
     * <h3>Consumed Part</h3>
     */
    global Product_Stock__c SVMX_Product_Stock__r;
    /**
     * <h3>Project (SM)</h3>
     */
    global Id SVMX_Project_SM__c;
    /**
     * <h3>Project (SM)</h3>
     */
    global SVMX_Project_2__c SVMX_Project_SM__r;
    /**
     * <h3>Project</h3>
     */
    global Id SVMX_Project__c;
    /**
     * <h3>Project</h3>
     */
    global pse__Proj__c SVMX_Project__r;
    /**
     * <h3>Return Part Code</h3>
     * This field will hold the product code of the returned product. will be filled in automatically
     */
    global String SVMX_Return_Part_Code__c;
    /**
     * <h3>Return Part</h3>
     */
    global Id SVMX_Return_Part__c;
    /**
     * <h3>Return Part</h3>
     */
    global Product2 SVMX_Return_Part__r;
    /**
     * <h3>Return Serial Number</h3>
     */
    global String SVMX_Serial_Number__c;
    /**
     * <h3>Consumed Serial Number</h3>
     */
    global Id SVMX_Stocked_Serial__c;
    /**
     * <h3>Consumed Serial Number</h3>
     */
    global Product_Serial__c SVMX_Stocked_Serial__r;
    /**
     * <h3>Symptom</h3>
     */
    global String Symptom__c;
    global Datetime SystemModstamp;
    global List<SVMXC_Time_Entry__c> Time_Entries__r;
    global List<Timesheet_Entry__c> Time_Entrys__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Estimated Price</h3>
     * Total Estimated Price (Estimated quantity multiplied by estimated unit price)
     */
    global Currency Total_Estimated_Price__c;
    /**
     * <h3>Total Line Cost</h3>
     */
    global Decimal Total_Line_Cost__c;
    /**
     * <h3>Total Line Price</h3>
     * Total Line Price (Usage quantity multiplied by line's unit price)
     */
    global Currency Total_Line_Price__c;
    /**
     * <h3>Transaction Results</h3>
     * Success or error message as a result of a transaction. This message is derived from executing a defined process in SFM API Configuration.
     */
    global String Transaction_Results__c;
    /**
     * <h3>Trunk Stock Update Result</h3>
     */
    global String Trunk_Stock_Update_Result__c;
    /**
     * <h3>T&M Job</h3>
     */
    global Boolean T_M_Job__c;
    /**
     * <h3>Use Price From Pricebook/Contract</h3>
     * Leave this box checked if you want the price to be filled automatically from the default price book. If you like to enter a price manually for this part, simply uncheck this box.
     */
    global Boolean Use_Price_From_Pricebook__c;
    /**
     * <h3>Work Description</h3>
     * An assessment of work to be performed or additional details about the line type
     */
    global String Work_Description__c;
    global List<Service_Order_Line__c> Work_Details__r;
    /**
     * <h3>Work Detail</h3>
     * Self lookup. Primarily used to associate Product Serviced record.
     */
    global Id Work_Detail__c;
    /**
     * <h3>Work Detail</h3>
     * Self lookup. Primarily used to associate Product Serviced record.
     */
    global Service_Order_Line__c Work_Detail__r;
    /**
     * <h3>Work Performed</h3>
     */
    global String Work_Performed__c;

    global Service_Order_Line__c()
    {
    }
}