// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Work Order</h3>
 * Service Order is used to plan, execute and manage Service events for Field and Depot Service activities. Depending upon the service scenario, the order creation can be triggered by many events: When creating a Support Case, when one or more installed products require periodic service or calibration, when troubleshooting a customer problem on the field, if the field service engineer learns that the product requires specialized conditions of a factory/depot to resolve the problem, or when a new/repair shipment to customer requires specialized installation activity.
 */
global class /*SVMXC__*/Service_Order__c extends SObject 
{
    /**
     * <h3>Acknowledged By Technician Date Time</h3>
     * Date and time when technician acknowledges the scheduled work order
     */
    global Datetime Acknowledged_By_Technician_Date_Time__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Actual Initial Response</h3>
     * Date/time on which customer was initial responsed as per commitment in SLA.
     */
    global Datetime Actual_Initial_Response__c;
    /**
     * <h3>Actual Onsite Response</h3>
     * Date/time on which customer was onsite responsed as per commitment in SLA.
     */
    global Datetime Actual_Onsite_Response__c;
    /**
     * <h3>Actual Resolution</h3>
     * Date/time on which customer was resolved as per commitment in SLA.
     */
    global Datetime Actual_Resolution__c;
    /**
     * <h3>Actual Restoration</h3>
     * Date/time on which customer was restored as per commitment in SLA.
     */
    global Datetime Actual_Restoration__c;
    /**
     * <h3>Age Bucket</h3>
     * Age of the service order grouped in buckets for reporting purposes.
     */
    global String Age_Bucket__c;
    /**
     * <h3>Age</h3>
     * Age of the service order for reporting purposes.
     */
    global Decimal Age__c;
    /**
     * <h3>Apply Business Hours For OptiMax</h3>
     * Flag to indicate if Preferred Window for Work Order is based on SLA/Access Hours
     */
    global Boolean Apply_Business_Hours_For_OptiMax__c;
    /**
     * <h3>Promised Appointment Time Slot</h3>
     */
    global String Appointment_Promised_Time_Slot__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Auto Entitlement Status</h3>
     */
    global String Auto_Entitlement_Status__c;
    /**
     * <h3>Batch Update</h3>
     * This is an internal field used to resolve conflicts between immediate work order updates and batch updates done by OptiMax.
     */
    global String BatchUpdate__c;
    /**
     * <h3>Billing City</h3>
     */
    global String Billing_City__c;
    /**
     * <h3>Billing Country</h3>
     */
    global String Billing_Country__c;
    /**
     * <h3>Billing State</h3>
     */
    global String Billing_State__c;
    /**
     * <h3>Billing Street</h3>
     */
    global String Billing_Street__c;
    /**
     * <h3>Billing Type</h3>
     * How the service order expenses will be accounted for. Agreement, Paid etc.
     */
    global String Billing_Type__c;
    /**
     * <h3>Billing Zip</h3>
     */
    global String Billing_Zip__c;
    /**
     * <h3>Bill to Primary Account</h3>
     */
    global Boolean Bill_to_Primary_Account__c;
    /**
     * <h3>Bill to Secondary Account</h3>
     */
    global Boolean Bill_to_Secondary_Account__c;
    /**
     * <h3>Booked Appointment Slot</h3>
     * This field stores the slot information of the booked appointment.
     */
    global String Booked_Appointment_Slot__c;
    /**
     * <h3>Canceled Date Time</h3>
     * Date and time when technician rejects or cancels or dispatcher cancels the work order
     */
    global Datetime Canceled_Date_Time__c;
    /**
     * <h3>Case Owner Email Text</h3>
     */
    global String Case_Owner_Email_Text__c;
    /**
     * <h3>Case Owner Email</h3>
     */
    global Email Case_Owner_Email__c;
    global List<Case_Tracker__c> Case_Tracker__r;
    /**
     * <h3>Case</h3>
     * Support Case from which this service order originated. Is a lookup to an existing salesforce case record
     */
    global Id Case__c;
    /**
     * <h3>Case</h3>
     * Support Case from which this service order originated. Is a lookup to an existing salesforce case record
     */
    global Case Case__r;
    global List<Checklist__c> Checklists__r;
    global List<SM_Checklist_Result__c> Checklist_Results__r;
    /**
     * <h3>City</h3>
     * “City” part of the work order location.
     */
    global String City__c;
    /**
     * <h3>Class Location</h3>
     */
    global String Class_Location__c;
    /**
     * <h3>Class Type</h3>
     */
    global String Class_Type__c;
    /**
     * <h3>Clock Paused Forever</h3>
     */
    global Boolean Clock_Paused_Forever__c;
    /**
     * <h3>Closed By</h3>
     * User that closed this service order. Is a lookup to an existing salesforce user.
     */
    global Id Closed_By__c;
    /**
     * <h3>Closed By</h3>
     * User that closed this service order. Is a lookup to an existing salesforce user.
     */
    global User Closed_By__r;
    /**
     * <h3>Closed On</h3>
     * Date/time when this service order was closed.
     */
    global Datetime Closed_On__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Account</h3>
     * Customer Account initiating this service order. Is a lookup to an existing salesforce account record
     */
    global Id Company__c;
    /**
     * <h3>Account</h3>
     * Customer Account initiating this service order. Is a lookup to an existing salesforce account record
     */
    global Account Company__r;
    /**
     * <h3>Completed Date Time</h3>
     * Date and time when technician completes (closes) the work order
     */
    global Datetime Completed_Date_Time__c;
    /**
     * <h3>Component</h3>
     * Serial number of the component for which the customer is seeking support. Is a lookup to an existing installed product record in ServiceMax
     */
    global Id Component__c;
    /**
     * <h3>Component</h3>
     * Serial number of the component for which the customer is seeking support. Is a lookup to an existing installed product record in ServiceMax
     */
    global Installed_Product__c Component__r;
    /**
     * <h3>Configuration - After</h3>
     * Snapshot of the product’s technical details after the engineer(s) resolved/addressed the issue
     */
    global String Configuration_After__c;
    /**
     * <h3>Configuration - Before</h3>
     * Snapshot of the product’s technical details before the engineer(s) started addressing it
     */
    global String Configuration_Before__c;
    /**
     * <h3>Contact</h3>
     * Name of the contact person from the customer account for this service order. Is a lookup to an existing salesforce contact record
     */
    global Id Contact__c;
    /**
     * <h3>Contact</h3>
     * Name of the contact person from the customer account for this service order. Is a lookup to an existing salesforce contact record
     */
    global Contact Contact__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Corrective Action</h3>
     * Any corrective action taken by your engineer(s) to address the customer feedback
     */
    global String Corrective_Action__c;
    /**
     * <h3>Country</h3>
     * “Country” part of the work order location
     */
    global String Country__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>Create New Installed Product</h3>
     */
    global String Create_New_Installed_Product__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer Down Status</h3>
     * Indicates as Yes or No if this work order is about a customer down situation.
     */
    global String Customer_Down_Status__c;
    /**
     * <h3>Customer Down</h3>
     * If the customer situation is critical affecting uptime due to the problem reported
     */
    global Boolean Customer_Down__c;
    /**
     * <h3>Customer Failure Feedback</h3>
     * Feedback given by the customer about the overall failure event and how your organization responded
     */
    global String Customer_Failure_Feedback__c;
    /**
     * <h3>Customer Installed Product  Name</h3>
     */
    global String Customer_IP_Name__c;
    /**
     * <h3>Accounting Id</h3>
     */
    global String DBSM__Accounting_Id__c;
    /**
     * <h3>Generate</h3>
     */
    global String DBSM__Generate__c;
    global List<DBSM__Invoice__c> DBSM__Invoices__r;
    /**
     * <h3>Invoice Date</h3>
     */
    global Date DBSM__Invoice_Date__c;
    /**
     * <h3>Sync Error</h3>
     */
    global String DBSM__Sync_Error__c;
    /**
     * <h3>Dependency Group</h3>
     */
    global Id Dependency_Group__c;
    /**
     * <h3>Dependency Group</h3>
     */
    global Dependency_Management__c Dependency_Group__r;
    /**
     * <h3>Dispatch Notes</h3>
     * Dispatchers can use this field to pass information to the Technician when the Dispatcher schedules the WO.
     */
    global String Dispatch_Notes__c;
    /**
     * <h3>Dispatch Now</h3>
     */
    global String Dispatch_Now__c;
    /**
     * <h3>Dispatch Priority</h3>
     * Work order priority bucket as defined in the dispatch process. Calculated automatically
     */
    global Decimal Dispatch_Priority__c;
    /**
     * <h3>Dispatch Process</h3>
     * Dispatch process using which this work order will be scheduled
     */
    global Id Dispatch_Process__c;
    /**
     * <h3>Dispatch Process</h3>
     * Dispatch process using which this work order will be scheduled
     */
    global ServiceMax_Processes__c Dispatch_Process__r;
    /**
     * <h3>Dispatch Response</h3>
     * To capture the response of the technician whether he/she accepts or rejects the work order assigned.
     */
    global String Dispatch_Response__c;
    /**
     * <h3>Dispatch Status</h3>
     * Indicates in which stage the work order is in.
     */
    global String Dispatch_Status__c;
    /**
     * <h3>Download to Mobile</h3>
     */
    global Decimal Download_to_Mobile__c;
    global List<Down_Time__c> Down_Times__r;
    /**
     * <h3>Drip</h3>
     * Flag to indicate whether the Work Order is ready to be delivered to mobile application
     */
    global Boolean Drip__c;
    /**
     * <h3>Driving Time (in Minutes)</h3>
     */
    global Decimal Driving_Time__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Email Service Report</h3>
     * Email Address on customer side where they want the service report to go to.
     */
    global Email Email_Service_Report__c;
    /**
     * <h3>EndpointURL</h3>
     * Not used
     */
    global String EndpointURL__c;
    global List<Entitlement_History__c> Entitlement_History__r;
    /**
     * <h3>Entitlement Notes</h3>
     * Entitlement Notes
     */
    global String Entitlement_Notes__c;
    /**
     * <h3>Entitlement Type</h3>
     */
    global String Entitlement_Type__c;
    /**
     * <h3>Estimated Job Time (Hours)</h3>
     */
    global Decimal Estimated_Job_Time_Hours__c;
    /**
     * <h3>Estimate Approved By</h3>
     */
    global Id Estimate_Approved_By__c;
    /**
     * <h3>Estimate Approved By</h3>
     */
    global User Estimate_Approved_By__r;
    /**
     * <h3>Estimate Approved On</h3>
     */
    global Datetime Estimate_Approved_On__c;
    /**
     * <h3>Estimate Report Accepted?</h3>
     */
    global Boolean Estimate_Report_Finalized__c;
    global List<Event> Events;
    /**
     * <h3>External ID</h3>
     */
    global String External_ID__c;
    /**
     * <h3>Failed Assembly</h3>
     * The assembly of your product that failed.
     */
    global String Failed_Assembly__c;
    /**
     * <h3>Failure Location</h3>
     * Where the product failed, field or depot
     */
    global String Failure_Location__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    /**
     * <h3>Finished Onsite Date Time</h3>
     * Date and time when technician finishes working on the work order at site
     */
    global Datetime Finished_Onsite_Date_Time__c;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>First Scheduled DateTime</h3>
     * Datetimestamp the work order was scheduled to a technician for the very first time.
     */
    global Datetime FirstScheduledDateTime__c;
    /**
     * <h3>First Assigned DateTime</h3>
     * Datetimestamp the work order was assigned to a technician for the very first time.
     */
    global Datetime First_Assigned_DateTime__c;
    /**
     * <h3>First Queued DateTime</h3>
     * Datetimestamp the work order was queued to a technician for the very first time.
     */
    global Datetime First_Queued_DateTime__c;
    /**
     * <h3>Group Email</h3>
     * Stores the email address associated with the service team. Sends email using workflow rule indicating an work order has been queued to the service team.
     */
    global Email Group_Email__c;
    /**
     * <h3>Technician</h3>
     * Name of the group member working on the service order. This does not imply that this member has the ownership of service order record
     */
    global Id Group_Member__c;
    /**
     * <h3>Technician</h3>
     * Name of the group member working on the service order. This does not imply that this member has the ownership of service order record
     */
    global Service_Group_Members__c Group_Member__r;
    global List<Service_Order__History> Histories;
    /**
     * <h3>How Fixed</h3>
     * Type of fix that was applied to resolve the problem.
     */
    global String How_Fixed__c;
    /**
     * <h3>Idle Time (in Minutes)</h3>
     * Idle Time (in Minutes)
     */
    global Decimal Idle_Time__c;
    /**
     * <h3>Initial Response Customer By</h3>
     * Date/time by which initial response should be delivered as per customer commitment in SLA. Calculated automatically
     */
    global Datetime Initial_Response_Customer_By__c;
    /**
     * <h3>Initial Response Internal By</h3>
     * Date/time by which customer should be initial responsed as per internal commitment in SLA.
     */
    global Datetime Initial_Response_Internal_By__c;
    /**
     * <h3>Invoice Created</h3>
     */
    global Boolean Invoice_Created__c;
    /**
     * <h3>Invoice Number</h3>
     */
    global String Invoice_Number__c;
    global Boolean IsDeleted;
    /**
     * <h3>IsPartnerRecord</h3>
     * Flag indicates that this work order is for/by a Partner.
     */
    global Boolean IsPartnerRecord__c;
    /**
     * <h3>Is Partner</h3>
     * Flag is the indication of Partner Record.
     */
    global String IsPartner__c;
    /**
     * <h3>Is Entitlement Performed</h3>
     */
    global Boolean Is_Entitlement_Performed__c;
    /**
     * <h3>Is Exported</h3>
     * Flag to indicate whether this record is exported.
     */
    global Boolean Is_Exported__c;
    /**
     * <h3>Is PM Work Order</h3>
     * Indicates if this is a preventive maintenance work order or not. Set automatically by PM scheduler
     */
    global Boolean Is_PM_Work_Order__c;
    /**
     * <h3>Is Service Covered</h3>
     */
    global Boolean Is_Service_Covered__c;
    /**
     * <h3>Recalculate SLA</h3>
     */
    global Boolean Is_SLA_Calculated__c;
    global List<Job__c> Jobs__r;
    /**
     * <h3>Job Status</h3>
     */
    global String Job_Status__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Last Dispatch Event</h3>
     * Indicates various stages of an work order. Used to trigger various dispatch console workflows.
     */
    global String Last_Dispatch_Event__c;
    /**
     * <h3>Latitude</h3>
     * Latitude for the work order service location
     */
    global Decimal Latitude__c;
    /**
     * <h3>Location Notes</h3>
     */
    global String Location_Notes__c;
    /**
     * <h3>Locked By DC</h3>
     * Locked By DC
     */
    global Boolean Locked_By_DC__c;
    /**
     * <h3>Longitude</h3>
     * Longitude for the work order service location
     */
    global Decimal Longitude__c;
    /**
     * <h3>Maintenance Supervisor Approved</h3>
     */
    global Boolean Maintenance_Supervisor_Approved__c;
    /**
     * <h3>Master Order Line</h3>
     */
    global Id Master_Order_Line__c;
    /**
     * <h3>Master Order Line</h3>
     */
    global RMA_Shipment_Line__c Master_Order_Line__r;
    /**
     * <h3>Member Email</h3>
     * Stores the email address of the technician. Used to send a email through workflow rule indicating an work order has been assigned/scheduled.
     */
    global Email Member_Email__c;
    global String Name;
    /**
     * <h3>NetReport Status</h3>
     * NetReport Status from NetReport Integration
     */
    global String NetReport_Status__c;
    /**
     * <h3>New IP Created?</h3>
     */
    global Boolean New_IP_Created__c;
    /**
     * <h3>No Of Times Assigned</h3>
     * Indicating number of times the work order was assigned
     */
    global Decimal NoOfTimesAssigned__c;
    /**
     * <h3>No Of Times Queued</h3>
     * Indicates number of times the work order was queued
     */
    global Decimal NoOfTimesQueued__c;
    /**
     * <h3>No Of Times Scheduled</h3>
     * Indicates number of times the work order was scheduled
     */
    global Decimal NoOfTimesScheduled__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Note</h3>
     */
    global String Note__c;
    /**
     * <h3>Number Of Times Assigned Bucket</h3>
     * Number of times the work order was assigned bucket. This is used for reporting purpose.
     */
    global String Number_Of_Times_Assigned_Bucket__c;
    /**
     * <h3>Number Of Times Queued Bucket</h3>
     * Number of times the work order was queued bucket. This is used for reporting purpose.
     */
    global String Number_Of_Times_Queued_Bucket__c;
    /**
     * <h3>Number Of Times Scheduled Bucket</h3>
     * Number of times the work order was scheduled bucket. This is used for reporting purpose.
     */
    global String Number_Of_Times_Scheduled_Bucket__c;
    /**
     * <h3>Onsite Response Customer By</h3>
     * Date/time by which onsite response should be delivered as per customer commitment in SLA. Calculated automatically
     */
    global Datetime Onsite_Response_Customer_By__c;
    /**
     * <h3>Onsite Response Internal By</h3>
     * Date/time by which customer should be onsite responsed as per internal commitment in SLA.
     */
    global Datetime Onsite_Response_Internal_By__c;
    /**
     * <h3>On Hold Date/Time</h3>
     */
    global Datetime On_Hold_Date_Time__c;
    /**
     * <h3>On Hold Reason</h3>
     * Explain why a technician would put the work order on hold
     */
    global String On_Hold_Reason__c;
    /**
     * <h3>Onsite Date Time</h3>
     * The date and time when the technician arrived at the work order location
     */
    global Datetime On_Site_Date_Time__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>OptiMax Error Email1</h3>
     * Email address copied from global settings. Can be used to send pre-calculation failures
     */
    global Email OptiMax_Error_Email1__c;
    /**
     * <h3>OptiMax Error Email2</h3>
     * Email address copied from dispatch process. Can be used to send pre-calculation failures
     */
    global Email OptiMax_Error_Email2__c;
    /**
     * <h3>OptiMax Error Occurred</h3>
     * Indicates if an error occurred when performing pre-calculations for OptiMax
     */
    global Boolean OptiMax_Error_Occurred__c;
    /**
     * <h3>OptiMax Error Text</h3>
     * Details of error occurred when performing pre-calculations for OptiMax
     */
    global String OptiMax_Error_Text__c;
    /**
     * <h3>OptiMax Last Run Time</h3>
     * Last time the work order processed by OptiMax
     */
    global Datetime OptiMax_Last_Run_Time__c;
    /**
     * <h3>OptiMax Status</h3>
     * OptiMax dispatch status for the work order
     */
    global String OptiMax_Status__c;
    /**
     * <h3>Optimizer Connection Name</h3>
     * This field stores the Connection Instance Name.
     */
    global String Optimizer_Connection_Name__c;
    global List<SVMX_Optimizer__c> Optimizer_Transactions__r;
    /**
     * <h3>Order Status</h3>
     * Current status of the service order
     */
    global String Order_Status__c;
    /**
     * <h3>Order Type</h3>
     * Type of service order: Field Service, Depot repair etc.
     */
    global String Order_Type__c;
    /**
     * <h3>Other How Fixed</h3>
     */
    global String Other_How_Fixed__c;
    /**
     * <h3>Other Root Cause</h3>
     */
    global String Other_Root_Cause__c;
    /**
     * <h3>Other Symptom</h3>
     */
    global String Other_Symptom__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Id Partner_Account__c;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Account Partner_Account__r;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Id Partner_Contact__c;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Contact Partner_Contact__r;
    global List<Parts_Request__c> Parts_Requests__r;
    /**
     * <h3>Perform Auto Entitlement</h3>
     */
    global Boolean Perform_Auto_Entitlement__c;
    global List<PM_History__c> PM_History__r;
    /**
     * <h3>Preventive Maintenance Plan</h3>
     * The source PM plan that resulted in this preventive maintenance work order. Set by PM scheduler
     */
    global Id PM_Plan__c;
    /**
     * <h3>Preventive Maintenance Plan</h3>
     * The source PM plan that resulted in this preventive maintenance work order. Set by PM scheduler
     */
    global PM_Plan__c PM_Plan__r;
    /**
     * <h3>PM Service Contract</h3>
     * Service Contract for which this preventive maintenance work order was created.
     */
    global String PM_SC__c;
    /**
     * <h3>PM Tasks Created</h3>
     * Indicates if PM tasks have been created
     */
    global Boolean PM_Tasks_Created__c;
    /**
     * <h3>Preferred Business Hours</h3>
     * Preferred Business Hours
     */
    global Id Preferred_Business_Hours__c;
    /**
     * <h3>Preferred Business Hours</h3>
     * Preferred Business Hours
     */
    global BusinessHours Preferred_Business_Hours__r;
    /**
     * <h3>Preferred End Time</h3>
     * End time before which the work order must be scheduled. Calculated automatically based on booking window, SLA and access hours
     */
    global Datetime Preferred_End_Time__c;
    /**
     * <h3>Preferred Resource Priority</h3>
     * Preferred Resource Priority is used in OptiMax to indicate the priority of assigning the work order to the Preferred Technician.
     */
    global Decimal Preferred_Resource_Priority__c;
    /**
     * <h3>Preferred Start Time</h3>
     * Start time for the work order to be scheduled. Calculated automatically based on booking window, SLA and access hours
     */
    global Datetime Preferred_Start_Time__c;
    /**
     * <h3>Preferred Technician</h3>
     * Name of the preferred technician for the work order. Calculated from service contract, installed product or account wherever available
     */
    global Id Preferred_Technician__c;
    /**
     * <h3>Preferred Technician</h3>
     * Name of the preferred technician for the work order. Calculated from service contract, installed product or account wherever available
     */
    global Service_Group_Members__c Preferred_Technician__r;
    /**
     * <h3>Previous Scheduled Date Time</h3>
     * Holds the previous Scheduled Date Time of the work order, if the work order had been scheduled previously.
     */
    global Datetime Previous_Scheduled_Date_Time__c;
    /**
     * <h3>Primary Tech Check</h3>
     */
    global Decimal Primary_Tech_Check__c;
    /**
     * <h3>Primary Territory</h3>
     * Primary territory for the work order. Calculated automatically by OptiMax pre-calculation engine
     */
    global Id Primary_Territory__c;
    /**
     * <h3>Primary Territory</h3>
     * Primary territory for the work order. Calculated automatically by OptiMax pre-calculation engine
     */
    global Territory__c Primary_Territory__r;
    /**
     * <h3>Priority</h3>
     * Priority of the service order
     */
    global String Priority__c;
    /**
     * <h3>Problem Description</h3>
     * Detailed description of the problem as reported by the customer
     */
    global String Problem_Description__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product Serviced Added</h3>
     */
    global Boolean Product_Serviced_Added__c;
    /**
     * <h3>Product Serviced Count</h3>
     */
    global Decimal Product_Serviced_Count__c;
    /**
     * <h3>Product</h3>
     * Product in which specialization would be required to service the work order. Calculated from installed product by OptiMax pre-calculation engine
     */
    global Id Product__c;
    /**
     * <h3>Product</h3>
     * Product in which specialization would be required to service the work order. Calculated from installed product by OptiMax pre-calculation engine
     */
    global Product2 Product__r;
    /**
     * <h3>Proforma Invoice Amount</h3>
     * Total Amount which is invoiced to the customer for the work performed.
     */
    global Currency Proforma_Invoice_Amount__c;
    global List<Proforma_Invoice_Detail__c> Proforma_Invoice_Detail__r;
    global List<Proforma_Invoice_Line__c> Proforma_Invoice_Line__r;
    /**
     * <h3>Proforma Invoice</h3>
     */
    global String Proforma_Invoice__c;
    /**
     * <h3>Project Health</h3>
     */
    global String Project_Health__c;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global SVMX_Project_2__c Project__r;
    global List<SCMC__Purchase_Order__c> Purchase_Orders__r;
    global List<SCMC__Purchase_Order_Line_Item__c> Purchase_Order_Line_Items__r;
    /**
     * <h3>Purpose of Visit</h3>
     * If the Order Type is Field Service, specific reason for the field visit.
     */
    global String Purpose_of_Visit__c;
    /**
     * <h3>QTL Status</h3>
     */
    global String QTL_Status__c;
    /**
     * <h3>Qualified Technicians</h3>
     */
    global String Qualified_Technicians__c;
    global List<Quote__c> Quote__r;
    /**
     * <h3>Rate (Pricing Rule)</h3>
     */
    global Currency Rate_Pricing_Rule__c;
    /**
     * <h3>Rate Type (Pricing Rule)</h3>
     */
    global String Rate_Type_Pricing_Rule__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Rejected DateTime</h3>
     */
    global Datetime Rejected_DateTime__c;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Primary Work Order</h3>
     */
    global Id Related_Work_Order__c;
    /**
     * <h3>Primary Work Order</h3>
     */
    global Service_Order__c Related_Work_Order__r;
    global List<SCMC__Requisition__c> Requisitions__r;
    global List<SCMC__Requisition_Line_Item__c> Requisition_Line_Items__r;
    /**
     * <h3>Resolution Customer By</h3>
     * Date/time by which work order should be resolved as per customer commitment in SLA. Calculated automatically
     */
    global Datetime Resolution_Customer_By__c;
    /**
     * <h3>Resolution Internal By</h3>
     * Date/time by which customer should be resolved as per internal commitment in SLA.
     */
    global Datetime Resolution_Internal_By__c;
    /**
     * <h3>Restoration Customer By</h3>
     * Date/time by which customer should be restored as per customer commitment in SLA. Calculated automatically
     */
    global Datetime Restoration_Customer_By__c;
    /**
     * <h3>Restoration Internal By</h3>
     * Date/time by which customer should be restored as per internal commitment in SLA.
     */
    global Datetime Restoration_Internal_By__c;
    /**
     * <h3>Resumed Date/Time</h3>
     */
    global Datetime Resume_Date_Time__c;
    global List<RMA_Shipment_Line__c> RMA_Shipment_Line__r;
    global List<RMA_Shipment_Order__c> RMA_Shipment_Order__r;
    /**
     * <h3>Root Cause</h3>
     * Root cause of the failure.
     */
    global String Root_Cause__c;
    /**
     * <h3>Sales Contact</h3>
     * For "Sales Lead identified" process, this is the recipient of an email alert notification that a Technician has identified a sales lead opportunity
     */
    global Id Sales_Contact__c;
    /**
     * <h3>Sales Contact</h3>
     * For "Sales Lead identified" process, this is the recipient of an email alert notification that a Technician has identified a sales lead opportunity
     */
    global User Sales_Contact__r;
    /**
     * <h3>Sales Lead Identified</h3>
     * For a Technician to notify Sales Contact if they identify a potential Sales Lead while on a Work Order
     */
    global Boolean Sales_Lead_Identified__c;
    /**
     * <h3>Sales Lead Notes</h3>
     * For the Technician to pass along notes on the potential sales lead to the sales contact
     */
    global String Sales_Lead_Notes__c;
    /**
     * <h3>Scheduled Date Time</h3>
     */
    global Datetime Scheduled_Date_Time__c;
    /**
     * <h3>Scheduled Date</h3>
     * Scheduled date for the work order
     */
    global Date Scheduled_Date__c;
    /**
     * <h3>Schedule As Dependent Work Order</h3>
     */
    global Boolean Schedule_As_A_Dependent_Work_Order__c;
    /**
     * <h3>Scheduling Change Token</h3>
     */
    global String Scheduling_Change_Token__c;
    /**
     * <h3>Scheduling Retry Count</h3>
     * Indicates the number of times the work order was sent to the scheduling optimizer for scheduling
     */
    global Decimal Scheduling_Retry_Count__c;
    /**
     * <h3>Send Service Report to Current User</h3>
     * If checked, the current user is CC'ed on the Email Sent to Customer. If Unchecked, the current user is not CC'ed.
     */
    global Boolean Send_Service_Report_to_Current_User__c;
    /**
     * <h3>Send Service Report to Customer</h3>
     * Determines whether or not to send the service report attachment to customer via email when the attachment is created.
     */
    global Boolean Send_Service_Report_to_Customer__c;
    global List<SVMX_Event__c> ServiceMax_Events__r;
    /**
     * <h3>Service Contract</h3>
     * Lookup to Service/Maintenance Contract
     */
    global Id Service_Contract__c;
    /**
     * <h3>Service Contract</h3>
     * Lookup to Service/Maintenance Contract
     */
    global Service_Contract__c Service_Contract__r;
    /**
     * <h3>Service Duration (in Seconds)</h3>
     * Duration in seconds required for the work order. Calculated from rules by OptiMax pre-calculation engine
     */
    global Decimal Service_Duration__c;
    /**
     * <h3>Service Team</h3>
     * Name of the service group that is working on the service order.
     */
    global Id Service_Group__c;
    /**
     * <h3>Service Team</h3>
     * Name of the service group that is working on the service order.
     */
    global Service_Group__c Service_Group__r;
    global List<Service_Order_Dependency__c> Service_Order_Group_Dependencies1_del__r;
    global List<Service_Order_Dependency__c> Service_Order_Group_Dependencies_del__r;
    global List<Service_Order_Line__c> Service_Order_Line__r;
    /**
     * <h3>Service Zone ID</h3>
     * Service zone for territory.
     */
    global String Service_Zone_ID__c;
    /**
     * <h3>SESSION_ID</h3>
     * Not used
     */
    global String SESSION_ID__c;
    /**
     * <h3>Site</h3>
     */
    global Id Site__c;
    /**
     * <h3>Site</h3>
     */
    global Site__c Site__r;
    /**
     * <h3>Skill Set</h3>
     */
    global String Skill_Set__c;
    /**
     * <h3>Skill</h3>
     * Skill required to service the work order. Calculated by OptiMax pre-calculation engine
     */
    global Id Skill__c;
    /**
     * <h3>Skill</h3>
     * Skill required to service the work order. Calculated by OptiMax pre-calculation engine
     */
    global Skill__c Skill__r;
    /**
     * <h3>SLA Clock Extension Minutes</h3>
     */
    global Decimal SLA_Clock_Extension_Minutes__c;
    /**
     * <h3>SLA Clock Paused</h3>
     */
    global Boolean SLA_Clock_Paused__c;
    /**
     * <h3>SLA Clock Pause Days</h3>
     */
    global Decimal SLA_Clock_Pause_Days__c;
    /**
     * <h3>SLA Clock Pause Hours</h3>
     */
    global Decimal SLA_Clock_Pause_Hours__c;
    /**
     * <h3>SLA Clock Pause Minutes</h3>
     */
    global Decimal SLA_Clock_Pause_Minutes__c;
    /**
     * <h3>SLA Clock Pause Reason</h3>
     */
    global String SLA_Clock_Pause_Reason__c;
    /**
     * <h3>SLA Clock Pause Restart Time</h3>
     */
    global Datetime SLA_Clock_Pause_Restart_Time__c;
    /**
     * <h3>SLA Clock Pause Time</h3>
     */
    global Datetime SLA_Clock_Pause_Time__c;
    /**
     * <h3>SLA Terms</h3>
     * SLA Terms
     */
    global Id SLA_Terms__c;
    /**
     * <h3>SLA Terms</h3>
     * SLA Terms
     */
    global Service_Level__c SLA_Terms__r;
    /**
     * <h3>Ok To Arrive Early</h3>
     * Indicates whether 'Ok to arrive early' option was selected for this work order in the Calendar View Manage Appointments screen, when it was sent to ServicePower for booking as an SLA job.
     */
    global Boolean SM_Ok_To_Arrive_Early__c;
    /**
     * <h3>Optimizer Message Creation Date Time</h3>
     * This field is used to store the date and time of the message generated by the external optimization system that is successfully processed in ServiceMax . The date and time stamp is when the message was created by the external optimization system and sent to ServiceMax. (DO NOT USE, for future use only)
     */
    global Datetime SM_Optimizer_Message_Creation_Date_Time__c;
    /**
     * <h3>SLA Initial Response (In Mins)</h3>
     * Number of minutes Configured in the SLA Rule for Initial Response.
     */
    global Decimal SM_SLA_Initial_Response__c;
    /**
     * <h3>SLA Onsite Response (In Mins)</h3>
     * Number of minutes Configured in the SLA Rule for Onsite Response.
     */
    global Decimal SM_SLA_Onsite_Response__c;
    /**
     * <h3>SLA Resolution (In Mins)</h3>
     * Number of minutes Configured in the SLA Rule for Resolution.
     */
    global Decimal SM_SLA_Resolution__c;
    /**
     * <h3>SLA Restoration (In Mins)</h3>
     * Number of minutes Configured in the SLA Rule for Restoration.
     */
    global Decimal SM_SLA_Restoration__c;
    global SObjectType SObjectType;
    /**
     * <h3>Special Instructions</h3>
     * Relevant instructions for future service events for the same product/customer
     */
    global String Special_Instructions__c;
    global List<SPM_Average_Response_Time__c> SPM_Average_Response_Times1__r;
    global List<SPM_Down_Time_Detail__c> SPM_Down_Time_Details__r;
    global List<SPM_First_Time_Fix__c> SPM_First_Time_Fix__r;
    global List<SPM_Mean_Time_To_Complete__c> SPM_Mean_Time_To_Complete__r;
    global List<SPM_Mean_Time_To_Repair__c> SPM_Mean_Time_To_Repair__r;
    global List<SPM_Repeat_Visit__c> SPM_Repeat_Visit1__r;
    global List<SPM_Repeat_Visit__c> SPM_Repeat_Visit__r;
    /**
     * <h3>Started Driving To Location Date Time</h3>
     * Date and time when technician starts driving towards the work order location
     */
    global Datetime Started_Driving_To_Location_Date_Time__c;
    /**
     * <h3>State</h3>
     * “State” part of the work order location
     */
    global String State__c;
    global List<Stock_History__c> Stock_History__r;
    /**
     * <h3>Street</h3>
     * “Street” part of the work order location
     */
    global String Street__c;
    /**
     * <h3>Sub Status</h3>
     * This field is used to capture the additional status information as part of work order closure.
     */
    global String Sub_Status__c;
    /**
     * <h3>Consumption Lines #</h3>
     * This field will count number of consumption lines (Work details). The idea is to deal with work order estimate. when converting the estimated lines to comsumption basiclly the WO should be field service work order.
     * This field is used in WF : SVMX Update WO type to Field Service
     */
    global Decimal SVMX_Consumption_Lines__c;
    /**
     * <h3>Problem Summary</h3>
     */
    global String SVMX_MD_Problem_Summary__c;
    /**
     * <h3>Revert Status on Error</h3>
     * The WO status is updated to the prior value, if the part consumption is a failure
     */
    global Boolean SVMX_Revert_Status_on_Error__c;
    /**
     * <h3>Symptom</h3>
     * Symptom that was noted before the failure.
     */
    global String Symptom__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Tax Amount</h3>
     */
    global Currency Tax_Amount__c;
    /**
     * <h3>Tax</h3>
     */
    global Decimal Tax__c;
    /**
     * <h3>Test</h3>
     */
    global Decimal Test__c;
    /**
     * <h3>Time Between Assign And Schedule</h3>
     * Calculates the time taken for the work order to be scheduled after it was assigned
     */
    global Decimal TimeBetweenAssignAndSchedule__c;
    /**
     * <h3>Time Between Queue And Assign</h3>
     * Indicates the amount of time it took for the work order to be assigned after being queued
     */
    global Decimal TimeBetweenQueueAndAssign__c;
    /**
     * <h3>Time Between Schedule And Close</h3>
     * Indicates the amount of time it took for the work order to be closed after being scheduled
     */
    global Decimal TimeBetweenScheduleAndClose__c;
    /**
     * <h3>Time To Assign</h3>
     * Indicates the amount of time it took for the work order to be assigned after being opened.
     */
    global Decimal TimeToAssign__c;
    /**
     * <h3>Time To Queue</h3>
     * Indicates the amount of time it took for the work order to be queued after being created
     */
    global Decimal TimeToQueue__c;
    /**
     * <h3>Time To Schedule</h3>
     * Indicates the amount of time it took for the work order to be scheduled after being opened
     */
    global Decimal TimeToSchedule__c;
    /**
     * <h3>Time Between Assign And Schedule Bucket</h3>
     * Time taken for the work order to be scheduled after it was assigned bucket. Used for reporting purpose
     */
    global String Time_Between_Assign_And_Schedule_Bucket__c;
    /**
     * <h3>Time Between Queue And Assign Bucket</h3>
     * Time taken for the work order to be assigned after it was queued bucket. Used for reporting purpose
     */
    global String Time_Between_Queue_And_Assign_Bucket__c;
    /**
     * <h3>Time Between Schedule And Close Bucket</h3>
     * Time taken for the work order to be closed after it was scheduled bucket. Used for reporting purpose
     */
    global String Time_Between_Schedule_And_Close_Bucket__c;
    global List<SVMXC_Time_Entry__c> Time_Entries__r;
    /**
     * <h3>Time to Assign Bucket</h3>
     * Time taken for the work order to be assigned bucket. Used for reporting purpose
     */
    global String Time_to_Assign_Bucket__c;
    /**
     * <h3>Time to Close</h3>
     */
    global Decimal Time_To_Close_c__c;
    /**
     * <h3>Time to Initial Response (in Minutes)</h3>
     * Time taken to initial response as per commitment in SLA.
     */
    global Decimal Time_to_Initial_Response__c;
    /**
     * <h3>Time to Onsite Response (in Minutes)</h3>
     * Time taken to onsite response as per commitment in SLA.
     */
    global Decimal Time_to_Onsite_Response__c;
    /**
     * <h3>Time to Queue Bucket</h3>
     * Time taken for the work order to be queued after it was opened bucket. Used for reporting purpose
     */
    global String Time_to_Queue_Bucket__c;
    /**
     * <h3>Time to Resolve (in Minutes)</h3>
     * Time taken to resolve as per commitment in SLA.
     */
    global Decimal Time_to_Resolve__c;
    /**
     * <h3>Time to Restore (in Minutes)</h3>
     * Time taken to restore as per commitment in SLA.
     */
    global Decimal Time_to_Restore__c;
    /**
     * <h3>Time to Schedule Bucket</h3>
     * Time taken for the work order to be scheduled after it was opened bucket. Used for reporting purpose
     */
    global String Time_to_Schedule_Bucket__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Top-Level</h3>
     * Serial number of the top-level installed product to which the component belongs. Is a lookup to an existing installed product record in ServiceMax.
     */
    global Id Top_Level__c;
    /**
     * <h3>Top-Level</h3>
     * Serial number of the top-level installed product to which the component belongs. Is a lookup to an existing installed product record in ServiceMax.
     */
    global Installed_Product__c Top_Level__r;
    /**
     * <h3>Total Billable Amount with Tax</h3>
     */
    global Currency Total_Billable_Amount_with_Tax__c;
    /**
     * <h3>Total Billable Amount</h3>
     * Total Amount which is billed to the customer for the work performed.
     */
    global Currency Total_Billable_Amount__c;
    /**
     * <h3>Total Drive Time</h3>
     */
    global String Total_Drive_Time__c;
    /**
     * <h3>Total Estimated Job Hours</h3>
     */
    global Decimal Total_Estimated_Job_Hours__c;
    /**
     * <h3>Total Estimate</h3>
     * Total Estimate cost of the work to be performed.
     */
    global Currency Total_Estimate__c;
    /**
     * <h3>Total Job Cost</h3>
     */
    global Decimal Total_Job_Cost__c;
    /**
     * <h3>Total On Hold Time Formula</h3>
     */
    global Decimal Total_On_Hold_Time_Formula__c;
    /**
     * <h3>Total On Hold Time</h3>
     */
    global String Total_On_Hold_Time__c;
    /**
     * <h3>Total Sold Hours</h3>
     */
    global Decimal Total_Sold_Hours__c;
    /**
     * <h3>Total Time Onsite Formula</h3>
     */
    global Decimal Total_Time_Onsite_Formula__c;
    /**
     * <h3>Total Time Onsite</h3>
     */
    global String Total_Time_Onsite__c;
    /**
     * <h3>Total Work Hours</h3>
     */
    global String Total_Work_Hours__c;
    /**
     * <h3>Total Work Order Amount</h3>
     * Total cost of the work actual performed on the work order.
     */
    global Currency Total_Work_Order_Cost__c;
    /**
     * <h3>Travel Rate</h3>
     * Derived from Travel Policy
     */
    global Currency Travel_Rate__c;
    /**
     * <h3>Travel Unit</h3>
     * Derived from Travel Policy
     */
    global String Travel_Unit__c;
    /**
     * <h3>Turnaround Time</h3>
     * Turnaround time. Calculated automatically
     */
    global String Turnaround_Time__c;
    /**
     * <h3>Violation Message</h3>
     */
    global String Violation_Message__c;
    /**
     * <h3>Violation Status</h3>
     */
    global String Violation_Status2__c;
    /**
     * <h3>Warranty</h3>
     * Lookup to Product Warranty
     */
    global Id Warranty__c;
    /**
     * <h3>Warranty</h3>
     * Lookup to Product Warranty
     */
    global Warranty__c Warranty__r;
    global List<Work_Order_Resource__c> Work_Order_Resources__r;
    /**
     * <h3>Scheduling Status</h3>
     * Indicates various stages of the workflow of scheduling the work order
     */
    global String Work_Order_Scheduling_Status__c;
    /**
     * <h3>Work Performed</h3>
     * Details of work performed to address/resolve the service order
     */
    global String Work_Performed__c;
    /**
     * <h3>Zip</h3>
     * “Zip code” part of the work order location
     */
    global String Zip__c;

    global Service_Order__c()
    {
    }
}