// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Warranty Terms</h3>
 * Warranty Template allows organizations to define and standardize their warranty offering and apply it for a range of products automatically. A warranty template can be used to define the type and scope of coverage in a warranty such as parts, labor and expenses, and can then be associated with one or more products. When installed product records are created in ServiceMax, warranty will be calculated automatically based on the pre-defined warranty template associated with the product.
 */
global class /*SVMXC__*/Service_Template__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>All Products Covered(DO NOT USE)</h3>
     * Flag indicates if all products involved in the repair will be covered by this warranty. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean All_Products_Covered__c;
    /**
     * <h3>All Services Covered(DO NOT USE)</h3>
     * Flag indicates if all services performed will be covered by this warranty. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean All_Services_Covered__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global List<Counter_Details__c> Counter_Details__r;
    /**
     * <h3>Coverage Effective From</h3>
     * Specify the date field name from Installed Product object to be considered in warranty creation.
     */
    global String Coverage_Effective_From2__c;
    /**
     * <h3>Coverage Effective From(DO NOT USE)</h3>
     * Specify the date field name from Installed Product object to be considered in warranty creation.
     */
    global String Coverage_Effective_From__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Duration of Expenses Coverage</h3>
     * A number indicating the duration of coverage for expenses
     */
    global Decimal Duration_of_Expenses__c;
    /**
     * <h3>Duration of Material Coverage</h3>
     * A number indicating the duration of coverage for parts
     */
    global Decimal Duration_of_Material_Coverage__c;
    /**
     * <h3>Duration of Labor Coverage</h3>
     * A number indicating the duration of coverage for labor
     */
    global Decimal Duration_of_Time_Coverage__c;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Exchange Type</h3>
     * Type of exchange allowed as per the warranty template
     */
    global String Exchange_Type__c;
    /**
     * <h3>Exclusions</h3>
     * A free format text to define any exceptions not covered by the standard coverage of the template
     */
    global String Exclusions__c;
    /**
     * <h3>Expenses % Covered</h3>
     * A number between 1 and 100 indicating the percentage of coverage on expenses
     */
    global Decimal Expenses_Covered__c;
    /**
     * <h3>External ID</h3>
     */
    global String External_ID__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Service_Template__History> Histories;
    /**
     * <h3>Invoice Required</h3>
     * Flag indicates if an invoice is always raised at the end of service delivery. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Invoice_Required__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Loaner Provided</h3>
     * Flag indicates if customer is given a temporary replacement product when the covered product is under repair. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Loaner_Provided__c;
    /**
     * <h3>Material % Covered</h3>
     * A number between 1 and 100 indicating the percentage of coverage on parts
     */
    global Decimal Material_Covered__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Onsite Repair</h3>
     * Flag indicates if customer is eligible for onsite repair when entitled by this warranty. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Onsite_Repair__c;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Service_Template_Products__c> R00N70000001hzbrEAA__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>RMA Required</h3>
     * Flag indicates if an RMA is always required or an RMA is implied when this warranty is used to entitle a customer. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean RMA_Required__c;
    /**
     * <h3>Shipment Allowed</h3>
     * Flag indicates if customer shipments are covered by the warranty. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Shipment_Allowed__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Template Type</h3>
     * Indicates if this template is used for warranty calculation or referred in service contracts. When creating warranty for installed products, only templates with type Warranty are considered
     */
    global String Template_Type__c;
    /**
     * <h3>Labor % Covered</h3>
     * A number between 1 and 100 indicating the percentage of coverage on labor
     */
    global Decimal Time_Covered__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Transferable</h3>
     * Flag indicates if this warranty is transferable to other products under special circumstances. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Transferable__c;
    /**
     * <h3>Unit of Time for Expenses Coverage</h3>
     * Combined with duration of coverage, this qualifies the expenses coverage duration in days, weeks, months or years
     */
    global String Unit_of_Time_Expenses__c;
    /**
     * <h3>Unit of Time for Material Coverage</h3>
     * Combined with duration of coverage, this qualifies the material coverage duration in days, weeks, months or years
     */
    global String Unit_of_Time_Material__c;
    /**
     * <h3>Unit of Time for Labor Coverage</h3>
     * Combined with duration of coverage, this qualifies the labor coverage duration in days, weeks, months or years
     */
    global String Unit_of_Time__c;
    /**
     * <h3>Walk-in Allowed</h3>
     * Flag indicates if the customer is authorized to walk into a service center for service. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Walk_in_Allowed__c;
    global List<Warranty__c> Warranty__r;

    global Service_Template__c()
    {
    }
}