// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Location</h3>
 * Site is a unique location and is identified by a name and address. Site information is especially beneficial in service scenarios when accurate information about the physical location of a product is crucial to the timely delivery of service. ServiceMax also uses site to track warehouse and field inventory locations.
 */
global class /*SVMXC__*/Site__c extends SObject 
{
    global List<Account> Accounts_del__r;
    /**
     * <h3>Account</h3>
     * The account to which this site belongs to. Note that you can maintain your own organization’s locations in which case you will create an Account record for your account.
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     * The account to which this site belongs to. Note that you can maintain your own organization’s locations in which case you will create an Account record for your account.
     */
    global Account Account__r;
    /**
     * <h3>Active</h3>
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Case> Cases__r;
    global List<Case_Line__c> Case_Lines__r;
    global List<Checklist__c> Checklists__r;
    global List<SM_Checklist_Result__c> Checklist_Results__r;
    /**
     * <h3>City</h3>
     * “City” part of the site’s address
     */
    global String City__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Costed at value</h3>
     * Flag indicates if inventory in this location is priced using pricebook value or priced at zero.
     */
    global Boolean Costed_at_value__c;
    /**
     * <h3>Country</h3>
     * “Country” part of the site’s address
     */
    global String Country__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer Address</h3>
     */
    global Id Customer_Address__c;
    /**
     * <h3>Customer Address</h3>
     */
    global SCMC__Customer_Address__c Customer_Address__r;
    /**
     * <h3>Download to Mobile</h3>
     */
    global Decimal Download_to_Mobile__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Email</h3>
     * Location Email
     */
    global Email Email__c;
    global List<Event> Events;
    /**
     * <h3>External ID</h3>
     */
    global String External_ID__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Site__History> Histories;
    /**
     * <h3>Inventory Account</h3>
     * Inventory account number for this location. Used for costing/accounting purposes.
     */
    global String Inventory_Account__c;
    /**
     * <h3>Is Default Delivery</h3>
     */
    global Boolean IsDefault_Delivery__c;
    global Boolean IsDeleted;
    /**
     * <h3>Is Delivery Location</h3>
     */
    global Boolean IsDelivery_Location__c;
    /**
     * <h3>Is Good Stock</h3>
     */
    global Boolean IsGood_Stock__c;
    /**
     * <h3>Is Partner Record</h3>
     * Flag indicates that Location belongs to a Partner.
     */
    global Boolean IsPartnerRecord__c;
    /**
     * <h3>Is Partner</h3>
     * Flag indicates if location is Partner Location or not.
     */
    global String IsPartner__c;
    /**
     * <h3>Is Receiving Location</h3>
     */
    global Boolean IsReceiving_Location__c;
    /**
     * <h3>Is Repair Location</h3>
     */
    global Boolean IsRepair_Location__c;
    /**
     * <h3>Is Staging Location</h3>
     */
    global Boolean IsStaging_Location__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Latitude</h3>
     * Address location north or south of the equator.
     */
    global Decimal Latitude__c;
    global List<Site__c> Locations__r;
    /**
     * <h3>Location Notes</h3>
     */
    global String Location_Notes__c;
    /**
     * <h3>Location Type</h3>
     */
    global String Location_Type__c;
    global List<Stock_History__c> Location__r;
    /**
     * <h3>Longitude</h3>
     * East west geographic coordinate measurement.
     */
    global Decimal Longitude__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Parent</h3>
     */
    global Id Parent__c;
    /**
     * <h3>Parent</h3>
     */
    global Site__c Parent__r;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Id Partner_Account__c;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Account Partner_Account__r;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Id Partner_Contact__c;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Contact Partner_Contact__r;
    global List<RMA_Shipment_Line__c> Parts_Order_Lines__r;
    global List<Parts_Request__c> Parts_Request_From__r;
    global List<Parts_Request__c> Parts_Request_To__r;
    global List<PM_History__c> PM_History__r;
    /**
     * <h3>Access Hours</h3>
     * The work order location is open or accessible for service technician during these hours of the week
     */
    global Id Preferred_Business_Hours__c;
    /**
     * <h3>Access Hours</h3>
     * The work order location is open or accessible for service technician during these hours of the week
     */
    global BusinessHours Preferred_Business_Hours__r;
    global List<PM_Coverage__c> Preventive_Maintenance_Coverages__r;
    global List<PM_Plan__c> Preventive_Maintenance_Plans__r;
    /**
     * <h3>Primary Contact</h3>
     */
    global Id Primary_Contact__c;
    /**
     * <h3>Primary Contact</h3>
     */
    global Contact Primary_Contact__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Product_Stock__c> Product_Stock__r;
    global List<Proforma_Invoice_Line__c> Proforma_Invoice_Lines__r;
    /**
     * <h3>QB ID</h3>
     */
    global String QB_ID__c;
    global List<Installed_Product__c> R00N70000001hzcqEAA__r;
    global List<Service_Contract_Sites__c> R00N70000001hzdCEAQ__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global List<Resource_Preference__c> Resource_Preferences__r;
    global List<RMA_Shipment_Line__c> RMA_Shipment_Line__r;
    global List<RMA_Shipment_Order__c> RMA_Shipment_Order_From__r;
    global List<RMA_Shipment_Order__c> RMA_Shipment_Order_To__r;
    global List<Route_Card__c> Route_Cards1__r;
    global List<Route_Card__c> Route_Cards2__r;
    global List<Route_Card__c> Route_Cards3__r;
    global List<Route_Card__c> Route_Cards__r;
    global List<Route_Stop__c> Route_Stops1__r;
    global List<Route_Stop__c> Route_Stops__r;
    /**
     * <h3>Secondary Contact</h3>
     */
    global Id Secondary_Contact__c;
    /**
     * <h3>Secondary Contact</h3>
     */
    global Contact Secondary_Contact__r;
    global List<ServiceMax_Config_Data__c> ServiceMax_Config_Data__r;
    global List<ServiceMax_List__c> ServiceMax_List2__r;
    global List<ServiceMax_List__c> ServiceMax_List3__r;
    global List<ServiceMax_List__c> ServiceMax_List__r;
    global List<ServiceMax_Processes__c> ServiceMax_Processes1__r;
    global List<ServiceMax_Processes__c> ServiceMax_Processes__r;
    /**
     * <h3>Service Engineer</h3>
     * Name of the Service Engineer associated with the site.
     */
    global Id Service_Engineer__c;
    /**
     * <h3>Service Engineer</h3>
     * Name of the Service Engineer associated with the site.
     */
    global User Service_Engineer__r;
    global List<Service_Group_Members__c> Service_Group_Members__r;
    global List<Service_Group_Site__c> Service_Group_Site__r;
    global List<Service_Order_Line__c> Service_Order_Line_Cons_Loc__r;
    global List<Service_Order_Line__c> Service_Order_Line_From_Loc__r;
    global List<Service_Order_Line__c> Service_Order_Line_Req_Loc__r;
    /**
     * <h3>Site Fax</h3>
     * Main fax number for the site if available
     */
    global String Site_Fax__c;
    /**
     * <h3>Site Phone</h3>
     * Main phone number for the site if available
     */
    global String Site_Phone__c;
    global SObjectType SObjectType;
    /**
     * <h3>State</h3>
     * “State/Province” part of the site’s address
     */
    global String State__c;
    /**
     * <h3>Stocking Location</h3>
     * Flag indicates if this is a stocking location or not. ServiceMax does not perform inventory updates on non-stocking locations.
     */
    global Boolean Stocking_Location__c;
    global List<Stock_Adjustment__c> Stock_Adjustment__r;
    global List<Stock_Transfer__c> Stock_Transfer_From__r;
    global List<Stock_Transfer__c> Stock_Transfer_To__r;
    /**
     * <h3>Street</h3>
     * “Street” part of the site’s address
     */
    global String Street__c;
    global List<Sub_Location__c> Sub_Locations__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<SVMXC_Time_Entry__c> Time_Entries__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Web site</h3>
     * Website URL for the site if available. Use the company's website otherwise
     */
    global String Web_site__c;
    global List<Service_Order__c> Work_Orders__r;
    /**
     * <h3>Zip</h3>
     * “Zip/Postal code” part of the site’s address
     */
    global String Zip__c;

    global Site__c()
    {
    }
}