// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Skill</h3>
 * Skill record defines the expertise required during service delivery. For example, a CTI product company may define Network Assessment, CISCO router setup etc. as various skills. Skill definition is used in service group definition and can be used when assigning a service order to a service group or group member considering their skill levels.
 */
global class /*SVMXC__*/Skill__c extends SObject 
{
    /**
     * <h3>Active</h3>
     * Indicates if this skill is currently active and available for use
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Description</h3>
     * Detailed description of the skill
     */
    global String Description__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Skill__History> Histories;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Select</h3>
     * Checkbox used in ServiceMax screens to manage record selection
     */
    global Boolean Select__c;
    global List<ServiceMax_Config_Data__c> ServiceMax_Config_Data__r;
    global List<Service_Group_Skills__c> Service_Group_Skills__r;
    global List<Service_Order__c> Service_Order__r;
    /**
     * <h3>Skill Area</h3>
     * Indicates where this skill is applicable, in the field or depot or both
     */
    global String Skill_Area__c;
    /**
     * <h3>Skill Category</h3>
     * Indicates the type of skill. This helps in grouping similar types of skills for reporting purposes.
     */
    global String Skill_Category__c;
    /**
     * <h3>Skill Level – High</h3>
     * Benchmark for the maximum level of proficiency for this skill
     */
    global Decimal Skill_Level_High__c;
    /**
     * <h3>Skill Level – Low</h3>
     * Benchmark for the minimum level of proficiency for this skill
     */
    global Decimal Skill_Level_Low__c;
    /**
     * <h3>Skill Level – Medium</h3>
     * Benchmark for the average level of proficiency for this skill
     */
    global Decimal Skill_Level_Medium__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;

    global Skill__c()
    {
    }
}