// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Stock Adjustment</h3>
 * This object captures "hard-reset" adjustments to ServiceMax stock data. This is used by ServiceMax application administrators when a mismatch is found between real stock and ServiceMax stock.
 */
global class /*SVMXC__*/Stock_Adjustment__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Additional Information</h3>
     * Any additional information relevant to this stock adjustment.
     */
    global String Additional_Information__c;
    /**
     * <h3>Adjustment Account Number</h3>
     * The source/target inventory account against which this increase/decrease is accounted for.
     */
    global String Adjustment_Account_Number__c;
    /**
     * <h3>Adjustment Type</h3>
     * Type of adjustment. Indicates the purpose for stock adjustment
     */
    global String Adjustment_Type__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Change Qty</h3>
     * Positive number indicating the change in quantity (Higher quantity – lower quantity)
     */
    global Decimal Change_Quantity2__c;
    /**
     * <h3>Change Type</h3>
     * Indicates if the change was an increase or decrease
     */
    global String Change_Type__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Stock_Adjustment__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>IsPartnerRecord</h3>
     * Flag indicates if transaction is for/ by a Partner or not.
     */
    global Boolean IsPartnerRecord__c;
    /**
     * <h3>Is Partner</h3>
     * Flag indicates if transaction is for/ by a Partner or not.
     */
    global String IsPartner__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Location</h3>
     * Physical location of the product where stock is adjusted. This is a lookup to an existing site record.
     */
    global Id Location__c;
    /**
     * <h3>Location</h3>
     * Physical location of the product where stock is adjusted. This is a lookup to an existing site record.
     */
    global Site__c Location__r;
    global String Name;
    /**
     * <h3>New Qty</h3>
     * Product quantity after stock adjustment.
     */
    global Decimal New_Quantity2__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Old Qty</h3>
     * Product quantity before stock adjustment.
     */
    global Decimal Old_Quantity2__c;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Id Partner_Account__c;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Account Partner_Account__r;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Id Partner_Contact__c;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Contact Partner_Contact__r;
    /**
     * <h3>Posted To Inventory</h3>
     * Indicates if this stock adjustment has been posted to inventory or not. This is set automatically.
     */
    global Boolean Posted_To_Inventory__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Id Product__c;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Product2 Product__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Serial Number</h3>
     * Unique identification of a product. This field is intended to be used when Inventory Process in SFM API Configuration is enabled.
     */
    global String Serial_Number_List__c;
    global SObjectType SObjectType;
    global List<Stock_History__c> Stock_History__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Transaction Results</h3>
     * Success or error message as a result of a transaction. This message is derived from executing a defined process in SFM API Configuration.
     */
    global String Transaction_Results__c;

    global Stock_Adjustment__c()
    {
    }
}