// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Stock History</h3>
 * All ServiceMax transactions such as RMA, Shipment, Parts Receipt etc. that impact inventory are recorded in this object
 */
global class /*SVMXC__*/Stock_History__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Changed By</h3>
     * Name of the salesforce user that has initiated original transaction which resulted in stock change.
     */
    global Id Changed_By__c;
    /**
     * <h3>Changed By</h3>
     * Name of the salesforce user that has initiated original transaction which resulted in stock change.
     */
    global User Changed_By__r;
    /**
     * <h3>Change Type</h3>
     * Change Type Indicates if the type of change in product quantity was “Increase” or “Decrease”.
     */
    global String Change_Type__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Cost</h3>
     * Price of the product from the default pricebook at the time of transaction.
     */
    global Currency Cost__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency</h3>
     * Currency of the product price at the time of the transaction, which resulted in stock change.
     */
    global String Currency__c;
    /**
     * <h3>Date Changed</h3>
     * Date/time when the change in product stock was made.
     */
    global Datetime Date_Changed__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>From Product Stock</h3>
     * Source (From) Product Stock record involved in the stock transaction. Reference to an existing Product Stock record in ServiceMax
     */
    global Id From_Product_Stock__c;
    /**
     * <h3>From Product Stock</h3>
     * Source (From) Product Stock record involved in the stock transaction. Reference to an existing Product Stock record in ServiceMax
     */
    global Product_Stock__c From_Product_Stock__r;
    global List<Stock_History__History> Histories;
    /**
     * <h3>Inventory Account</h3>
     * Inventory account number for this location. Used for costing/accounting purposes.
     */
    global String Inventory_Account__c;
    /**
     * <h3>Inventory Process</h3>
     * Inventory process that resulted in this stock transaction.
     */
    global Id Inventory_Process__c;
    /**
     * <h3>Inventory Process</h3>
     * Inventory process that resulted in this stock transaction.
     */
    global ServiceMax_Processes__c Inventory_Process__r;
    global Boolean IsDeleted;
    /**
     * <h3>IsPartnerRecord</h3>
     * Flag indicates if transaction is for/ by a Partner or not.
     */
    global Boolean IsPartnerRecord__c;
    /**
     * <h3>Is Partner</h3>
     * Flag indicates if transaction is for/ by a Partner or not.
     */
    global String IsPartner__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Location</h3>
     * Current physical location of the product. This is a lookup to an existing site record.
     */
    global Id Location__c;
    /**
     * <h3>Location</h3>
     * Current physical location of the product. This is a lookup to an existing site record.
     */
    global Site__c Location__r;
    global String Name;
    /**
     * <h3>Negative Stock</h3>
     * Flag indicates if this transaction resulted in negative stock or not.
     */
    global Boolean Negative_Stock__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Notified User</h3>
     * User notified of negative stock. Reference to an existing Salesforce user record.
     */
    global Id Notified_User__c;
    /**
     * <h3>Notified User</h3>
     * User notified of negative stock. Reference to an existing Salesforce user record.
     */
    global User Notified_User__r;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Id Partner_Account__c;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger.
     */
    global Account Partner_Account__r;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Id Partner_Contact__c;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger.
     */
    global Contact Partner_Contact__r;
    /**
     * <h3>Parts Request Line</h3>
     * Reference to the Parts Request line.
     */
    global Id Parts_Request_Line__c;
    /**
     * <h3>Parts Request Line</h3>
     * Reference to the Parts Request line.
     */
    global Parts_Request_Line__c Parts_Request_Line__r;
    /**
     * <h3>Parts Request</h3>
     * Reference to the Parts Request.
     */
    global Id Parts_Request__c;
    /**
     * <h3>Parts Request</h3>
     * Reference to the Parts Request.
     */
    global Parts_Request__c Parts_Request__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product Serial</h3>
     * Select Product Serial
     */
    global Id Product_Serial__c;
    /**
     * <h3>Product Serial</h3>
     * Select Product Serial
     */
    global Product_Serial__c Product_Serial__r;
    /**
     * <h3>Product Stock</h3>
     * Product Stock record affected by the stock transaction. Reference to an existing product stock record in ServiceMax
     */
    global Id Product_Stock__c;
    /**
     * <h3>Product Stock</h3>
     * Product Stock record affected by the stock transaction. Reference to an existing product stock record in ServiceMax
     */
    global Product_Stock__c Product_Stock__r;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Id Product__c;
    /**
     * <h3>Product</h3>
     * Name of the product. This is a lookup to an existing salesforce product record.
     */
    global Product2 Product__r;
    /**
     * <h3>Qty after change</h3>
     * Stock quantity in the given product+location+status after the transaction.
     */
    global Decimal Quantity_after_change2__c;
    /**
     * <h3>Qty before change</h3>
     * Stock quantity in the given product+location+status before the transaction.
     */
    global Decimal Quantity_before_change2__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global RecordType RecordType;
    global Id RecordTypeId;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>RMA Line</h3>
     * Reference to the RMA/Shipment Line.
     */
    global Id RMA_Line__c;
    /**
     * <h3>RMA Line</h3>
     * Reference to the RMA/Shipment Line.
     */
    global RMA_Shipment_Line__c RMA_Line__r;
    /**
     * <h3>RMA</h3>
     * Reference to the RMA/Shipment Order.
     */
    global Id RMA__c;
    /**
     * <h3>RMA</h3>
     * Reference to the RMA/Shipment Order.
     */
    global RMA_Shipment_Order__c RMA__r;
    /**
     * <h3>Work Details</h3>
     * Reference to the service order line.
     */
    global Id Service_Order_Line__c;
    /**
     * <h3>Work Details</h3>
     * Reference to the service order line.
     */
    global Service_Order_Line__c Service_Order_Line__r;
    /**
     * <h3>Work Order</h3>
     * Reference to the Service Order.
     */
    global Id Service_Order__c;
    /**
     * <h3>Work Order</h3>
     * Reference to the Service Order.
     */
    global Service_Order__c Service_Order__r;
    /**
     * <h3>Shipment Line</h3>
     * Reference to the RMA/Shipment Line.
     */
    global Id Shipment_Line__c;
    /**
     * <h3>Shipment Line</h3>
     * Reference to the RMA/Shipment Line.
     */
    global RMA_Shipment_Line__c Shipment_Line__r;
    /**
     * <h3>Shipment</h3>
     * Reference to the RMA/Shipment Order.
     */
    global Id Shipment__c;
    /**
     * <h3>Shipment</h3>
     * Reference to the RMA/Shipment Order.
     */
    global RMA_Shipment_Order__c Shipment__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * Current status of product.
     */
    global String Status__c;
    /**
     * <h3>Stock Adjustment</h3>
     * Reference to the Stock Adjustment.
     */
    global Id Stock_Adjustment__c;
    /**
     * <h3>Stock Adjustment</h3>
     * Reference to the Stock Adjustment.
     */
    global Stock_Adjustment__c Stock_Adjustment__r;
    /**
     * <h3>Stock Transfer Line</h3>
     * Reference to the Stock Transfer line.
     */
    global Id Stock_Transfer_Line__c;
    /**
     * <h3>Stock Transfer Line</h3>
     * Reference to the Stock Transfer line.
     */
    global Stock_Transfer_Line__c Stock_Transfer_Line__r;
    /**
     * <h3>Stock Transfer</h3>
     * Reference to the Stock Transfer.
     */
    global Id Stock_Transfer__c;
    /**
     * <h3>Stock Transfer</h3>
     * Reference to the Stock Transfer.
     */
    global Stock_Transfer__c Stock_Transfer__r;
    /**
     * <h3>Stock Value</h3>
     * Value of the stock quantity at the time of transaction
     */
    global Currency Stock_Value__c;
    /**
     * <h3>Part Text</h3>
     * Serial Number of the Serilaized Part used
     */
    global String SVMX_Part_Text__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>To Product Stock</h3>
     * Target (To) Product Stock record involved in the stock transaction. Reference to an existing Product Stock record in ServiceMax
     */
    global Id To_Product_Stock__c;
    /**
     * <h3>To Product Stock</h3>
     * Target (To) Product Stock record involved in the stock transaction. Reference to an existing Product Stock record in ServiceMax
     */
    global Product_Stock__c To_Product_Stock__r;
    /**
     * <h3>Transaction Qty</h3>
     * Product quantity in the source transaction.
     */
    global Decimal Transaction_Quantity2__c;
    /**
     * <h3>Transaction Type</h3>
     * Status should be be assigned based on various original transactions which resulted in stock change.
     */
    global String Transaction_Type__c;

    global Stock_History__c()
    {
    }
}