// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Stock Transfer</h3>
 * This object is used to capture transfer of inventory between two locations through hand-pick/delivery. This is used when Field engineers drop by at a warehouse for picking up inventory or when parts are moved between a warehouse and a repair facility both located in the same building.
 */
global class /*SVMXC__*/Stock_Transfer__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Additional Information</h3>
     * Any additional information relevant to this stock transfer.
     */
    global String Additional_Information__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Destination Location</h3>
     * Physical Location where stock is transfered to. This is a lookup to an existing site record.
     */
    global Id Destination_Location__c;
    /**
     * <h3>Destination Location</h3>
     * Physical Location where stock is transfered to. This is a lookup to an existing site record.
     */
    global Site__c Destination_Location__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Stock_Transfer__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>IsPartnerRecord</h3>
     * Flag indicates if transaction is for/ by a Partner or not.
     */
    global Boolean IsPartnerRecord__c;
    /**
     * <h3>IsPartner</h3>
     * Flag indicates if transaction is for/ by a Partner or not.
     */
    global String IsPartner__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Not Posted Item Count</h3>
     * Count of line items that are not posted.
     */
    global Decimal Not_Posted_Item_Count__c;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger
     */
    global Id Partner_Account__c;
    /**
     * <h3>Partner Account</h3>
     * Lookup to Account, set by trigger
     */
    global Account Partner_Account__r;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger
     */
    global Id Partner_Contact__c;
    /**
     * <h3>Partner Contact</h3>
     * Lookup to Contact, set by trigger
     */
    global Contact Partner_Contact__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    /**
     * <h3>Source Location</h3>
     * Physical Location from where stock is transfered. This is a lookup to an existing site record.
     */
    global Id Source_Location__c;
    /**
     * <h3>Source Location</h3>
     * Physical Location from where stock is transfered. This is a lookup to an existing site record.
     */
    global Site__c Source_Location__r;
    global List<Stock_History__c> Stock_History__r;
    global List<Stock_Transfer_Line__c> Stock_Transfer_Line__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;

    global Stock_Transfer__c()
    {
    }
}