// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Sub Location</h3>
 * Sub location is a unique information that identifies an address in a given location. Sub location information is beneficial in service scenarios when accurate information about the physical sub location of a product is crucial to the timely delivery of service. A sub location should always be used in the context of a location.
 */
global class /*SVMXC__*/Sub_Location__c extends SObject 
{
    /**
     * <h3>Account</h3>
     * The account to which this sub location belongs to. Note that you can maintain your own organization’s sub locations in which case you will create an Account record for your account.
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     * The account to which this sub location belongs to. Note that you can maintain your own organization’s sub locations in which case you will create an Account record for your account.
     */
    global Account Account__r;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>City</h3>
     * “City” part of the sub location address
     */
    global String City__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Country</h3>
     * “Country” part of the sub location’s address
     */
    global String Country__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Email</h3>
     * Location Email
     */
    global Email Email__c;
    global List<Event> Events;
    /**
     * <h3>Fax</h3>
     * Main fax number for the sub location if available
     */
    global String Fax__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Sub_Location__History> Histories;
    global List<Installed_Product__c> Installed_Products_del__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Latitude</h3>
     * Address location north or south of the equator.
     */
    global Decimal Latitude__c;
    /**
     * <h3>Location</h3>
     */
    global Id Location__c;
    /**
     * <h3>Location</h3>
     */
    global Site__c Location__r;
    /**
     * <h3>Longitude</h3>
     * East west geographic coordinate measurement.
     */
    global Decimal Longitude__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Parent</h3>
     * Refers to the parent sub location
     */
    global Id Parent__c;
    /**
     * <h3>Parent</h3>
     * Refers to the parent sub location
     */
    global Sub_Location__c Parent__r;
    /**
     * <h3>Phone</h3>
     * Main phone number for the sub location if available
     */
    global String Phone__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    /**
     * <h3>State</h3>
     * “State/Province” part of the sub location’s address
     */
    global String State__c;
    /**
     * <h3>Street</h3>
     * “Street” part of the sub location’s address
     */
    global String Street__c;
    global List<Sub_Location__c> Sub_Locations__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Web site</h3>
     * Website URL for the sub location if available. Use the company's website otherwise
     */
    global String Web_site__c;
    /**
     * <h3>Zip</h3>
     * “Zip/Postal code” part of the sub location’s address
     */
    global String Zip__c;

    global Sub_Location__c()
    {
    }
}