// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Territory</h3>
 * This object provides basic definition of a service territory in ServiceMax. Service territories are not related in anyway to the Salesforce territory definitions.
 */
global class /*SVMXC__*/Territory__c extends SObject 
{
    /**
     * <h3>Active</h3>
     * Indicates if this territory is active or not
     */
    global Boolean Active__c;
    global List<ActivityHistory> ActivityHistories;
    global List<Territory_Coverage__c> Adjacent_Territory__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Average Driving Time</h3>
     */
    global Decimal Average_Driving_Time__c;
    /**
     * <h3>Average Speed</h3>
     * Average speed in which the technicians of this territory travel on the road. Used in dispatch optimization
     */
    global Decimal Average_Speed__c;
    /**
     * <h3>Break Hours</h3>
     */
    global Id Break_Hours__c;
    /**
     * <h3>Break Hours</h3>
     */
    global BusinessHours Break_Hours__r;
    global List<Case> Case__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Description</h3>
     * Description of the territory
     */
    global String Description__c;
    global List<Dispatcher_Access__c> Dispatcher_Access__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Fixed Cost</h3>
     * Any fixed costs associated with the technicians in this territory for each day of work order activity. Used in dispatch optimization
     */
    global Currency Fixed_Cost__c;
    global List<Territory__History> Histories;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Max Daily Hours</h3>
     * Limits on number of hours of work order activity per day. Though this option is available, it is recommended to use technician business hours and break hours to indicate technician’s availability. Used in dispatch optimization
     */
    global Decimal Max_Daily_Hours__c;
    /**
     * <h3>Max Distance</h3>
     * Distance in miles if the technicians in this territory cannot travel beyond this limit on a given route. Used in dispatch optimization
     */
    global Decimal Max_Distance__c;
    /**
     * <h3>Max Hours</h3>
     * Max hours
     */
    global Decimal Max_Hours__c;
    /**
     * <h3>Mode Of Travel</h3>
     */
    global String Mode_Of_Travel__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Optimizer Connection Name</h3>
     * This field stores the Connection Instance Name.
     */
    global String Optimizer_Connection_Name__c;
    /**
     * <h3>Optimizer External Identifier</h3>
     * Some identifier from the external scheduling optimizer to link the Territory
     */
    global String Optimizer_External_ID__c;
    /**
     * <h3>Optimizer Last Timestamp</h3>
     * Last timestamp of when schedule details retrieved from the scheduling optmizer
     */
    global String Optimizer_Last_Timestamp__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Parent Territory</h3>
     * Parent territory a territory rolls up to. Lookup to an existing territory in ServiceMax
     */
    global Id Parent_Territory__c;
    /**
     * <h3>Parent Territory</h3>
     * Parent territory a territory rolls up to. Lookup to an existing territory in ServiceMax
     */
    global Territory__c Parent_Territory__r;
    /**
     * <h3>Per Hour Cost</h3>
     * Average cost of technician’s time for this territory. Used in dispatch optimization
     */
    global Currency Per_Hour_Cost__c;
    /**
     * <h3>Per Mile Cost</h3>
     * Average travel cost per mile for this territory. Used in dispatch optimization
     */
    global Currency Per_Mile_Cost__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Select</h3>
     * Checkbox used in ServiceMax screens to manage record selection
     */
    global Boolean Select__c;
    global List<ServiceMax_Config_Data__c> ServiceMax_Config_Data__r;
    global List<ServiceMax_Processes__c> ServiceMax_Processes__r;
    global List<Service_Group_Members__c> Service_Group_Members__r;
    global List<Service_Order__c> Service_Order__r;
    global List<Service_Zone__c> Service_Zones__r;
    global SObjectType SObjectType;
    global List<SVMX_Jobs__c> SVMX_Jobs__r;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<Territory__c> Territory_Child__r;
    /**
     * <h3>Territory Code</h3>
     * Any internal (typically financials) code your organization uses to refer to this territory
     */
    global String Territory_Code__c;
    global List<Territory_Coverage__c> Territory_Coverage__r;
    /**
     * <h3>Territory's Business Hours</h3>
     */
    global Id Territory_s_Business_Hours__c;
    /**
     * <h3>Territory's Business Hours</h3>
     */
    global BusinessHours Territory_s_Business_Hours__r;
    global List<TopicAssignment> TopicAssignments;

    global Territory__c()
    {
    }
}