// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Product Warranty</h3>
 * Object that stores warranty information for installed products. If the product or group of products is linked to an existing warranty template at the time of installed product creation, the warranty is automatically calculated. Warranty can also be created interactively for any installed product record by choosing an appropriate warranty template.
 */
global class /*SVMXC__*/Warranty__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>All Products Covered</h3>
     * Flag indicates if all products involved in the repair will be covered by this warranty. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean All_Products_Covered__c;
    /**
     * <h3>All Services Covered</h3>
     * Flag indicates if all services performed will be covered by this warranty. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean All_Services_Covered__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Case> Cases__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Download to Mobile</h3>
     */
    global Decimal Download_to_Mobile__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date Expenses Covered</h3>
     * Date on which expenses coverage ends
     */
    global Date End_Date_Expenses_Covered__c;
    /**
     * <h3>End Date Material Covered</h3>
     * Date on which material coverage ends
     */
    global Date End_Date_Material_Covered__c;
    /**
     * <h3>End Date Time Covered</h3>
     * Date on which labor coverage ends
     */
    global Date End_Date_Time_Covered__c;
    /**
     * <h3>End Date</h3>
     * Warranty end date
     */
    global Date End_Date__c;
    global List<Event> Events;
    /**
     * <h3>Exchange type</h3>
     * Type of exchange allowed in the warranty. Copied from warranty template
     */
    global String Exchange_type__c;
    /**
     * <h3>Exclusions</h3>
     * A free format text to define any exceptions specifically applicable to this installed product
     */
    global String Exclusions__c;
    /**
     * <h3>Expenses % Covered</h3>
     * Percentage of other expenses covered by the warranty
     */
    global Decimal Expenses_Covered__c;
    /**
     * <h3>External ID</h3>
     */
    global String External_ID__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Warranty__History> Histories;
    /**
     * <h3>Installed Product</h3>
     * Name of the installed product for which this warranty is applicable. Is a lookup to an existing installed product record in ServiceMax
     */
    global Id Installed_Product__c;
    /**
     * <h3>Installed Product</h3>
     * Name of the installed product for which this warranty is applicable. Is a lookup to an existing installed product record in ServiceMax
     */
    global Installed_Product__c Installed_Product__r;
    /**
     * <h3>Invoice Required</h3>
     * Flag indicates if an invoice is always raised at the end of service delivery. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Invoice_Required__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Loaner Provided</h3>
     * Flag indicates if customer is given a temporary replacement product when the covered product is under repair. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Loaner_Provided__c;
    /**
     * <h3>Material % Covered</h3>
     * Percentage of material cost covered by the warranty
     */
    global Decimal Material_Covered__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Onsite Repair</h3>
     * Flag indicates if customer is eligible for onsite repair when entitled by this warranty. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Onsite_Repair__c;
    global List<OpenActivity> OpenActivities;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Entitlement_History__c> R00N70000001hzecEAA__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>RMA Required</h3>
     * Flag indicates if an RMA is always required or an RMA is implied when this warranty is used to entitle a customer. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean RMA_Required__c;
    /**
     * <h3>Select</h3>
     * Field to bind check box in List of Product Warranty Line records on Visualforce page with controller.
     */
    global Boolean Select__c;
    /**
     * <h3>Warranty Terms</h3>
     * Name of the warranty template used to create a warranty. Is a lookup to an existing warranty template record
     */
    global Id Service_Template__c;
    /**
     * <h3>Warranty Terms</h3>
     * Name of the warranty template used to create a warranty. Is a lookup to an existing warranty template record
     */
    global Service_Template__c Service_Template__r;
    /**
     * <h3>Shipment Allowed</h3>
     * Flag indicates if customer shipments are covered by the warranty. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Shipment_Allowed__c;
    global SObjectType SObjectType;
    global List<SPM_Contract_Penetration__c> SPM_Contract_Penetrations__r;
    global List<SPM_Repeat_Visit__c> SPM_Repeat_Visit__r;
    /**
     * <h3>Start Date</h3>
     * Warranty start date
     */
    global Date Start_Date__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Time % Covered</h3>
     * Percentage of labor cost covered by the warranty
     */
    global Decimal Time_Covered__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Transferable</h3>
     * Flag indicates if this warranty is transferable to other products under special circumstances. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Transferable__c;
    /**
     * <h3>Travel % Covered</h3>
     */
    global Decimal Travel_Covered__c;
    /**
     * <h3>Walk-in Allowed</h3>
     * Flag indicates if the customer is authorized to walk into a service center for service. This flag does not drive any functionality in ServiceMax and is for informational purposes only
     */
    global Boolean Walk_in_Allowed__c;
    /**
     * <h3>Weeks to End</h3>
     * Number of weeks before the warranty ends. Calculated automatically
     */
    global Decimal Weeks_to_End__c;
    global List<Service_Order_Line__c> Work_Details__r;
    global List<Service_Order__c> Work_Orders1__r;

    global Warranty__c()
    {
    }
}