// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Currency Exchange Rate</h3>
 * This core object is only used if you manage dated exchange rates using FinancialForce PSA instead of Salesforce advanced currency management. Defines the exchange rates--against the designated corporate currency--for each of your currencies. You can enter effective (start) and expiration (end) dates to define a dated exchange rate that is only effective over a certain time period.
 */
global class /*appirio_core__*/Currency_Exchange_Rate__c extends SObject 
{
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency Code</h3>
     */
    global String Currency_Code__c;
    /**
     * <h3>Currency</h3>
     * This lookup references the Currency record for which the dated currency exchange rate applies.  The rate is always defined as how much of the referenced Currency is equal to 1 (one) unit of the Coprorate Currency on the specified effective date.
     */
    global Id Currency__c;
    /**
     * <h3>Currency</h3>
     * This lookup references the Currency record for which the dated currency exchange rate applies.  The rate is always defined as how much of the referenced Currency is equal to 1 (one) unit of the Coprorate Currency on the specified effective date.
     */
    global Currency__c Currency__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Effective Date</h3>
     * Date for which the dated currency exchange rate actually applies, even if it is being used for a broader date range.  Currency conversions would always look for most recent rate that is not in the future (i.e. today or earlier).
     */
    global Date Effective_Date__c;
    global List<EmailMessage> Emails;
    /**
     * <h3>Expiration Date</h3>
     * Specifies the date on which this Exchange Rate expires, if any.  The Exchange Rate is valid until the day before the Expiration Date, or never expires if blank.
     */
    global Date Expiration_Date__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Currency_Exchange_Rate__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>Is Test</h3>
     * If checked, indicates that this currency exchange rate record is only being used in test mode and is not to be used for 'real' (production) exchange rate conversions.
     */
    global Boolean Is_Test__c;
    /**
     * <h3>Is Void</h3>
     * If checked, indicates that this currency exchange rate record is invalid and is not to be used
     */
    global Boolean Is_Void__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    /**
     * <h3>Next Effective Date</h3>
     * Defines the effective date of the subsequent exchange rate for the currency if any.  It will be blank for the most recent rate.  This field should be set automatically by the system.
     */
    global Date Next_Effective_Date__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Rate</h3>
     * Defines the numeric value of the dated exchange rate between the referenced Currency and the Corporate Currency for the org.
     */
    global Decimal Rate__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<TopicAssignment> TopicAssignments;

    global Currency_Exchange_Rate__c()
    {
    }
}