// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Currency</h3>
 * This core object is only used if you manage dated exchange rates using FinancialForce PSA instead of Salesforce advanced currency management. Associate every currency record (with matching currency code) to a currency defined by Salesforce multiple currencies (multi-currency enablement is required by PSA). Currencies have a master-detail relationship with dated exchange rates (currency exchange rates). One currency is designated as corporate.
 */
global class /*appirio_core__*/Currency__c extends SObject 
{
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Currency Code</h3>
     * Represents the Currency Code abbreviation (e.g. USD, EUR, CAD) for the currency.  This is usually 3 characters.
     */
    global String Currency_Code__c;
    global List<Currency_Exchange_Rate__c> Currency_Exchange_Rates__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Currency__History> Histories;
    global Boolean IsDeleted;
    /**
     * <h3>Is Corporate Currency</h3>
     * Indicates whether currency record is for Corporate Currency - i.e. currency to which all other currencies are compared for exchange rate purposes.
     */
    global Boolean Is_Corporate_Currency__c;
    /**
     * <h3>Is Test</h3>
     * If checked, indicates that this currency record is only being used in test mode and is not to be used for 'real' (production) exchange rate conversions, and that any exchange rates defined for this currency also should not be used for 'real' conversions.
     */
    global Boolean Is_Test__c;
    /**
     * <h3>Is Void</h3>
     * If checked, indicates that this currency record is invalid and is not to be used, and that any exchange rates defined for this currency also should not be used.
     */
    global Boolean Is_Void__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<TopicAssignment> TopicAssignments;

    global Currency__c()
    {
    }
}