// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Billing Document Line Item</h3>
 */
global class /*fferpcore__*/BillingDocumentLineItem__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billing Document Status</h3>
     * Formula field containing the status of the billing document to which the billing document line item belongs.
     */
    global String BillingDocumentStatus__c;
    /**
     * <h3>Billing Document</h3>
     * Billing document to which this billing document line item belongs.
     */
    global Id BillingDocument__c;
    /**
     * <h3>Billing Document</h3>
     * Billing document to which this billing document line item belongs.
     */
    global BillingDocument__c BillingDocument__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<BillingDocumentLineItem__History> Histories;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Description</h3>
     * Description of the billing document line item.
     */
    global String LineDescription__c;
    global String Name;
    /**
     * <h3>Net Value Override</h3>
     * Optional manual calculation of the net value.
     */
    global Currency NetValueOverride__c;
    /**
     * <h3>Net Value</h3>
     * Total Value of this billing document line item before tax. The formula used to calculate this is Quantity x Unit Price.
     */
    global Currency NetValue__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Product or Service</h3>
     * Lookup to the Salesforce product or service to which this billing document line item relates.
     */
    global Id ProductService__c;
    /**
     * <h3>Product or Service</h3>
     * Lookup to the Salesforce product or service to which this billing document line item relates.
     */
    global Product2 ProductService__r;
    /**
     * <h3>Quantity</h3>
     * Number of items included in this billing document line item. This is used to calculate the Total Value of the billing document line item.
     */
    global Decimal Quantity__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    /**
     * <h3>Tax Code 1</h3>
     * Tax code to use when calculating tax for this billing document line item.
     */
    global Id TaxCode1__c;
    /**
     * <h3>Tax Code 1</h3>
     * Tax code to use when calculating tax for this billing document line item.
     */
    global TaxCode__c TaxCode1__r;
    /**
     * <h3>Tax Code 2</h3>
     * Tax code to use when calculating tax for this billing document line item.
     */
    global Id TaxCode2__c;
    /**
     * <h3>Tax Code 2</h3>
     * Tax code to use when calculating tax for this billing document line item.
     */
    global TaxCode__c TaxCode2__r;
    /**
     * <h3>Tax Code 3</h3>
     * Tax code to use when calculating tax for this billing document line item.
     */
    global Id TaxCode3__c;
    /**
     * <h3>Tax Code 3</h3>
     * Tax code to use when calculating tax for this billing document line item.
     */
    global TaxCode__c TaxCode3__r;
    /**
     * <h3>Tax Rate 1</h3>
     * Tax rate to use when calculating tax for this billing document line item.
     */
    global Decimal TaxRate1__c;
    /**
     * <h3>Tax Rate 2</h3>
     * Tax rate to use when calculating tax for this billing document line item.
     */
    global Decimal TaxRate2__c;
    /**
     * <h3>Tax Rate 3</h3>
     * Tax rate to use when calculating tax for this billing document line item.
     */
    global Decimal TaxRate3__c;
    /**
     * <h3>Tax Rate Total</h3>
     * Total tax rate for the billing document line item.
     */
    global Decimal TaxRateTotal__c;
    /**
     * <h3>Tax Value 1</h3>
     * Tax value calculated from the corresponding tax rate using the formula: Net Value * (Tax Rate / 100).
     */
    global Decimal TaxValue1__c;
    /**
     * <h3>Tax Value 2</h3>
     * Tax value calculated from the corresponding tax rate using the formula: Net Value * (Tax Rate / 100).
     */
    global Decimal TaxValue2__c;
    /**
     * <h3>Tax Value 3</h3>
     * Tax value calculated from the corresponding tax rate using the formula: Net Value * (Tax Rate / 100).
     */
    global Decimal TaxValue3__c;
    /**
     * <h3>Tax Value Total</h3>
     * Total tax for the billing document line item.
     */
    global Currency TaxValueTotal__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Value</h3>
     * Total Value of this billing document line item including tax. The formula used to calculate this is Net Value + Tax Value Total.
     */
    global Currency TotalValue__c;
    /**
     * <h3>Unit Price</h3>
     * Price of one item for the billing document line item. This is used to calculate the Total Value of the billing document line item.
     */
    global Decimal UnitPrice__c;

    global BillingDocumentLineItem__c()
    {
    }
}