// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Billing Document</h3>
 * Contains sales invoice and sales credit note billing documents that enable you to bill and credit customers.
 */
global class /*fferpcore__*/BillingDocument__c extends SObject 
{
    /**
     * <h3>Account</h3>
     * Lookup to the Salesforce Account to which this document relates.
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     * Lookup to the Salesforce Account to which this document relates.
     */
    global Account Account__r;
    global List<ActivityHistory> ActivityHistories;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billing Account</h3>
     * Name of the account to appear on the billing document as the account being billed.
     */
    global String BillingAccountName__c;
    /**
     * <h3>Billing City</h3>
     */
    global String BillingCity__c;
    /**
     * <h3>Billing Country</h3>
     */
    global String BillingCountry__c;
    /**
     * <h3>Billing Zip/Postal Code</h3>
     */
    global String BillingPostalCode__c;
    /**
     * <h3>Billing State/Province</h3>
     */
    global String BillingState__c;
    /**
     * <h3>Billing Street</h3>
     */
    global String BillingStreet__c;
    global List<BillingDocumentLineItem__c> ChildBillingDocumentLineItems__r;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Company</h3>
     * Lookup to the associated company.
     */
    global Id Company__c;
    /**
     * <h3>Company</h3>
     * Lookup to the associated company.
     */
    global Company__c Company__r;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Customer Reference</h3>
     * External customer reference.
     */
    global String CustomerReference__c;
    /**
     * <h3>Date Issued</h3>
     * Date on which the billing document was sent.
     */
    global Date DateIssued__c;
    /**
     * <h3>Description</h3>
     * Description of the sales invoice or credit note.
     */
    global String Description__c;
    /**
     * <h3>Document Date</h3>
     * Date on which the document was created.
     */
    global Date DocumentDate__c;
    /**
     * <h3>Document Due Date</h3>
     * Date on which payment is expected.
     */
    global Date DocumentDueDate__c;
    /**
     * <h3>Document Status</h3>
     * Status of the billing document. The status can be Draft or Complete. When the status is complete, you can only edit the Document Due Date, Customer Reference and Description.
     */
    global String DocumentStatus__c;
    /**
     * <h3>Document Total</h3>
     * Total value of all the billing document line items on this billing document.
     */
    global Currency DocumentTotal__c;
    /**
     * <h3>Document Type</h3>
     * Indicates whether the document is a sales invoice or a sales credit note.
     */
    global String DocumentType__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    global List<BillingDocument__Feed> Feeds;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Footer Text</h3>
     * Text to be shown at the end of printed billing documents.
     */
    global String FooterText__c;
    /**
     * <h3>Header Text</h3>
     * Text to be shown at the start of printed billing documents.
     */
    global String HeaderText__c;
    global List<BillingDocument__History> Histories;
    /**
     * <h3>Billing Address Validated</h3>
     * Indicates whether the billing address has been validated against the addresses in the external tax calculation service.
     */
    global Boolean IsBillingAddressValidated__c;
    global Boolean IsDeleted;
    /**
     * <h3>Shipping Address Validated</h3>
     * Indicates whether the shipping address has been validated against the addresses in the external tax calculation service.
     */
    global Boolean IsShippingAddressValidated__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global List<BillingDocument__c> RelatedDocuments__r;
    /**
     * <h3>Related Document</h3>
     * Lookup to the related invoice or credit note.
     */
    global Id RelatedDocument__c;
    /**
     * <h3>Related Document</h3>
     * Lookup to the related invoice or credit note.
     */
    global BillingDocument__c RelatedDocument__r;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Shipping Account</h3>
     * Name of the account to appear on the billing document as the Shipping Account.
     */
    global String ShippingAccountName__c;
    /**
     * <h3>Shipping City</h3>
     */
    global String ShippingCity__c;
    /**
     * <h3>Shipping Country</h3>
     */
    global String ShippingCountry__c;
    /**
     * <h3>Shipping Zip/Postal Code</h3>
     */
    global String ShippingPostalCode__c;
    /**
     * <h3>Shipping State/Province</h3>
     */
    global String ShippingState__c;
    /**
     * <h3>Shipping Street</h3>
     */
    global String ShippingStreet__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Validated Billing City</h3>
     */
    global String ValidatedBillingCity__c;
    /**
     * <h3>Validated Billing Country</h3>
     */
    global String ValidatedBillingCountry__c;
    /**
     * <h3>Validated Billing Zip/Postal Code</h3>
     */
    global String ValidatedBillingPostalCode__c;
    /**
     * <h3>Validated Billing State/Province</h3>
     */
    global String ValidatedBillingState__c;
    /**
     * <h3>Validated Billing Street</h3>
     */
    global String ValidatedBillingStreet__c;
    /**
     * <h3>Validated Shipping City</h3>
     */
    global String ValidatedShippingCity__c;
    /**
     * <h3>Validated Shipping Country</h3>
     */
    global String ValidatedShippingCountry__c;
    /**
     * <h3>Validated Shipping Zip/Postal Code</h3>
     */
    global String ValidatedShippingPostalCode__c;
    /**
     * <h3>Validated Shipping State/Province</h3>
     */
    global String ValidatedShippingState__c;
    /**
     * <h3>Validated Shipping Street</h3>
     */
    global String ValidatedShippingStreet__c;

    global BillingDocument__c()
    {
    }
}