// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Assignment</h3>
 * Stores information about the allocation of a resource to a project and specifies the bill rate and cost rate for time entered. It references the schedule for a resource and, optionally, a project milestone.
 */
global class /*pse__*/Assignment__c extends SObject 
{
    /**
     * <h3>Action: Refresh EVA Hours From Timecards</h3>
     * If checked on save, refreshes Actual Time information on Est Vs Actuals records from Timecards associated with Assignment.
     */
    global Boolean Action_Refresh_EVA_Hours_From_Timecards__c;
    /**
     * <h3>Action: Refresh Hours From Schedule</h3>
     * If checked on save, refreshes Scheduled Hours and Est Vs Actuals records related to Assignment Schedule.
     */
    global Boolean Action_Refresh_Hours_From_Schedule__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Assignment Daily Notes Last Updated</h3>
     * Date-time of most recent insert/update/delete/undelete on the Assignment Daily Notes child records.
     */
    global Datetime Assignment_Daily_Notes_Last_Updated__c;
    /**
     * <h3>Assignment Daily Notes</h3>
     * Shows concatenated notes from Assignment's Daily Notes child records.
     */
    global String Assignment_Daily_Notes__c;
    global List<Assignment_Daily_Note__c> Assignment_Daily_Notes__r;
    global List<Assignment_Milestone__c> Assignment_Milestones__r;
    /**
     * <h3>Assignment Number</h3>
     */
    global String Assignment_Number__c;
    global List<Assignment_Project_Methodology__c> Assignment_Project_Methodologies__r;
    global List<Assignment_Project_Phase__c> Assignment_Project_Phases__r;
    global List<Overtime_EvA_Detail__c> Assignment__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Average Cost Rate Currency Code</h3>
     */
    global String Average_Cost_Rate_Currency_Code__c;
    /**
     * <h3>Average Cost Rate Number</h3>
     */
    global Decimal Average_Cost_Rate_Number__c;
    /**
     * <h3>Average Cost Rate</h3>
     */
    global String Average_Cost_Rate__c;
    global List<Backlog_Detail__c> Backlog_Details__r;
    /**
     * <h3>Batch Sequence Number</h3>
     * Not intended for display. Needed to convert the autonumber to a numeric value for sorting.
     */
    global Decimal Batch_Sequence_Number__c;
    /**
     * <h3>Batch Sequence</h3>
     * An auto-number used for batch processing assignments. Not intended for display.
     */
    global String Batch_Sequence__c;
    /**
     * <h3>Billable Amount In Financials</h3>
     */
    global Currency Billable_Amount_In_Financials__c;
    /**
     * <h3>Billable Amount Submitted</h3>
     */
    global Currency Billable_Amount_Submitted__c;
    /**
     * <h3>Billable Days In Financials</h3>
     */
    global Decimal Billable_Days_In_Financials__c;
    /**
     * <h3>Billable Days Submitted</h3>
     */
    global Decimal Billable_Days_Submitted__c;
    /**
     * <h3>Billable Expenses In Financials</h3>
     */
    global Currency Billable_Expenses_In_Financials__c;
    /**
     * <h3>Billable Expenses Submitted</h3>
     */
    global Currency Billable_Expenses_Submitted__c;
    /**
     * <h3>Billable Hours In Financials</h3>
     */
    global Decimal Billable_Hours_In_Financials__c;
    /**
     * <h3>Billable Hours Submitted</h3>
     */
    global Decimal Billable_Hours_Submitted__c;
    /**
     * <h3>Bill Rate</h3>
     */
    global Currency Bill_Rate__c;
    /**
     * <h3>Closed for Expense Entry</h3>
     * If checked, indicates that Expense Reports and Expenses may no longer be entered for this Assignment.  Is checked automatically when the Assignment's Project is Closed for Expense Entry.
     */
    global Boolean Closed_for_Expense_Entry__c;
    /**
     * <h3>Closed for Time Entry</h3>
     * If checked, indicates that Timecards may no longer be entered for this Assignment.  Is checked automatically when the Assignment's Project is Closed for Time Entry.
     */
    global Boolean Closed_for_Time_Entry__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Cost Rate Amount</h3>
     */
    global Decimal Cost_Rate_Amount__c;
    /**
     * <h3>Cost Rate Currency Code</h3>
     */
    global String Cost_Rate_Currency_Code__c;
    /**
     * <h3>Cost Rate</h3>
     */
    global String Cost_Rate__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Bill Rate is Daily Rate</h3>
     */
    global Boolean Daily_Bill_Rate__c;
    /**
     * <h3>Cost Rate is Daily Rate</h3>
     */
    global Boolean Daily_Cost_Rate__c;
    /**
     * <h3>Daily Timecard Notes Required</h3>
     */
    global Boolean Daily_Timecard_Notes_Required__c;
    /**
     * <h3>Description</h3>
     */
    global String Description__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Eligible for Schedule Recalculation</h3>
     */
    global Boolean Eligible_for_Schedule_Recalculation__c;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    /**
     * <h3>ERP Absence Correlation</h3>
     * This records the absence request correlation key used within the erp system.
     */
    global String ERP_Absence_Correlation_Id__c;
    /**
     * <h3>Estimated Time To Completion</h3>
     */
    global Decimal Estimated_Time_To_Completion__c;
    global List<Est_Vs_Actuals__c> Est_Vs_Actuals__r;
    global List<Event> Events;
    /**
     * <h3>Exclude from Billing</h3>
     * If this flag is checked, then all of the Assignment's child Timecard Splits and Expenses will be created with their Exclude from Billing flag checked, which would make them *not* eligible for Billing Generation.  This can be overridden at the child level.
     */
    global Boolean Exclude_from_Billing__c;
    /**
     * <h3>Exclude from Planners</h3>
     */
    global Boolean Exclude_from_Planners__c;
    global List<Expense__c> Expenses__r;
    global List<Expense_Report__c> Expense_Reports__r;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Assignment__History> Histories;
    /**
     * <h3>Hours to Days Rule</h3>
     * Specifies how to convert hours to days for time cards against this assignment
     */
    global Id Hours_to_Days_Rule__c;
    /**
     * <h3>Hours to Days Rule</h3>
     * Specifies how to convert hours to days for time cards against this assignment
     */
    global Hours_to_Days_Rule__c Hours_to_Days_Rule__r;
    global Boolean IsDeleted;
    /**
     * <h3>Billable</h3>
     */
    global Boolean Is_Billable__c;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Location</h3>
     */
    global String Location__c;
    /**
     * <h3>Milestone</h3>
     * If an Assignment is associated with a Milestone, Timecards logged for that Assignment will, by default, also be associated with the Milestone on the Assignment at the time.
     */
    global Id Milestone__c;
    /**
     * <h3>Milestone</h3>
     * If an Assignment is associated with a Milestone, Timecards logged for that Assignment will, by default, also be associated with the Milestone on the Assignment at the time.
     */
    global Milestone__c Milestone__r;
    global String Name;
    /**
     * <h3>Nick Name</h3>
     * Field for holding the nick name of the assignment
     */
    global String Nick_Name__c;
    /**
     * <h3>Non-Billable Days In Financials</h3>
     */
    global Decimal Non_Billable_Days_In_Financials__c;
    /**
     * <h3>Non-Billable Days Submitted</h3>
     */
    global Decimal Non_Billable_Days_Submitted__c;
    /**
     * <h3>Non-Billable Expenses In Financials</h3>
     */
    global Currency Non_Billable_Expenses_In_Financials__c;
    /**
     * <h3>Non-Billable Expenses Submitted</h3>
     */
    global Currency Non_Billable_Expenses_Submitted__c;
    /**
     * <h3>Non-Billable Hours In Financials</h3>
     */
    global Decimal Non_Billable_Hours_In_Financials__c;
    /**
     * <h3>Non-Billable Hours Submitted</h3>
     */
    global Decimal Non_Billable_Hours_Submitted__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Override Expense Group</h3>
     * If set, overrides the default Group to which this Assignment's Expense Transactions will roll up for Group Actuals, even if the Project or Resource are in a different Group.  Note that either way, the Expense Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Expense_Group__c;
    /**
     * <h3>Override Expense Group</h3>
     * If set, overrides the default Group to which this Assignment's Expense Transactions will roll up for Group Actuals, even if the Project or Resource are in a different Group.  Note that either way, the Expense Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Grp__c Override_Expense_Group__r;
    /**
     * <h3>Override Expense Practice</h3>
     * If set, overrides the default Practice to which this Assignment's Expense Transactions will roll up for Practice Actuals, even if the Project or Resource are in a different Practice.  Note that either way, the Expense Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Expense_Practice__c;
    /**
     * <h3>Override Expense Practice</h3>
     * If set, overrides the default Practice to which this Assignment's Expense Transactions will roll up for Practice Actuals, even if the Project or Resource are in a different Practice.  Note that either way, the Expense Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Practice__c Override_Expense_Practice__r;
    /**
     * <h3>Override Expense Region</h3>
     * If set, overrides the default Region to which this Assignment's Expense Transactions will roll up for Regional Actuals, even if the Project or Resource are in a different Region.  Note that either way, the Expense Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Expense_Region__c;
    /**
     * <h3>Override Expense Region</h3>
     * If set, overrides the default Region to which this Assignment's Expense Transactions will roll up for Regional Actuals, even if the Project or Resource are in a different Region.  Note that either way, the Expense Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Region__c Override_Expense_Region__r;
    /**
     * <h3>Override RPG Audit Notes</h3>
     * Audit Notes related to any Overrides for the Region/Practice/Group of the Assignment's Timecard (Revenue and Cost) and Expense-related Transactions.
     */
    global String Override_RPG_Audit_Notes__c;
    /**
     * <h3>Override RPG Enabled</h3>
     * If checked, allows Override Regions, Practices, and Groups to be set for the Assignment's Timecard (Revenue and Cost) and Expense-related Transactions.
     */
    global Boolean Override_RPG_Enabled__c;
    /**
     * <h3>Override Timecard Cost Group</h3>
     * If set, overrides the default Group to which this Assignment's Timecard Cost Transactions will roll up for Group Actuals, even if the Project or Resource are in a different Group.  Note that either way, the Timecard Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Timecard_Cost_Group__c;
    /**
     * <h3>Override Timecard Cost Group</h3>
     * If set, overrides the default Group to which this Assignment's Timecard Cost Transactions will roll up for Group Actuals, even if the Project or Resource are in a different Group.  Note that either way, the Timecard Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Grp__c Override_Timecard_Cost_Group__r;
    /**
     * <h3>Override Timecard Cost Practice</h3>
     * If set, overrides the default Practice to which this Assignment's Timecard Cost Transactions will roll up for Practice Actuals, even if the Project or Resource are in a different Practice.  Note that either way, the Timecard Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Timecard_Cost_Practice__c;
    /**
     * <h3>Override Timecard Cost Practice</h3>
     * If set, overrides the default Practice to which this Assignment's Timecard Cost Transactions will roll up for Practice Actuals, even if the Project or Resource are in a different Practice.  Note that either way, the Timecard Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Practice__c Override_Timecard_Cost_Practice__r;
    /**
     * <h3>Override Timecard Cost Region</h3>
     * If set, overrides the default Region to which this Assignment's Timecard Cost Transactions will roll up for Regional Actuals, even if the Project or Resource are in a different Region.  Note that either way, the Timecard Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Timecard_Cost_Region__c;
    /**
     * <h3>Override Timecard Cost Region</h3>
     * If set, overrides the default Region to which this Assignment's Timecard Cost Transactions will roll up for Regional Actuals, even if the Project or Resource are in a different Region.  Note that either way, the Timecard Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Region__c Override_Timecard_Cost_Region__r;
    /**
     * <h3>Override Timecard Revenue Group</h3>
     * If set, overrides the default Group to which this Assignment's Timecard Revenue Transactions will roll up for Group Actuals, even if the Project or Resource are in a different Group.  Note that either way, the Timecard Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Timecard_Revenue_Group__c;
    /**
     * <h3>Override Timecard Revenue Group</h3>
     * If set, overrides the default Group to which this Assignment's Timecard Revenue Transactions will roll up for Group Actuals, even if the Project or Resource are in a different Group.  Note that either way, the Timecard Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Grp__c Override_Timecard_Revenue_Group__r;
    /**
     * <h3>Override Timecard Revenue Practice</h3>
     * If set, overrides the default Practice to which this Assignment's Timecard Revenue Transactions will roll up for Practice Actuals, even if the Project or Resource are in a different Practice.  Note that either way, the Timecard Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Timecard_Revenue_Practice__c;
    /**
     * <h3>Override Timecard Revenue Practice</h3>
     * If set, overrides the default Practice to which this Assignment's Timecard Revenue Transactions will roll up for Practice Actuals, even if the Project or Resource are in a different Practice.  Note that either way, the Timecard Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Practice__c Override_Timecard_Revenue_Practice__r;
    /**
     * <h3>Override Timecard Revenue Region</h3>
     * If set, overrides the default Region to which this Assignment's Timecard Revenue Transactions will roll up for Regional Actuals, even if the Project or Resource are in a different Region.  Note that either way, the Timecard Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Timecard_Revenue_Region__c;
    /**
     * <h3>Override Timecard Revenue Region</h3>
     * If set, overrides the default Region to which this Assignment's Timecard Revenue Transactions will roll up for Regional Actuals, even if the Project or Resource are in a different Region.  Note that either way, the Timecard Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Region__c Override_Timecard_Revenue_Region__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Percent Allocated</h3>
     */
    global Decimal Percent_Allocated__c;
    /**
     * <h3>Planned Bill Rate</h3>
     */
    global Currency Planned_Bill_Rate__c;
    /**
     * <h3>Planned Hours</h3>
     * User editable number of hours originally planned for this assignment. NOTE: this field is user maintained and will not be updated automatically.
     */
    global Decimal Planned_Hours__c;
    /**
     * <h3>Planned Revenue (Hours)</h3>
     * Planned Hours * Bill Rate
     */
    global Currency Planned_Revenue__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Projected Revenue</h3>
     */
    global Currency Projected_Revenue__c;
    global List<Project_Task_Assignment__c> Project_Task_Assignments__r;
    global List<Project_Task_Exception__c> Project_Task_Exception__r;
    /**
     * <h3>Project Task Hours</h3>
     */
    global Decimal Project_Task_Hours__c;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    /**
     * <h3>Rate Card</h3>
     */
    global Id Rate_Card__c;
    /**
     * <h3>Rate Card</h3>
     */
    global Rate_Card__c Rate_Card__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Resource Cost Rate Date</h3>
     */
    global Date Resource_Cost_Rate_Date__c;
    global List<Resource_Request__c> Resource_Requests__r;
    /**
     * <h3>Resource Request</h3>
     * Resource Request Lookup populated only when assignment is created from a resource request.
     */
    global Id Resource_Request__c;
    /**
     * <h3>Resource Request</h3>
     * Resource Request Lookup populated only when assignment is created from a resource request.
     */
    global Resource_Request__c Resource_Request__r;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    /**
     * <h3>Role</h3>
     */
    global String Role__c;
    /**
     * <h3>Scheduled Days</h3>
     */
    global Decimal Scheduled_Days__c;
    /**
     * <h3>Scheduled Hours</h3>
     */
    global Decimal Scheduled_Hours__c;
    /**
     * <h3>Schedule Updated</h3>
     */
    global Boolean Schedule_Updated__c;
    /**
     * <h3>Schedule</h3>
     */
    global Id Schedule__c;
    /**
     * <h3>Schedule</h3>
     */
    global Schedule__c Schedule__r;
    /**
     * <h3>Show Assignment Methodologies Only</h3>
     * Indicates whether the Methodology field on the Time Entry page and Expense Entry page only lists assignment methodologies. When true, only assignment methodologies are shown. When false, the methodologies that belong to the project to which the assignment relates are shown. The default value is false.
     */
    global Boolean Show_Assignment_Methodologies_Only__c;
    /**
     * <h3>Show Assignment Milestones Only</h3>
     * Indicates whether the Milestone field on the Time Entry page and Expense Entry page only lists assignment milestones. When true, only assignment milestones are shown. When false, the milestones that belong to the project to which the assignment relates are shown. The default value is false.
     */
    global Boolean Show_Assignment_Milestones_Only__c;
    /**
     * <h3>Show Assignment Phases Only</h3>
     * Indicates whether the Phase field on the Time Entry page and Expense Entry page only lists assignment phases. When true, only assignment phases are shown. When false, the phases that belong to the project to which the assignment relates are shown. The default value is false.
     */
    global Boolean Show_Assignment_Phases_Only__c;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Suggested Bill Rate Currency Code</h3>
     */
    global String Suggested_Bill_Rate_Currency_Code__c;
    /**
     * <h3>Suggested Bill Rate Number</h3>
     */
    global Decimal Suggested_Bill_Rate_Number__c;
    /**
     * <h3>Suggested Bill Rate</h3>
     */
    global String Suggested_Bill_Rate__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<Timecard__c> TimecardSplits__r;
    global List<Timecard_Header__c> Timecards__r;
    /**
     * <h3>Timecard External Costs In Financials</h3>
     */
    global Currency Timecard_External_Costs_In_Financials__c;
    /**
     * <h3>Timecard External Costs Submitted</h3>
     */
    global Currency Timecard_External_Costs_Submitted__c;
    /**
     * <h3>Timecard Internal Costs In Financials</h3>
     */
    global Currency Timecard_Internal_Costs_In_Financials__c;
    /**
     * <h3>Timecard Internal Costs Submitted</h3>
     */
    global Currency Timecard_Internal_Costs_Submitted__c;
    /**
     * <h3>Time Credited</h3>
     * This checkbox should be checked for non-billable Assignments for which hours are credited towards utilization.
     */
    global Boolean Time_Credited__c;
    /**
     * <h3>Time Excluded</h3>
     * This checkbox should be checked for non-billable assignments for which time should neither count for or against utilization.
     */
    global Boolean Time_Excluded__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Use Project Currency For Resource Cost</h3>
     */
    global Boolean Use_Project_Currency_For_Resource_Cost__c;
    /**
     * <h3>Use Resource Currency For Resource Cost</h3>
     */
    global Boolean Use_Resource_Currency_For_Resource_Cost__c;
    /**
     * <h3>Use Resource Default Cost Rate as Daily</h3>
     */
    global Boolean Use_Resource_Default_Cost_Rate_as_Daily__c;
    /**
     * <h3>Use Resource Default Cost Rate</h3>
     */
    global Boolean Use_Resource_Default_Cost_Rate__c;

    global Assignment__c()
    {
    }
}