// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Backlog Calculation</h3>
 * Stores projected billings from projects over a period of time for regions, practices, and groups. Revenue data can come from billable assignments or milestones. Backlog calculations contain child backlog detail records, which contain the actual backlog data.
 */
global class /*pse__*/Backlog_Calculation__c extends SObject 
{
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Backlog_Detail__c> Backlog_Details__r;
    /**
     * <h3>Batch Id</h3>
     * An internal field used by PSE - not intended for display to users.
     */
    global String Batch_Id__c;
    /**
     * <h3>Calculate Project Backlog</h3>
     * Whether to calculate backlog for projects contained in the region, practice, or group.
     */
    global Boolean Calculate_Project_Backlog__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Copy Fields for Current Time Period</h3>
     */
    global Boolean Copy_Fields_for_Current_Time_Period__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    /**
     * <h3>Error Details</h3>
     * Details of errors that occurred during processing. Not intended for display.
     */
    global String Error_Details__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    /**
     * <h3>Include Sublevels</h3>
     */
    global Boolean Include_Sublevels__c;
    global Boolean IsDeleted;
    /**
     * <h3>Is Report Master</h3>
     * This field is not currently used.
     */
    global Boolean Is_Report_Master__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Post Process Batch Id</h3>
     * Internal PSE field - not intended for display.
     */
    global String Post_Process_Batch_Id__c;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     * This field is not currently used.
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     * This field is not currently used.
     */
    global Contact Resource__r;
    /**
     * <h3>Reuse Detail Objects</h3>
     */
    global Boolean Reuse_Detail_Objects__c;
    global SObjectType SObjectType;
    /**
     * <h3>Start Calculating From</h3>
     */
    global String Start_Calculating_From__c;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Time Period Types</h3>
     * The types of time periods to calculate backlog for. NOTE: these values should match the values for Time Period.Type
     */
    global String Time_Period_Types__c;
    global List<TopicAssignment> TopicAssignments;

    global Backlog_Calculation__c()
    {
    }
}