// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Billing Event Batch</h3>
 * Contains one or more billing events, grouped together based on various fields and factors, generated at the region, practice, or group level and released for invoicing at the batch or billing events level. Generate, release, or remove billing event batches on the Billing Event Generation tab.
 */
global class /*pse__*/Billing_Event_Batch__c extends SObject 
{
    /**
     * <h3>Account</h3>
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     */
    global Account Account__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Batch Key</h3>
     * Generated key to identify a Billing Event Batch. Contains concatenation of Generation Time (when appendGeneratedItems = false), Account__c, CurrencyIsoCode, and Time_Period__c.
     */
    global String Batch_Key__c;
    global List<Billing_Event__c> Billing_Events__r;
    /**
     * <h3>Billing Event Calculation</h3>
     */
    global Id Billing_Event_Calculation__c;
    /**
     * <h3>Billing Event Calculation</h3>
     */
    global Billing_Event_Calculation__c Billing_Event_Calculation__r;
    global List<Billing_Event_Item__c> Billing_Event_Items__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    global Boolean IsDeleted;
    /**
     * <h3>Released</h3>
     * Contains true if all billing events in this batch are released.
     */
    global Boolean Is_Released__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    global SObjectType SObjectType;
    /**
     * <h3>Summary Amount</h3>
     * Total of all billing event summary amounts in this batch
     */
    global Currency Summary_Amount__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Time Period</h3>
     */
    global Id Time_Period__c;
    /**
     * <h3>Time Period</h3>
     */
    global Time_Period__c Time_Period__r;
    global List<TopicAssignment> TopicAssignments;

    global Billing_Event_Batch__c()
    {
    }
}