// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Budget Header</h3>
 * When you create a budget of type “Vendor Purchase Order” or “Vendor Purchase Order Change Request” (in order to budget for outbound vendor purchase orders), PSA creates a related budget header record automatically. The budget header sets and enforces limits and overruns that apply to the budget and expense amounts. They also group budgets together per vendor account and project currency: so you can contain vendor budgets for different projects in one header record.
 * Budgets have a lookup relationship to budget headers.
 */
global class /*pse__*/Budget_Header__c extends SObject 
{
    /**
     * <h3>Account</h3>
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     */
    global Account Account__r;
    /**
     * <h3>Active</h3>
     * Only one active project at a time for project and account combination
     */
    global Boolean Active__c;
    /**
     * <h3>Amount Consumed</h3>
     */
    global Currency Amount_Consumed__c;
    /**
     * <h3>Amount Overrun Allowed</h3>
     */
    global Boolean Amount_Overrun_Allowed__c;
    /**
     * <h3>Amount Overrun Percentage</h3>
     */
    global Decimal Amount_Overrun_Percentage__c;
    /**
     * <h3>Amount Remaining</h3>
     */
    global Currency Amount_Remaining__c;
    /**
     * <h3>Amount</h3>
     */
    global Currency Amount__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Budget__c> Budgets__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Expense Amount Consumed</h3>
     */
    global Currency Expense_Amount_Consumed__c;
    /**
     * <h3>Expense Amount Overrun Allowed</h3>
     */
    global Boolean Expense_Amount_Overrun_Allowed__c;
    /**
     * <h3>Expense Amount Overrun Percentage</h3>
     */
    global Decimal Expense_Amount_Overrun_Percentage__c;
    /**
     * <h3>Expense Amount Remaining</h3>
     */
    global Currency Expense_Amount_Remaining__c;
    /**
     * <h3>Expense Amount</h3>
     */
    global Currency Expense_Amount__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Maximum Consumable Total Amount</h3>
     */
    global Currency Maximum_Consumable_Total_Amount__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Percent Total Amount Remaining</h3>
     */
    global Decimal Percent_Total_Amount_Remaining__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Amount Consumed</h3>
     */
    global Currency Total_Amount_Consumed__c;
    /**
     * <h3>Total Amount Overrun Allowed</h3>
     */
    global Boolean Total_Amount_Overrun_Allowed__c;
    /**
     * <h3>Total Amount Overrun Percentage</h3>
     */
    global Decimal Total_Amount_Overrun_Percentage__c;
    /**
     * <h3>Total Amount Remaining</h3>
     */
    global Currency Total_Amount_Remaining__c;
    /**
     * <h3>Total Amount</h3>
     */
    global Currency Total_Amount__c;
    /**
     * <h3>Type</h3>
     */
    global String Type__c;
    global List<Vendor_Invoice_Item__c> Vendor_Invoice_Items__r;

    global Budget_Header__c()
    {
    }
}