// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Budget</h3>
 * A budgeted amount for a PSA project. Represents, depending on its type, customer purchase orders, internal budgets, outbound vendor purchase orders, or work orders, as well as change requests to these records. It may also contain a separate expense budget amount and specified pre-bill amount.
 */
global class /*pse__*/Budget__c extends SObject 
{
    /**
     * <h3>Account</h3>
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     */
    global Account Account__r;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Admin Global Edit</h3>
     * If checked, allows Admin to make 'global' changes to the Budget, including edits to the Budget's Project, Resource, Currency, or Date, even if Include In Financials is checked. Config requirement: Actuals Calculation Mode must be set to 'Scheduled'.
     */
    global Boolean Admin_Global_Edit__c;
    /**
     * <h3>Amount</h3>
     * The monetary amount for the Budget, not including any amount entered separately in the Expense Amount field. Defaults to and must always be same currency as Project.
     */
    global Currency Amount__c;
    /**
     * <h3>Approved for Billing</h3>
     */
    global Boolean Approved_for_Billing__c;
    /**
     * <h3>Approved</h3>
     * This checkbox should be checked when the Budget is approved - typically by a workflow driven by the Status field.
     */
    global Boolean Approved__c;
    /**
     * <h3>Approver</h3>
     */
    global Id Approver__c;
    /**
     * <h3>Approver</h3>
     */
    global User Approver__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Audit Notes</h3>
     */
    global String Audit_Notes__c;
    /**
     * <h3>Billable</h3>
     */
    global Boolean Billable__c;
    /**
     * <h3>Billed</h3>
     */
    global Boolean Billed__c;
    /**
     * <h3>Billing Event Invoiced</h3>
     * Reflects Invoiced flag value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Invoiced__c;
    global List<Billing_Event_Item__c> Billing_Event_Items__r;
    /**
     * <h3>Billing Event Item</h3>
     */
    global Id Billing_Event_Item__c;
    /**
     * <h3>Billing Event Item</h3>
     */
    global Billing_Event_Item__c Billing_Event_Item__r;
    /**
     * <h3>Billing Event Released</h3>
     * Reflects Released flag value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Released__c;
    /**
     * <h3>Billing Event Status</h3>
     * Status pick list value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Status__c;
    /**
     * <h3>Billing Event</h3>
     * Formula hyperlink to the Billing Event (parent record to the Bill Event Item) if any.
     */
    global String Billing_Event__c;
    /**
     * <h3>Billing Hold</h3>
     */
    global Boolean Billing_Hold__c;
    global List<Billing_Queue__c> Billing_Queues__r;
    /**
     * <h3>Bill Date</h3>
     */
    global Date Bill_Date__c;
    /**
     * <h3>Budget Header</h3>
     */
    global Id Budget_Header__c;
    /**
     * <h3>Budget Header</h3>
     */
    global Budget_Header__c Budget_Header__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Description</h3>
     */
    global String Description__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Effective Date</h3>
     */
    global Date Effective_Date__c;
    /**
     * <h3>Eligible for Billing</h3>
     * Indicates Budget is in a state that is eligible for Billing Event Generation (not including the Approved for Billing flag, which may also be required per global config).
     * This means all of the following conditions must be met:
     * Billing Hold = false
     * Exclude from Billing = false
     * Include In Financials = true
     * Billable = true
     * Billed = false
     * Invoiced = false
     * Billing Event Item = {blank}
     * Project = {not blank}
     * Project's Account = {not blank}
     * Project Exclude From Billing = false
     */
    global String Eligible_for_Billing__c;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Exclude from Billing</h3>
     * If checked, never bill this business record.  Same effect as Billing Hold, but intended to reflect a permanent exclusion from Billing Generation.
     */
    global Boolean Exclude_from_Billing__c;
    /**
     * <h3>Expense Amount</h3>
     * The monetary amount (if any) explicitly set aside for Expenses in the Budget. This is separate from and in addition to the Budget Amount field. Defaults to and must always be same currency as Project.
     */
    global Currency Expense_Amount__c;
    /**
     * <h3>Expense Transaction</h3>
     */
    global Id Expense_Transaction__c;
    /**
     * <h3>Expense Transaction</h3>
     */
    global Transaction__c Expense_Transaction__r;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Budget__History> Histories;
    /**
     * <h3>Include In Financials</h3>
     */
    global Boolean Include_In_Financials__c;
    /**
     * <h3>Invoiced</h3>
     */
    global Boolean Invoiced__c;
    /**
     * <h3>Invoice Date</h3>
     */
    global Date Invoice_Date__c;
    /**
     * <h3>Invoice Number</h3>
     */
    global String Invoice_Number__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Opportunity</h3>
     */
    global Id Opportunity__c;
    /**
     * <h3>Opportunity</h3>
     */
    global Opportunity Opportunity__r;
    /**
     * <h3>Override Project Group Currency Code</h3>
     */
    global String Override_Project_Group_Currency_Code__c;
    /**
     * <h3>Override Project Group</h3>
     * If this field is set, it overrides the Group to which a Budget's Transactions will roll up for Group Actuals, even if its Project is in a different Group.  Typically a Budget's Transactions roll up to its Project's Group.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Project_Group__c;
    /**
     * <h3>Override Project Group</h3>
     * If this field is set, it overrides the Group to which a Budget's Transactions will roll up for Group Actuals, even if its Project is in a different Group.  Typically a Budget's Transactions roll up to its Project's Group.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Grp__c Override_Project_Group__r;
    /**
     * <h3>Override Project Practice Currency Code</h3>
     */
    global String Override_Project_Practice_Currency_Code__c;
    /**
     * <h3>Override Project Practice</h3>
     * If this field is set, it overrides the Practice to which a Budget's Transactions will roll up for Practice Actuals, even if its Project is in a different Practice.  Typically a Budget's Transactions roll up to its Project's Practice.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Project_Practice__c;
    /**
     * <h3>Override Project Practice</h3>
     * If this field is set, it overrides the Practice to which a Budget's Transactions will roll up for Practice Actuals, even if its Project is in a different Practice.  Typically a Budget's Transactions roll up to its Project's Practice.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Practice__c Override_Project_Practice__r;
    /**
     * <h3>Override Project Region Currency Code</h3>
     */
    global String Override_Project_Region_Currency_Code__c;
    /**
     * <h3>Override Project Region</h3>
     * If this field is set, it overrides the Region to which a Budget's Transactions will roll up for Regional Actuals, even if its Project is in a different Region.  Typically a Budget's Transactions roll up to its Project's Region.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Project_Region__c;
    /**
     * <h3>Override Project Region</h3>
     * If this field is set, it overrides the Region to which a Budget's Transactions will roll up for Regional Actuals, even if its Project is in a different Region.  Typically a Budget's Transactions roll up to its Project's Region.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Region__c Override_Project_Region__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Pre-Billed Amount</h3>
     * The portion of the combined Budget/Expense Amounts to be pre-billed. Defaults to and must always be same currency as Project. This field has been replaced by the newer Pre_Billed_Amount__c field.
     */
    global Currency PreBilledAmount__c;
    /**
     * <h3>Pre-Billed Amount</h3>
     * The portion of the combined Budget/Expense Amounts to be pre-billed. Defaults to and must always be same currency as Project. This field is a replacement for the old Pre-Billed Amount field (PreBilledAmount__c) which did not allow non-integer decimals.
     */
    global Currency Pre_Billed_Amount__c;
    /**
     * <h3>Pre-Billed Transaction</h3>
     */
    global Id Pre_Billed_Transaction__c;
    /**
     * <h3>Pre-Billed Transaction</h3>
     */
    global Transaction__c Pre_Billed_Transaction__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Submitted</h3>
     */
    global Boolean Submitted__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Amount</h3>
     */
    global Currency Total_Amount__c;
    global List<Transaction__c> Transactions__r;
    /**
     * <h3>Transaction</h3>
     */
    global Id Transaction__c;
    /**
     * <h3>Transaction</h3>
     */
    global Transaction__c Transaction__r;
    /**
     * <h3>Type</h3>
     */
    global String Type__c;

    global Budget__c()
    {
    }
}