// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Est Vs Actuals</h3>
 * Compares the estimated and actual hours worked by a resource on an assignment, derived from scheduled hours and entered timecard hours respectively. FinancialForce PSA generates Est Vs Actuals when you create or update assignments and schedules, and when timecard hours are entered for an assignment.
 */
global class /*pse__*/Est_Vs_Actuals__c extends SObject 
{
    /**
     * <h3>Actual Average Bill Rate</h3>
     * Actual Billable Amount divided by Actual Hours or Actual Days as appropriate
     */
    global Currency Actual_Average_Bill_Rate__c;
    /**
     * <h3>Actual Billable Amount</h3>
     * The billable amount of timecard hours
     */
    global Currency Actual_Billable_Amount__c;
    /**
     * <h3>Actual Days (Aggregated)</h3>
     * Actual number of days worked in the time period based on aggregated timecards by week.
     */
    global Decimal Actual_Days_Aggregated__c;
    /**
     * <h3>Actual Days</h3>
     */
    global Decimal Actual_Days__c;
    /**
     * <h3>Actual Hours</h3>
     */
    global Decimal Actual_Hours__c;
    /**
     * <h3>Assignment</h3>
     */
    global Id Assignment__c;
    /**
     * <h3>Assignment</h3>
     */
    global Assignment__c Assignment__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Days Percent Variance</h3>
     */
    global Decimal Days_Percent_Variance__c;
    /**
     * <h3>Days Variance</h3>
     */
    global Decimal Days_Variance__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     * End date of the time period for this record. This should not be confused with the end date of the associated assignment or timecards.
     */
    global Date End_Date__c;
    /**
     * <h3>Estimated Days</h3>
     */
    global Decimal Estimated_Days__c;
    /**
     * <h3>Estimated Hours</h3>
     */
    global Decimal Estimated_Hours__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Est_Vs_Actuals__History> Histories;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Hours Percent Variance</h3>
     */
    global Decimal Percent_Variance__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project Manager</h3>
     * Linked to the project manager for the project. This allows for easier workflow alerts to be sent
     */
    global Id Project_Manager__c;
    /**
     * <h3>Project Manager</h3>
     * Linked to the project manager for the project. This allows for easier workflow alerts to be sent
     */
    global Contact Project_Manager__r;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    /**
     * <h3>Actual Billings</h3>
     */
    global Decimal psa_report__Actual_Billings__c;
    /**
     * <h3>EvA Variance</h3>
     */
    global Decimal psa_report__EvA_Variance__c;
    /**
     * <h3>Scheduled Billings</h3>
     */
    global Decimal psa_report__Scheduled_Billings__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     * Linked to the resource record for the assignment. This allows for easier workflow alerts to be sent
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     * Linked to the resource record for the assignment. This allows for easier workflow alerts to be sent
     */
    global Contact Resource__r;
    /**
     * <h3>Scheduled Bill Rate is Daily Rate</h3>
     */
    global String Scheduled_Bill_Rate_is_Daily_Rate__c;
    /**
     * <h3>Scheduled Bill Rate</h3>
     */
    global Currency Scheduled_Bill_Rate__c;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     * Start date of the time period for this record. This should not be confused with the start date of the associated assignment or timecards.
     */
    global Date Start_Date__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Timecards Submitted</h3>
     */
    global Boolean Timecards_Submitted__c;
    global List<Timecard__c> Timecard_Splits__r;
    /**
     * <h3>Time Period Type</h3>
     * The type of time period this time span represents
     */
    global String Time_Period_Type__c;
    /**
     * <h3>Time Period</h3>
     * The associated time period
     */
    global Id Time_Period__c;
    /**
     * <h3>Time Period</h3>
     * The associated time period
     */
    global Time_Period__c Time_Period__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Hours Variance</h3>
     */
    global Decimal Variance__c;

    global Est_Vs_Actuals__c()
    {
    }
}