// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Expense Report</h3>
 * Like a paper expense report, this object groups together a number of different expenses and allows you to submit, approve, and ultimately charge them to a project or assignment. Expense reports are associated with a given resource and project, and may also be associated with an assignment or project milestone.
 */
global class /*pse__*/Expense_Report__c extends SObject 
{
    /**
     * <h3>Action: Update Include In Financials</h3>
     * Action checkbox that will update the Include in Financials checkbox asynchronously in order to avoid governor limits associated with native updates. This field is not intended for display. This is designed to support field updates in the approval process.
     */
    global Boolean Action_Check_Include_In_Financials__c;
    /**
     * <h3>Admin Global Edit</h3>
     * If checked, allows Admin to make 'global' changes to the Expense Report, including edits to the ER's Project, Resource, Currency, or Date, even if Include In Financials is checked. Config requirement: Actuals Calculation Mode must be set to 'Scheduled'.
     */
    global Boolean Admin_Global_Edit__c;
    /**
     * <h3>Approved</h3>
     * This checkbox should be checked when the Expense Report is approved - typically by a workflow driven by the Status field.
     */
    global Boolean Approved__c;
    /**
     * <h3>Approver M</h3>
     */
    global Id Approver_M__c;
    /**
     * <h3>Approver M</h3>
     */
    global User Approver_M__r;
    /**
     * <h3>Approver P</h3>
     */
    global Id Approver_P__c;
    /**
     * <h3>Approver P</h3>
     */
    global User Approver_P__r;
    /**
     * <h3>Approver</h3>
     */
    global Id Approver__c;
    /**
     * <h3>Approver</h3>
     */
    global User Approver__r;
    /**
     * <h3>Assignment</h3>
     */
    global Id Assignment__c;
    /**
     * <h3>Assignment</h3>
     */
    global Assignment__c Assignment__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Audit Notes History</h3>
     * Stores audit notes history. When a user changes a project or assignment on an expense report and the audit notes exceed 255 characters, older audit notes are moved and appended here.
     */
    global String Audit_Notes_History__c;
    /**
     * <h3>Audit Notes</h3>
     */
    global String Audit_Notes__c;
    /**
     * <h3>Billable</h3>
     */
    global Boolean Billable__c;
    /**
     * <h3>Lines Billed</h3>
     */
    global Boolean Billed__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Description</h3>
     */
    global String Description__c;
    /**
     * <h3>Disable Approval Auto Submit</h3>
     * If checked, this should disable any PSA trigger-based automatic submit for approval for the Expense Report.
     */
    global Boolean Disable_Approval_Auto_Submit__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Exclude from Billing</h3>
     * If checked, will by default check the Exclude from Billing checkbox on child Expenses, which has the same effect as Billing Hold, but intended to reflect a permanent exclusion from Billing Generation.
     */
    global Boolean Exclude_from_Billing__c;
    global List<Expense__c> Expense_Lines__r;
    /**
     * <h3>Expense Report Reference</h3>
     */
    global String Expense_Report_Reference__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>First Expense Date</h3>
     */
    global Date First_Expense_Date__c;
    global List<Expense_Report__History> Histories;
    /**
     * <h3>Include In Financials</h3>
     */
    global Boolean Include_In_Financials__c;
    /**
     * <h3>Lines Invoiced</h3>
     */
    global Boolean Invoiced__c;
    global Boolean IsDeleted;
    /**
     * <h3>Is Perdiem</h3>
     */
    global Boolean Is_Perdiem__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Last Expense Date</h3>
     */
    global Date Last_Expense_Date__c;
    /**
     * <h3>Milestone</h3>
     */
    global Id Milestone__c;
    /**
     * <h3>Milestone</h3>
     */
    global Milestone__c Milestone__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Override Group</h3>
     * Overrides the Group to which the child Expense Transactions will roll up for Group Actuals, even if the Project is in a different Group. Typically an Expense's Transactions roll up to its Project's or Resource's Group based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Group__c;
    /**
     * <h3>Override Group</h3>
     * Overrides the Group to which the child Expense Transactions will roll up for Group Actuals, even if the Project is in a different Group. Typically an Expense's Transactions roll up to its Project's or Resource's Group based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Grp__c Override_Group__r;
    /**
     * <h3>Override Practice</h3>
     * Overrides the Practice to which the child Expense Transactions will roll up for Practice Actuals, even if the Project is in a different Practice. Typically an Expense's Transactions roll up to its Project's or Resource's Practice based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Practice__c;
    /**
     * <h3>Override Practice</h3>
     * Overrides the Practice to which the child Expense Transactions will roll up for Practice Actuals, even if the Project is in a different Practice. Typically an Expense's Transactions roll up to its Project's or Resource's Practice based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Practice__c Override_Practice__r;
    /**
     * <h3>Override Region</h3>
     * Overrides the Region to which the child Expense Transactions will roll up for Regional Actuals, even if the Project is in a different Region. Typically an Expense's Transactions roll up to its Project's or Resource's Region based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Region__c;
    /**
     * <h3>Override Region</h3>
     * Overrides the Region to which the child Expense Transactions will roll up for Regional Actuals, even if the Project is in a different Region. Typically an Expense's Transactions roll up to its Project's or Resource's Region based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Region__c Override_Region__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project Expense Notes</h3>
     */
    global String Project_Expense_Notes__c;
    /**
     * <h3>Project Methodology</h3>
     * Lookup to Project Methodology
     */
    global Id Project_Methodology__c;
    /**
     * <h3>Project Methodology</h3>
     * Lookup to Project Methodology
     */
    global Project_Methodology__c Project_Methodology__r;
    /**
     * <h3>Project Phase</h3>
     * Lookup to Project Phase
     */
    global Id Project_Phase__c;
    /**
     * <h3>Project Phase</h3>
     * Lookup to Project Phase
     */
    global Project_Phase__c Project_Phase__r;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Reimbursement Currency</h3>
     * This field shows the 3-character currency code for the Resource being reimbursed.
     */
    global String Reimbursement_Currency__c;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Submitted</h3>
     */
    global Boolean Submitted__c;
    global Datetime SystemModstamp;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Billable Amount</h3>
     */
    global Currency Total_Billable_Amount__c;
    /**
     * <h3>Total Non-Billable Amount</h3>
     */
    global Currency Total_Non_Billable_Amount__c;
    /**
     * <h3>Total Reimbursement Amount</h3>
     * This number shows the total reimbursement amount in the Resource's currency.
     */
    global Decimal Total_Reimbursement_Amount__c;

    global Expense_Report__c()
    {
    }
}