// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Expense</h3>
 * Sometimes called an expense line or row. Represents a record of an expense incurred by a resource assigned to a project or opportunity. Expenses are grouped into an expense report for submission and approval, and may be subject to limits or rates depending on type (for example, Lodging, Auto Mileage). An expense may be billable or non-billable. Unless marked otherwise, all expenses contain a reimbursable amount for the resource. Expenses have a lookup relationship to expense reports.
 */
global class /*pse__*/Expense__c extends SObject 
{
    /**
     * <h3>Admin Global Edit</h3>
     * If checked, allows Admin to make 'global' changes to the Expense, including edits to the Expense's Project, Resource, Currency, or Date, even if Include In Financials is checked. Config requirement: Actuals Calculation Mode must be set to 'Scheduled'.
     */
    global Boolean Admin_Global_Edit__c;
    /**
     * <h3>Amount To Bill</h3>
     */
    global String Amount_To_Bill__c;
    /**
     * <h3>Amount To Reimburse</h3>
     */
    global String Amount_To_Reimburse__c;
    /**
     * <h3>Amount</h3>
     * The amount of this expense (in the expense's incurred currency)
     */
    global Currency Amount__c;
    /**
     * <h3>Applied Expense Rate</h3>
     * Field will hold the Expense Rate applied on Expense.
     */
    global Id Applied_Expense_Rate__c;
    /**
     * <h3>Applied Expense Rate</h3>
     * Field will hold the Expense Rate applied on Expense.
     */
    global Expense_Limit_Rate__c Applied_Expense_Rate__r;
    /**
     * <h3>Approved for Billing</h3>
     */
    global Boolean Approved_for_Billing__c;
    /**
     * <h3>Approved for Vendor Payment</h3>
     */
    global Boolean Approved_for_Vendor_Payment__c;
    /**
     * <h3>Approved</h3>
     * This checkbox should be checked when the Expense is approved, which should be based on whether its parent Expense Report (if any) is approved.
     */
    global Boolean Approved__c;
    /**
     * <h3>Assignment</h3>
     */
    global Id Assignment__c;
    /**
     * <h3>Assignment</h3>
     */
    global Assignment__c Assignment__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Audit Notes History</h3>
     * Stores audit notes history. When a user changes a project or assignment using the Timecard UI and the audit notes exceed 255 characters, older audit notes are moved and appended here.
     */
    global String Audit_Notes_History__c;
    /**
     * <h3>Audit Notes</h3>
     */
    global String Audit_Notes__c;
    /**
     * <h3>Billable Amount</h3>
     * This formula equals Amount (minus Non-Billable Incurred Amount and Tax if any) for billable Expenses and zero for non-billable Expenses:  all in the incurred currency.
     */
    global Currency Billable_Amount__c;
    /**
     * <h3>Billable Fee Flat Amount</h3>
     * Flat fee in Project currency by which to increase the billable amount of the Expense, defaulted from the Project. The calculation will apply any percentage expense fee*before* this flat expense fee amount.
     */
    global Decimal Billable_Fee_Flat_Amount__c;
    /**
     * <h3>Billable Fee Flat</h3>
     * Text formula showing flat fee in Project currency by which to increase the billable amount of the Expense, defaulted from Project along with Project currency. The calculation will apply any percentage expense fee*before* this flat expense fee amount.
     */
    global String Billable_Fee_Flat__c;
    /**
     * <h3>Billable Fee Percentage</h3>
     * Fee percentage by which to increase the billable amount of the Expense, defaulted from the Project. 0% means no increase (default), whereas 100% means double. The calculation will apply the percentage expense fee*before* any flat expense fee.
     */
    global Decimal Billable_Fee_Percentage__c;
    /**
     * <h3>Billable</h3>
     */
    global Boolean Billable__c;
    /**
     * <h3>Billed</h3>
     */
    global Boolean Billed__c;
    /**
     * <h3>Billing Amount (Pre-Fee Subtotal)</h3>
     */
    global Decimal Billing_Amount_Pre_Fee_Subtotal__c;
    /**
     * <h3>Billing Amount</h3>
     */
    global Decimal Billing_Amount__c;
    /**
     * <h3>Billing Currency</h3>
     */
    global String Billing_Currency__c;
    /**
     * <h3>Billing Event Invoiced</h3>
     * Reflects Invoiced flag value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Invoiced__c;
    global List<Billing_Event_Item__c> Billing_Event_Items__r;
    /**
     * <h3>Billing Event Item</h3>
     */
    global Id Billing_Event_Item__c;
    /**
     * <h3>Billing Event Item</h3>
     */
    global Billing_Event_Item__c Billing_Event_Item__r;
    /**
     * <h3>Billing Event Released</h3>
     * Reflects Released flag value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Released__c;
    /**
     * <h3>Billing Event Status</h3>
     * Status pick list value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Status__c;
    /**
     * <h3>Billing Event</h3>
     * Formula hyperlink to the Billing Event (parent record to the Bill Event Item) if any.
     */
    global String Billing_Event__c;
    /**
     * <h3>Billing Hold</h3>
     * If true, this item cannot be billed
     */
    global Boolean Billing_Hold__c;
    global List<Billing_Queue__c> Billing_Queues__r;
    /**
     * <h3>Bill Date</h3>
     */
    global Date Bill_Date__c;
    /**
     * <h3>Bill Transaction</h3>
     */
    global Id Bill_Transaction__c;
    /**
     * <h3>Bill Transaction</h3>
     */
    global Transaction__c Bill_Transaction__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Cost Transaction</h3>
     */
    global Id Cost_Transaction__c;
    /**
     * <h3>Cost Transaction</h3>
     */
    global Transaction__c Cost_Transaction__r;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<Daily_Per_Diem__c> DailyPerDiemExpense__r;
    /**
     * <h3>Description</h3>
     */
    global String Description__c;
    /**
     * <h3>Distance</h3>
     */
    global Decimal Distance__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Eligible for Billing</h3>
     * Indicates Expense is in a state that is eligible for Billing Event Generation (not including the Approved for Billing flag, which may also be required per global config).
     * This means all of the following conditions must be met:
     * Billing Hold = false
     * Exclude from Billing = false
     * Include In Financials = true
     * Billable = true
     * Billed = false
     * Invoiced = false
     * Billing Event Item = {blank}
     * Project = {not blank}
     * Project's Account = {not blank}
     * Project Exclude From Billing = false
     */
    global String Eligible_for_Billing__c;
    global List<EmailMessage> Emails;
    /**
     * <h3>Exchange Rate (Billing Currency)</h3>
     */
    global Decimal Exchange_Rate_Billing_Currency__c;
    /**
     * <h3>Exchange Rate (Incurred Currency)</h3>
     */
    global Decimal Exchange_Rate_Incurred_Currency__c;
    /**
     * <h3>Exchange Rate (Reimbursement Currency)</h3>
     */
    global Decimal Exchange_Rate_Reimbursement_Currency__c;
    /**
     * <h3>Exchange Rate (Resource-Defined)</h3>
     * When set, this field sets the *relative* exchange rate between Incurred Rate and Reimbursement Rate that is experienced by the Resource incurring the Expense.  This then overrides the Incurred Exchange Rate (relative to corporate rate) so that it has the right ratio to the Reimbursement Exchange Rate (relative to corporate rate).
     */
    global Decimal Exchange_Rate_Resource_Defined__c;
    /**
     * <h3>Exclude from Billing</h3>
     * If checked, never bill this business record.  Same effect as Billing Hold, but intended to reflect a permanent exclusion from Billing Generation.
     */
    global Boolean Exclude_from_Billing__c;
    /**
     * <h3>Expense Date</h3>
     */
    global Date Expense_Date__c;
    global List<Expense__c> Expense_Lines__r;
    /**
     * <h3>Expense Report</h3>
     */
    global Id Expense_Report__c;
    /**
     * <h3>Expense Report</h3>
     */
    global Expense_Report__c Expense_Report__r;
    /**
     * <h3>Expense Split Parent</h3>
     */
    global Id Expense_Split_Parent__c;
    /**
     * <h3>Expense Split Parent</h3>
     */
    global Expense__c Expense_Split_Parent__r;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Expense__History> Histories;
    /**
     * <h3>Include In Financials</h3>
     */
    global Boolean Include_In_Financials__c;
    /**
     * <h3>Incurred Tax Non-Billable</h3>
     * If checked for a billable Expense, this means that the portion of the Expense amount specified in the Incurred Tax field is not billable.  (This is separate from and in addition to any amount in the Non-Billable Incurred Amount field).
     */
    global Boolean Incurred_Tax_Non_Billable__c;
    /**
     * <h3>Incurred Tax</h3>
     * The amount of tax incurred
     */
    global Currency Incurred_Tax__c;
    /**
     * <h3>Invoiced</h3>
     */
    global Boolean Invoiced__c;
    /**
     * <h3>Invoice Date</h3>
     */
    global Date Invoice_Date__c;
    /**
     * <h3>Invoice Number</h3>
     */
    global String Invoice_Number__c;
    /**
     * <h3>Invoice Transaction</h3>
     */
    global Id Invoice_Transaction__c;
    /**
     * <h3>Invoice Transaction</h3>
     */
    global Transaction__c Invoice_Transaction__r;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Lost Receipt</h3>
     * This field is visible on UI if user requires attachment on expense lines if Expense report is submitted. If this field is set true then user does not need to add attachment although the config is set to true.
     */
    global Boolean Lost_Receipt__c;
    /**
     * <h3>Milestone</h3>
     */
    global Id Milestone__c;
    /**
     * <h3>Milestone</h3>
     */
    global Milestone__c Milestone__r;
    /**
     * <h3>Mobile Expense Reference ID</h3>
     */
    global String Mobile_Expense_Reference_ID__c;
    global String Name;
    /**
     * <h3>Non-Billable Amount</h3>
     * This formula equals Amount for non-billable Expenses and Non-Billable Incurred Amount and Tax (anywhere from zero to Expense Amount) for billable Expenses: all in the incurred currency.
     */
    global Currency Non_Billable_Amount__c;
    /**
     * <h3>Non-Billable Incurred Amount</h3>
     * If provided for a billable Expense, this is subtracted from the Expense Amount (incurred currency) to calculate the Expense's billable amount.  Min. value zero, max. value Expense amount.  Default value:  zero or null.  No effect on non-billable Expenses.
     */
    global Currency Non_Billable_Incurred_Amount__c;
    /**
     * <h3>Non-Billable Incurred Subtotal</h3>
     * This formula adds any Non-Billable Incurred Tax (only if Incurred Tax Non-Billable is checked) to any additional Non-Billable Incurred Amount to get a Non-Billable Incurred Subtotal, with a minimum of 0.00 and a maximum of the Expense Amount.
     */
    global Currency Non_Billable_Incurred_Subtotal__c;
    /**
     * <h3>Non-Reimbursable</h3>
     * If this checkbox is checked, the Reimbursement amount for the Expense will be zero regardless of the incurred amount.
     */
    global Boolean Non_Reimbursible__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Notes</h3>
     */
    global String Notes__c;
    /**
     * <h3>Override Group Currency Code</h3>
     */
    global String Override_Group_Currency_Code__c;
    /**
     * <h3>Override Group</h3>
     * Overrides the Group to which the Expense Transactions will roll up for Group Actuals, even if the Project is in a different Group. Typically an Expense's Transactions roll up to its Project's or Resource's Group based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Group__c;
    /**
     * <h3>Override Group</h3>
     * Overrides the Group to which the Expense Transactions will roll up for Group Actuals, even if the Project is in a different Group. Typically an Expense's Transactions roll up to its Project's or Resource's Group based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Grp__c Override_Group__r;
    /**
     * <h3>Override Practice Currency Code</h3>
     */
    global String Override_Practice_Currency_Code__c;
    /**
     * <h3>Override Practice</h3>
     * Overrides the Practice to which the Expense Transactions will roll up for Practice Actuals, even if the Project is in a different Practice. Typically an Expense's Transactions roll up to its Project's or Resource's Practice based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Practice__c;
    /**
     * <h3>Override Practice</h3>
     * Overrides the Practice to which the Expense Transactions will roll up for Practice Actuals, even if the Project is in a different Practice. Typically an Expense's Transactions roll up to its Project's or Resource's Practice based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Practice__c Override_Practice__r;
    /**
     * <h3>Override Rate (Billing Currency)</h3>
     */
    global Boolean Override_Rate_Billing_Currency__c;
    /**
     * <h3>Override Rate (Incurred Currency)</h3>
     */
    global Boolean Override_Rate_Incurred_Currency__c;
    /**
     * <h3>Override Rate (Reimbursement Currency)</h3>
     */
    global Boolean Override_Rate_Reimbursement_Currency__c;
    /**
     * <h3>Override Region Currency Code</h3>
     */
    global String Override_Region_Currency_Code__c;
    /**
     * <h3>Override Region</h3>
     * Overrides the Region to which the Expense Transactions will roll up for Regional Actuals, even if the Project is in a different Region. Typically an Expense's Transactions roll up to its Project's or Resource's Region based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Region__c;
    /**
     * <h3>Override Region</h3>
     * Overrides the Region to which the Expense Transactions will roll up for Regional Actuals, even if the Project is in a different Region. Typically an Expense's Transactions roll up to its Project's or Resource's Region based on 'follows' rules. Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Region__c Override_Region__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project Task</h3>
     */
    global Id ProjectTask__c;
    /**
     * <h3>Project Task</h3>
     */
    global Project_Task__c ProjectTask__r;
    /**
     * <h3>Project Methodology</h3>
     * Lookup to Project Methodology
     */
    global Id Project_Methodology__c;
    /**
     * <h3>Project Methodology</h3>
     * Lookup to Project Methodology
     */
    global Project_Methodology__c Project_Methodology__r;
    /**
     * <h3>Project Phase</h3>
     * Lookup to Project Phase
     */
    global Id Project_Phase__c;
    /**
     * <h3>Project Phase</h3>
     * Lookup to Project Phase
     */
    global Project_Phase__c Project_Phase__r;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    /**
     * <h3>Rate Unit</h3>
     * Must be kept in sync with Expense_Limit_Rate__c.Rate_Unit__c
     */
    global String Rate_Unit__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Reimbursement Amount In Project Currency</h3>
     * This field stores a numeric value for the Reimbursement Amount converted to the Project (billing) currency using system (not overridden) rates, for later use in vendor invoicing.
     */
    global Decimal Reimbursement_Amount_In_Project_Currency__c;
    /**
     * <h3>Reimbursement Amount</h3>
     */
    global Decimal Reimbursement_Amount__c;
    /**
     * <h3>Reimbursement Currency</h3>
     */
    global String Reimbursement_Currency__c;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    /**
     * <h3>Revenue Transaction</h3>
     */
    global Id Revenue_Transaction__c;
    /**
     * <h3>Revenue Transaction</h3>
     */
    global Transaction__c Revenue_Transaction__r;
    global SObjectType SObjectType;
    /**
     * <h3>Split Expense</h3>
     */
    global Boolean Split_Expense__c;
    /**
     * <h3>Split Notes</h3>
     */
    global String Split_Notes__c;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Submitted</h3>
     */
    global Boolean Submitted__c;
    /**
     * <h3>Synchronous Update Required</h3>
     * This checkbox is for system use.  It is intended to be checked in conjunction with any insert/update of the Timecard Split executed within a future method, and will then ensure that no downstream future methods are called.  In Salesforce, a future method can't call another future method.  Triggers should then unset this checkbox so that it never remains checked persistently.
     * Danger:  only check this flag for changes NOT on the "critical" path with respect to governor limits.  For example, it is ok to check this flag if the only change to the Expense is to modify the Billed/Invoiced flags and the Billing Event Item lookup value.
     */
    global Boolean Synchronous_Update_Required__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Tax Type</h3>
     * An optional type of tax that has been included in the expense
     */
    global String Tax_Type__c;
    global List<TopicAssignment> TopicAssignments;
    global List<Transaction__c> Transactions__r;
    /**
     * <h3>Type</h3>
     */
    global String Type__c;
    global List<Vendor_Invoice_Item__c> Vendor_Invoice_Items__r;
    /**
     * <h3>Vendor Invoice Item</h3>
     */
    global Id Vendor_Invoice_Item__c;
    /**
     * <h3>Vendor Invoice Item</h3>
     */
    global Vendor_Invoice_Item__c Vendor_Invoice_Item__r;

    global Expense__c()
    {
    }
}