// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Forecast</h3>
 * Represents an informed estimate, entered for a given summary period during one or more entry periods, of the delivery of revenue from services. You can enter forecasts by region, practice, group, or project on the Services Forecasts page. Time periods have a master-detail relationship with forecasts.
 */
global class /*pse__*/Forecast__c extends SObject 
{
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Best Case</h3>
     */
    global Currency Best_Case__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Comments</h3>
     */
    global String Comments__c;
    /**
     * <h3>Commit</h3>
     */
    global Currency Commit__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Downside</h3>
     */
    global Currency Downside__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Entered Best Case</h3>
     */
    global Currency Entered_Best_Case__c;
    /**
     * <h3>Entered Commit</h3>
     */
    global Currency Entered_Commit__c;
    /**
     * <h3>Entered Downside</h3>
     */
    global Currency Entered_Downside__c;
    /**
     * <h3>Entered Forecast</h3>
     */
    global Currency Entered_Forecast__c;
    /**
     * <h3>Entered Most Likely</h3>
     */
    global Currency Entered_Most_Likely__c;
    /**
     * <h3>Entered Upside</h3>
     */
    global Currency Entered_Upside__c;
    /**
     * <h3>Entered Worst Case</h3>
     */
    global Currency Entered_Worst_Case__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Forecast_Worksheet__c> Forecast_Worksheets__r;
    /**
     * <h3>Forecast</h3>
     */
    global Currency Forecast__c;
    /**
     * <h3>Group Override This Best Case</h3>
     */
    global Currency Group_Override_This_Best_Case__c;
    /**
     * <h3>Group Override This Commit</h3>
     */
    global Currency Group_Override_This_Commit__c;
    /**
     * <h3>Group Override This Downside</h3>
     */
    global Currency Group_Override_This_Downside__c;
    /**
     * <h3>Group Override This Forecast</h3>
     */
    global Currency Group_Override_This_Forecast__c;
    /**
     * <h3>Group Override This Most Likely</h3>
     */
    global Currency Group_Override_This_Most_Likely__c;
    /**
     * <h3>Group Override This Upside</h3>
     */
    global Currency Group_Override_This_Upside__c;
    /**
     * <h3>Group Override This Worst Case</h3>
     */
    global Currency Group_Override_This_Worst_Case__c;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Most Likely</h3>
     */
    global Currency Most_Likely__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Override Best Case</h3>
     */
    global Currency Override_Best_Case__c;
    /**
     * <h3>Override Commit</h3>
     */
    global Currency Override_Commit__c;
    /**
     * <h3>Override Downside</h3>
     */
    global Currency Override_Downside__c;
    /**
     * <h3>Override Forecast</h3>
     */
    global Currency Override_Forecast__c;
    /**
     * <h3>Override Most Likely</h3>
     */
    global Currency Override_Most_Likely__c;
    /**
     * <h3>Override Upside</h3>
     */
    global Currency Override_Upside__c;
    /**
     * <h3>Override Worst Case</h3>
     */
    global Currency Override_Worst_Case__c;
    global FeedComment Parent;
    /**
     * <h3>Plan</h3>
     * Plan copied from Region/Group/Practice at time of forecast entry
     */
    global Currency Plan__c;
    /**
     * <h3>Practice Override This Best Case</h3>
     */
    global Currency Practice_Override_This_Best_Case__c;
    /**
     * <h3>Practice Override This Commit</h3>
     */
    global Currency Practice_Override_This_Commit__c;
    /**
     * <h3>Practice Override This Downside</h3>
     */
    global Currency Practice_Override_This_Downside__c;
    /**
     * <h3>Practice Override This Forecast</h3>
     */
    global Currency Practice_Override_This_Forecast__c;
    /**
     * <h3>Practice Override This Most Likely</h3>
     */
    global Currency Practice_Override_This_Most_Likely__c;
    /**
     * <h3>Practice Override This Upside</h3>
     */
    global Currency Practice_Override_This_Upside__c;
    /**
     * <h3>Practice Override This Worst Case</h3>
     */
    global Currency Practice_Override_This_Worst_Case__c;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    /**
     * <h3>Previous Period Best Case</h3>
     */
    global Currency Previous_Period_Best_Case__c;
    /**
     * <h3>Previous Period Commit</h3>
     */
    global Currency Previous_Period_Commit__c;
    /**
     * <h3>Previous Period Downside</h3>
     */
    global Currency Previous_Period_Downside__c;
    /**
     * <h3>Previous Period Forecast</h3>
     */
    global Currency Previous_Period_Forecast__c;
    /**
     * <h3>Previous Period Most Likely</h3>
     */
    global Currency Previous_Period_Most_Likely__c;
    /**
     * <h3>Previous Period Upside</h3>
     */
    global Currency Previous_Period_Upside__c;
    /**
     * <h3>Previous Period Worst Case</h3>
     */
    global Currency Previous_Period_Worst_Case__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region Override This Best Case</h3>
     */
    global Currency Region_Override_This_Best_Case__c;
    /**
     * <h3>Region Override This Commit</h3>
     */
    global Currency Region_Override_This_Commit__c;
    /**
     * <h3>Region Override This Downside</h3>
     */
    global Currency Region_Override_This_Downside__c;
    /**
     * <h3>Region Override This Forecast</h3>
     */
    global Currency Region_Override_This_Forecast__c;
    /**
     * <h3>Region Override This Most Likely</h3>
     */
    global Currency Region_Override_This_Most_Likely__c;
    /**
     * <h3>Region Override This Upside</h3>
     */
    global Currency Region_Override_This_Upside__c;
    /**
     * <h3>Region Override This Worst Case</h3>
     */
    global Currency Region_Override_This_Worst_Case__c;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    global SObjectType SObjectType;
    /**
     * <h3>Sub Level Best Case</h3>
     */
    global Currency Sub_Level_Best_Case__c;
    /**
     * <h3>Sub Level Commit</h3>
     */
    global Currency Sub_Level_Commit__c;
    /**
     * <h3>Sub Level Downside</h3>
     */
    global Currency Sub_Level_Downside__c;
    /**
     * <h3>Sub Level Forecast</h3>
     */
    global Currency Sub_Level_Forecast__c;
    /**
     * <h3>Sub Level Most Likely</h3>
     */
    global Currency Sub_Level_Most_Likely__c;
    /**
     * <h3>Sub Level Upside</h3>
     */
    global Currency Sub_Level_Upside__c;
    /**
     * <h3>Sub Level Worst Case</h3>
     */
    global Currency Sub_Level_Worst_Case__c;
    /**
     * <h3>Summary Time Period</h3>
     */
    global Id Summary_Time_Period__c;
    /**
     * <h3>Summary Time Period</h3>
     */
    global Time_Period__c Summary_Time_Period__r;
    global Datetime SystemModstamp;
    /**
     * <h3>This Best Case</h3>
     */
    global Currency This_Best_Case__c;
    /**
     * <h3>This Commit</h3>
     */
    global Currency This_Commit__c;
    /**
     * <h3>This Downside</h3>
     */
    global Currency This_Downside__c;
    /**
     * <h3>This Forecast</h3>
     */
    global Currency This_Forecast__c;
    /**
     * <h3>This Most Likely</h3>
     */
    global Currency This_Most_Likely__c;
    /**
     * <h3>This Upside</h3>
     */
    global Currency This_Upside__c;
    /**
     * <h3>This Worst Case</h3>
     */
    global Currency This_Worst_Case__c;
    /**
     * <h3>Time Period</h3>
     */
    global Id Time_Period__c;
    /**
     * <h3>Time Period</h3>
     */
    global Time_Period__c Time_Period__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Upside</h3>
     */
    global Currency Upside__c;
    /**
     * <h3>Variance Best Case</h3>
     */
    global Currency Variance_Best_Case__c;
    /**
     * <h3>Variance Commit</h3>
     */
    global Currency Variance_Commit__c;
    /**
     * <h3>Variance Downside</h3>
     */
    global Currency Variance_Downside__c;
    /**
     * <h3>Variance Forecast</h3>
     */
    global Currency Variance_Forecast__c;
    /**
     * <h3>Variance Most Likely</h3>
     */
    global Currency Variance_Most_Likely__c;
    /**
     * <h3>Variance Percent Best Case</h3>
     */
    global Decimal Variance_Percent_Best_Case__c;
    /**
     * <h3>Variance Percent Commit</h3>
     */
    global Decimal Variance_Percent_Commit__c;
    /**
     * <h3>Variance Percent Downside</h3>
     */
    global Decimal Variance_Percent_Downside__c;
    /**
     * <h3>Variance Percent Forecast</h3>
     */
    global Decimal Variance_Percent_Forecast__c;
    /**
     * <h3>Variance Percent Most Likely</h3>
     */
    global Decimal Variance_Percent_Most_Likely__c;
    /**
     * <h3>Variance Percent Upside</h3>
     */
    global Decimal Variance_Percent_Upside__c;
    /**
     * <h3>Variance Percent Worst Case</h3>
     */
    global Decimal Variance_Percent_Worst_Case__c;
    /**
     * <h3>Variance Upside</h3>
     */
    global Currency Variance_Upside__c;
    /**
     * <h3>Variance Worst Case</h3>
     */
    global Currency Variance_Worst_Case__c;
    /**
     * <h3>Worst Case</h3>
     */
    global Currency Worst_Case__c;

    global Forecast__c()
    {
    }
}