// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Milestone</h3>
 * A target event used to track project progress. In Time and Materials (T&M) projects, individual milestone records are generally not billable, whereas in Fixed Price or mixed projects all or some generally are. You can group together timecards and expenses, submitted by assigned resources, with milestones on the same project, or associate milestones with a fixed external cost. Milestones have a linear (non-hierarchical) relationship with one another.
 */
global class /*pse__*/Milestone__c extends SObject 
{
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Actual Date</h3>
     */
    global Date Actual_Date__c;
    /**
     * <h3>Admin Global Edit</h3>
     * If checked, allows Admin to make 'global' changes to the Milestone, including edits to the Milestone's Project, Resource, Currency, or Date, even if Include In Financials is checked. Config requirement: Actuals Calculation Mode must be set to 'Scheduled'.
     */
    global Boolean Admin_Global_Edit__c;
    /**
     * <h3>Apply Default Bill Rate to Timecard</h3>
     * If checked, and if default-timecard-bill-rate-from-milestone config is set to true, Default Bill Rate will be defaulted onto any child Timecards.
     */
    global Boolean Apply_Default_Bill_Rate_to_Timecard__c;
    /**
     * <h3>Approved for Billing</h3>
     */
    global Boolean Approved_for_Billing__c;
    /**
     * <h3>Approved for Vendor Payment</h3>
     */
    global Boolean Approved_for_Vendor_Payment__c;
    /**
     * <h3>Approved</h3>
     * This checkbox should be checked when the Milestone is approved - typically by a workflow driven by the Status field.
     */
    global Boolean Approved__c;
    /**
     * <h3>Approver</h3>
     */
    global Id Approver__c;
    /**
     * <h3>Approver</h3>
     */
    global User Approver__r;
    global List<Assignment__c> Assignments__r;
    global List<Assignment_Milestone__c> Assignment_Milestones__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Audit Notes</h3>
     */
    global String Audit_Notes__c;
    /**
     * <h3>Billable Amount In Financials</h3>
     */
    global Currency Billable_Amount_In_Financials__c;
    /**
     * <h3>Billable Amount Submitted</h3>
     */
    global Currency Billable_Amount_Submitted__c;
    /**
     * <h3>Billable Days In Financials</h3>
     */
    global Decimal Billable_Days_In_Financials__c;
    /**
     * <h3>Billable Days Submitted</h3>
     */
    global Decimal Billable_Days_Submitted__c;
    /**
     * <h3>Billable Expenses In Financials</h3>
     */
    global Currency Billable_Expenses_In_Financials__c;
    /**
     * <h3>Billable Expenses Submitted</h3>
     */
    global Currency Billable_Expenses_Submitted__c;
    /**
     * <h3>Billable Hours In Financials</h3>
     */
    global Decimal Billable_Hours_In_Financials__c;
    /**
     * <h3>Billable Hours Submitted</h3>
     */
    global Decimal Billable_Hours_Submitted__c;
    /**
     * <h3>Billed</h3>
     */
    global Boolean Billed__c;
    /**
     * <h3>Billing Event Invoiced</h3>
     * Reflects Invoiced flag value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Invoiced__c;
    global List<Billing_Event_Item__c> Billing_Event_Items__r;
    /**
     * <h3>Billing Event Item</h3>
     */
    global Id Billing_Event_Item__c;
    /**
     * <h3>Billing Event Item</h3>
     */
    global Billing_Event_Item__c Billing_Event_Item__r;
    /**
     * <h3>Billing Event Released</h3>
     * Reflects Released flag value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Released__c;
    /**
     * <h3>Billing Event Status</h3>
     * Status pick list value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Status__c;
    /**
     * <h3>Billing Event</h3>
     * Formula hyperlink to the Billing Event (parent record to the Bill Event Item) if any.
     */
    global String Billing_Event__c;
    /**
     * <h3>Billing Hold</h3>
     * If true, this item cannot be billed
     */
    global Boolean Billing_Hold__c;
    global List<Billing_Queue__c> Billing_Queues__r;
    /**
     * <h3>Bill Date</h3>
     */
    global Date Bill_Date__c;
    /**
     * <h3>Bill Transaction</h3>
     */
    global Id Bill_Transaction__c;
    /**
     * <h3>Bill Transaction</h3>
     */
    global Transaction__c Bill_Transaction__r;
    /**
     * <h3>Closed for Expense Entry</h3>
     * If checked, indicates that Expense Reports and Expenses may no longer be entered for this Milestone. Is checked automatically when the Milestone's Project is Closed for Expense Entry.
     */
    global Boolean Closed_for_Expense_Entry__c;
    /**
     * <h3>Closed for Time Entry</h3>
     * If checked, indicates that Timecards may no longer be entered for this Milestone. Is checked automatically when the Milestone's Project is Closed for Time Entry.
     */
    global Boolean Closed_for_Time_Entry__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Cost Transaction</h3>
     */
    global Id Cost_Transaction__c;
    /**
     * <h3>Cost Transaction</h3>
     */
    global Transaction__c Cost_Transaction__r;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Default Bill Rate is Daily Rate</h3>
     * If checked, this means that the Default Bill Rate value signifies a rate per day rather than a rate per hour.
     */
    global Boolean Default_Bill_Rate_is_Daily_Rate__c;
    /**
     * <h3>Default Bill Rate</h3>
     * If configured, Timecards for this Milestone will inherit this Bill Rate.  In order for this to happen, the default-timecard-bill-rate-from-milestone Milestone config must be true (default false) and the 'Apply Default Bill Rate to Timecard' checkbox on the Milestone must be checked.  Defaults to and must always be same currency as Project.
     */
    global Currency Default_Bill_Rate__c;
    /**
     * <h3>Description</h3>
     */
    global String Description__c;
    /**
     * <h3>Disable Project Task Hours Roll Up</h3>
     */
    global Boolean Disable_Project_Task_Hours_Roll_Up__c;
    /**
     * <h3>Discipline</h3>
     */
    global String Discipline__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Eligible for Billing</h3>
     * Indicates Milestone is in a state that is eligible for Billing Event Generation (not including the Approved for Billing flag, which may also be required per global config).
     * This means all of the following conditions must be met:
     * Billing Hold = false
     * Exclude from Billing = false
     * Include In Financials = true
     * Billed = false
     * Invoiced = false
     * Billing Event Item = {blank}
     * Project = {not blank}
     * Project's Account = {not blank}
     * Project Exclude From Billing = false
     */
    global String Eligible_for_Billing__c;
    global List<EmailMessage> Emails;
    /**
     * <h3>Estimated Task Hours</h3>
     */
    global Decimal Estimated_Task_Hours__c;
    /**
     * <h3>Estimated Time To Completion</h3>
     */
    global Decimal Estimated_Time_To_Completion__c;
    global List<Event> Events;
    /**
     * <h3>Exclude from Billing</h3>
     * If checked, never bill this business record.  Same effect as Billing Hold, but intended to reflect a permanent exclusion from Billing Generation.
     */
    global Boolean Exclude_from_Billing__c;
    global List<Expense__c> Expenses__r;
    global List<Expense_Report__c> Expense_Reps__r;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Milestone__History> Histories;
    /**
     * <h3>Include In Financials</h3>
     */
    global Boolean Include_In_Financials__c;
    /**
     * <h3>Install Code Master</h3>
     */
    global Id Install_Code_Master__c;
    /**
     * <h3>Install Code Master</h3>
     */
    global Install_Code_Master__c Install_Code_Master__r;
    /**
     * <h3>Invoiced</h3>
     */
    global Boolean Invoiced__c;
    /**
     * <h3>Invoice Date</h3>
     */
    global Date Invoice_Date__c;
    /**
     * <h3>Invoice Number</h3>
     */
    global String Invoice_Number__c;
    /**
     * <h3>Invoice Transaction</h3>
     */
    global Id Invoice_Transaction__c;
    /**
     * <h3>Invoice Transaction</h3>
     */
    global Transaction__c Invoice_Transaction__r;
    global Boolean IsDeleted;
    /**
     * <h3>Is Cost Code</h3>
     */
    global Boolean Is_Cost_Code__c;
    global List<Project_Job_Walk__c> Job_Walk__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Log Milestone Cost As External</h3>
     */
    global Boolean Log_Milestone_Cost_As_External__c;
    /**
     * <h3>Milestone Amount</h3>
     * Billable Amount associated with the Milestone itself (not including billable amounts from child Timecards/Expenses).  This is primarily intended to be used for fixed-fee Projects. Defaults to and must always be same currency as Project.
     */
    global Currency Milestone_Amount__c;
    /**
     * <h3>Milestone Cost</h3>
     * External fixed-fee cost associated with Milestone, not including any costs associated with child Timecards and Expenses.  This is intended to be used when the vendor cost incurred in fulfilling the Milestone is itself fixed-fee, and thus not captured in Timecards/Expenses.  Defaults to and must always be same currency as Project.
     */
    global Currency Milestone_Cost__c;
    global String Name;
    /**
     * <h3>Non-Billable Days In Financials</h3>
     */
    global Decimal Non_Billable_Days_In_Financials__c;
    /**
     * <h3>Non-Billable Days Submitted</h3>
     */
    global Decimal Non_Billable_Days_Submitted__c;
    /**
     * <h3>Non-Billable Expenses In Financials</h3>
     */
    global Currency Non_Billable_Expenses_In_Financials__c;
    /**
     * <h3>Non-Billable Expenses Submitted</h3>
     */
    global Currency Non_Billable_Expenses_Submitted__c;
    /**
     * <h3>Non-Billable Hours In Financials</h3>
     */
    global Decimal Non_Billable_Hours_In_Financials__c;
    /**
     * <h3>Non-Billable Hours Submitted</h3>
     */
    global Decimal Non_Billable_Hours_Submitted__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Override Project Group Currency Code</h3>
     */
    global String Override_Project_Group_Currency_Code__c;
    /**
     * <h3>Override Project Group</h3>
     * If this field is set, it overrides the Group to which a Milestone's Transactions will roll up for Group Actuals, even if its Project is in a different Group.  Typically a Milestone's Transactions roll up to its Project's Group.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Project_Group__c;
    /**
     * <h3>Override Project Group</h3>
     * If this field is set, it overrides the Group to which a Milestone's Transactions will roll up for Group Actuals, even if its Project is in a different Group.  Typically a Milestone's Transactions roll up to its Project's Group.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Grp__c Override_Project_Group__r;
    /**
     * <h3>Override Project Practice Currency Code</h3>
     */
    global String Override_Project_Practice_Currency_Code__c;
    /**
     * <h3>Override Project Practice</h3>
     * If this field is set, it overrides the Practice to which a Milestone's Transactions will roll up for Practice Actuals, even if its Project is in a different Practice.  Typically a Milestone's Transactions roll up to its Project's Practice.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Project_Practice__c;
    /**
     * <h3>Override Project Practice</h3>
     * If this field is set, it overrides the Practice to which a Milestone's Transactions will roll up for Practice Actuals, even if its Project is in a different Practice.  Typically a Milestone's Transactions roll up to its Project's Practice.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Practice__c Override_Project_Practice__r;
    /**
     * <h3>Override Project Region Currency Code</h3>
     */
    global String Override_Project_Region_Currency_Code__c;
    /**
     * <h3>Override Project Region</h3>
     * If this field is set, it overrides the Region to which a Milestone's Transactions will roll up for Regional Actuals, even if its Project is in a different Region.  Typically a Milestone's Transactions roll up to its Project's Region.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Id Override_Project_Region__c;
    /**
     * <h3>Override Project Region</h3>
     * If this field is set, it overrides the Region to which a Milestone's Transactions will roll up for Regional Actuals, even if its Project is in a different Region.  Typically a Milestone's Transactions roll up to its Project's Region.  Note that either way, the Transactions will continue to roll up to the same Project's Project Actuals.
     */
    global Region__c Override_Project_Region__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Planned Hours</h3>
     */
    global Decimal Planned_Hours__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project Install Code</h3>
     */
    global Id Project_Install_Code__c;
    /**
     * <h3>Project Install Code</h3>
     */
    global Project_Install_Code__c Project_Install_Code__r;
    global List<Job_Walk_Snapshot__c> Project_Job_Walk_Snapshot__r;
    global List<Project_Task__c> Project_Tasks__r;
    /**
     * <h3>Project Task Hours</h3>
     */
    global Decimal Project_Task_Hours__c;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    /**
     * <h3>QB Service Item</h3>
     */
    global Id QB_Service_Item__c;
    /**
     * <h3>QB Service Item</h3>
     */
    global QB_Service_Item__c QB_Service_Item__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Requires Customer Sign-off</h3>
     */
    global Boolean Requires_Customer_Sign_off__c;
    global List<Resource_Request__c> Resource_Requests__r;
    global List<RR_Milestone__c> Resource_Request_Milestone_Junction__r;
    /**
     * <h3>Revenue Code</h3>
     */
    global String Revenue_Code__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Target Date</h3>
     */
    global Date Target_Date__c;
    global List<Task> Tasks;
    global List<Timecard__c> TimecardSplits__r;
    global List<Timecard_Header__c> Timecards__r;
    /**
     * <h3>Timecard External Costs In Financials</h3>
     */
    global Currency Timecard_External_Costs_In_Financials__c;
    /**
     * <h3>Timecard External Costs Submitted</h3>
     */
    global Currency Timecard_External_Costs_Submitted__c;
    /**
     * <h3>Timecard Internal Costs In Financials</h3>
     */
    global Currency Timecard_Internal_Costs_In_Financials__c;
    /**
     * <h3>Timecard Internal Costs Submitted</h3>
     */
    global Currency Timecard_Internal_Costs_Submitted__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Completed Points from Tasks</h3>
     */
    global Decimal Total_Completed_Points_from_Tasks__c;
    /**
     * <h3>Total Number of Completed Tasks</h3>
     */
    global Decimal Total_Number_of_Completed_Tasks__c;
    /**
     * <h3>Total Number of Tasks</h3>
     */
    global Decimal Total_Number_of_Tasks__c;
    /**
     * <h3>Total Points from Tasks</h3>
     */
    global Decimal Total_Points_from_Tasks__c;
    global List<Transaction__c> Transactions__r;
    /**
     * <h3>Transaction</h3>
     */
    global Id Transaction__c;
    /**
     * <h3>Transaction</h3>
     */
    global Transaction__c Transaction__r;
    /**
     * <h3>Unplanned Hours</h3>
     */
    global Decimal Unplanned_Hours__c;
    /**
     * <h3>Vendor Account</h3>
     * The vendor account to use for vendor invoicing
     */
    global Id Vendor_Account__c;
    /**
     * <h3>Vendor Account</h3>
     * The vendor account to use for vendor invoicing
     */
    global Account Vendor_Account__r;
    global List<Vendor_Invoice_Item__c> Vendor_Invoice_Items__r;
    /**
     * <h3>Vendor Invoice Item</h3>
     */
    global Id Vendor_Invoice_Item__c;
    /**
     * <h3>Vendor Invoice Item</h3>
     */
    global Vendor_Invoice_Item__c Vendor_Invoice_Item__r;

    global Milestone__c()
    {
    }
}