// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Permission Control</h3>
 * Grants a set of stand-alone or cascading permissions to a single Salesforce user, with reference to either a resource, region, practice, group, or project. Controls whether the user can carry out specific processes including: logging time on behalf of other resources, entering expenses, staffing, and viewing and editing projects in Project Task Gantt.
 */
global class /*pse__*/Permission_Control__c extends SObject 
{
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billing</h3>
     * This checkbox governs the User's ability to generate and release Billing Events for Projects belonging to specified Regions/Practices/Groups, and to edit Billing-related fields (Billed checkbox and Billing Event Item) for Resources' business records.
     */
    global Boolean Billing__c;
    /**
     * <h3>Cascading Permission</h3>
     * Checking this box for Permission Controls associated with a hierarchy (e.g. Region, Practice, or Group) means that the Permission also applies to (Resources belonging to) all nodes lower in the hierarchy, in addition to the specified node.
     */
    global Boolean Cascading_Permission__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Project Task Gantt Edit</h3>
     */
    global Boolean Edit_Task_Manager__c;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    /**
     * <h3>Expense Entry</h3>
     * This checkbox governs the User's ability to enter/edit Expenses and Expense Reports for Resources other than their own.
     */
    global Boolean Expense_Entry__c;
    /**
     * <h3>Expense Ops Edit</h3>
     * This checkbox governs the User's ability to edit Expenses and Expense Reports for Resources after they have been approved but before they have been billed.
     */
    global Boolean Expense_Ops_Edit__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Forecast Edit</h3>
     */
    global Boolean Forecast_Edit__c;
    /**
     * <h3>Forecast View</h3>
     */
    global Boolean Forecast_View__c;
    /**
     * <h3>Group</h3>
     * This is the Group containing Resources that are the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of Resources in this Group.
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     * This is the Group containing Resources that are the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of Resources in this Group.
     */
    global Grp__c Group__r;
    global List<Permission_Control__History> Histories;
    /**
     * <h3>Invoicing</h3>
     * This checkbox governs the User's ability to  to edit Invoicing-related fields (Invoiced checkbox, Invoice Date, Invoice Number) for a Project's business records.
     */
    global Boolean Invoicing__c;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Practice</h3>
     * This is the Practice containing Resources that are the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of Resources in this Practice.
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     * This is the Practice containing Resources that are the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of Resources in this Practice.
     */
    global Practice__c Practice__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project</h3>
     * This is the Project containing Assignments for Resources that are the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of Resources in this Project, only in relation to the Project.
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     * This is the Project containing Assignments for Resources that are the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of Resources in this Project, only in relation to the Project.
     */
    global Proj__c Project__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     * This is the Region containing Resources that are the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of Resources in this Region.
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     * This is the Region containing Resources that are the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of Resources in this Region.
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource Request Entry</h3>
     * This checkbox governs the User's ability to enter/edit Resource Requests for specified Regions/Practices/Groups.
     */
    global Boolean Resource_Request_Entry__c;
    /**
     * <h3>Resource</h3>
     * This is the Resource who is the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of this Resource.
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     * This is the Resource who is the target of the specified action(s) - e.g. delegated Timecard Entry on behalf of this Resource.
     */
    global Contact Resource__r;
    /**
     * <h3>Skills And Certifications Entry</h3>
     * This checkbox governs the User's ability to enter/edit Skills and Certifications for Resources other than their own.
     */
    global Boolean Skills_And_Certifications_Entry__c;
    /**
     * <h3>Skills And Certifications View</h3>
     * This checkbox governs the User's ability to view Expenses for Resources other than their own. If a user has Edit permission, they implicitly also have View permission.
     */
    global Boolean Skills_And_Certifications_View__c;
    global SObjectType SObjectType;
    /**
     * <h3>Staffing</h3>
     * This checkbox governs the User's ability to staff Resources from specified Regions/Practices/Groups.
     */
    global Boolean Staffing__c;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Timecard Entry</h3>
     * This checkbox governs the User's ability to enter/edit Timecards for Resources other than their own.
     */
    global Boolean Timecard_Entry__c;
    /**
     * <h3>Timecard Ops Edit</h3>
     * This checkbox governs the User's ability to edit Timecards for Resources after they have been approved but before they have been billed.
     */
    global Boolean Timecard_Ops_Edit__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>User</h3>
     */
    global Id User__c;
    /**
     * <h3>User</h3>
     */
    global User User__r;
    /**
     * <h3>Project Task Gantt View</h3>
     */
    global Boolean View_Task_Manager__c;

    global Permission_Control__c()
    {
    }
}