// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Project</h3>
 * Represents a collection of business transactions, activities, and related items to be managed over a defined time range, such as timecards, expenses, milestones, and budgets. Typically, people (represented by Resource records) are assigned to projects, though some projects do not require assignments in order to be staffed. Projects may also have a master project (parent) or a sub project (child) in the project hierarchy, supporting roll-ups of revenues, costs, and time to every project and up through the hierarchy.
 */
global class /*pse__*/Proj__c extends SObject 
{
    /**
     * <h3>Account</h3>
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     */
    global Account Account__r;
    /**
     * <h3>Action: Count Billing Eligible Records</h3>
     * Saving the Project with this checkbox checked updates the fields that track Billing Eligible Business Records (TC Splits, Expenses, Milestones, Misc Adjustments, Budgets) for this Project and also auto-unchecks this Action checkbox.
     */
    global Boolean Action_Count_Billing_Eligible_Records__c;
    /**
     * <h3>Action: Set Budgeted Cost</h3>
     */
    global Boolean Action_Set_Budgeted_Cost__c;
    /**
     * <h3>Action: Update Current Time Period</h3>
     */
    global Boolean Action_Update_Current_Time_Period__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Actuals: Last Recalc Date</h3>
     */
    global Datetime Actuals_Last_Recalc_Date__c;
    /**
     * <h3>Actuals: Last Updated By</h3>
     */
    global Id Actuals_Last_Updated_By__c;
    /**
     * <h3>Actuals: Last Updated By</h3>
     */
    global User Actuals_Last_Updated_By__r;
    /**
     * <h3>Actuals: Last Update Date</h3>
     */
    global Datetime Actuals_Last_Update_Date__c;
    /**
     * <h3>Actuals: Need Recalc</h3>
     */
    global Boolean Actuals_Need_Recalc__c;
    /**
     * <h3>Actual Base Cost</h3>
     */
    global Currency Actual_Base_Dollars__c;
    /**
     * <h3>Actual Hours Cost</h3>
     */
    global Currency Actual_Dollars__c;
    /**
     * <h3>Actual Overtime Uplift Cost</h3>
     */
    global Currency Actual_Overtime_Dollars__c;
    /**
     * <h3>Allow Expenses Without Assignment</h3>
     * If this field is checked, then Expense Reports (and Expenses) may be logged for this project without the Resource on the Expense Report needing to have an open and current Assignment for the Project.
     */
    global Boolean Allow_Expenses_Without_Assignment__c;
    /**
     * <h3>Allow Self-Staffing</h3>
     */
    global Boolean Allow_Self_Staffing__c;
    /**
     * <h3>Allow Timecards Without Assignment</h3>
     * If this field is checked, then Timecards may be logged for this project without the Resource on the Timecard needing to have an open and current Assignment for the Project.  Such projects are typically called "Global" projects - e.g. Vacation, Sick Leave, Maternity/Paternity Leave.
     */
    global Boolean Allow_Timecards_Without_Assignment__c;
    global List<Project_Area__c> Areas__r;
    global List<Assignment__c> Assignments__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Backlog_Calculation__c> Backlog_Calculations__r;
    global List<Backlog_Detail__c> Backlog_Details__r;
    /**
     * <h3>Backlog: Last Updated By</h3>
     */
    global Id Backlog_Last_Updated_By__c;
    /**
     * <h3>Backlog: Last Updated By</h3>
     */
    global User Backlog_Last_Updated_By__r;
    /**
     * <h3>Backlog: Last Update Date</h3>
     */
    global Datetime Backlog_Last_Update_Date__c;
    /**
     * <h3>Batch Sequence Number</h3>
     */
    global Decimal Batch_Sequence_Number__c;
    /**
     * <h3>Batch Sequence</h3>
     * Used for reliable sorting of projects so a large collection of projects can be split into batches.
     */
    global String Batch_Sequence__c;
    /**
     * <h3>Billable Expense Fee Flat</h3>
     * Flat fee in Project currency by which to increase the billable amount of any Expense logged for the Project.  The calculation will apply any percentage expense fee*before* this flat expense fee amount.
     */
    global Currency Billable_Expense_Fee_Flat__c;
    /**
     * <h3>Billable Expense Fee Percentage</h3>
     * Fee percentage by which to increase the billable amount of any Expense logged for the Project.  0% means no increase (default), whereas 100% means double.  The calculation will apply the percentage expense fee*before* any flat expense fee.
     */
    global Decimal Billable_Expense_Fee_Percentage__c;
    /**
     * <h3>Billable Hours (External)</h3>
     */
    global Decimal Billable_External_Hours__c;
    /**
     * <h3>Billable Hours (Internal)</h3>
     */
    global Decimal Billable_Internal_Hours__c;
    /**
     * <h3>Billed</h3>
     */
    global Currency Billed__c;
    /**
     * <h3>Billings</h3>
     */
    global Currency Billings__c;
    /**
     * <h3>Billing Eligible Budgets</h3>
     * Number of Budgets that are currently available for billing event generation.  The maximum number of records you can track is 1999.
     */
    global Decimal Billing_Eligible_Budgets__c;
    /**
     * <h3>Billing Eligible Expenses</h3>
     * Number of Expenses that are currently available for billing event generation.  The maximum number of records you can track is 1999.
     */
    global Decimal Billing_Eligible_Expenses__c;
    /**
     * <h3>Billing Eligible Last Updated</h3>
     * When counts of Billing Eligible business records are updated on the Project, this Date field is set to indicate when the data was last captured.
     */
    global Date Billing_Eligible_Last_Updated__c;
    /**
     * <h3>Billing Eligible Milestones</h3>
     * Number of Milestones that are currently available for billing event generation.  The maximum number of records you can track is 1999.
     */
    global Decimal Billing_Eligible_Milestones__c;
    /**
     * <h3>Billing Eligible Misc Adjustments</h3>
     * Number of Miscellaneous Adjustments that are currently available for billing event generation.  The maximum number of records you can track is 1999.
     */
    global Decimal Billing_Eligible_Misc_Adjustments__c;
    /**
     * <h3>Billing Eligible Timecard Splits</h3>
     * Number of Timecard Splits that are currently available for billing event generation.  The maximum number of records you can track is 1999.
     */
    global Decimal Billing_Eligible_Timecard_Splits__c;
    global List<Billing_Event__c> Billing_Events__r;
    global List<Billing_Event_Calculation__c> Billing_Event_Calculations__r;
    global List<Billing_Event_Item__c> Billing_Event_Items__r;
    global List<Billing_Queue__c> Billing_Queues__r;
    /**
     * <h3>Billing Type</h3>
     */
    global String Billing_Type__c;
    /**
     * <h3>Bookings</h3>
     */
    global Currency Bookings__c;
    /**
     * <h3>Budgeted Base Cost</h3>
     */
    global Currency Budgeted_Base_Cost__c;
    /**
     * <h3>Budgeted Hours Cost</h3>
     */
    global Currency Budgeted_Cost__c;
    /**
     * <h3>Budgeted Overtime Uplift Cost</h3>
     */
    global Currency Budgeted_Overtime_Cost__c;
    global List<Budget__c> Budgets__r;
    global List<Budget_Header__c> Budget_Headers__r;
    /**
     * <h3>Closed for Expense Entry</h3>
     */
    global Boolean Closed_for_Expense_Entry__c;
    /**
     * <h3>Closed for Time Entry</h3>
     */
    global Boolean Closed_for_Time_Entry__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Company 1</h3>
     */
    global Id Company_1__c;
    /**
     * <h3>Company 1</h3>
     */
    global Company__c Company_1__r;
    /**
     * <h3>Company</h3>
     */
    global String Company__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Copy Child Records from Template Async</h3>
     * If true, project child records copied using the Create Project From Template UI are created in asynchronous mode.
     */
    global Boolean Copy_Child_Records_from_Template_Async__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>Credited Hours</h3>
     */
    global Decimal Credited_Non_Billable_Internal_Hours__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Current Time Period End Date</h3>
     */
    global Date Current_Time_Period_End_Date__c;
    /**
     * <h3>Current Time Period</h3>
     */
    global Id Current_Time_Period__c;
    /**
     * <h3>Current Time Period</h3>
     */
    global Time_Period__c Current_Time_Period__r;
    global List<SCMC__Customer_Quotation__c> Customer_Quotations__r;
    global List<Daily_Per_Diem__c> DailyPerDiemProject__r;
    global List<Dailysummary__c> Dailysummary__r;
    /**
     * <h3>Daily Timecard Notes Required</h3>
     */
    global Boolean Daily_Timecard_Notes_Required__c;
    /**
     * <h3>Davis/Bacon</h3>
     */
    global Boolean Davis_Bacon__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    global List<Est_Vs_Actuals__c> Est_Vs_Actuals__r;
    global List<Event> Events;
    /**
     * <h3>Excluded Hours</h3>
     */
    global Decimal Excluded_Hours__c;
    /**
     * <h3>Exclude from Backlog</h3>
     */
    global Boolean Exclude_from_Backlog__c;
    /**
     * <h3>Exclude From Billing</h3>
     * If true, do not include this project when generating billing events
     */
    global Boolean Exclude_From_Billing__c;
    /**
     * <h3>Exclude from Project Planner</h3>
     * Allows exclusion of a project from the project planner
     */
    global Boolean Exclude_from_Project_Planner__c;
    global List<Expense_Report__c> ExpenseReports__r;
    /**
     * <h3>Expenses Remaining</h3>
     * Expense Budget - Pass Through Billings
     */
    global Currency Expenses_Remaining__c;
    global List<Expense__c> Expenses__r;
    /**
     * <h3>Expense Budget</h3>
     */
    global Currency Expense_Budget__c;
    /**
     * <h3>Expense Costs</h3>
     */
    global Currency Expense_Costs__c;
    global List<Expense_Limit_Rate__c> Expense_Limits_Rates__r;
    /**
     * <h3>Expense Notes</h3>
     */
    global String Expense_Notes__c;
    /**
     * <h3>External Costs</h3>
     */
    global Currency External_Costs__c;
    /**
     * <h3>External Time Cost</h3>
     */
    global Currency External_Time_Cost__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    /**
     * <h3>Financials Status</h3>
     */
    global String Financials_Status__c;
    global ContentVersion FirstPublishLocation;
    global List<Forecast__c> Forecasts__r;
    global List<Forecast_Worksheet__c> Forecast_Worksheets__r;
    /**
     * <h3>Foreman</h3>
     */
    global Id Foreman__c;
    /**
     * <h3>Foreman</h3>
     */
    global Contact Foreman__r;
    /**
     * <h3>Future Base Cost</h3>
     */
    global Currency Future_Base_Dollars__c;
    /**
     * <h3>Future Hours Cost</h3>
     */
    global Currency Future_Dollars__c;
    /**
     * <h3>Future Overtime Uplift Cost</h3>
     */
    global Currency Future_Overtime_Dollars__c;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    /**
     * <h3>Hierarchy Depth</h3>
     */
    global Decimal Hierarchy_Depth__c;
    global List<Proj__History> Histories;
    /**
     * <h3>Hours Remaining</h3>
     * Planned Hours - Billable Internal Hours - Billable External Hours - NonBillable Internal Hours - NonBillable External Hours
     */
    global Decimal Hours_Remaining__c;
    /**
     * <h3>Hours to Days Rule</h3>
     * Specifies rules for converting hours to days for timecards against this project
     */
    global Id Hours_to_Days_Rule__c;
    /**
     * <h3>Hours to Days Rule</h3>
     * Specifies rules for converting hours to days for timecards against this project
     */
    global Hours_to_Days_Rule__c Hours_to_Days_Rule__r;
    /**
     * <h3>HVAC Foreman</h3>
     */
    global Id HVAC_Foreman__c;
    /**
     * <h3>HVAC Foreman</h3>
     */
    global Contact HVAC_Foreman__r;
    /**
     * <h3>Hydronics Foreman</h3>
     */
    global Id Hydronics_Foreman__c;
    /**
     * <h3>Hydronics Foreman</h3>
     */
    global Contact Hydronics_Foreman__r;
    global List<Proj__c> ImmediateSubProjects__r;
    /**
     * <h3>Inactive Project Backlog</h3>
     * The amount of backlog (bookings - billings) that was made inactive when the project (and/or sub-projects) became inactive. For parent projects, this is a cumulative value. NOTE: this field is only intended to be updated by PSE.
     */
    global Currency Inactive_Project_Backlog__c;
    /**
     * <h3>Include In Forecasting</h3>
     * Does this project participate in project forecasting?
     */
    global Boolean Include_In_Forecasting__c;
    /**
     * <h3>Internal Budget</h3>
     */
    global Currency Internal_Budget__c;
    /**
     * <h3>Internal Costs</h3>
     */
    global Currency Internal_Costs__c;
    /**
     * <h3>Internal Time Cost</h3>
     */
    global Currency Internal_Time_Cost__c;
    /**
     * <h3>Invoiced</h3>
     */
    global Currency Invoiced__c;
    global Boolean IsDeleted;
    /**
     * <h3>Active</h3>
     */
    global Boolean Is_Active__c;
    /**
     * <h3>Billable</h3>
     */
    global Boolean Is_Billable__c;
    /**
     * <h3>Template</h3>
     */
    global Boolean Is_Template__c;
    global List<Job__c> Jobs__r;
    /**
     * <h3>Job Site Address</h3>
     */
    global Id Job_Site_Address__c;
    /**
     * <h3>Job Site Address</h3>
     */
    global SCMC__Customer_Address__c Job_Site_Address__r;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Location</h3>
     */
    global String Location__c;
    /**
     * <h3>Margin</h3>
     */
    global Currency Margin__c;
    global List<Proj__c> MasterProjectForSubProjects__r;
    /**
     * <h3>Master Project</h3>
     */
    global Id Master_Project__c;
    /**
     * <h3>Master Project</h3>
     */
    global Proj__c Master_Project__r;
    global List<Milestone__c> Milestones__r;
    /**
     * <h3>Milestone Cost</h3>
     */
    global Currency Milestone_Cost__c;
    global List<Miscellaneous_Adjustment__c> Miscellaneous_Adjustments__r;
    global String Name;
    /**
     * <h3>Non-Billable Hours (External)</h3>
     */
    global Decimal Non_Billable_External_Hours__c;
    /**
     * <h3>Non-Billable Hours (Internal)</h3>
     */
    global Decimal Non_Billable_Internal_Hours__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Notes</h3>
     * Staffing project notes
     */
    global String Notes__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Opportunity Owner</h3>
     */
    global Id Opportunity_Owner__c;
    /**
     * <h3>Opportunity Owner</h3>
     */
    global User Opportunity_Owner__r;
    /**
     * <h3>Opportunity</h3>
     */
    global Id Opportunity__c;
    /**
     * <h3>Opportunity</h3>
     */
    global Opportunity Opportunity__r;
    /**
     * <h3>Other Costs</h3>
     */
    global Currency Other_Costs__c;
    global List<ob1__Output_History__c> Output_Histories__r;
    global List<Overtime_Project_Actual__c> OvertimeProjectActual__r;
    global List<Overtime_Project_Future__c> OvertimeProjectFuture__r;
    global List<Overtime_Project_Planned__c> OvertimeProjectPlanned__r;
    global SObject Owner;
    global Id OwnerId;
    /**
     * <h3>Owner Account</h3>
     */
    global Id Owner_Account__c;
    /**
     * <h3>Owner Account</h3>
     */
    global Account Owner_Account__r;
    global FeedComment Parent;
    /**
     * <h3>Parent Project</h3>
     */
    global Id Parent_Project__c;
    /**
     * <h3>Parent Project</h3>
     */
    global Proj__c Parent_Project__r;
    /**
     * <h3>Pass-Through Billings</h3>
     */
    global Currency Pass_Through_Billings__c;
    /**
     * <h3>% of Funds Remaining</h3>
     * Bookings - Billings / Bookings. The value is set to 0 if Bookings = 0.
     */
    global Decimal Pct_of_Funds_Remaining__c;
    /**
     * <h3>% of Time Remaining</h3>
     * End Date - Start Date unless End Date < Today and then the value is set to 0
     */
    global Decimal Pct_of_Time_Remaining__c;
    /**
     * <h3>% Work Complete</h3>
     * Total_Actual_Hours__c / pse__Planned_Hours__c
     */
    global Decimal Pct_Work_Complete__c;
    /**
     * <h3>% Work Remaining</h3>
     * 1- Pct_Work_Complete__c
     */
    global Decimal Pct_Work_Remaining__c;
    global List<Permission_Control__c> Permission_Controls__r;
    global List<Per_Diem__c> Per_Diem__r;
    /**
     * <h3>Planned Base Cost</h3>
     */
    global Currency Planned_Base_Dollars__c;
    /**
     * <h3>Planned Hours Cost</h3>
     */
    global Currency Planned_Dollars__c;
    /**
     * <h3>Planned Hours</h3>
     */
    global Decimal Planned_Hours__c;
    /**
     * <h3>Planned Overtime Uplift Cost</h3>
     */
    global Currency Planned_Overtime_Dollars__c;
    /**
     * <h3>Planned Work Week</h3>
     */
    global Decimal Planned_Work_Week__c;
    /**
     * <h3>Plumbing Foreman</h3>
     */
    global Id Plumbing_Foreman__c;
    /**
     * <h3>Plumbing Foreman</h3>
     */
    global Contact Plumbing_Foreman__r;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    /**
     * <h3>Pre-Billed</h3>
     */
    global Currency Pre_Billed__c;
    /**
     * <h3>Pre-Bill Type</h3>
     */
    global String Pre_Bill_Type__c;
    global List<Opportunity> PrimaryProjectForOpportunities__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Project_Actuals_Converted__c> Project_Actuals_Converted__r;
    global List<Project_Actuals__c> Project_Actuals__r;
    /**
     * <h3>Financials</h3>
     */
    global String Project_Financials_Indicator__c;
    /**
     * <h3>Project ID Chain</h3>
     */
    global String Project_ID_Chain__c;
    /**
     * <h3>Project ID</h3>
     */
    global String Project_ID__c;
    global List<Project_Install_Code__c> Project_Install_Codes__r;
    global List<Job_Walk_Snapshot__c> Project_Job_Walk_Snapshot__r;
    global List<Project_Job_Walk__c> Project_Job_Walk__r;
    global List<Project_Location__c> Project_Locations__r;
    /**
     * <h3>Project Manager</h3>
     * Person responsible for this project (optional). If not provided, it's assumed that the record Owner is the project manager.
     */
    global Id Project_Manager__c;
    /**
     * <h3>Project Manager</h3>
     * Person responsible for this project (optional). If not provided, it's assumed that the record Owner is the project manager.
     */
    global Contact Project_Manager__r;
    global List<Project_Methodology__c> Project_Methodologies__r;
    /**
     * <h3>Project Name Chain</h3>
     */
    global String Project_Name_Chain__c;
    global List<Project_Phase__c> Project_Phases__r;
    /**
     * <h3>Project Phase</h3>
     */
    global String Project_Phase__c;
    /**
     * <h3>Schedule</h3>
     */
    global String Project_Schedule_Indicator__c;
    /**
     * <h3>Scope</h3>
     */
    global String Project_Scope_Indicator__c;
    /**
     * <h3>Project Sponsor</h3>
     */
    global Id Project_Sponsor__c;
    /**
     * <h3>Project Sponsor</h3>
     */
    global Contact Project_Sponsor__r;
    /**
     * <h3>Project Status Notes</h3>
     */
    global String Project_Status_Notes__c;
    /**
     * <h3>Project Status</h3>
     */
    global String Project_Status__c;
    global List<Project_Task__c> Project_Tasks__r;
    global List<Project_Task_Log__c> Project_Task_Logs__r;
    /**
     * <h3>Project Task Lookup</h3>
     * Dummy field used for filtered lookup in UI
     */
    global Id Project_Task_Lookup__c;
    /**
     * <h3>Project Task Lookup</h3>
     * Dummy field used for filtered lookup in UI
     */
    global Project_Task__c Project_Task_Lookup__r;
    /**
     * <h3>Project Type</h3>
     * A descriptive classification of the project
     */
    global String Project_Type__c;
    /**
     * <h3>End Date Variance</h3>
     */
    global Decimal psa_End_Date_Variance__c;
    /**
     * <h3>Planned End Date</h3>
     */
    global Date psa_Planned_End_Date__c;
    global List<SCMC__Purchase_Order__c> Purchase_Orders__r;
    global List<SCMC__Purchase_Order_Line_Item__c> Purchase_Order_Line_Items__r;
    global List<QB_Payroll_Record__c> QBPayrollProject__r;
    /**
     * <h3>QB Customer</h3>
     */
    global Id QB_Customer__c;
    /**
     * <h3>QB Customer</h3>
     */
    global QB_Customer__c QB_Customer__r;
    /**
     * <h3>QB Job</h3>
     */
    global Id QB_Job__c;
    /**
     * <h3>QB Job</h3>
     */
    global QB_Job__c QB_Job__r;
    global List<QB_Transaction__c> QB_Transactions__r;
    /**
     * <h3>Rate Card Discount Limit</h3>
     * The rate card's minimum suggested bill rate to which the discount will be applied.
     */
    global Decimal Rate_Card_Discount_Limit__c;
    /**
     * <h3>Rate Card Percentage Discount</h3>
     * The discount in percent applicable on a rate card's suggested bill rate when creating or updating a resource request or assignment on a project.
     */
    global Decimal Rate_Card_Percentage_Discount__c;
    /**
     * <h3>Rate Card Set</h3>
     * A rate card set, composed of multiple separate rate cards, determines which rate cards are applied to a project
     */
    global Id Rate_Card_Set__c;
    /**
     * <h3>Rate Card Set</h3>
     * A rate card set, composed of multiple separate rate cards, determines which rate cards are applied to a project
     */
    global Rate_Card_Set__c Rate_Card_Set__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Requires Dependency Sync</h3>
     */
    global Boolean Requires_Dependency_Sync__c;
    global List<SCMC__Requisition__c> Requisitions__r;
    global List<SCMC__Requisition_Line_Item__c> Requisition_Line_Items__r;
    global List<Resource_Role_Assignment__c> ResourceRoleAssignmentProject__r;
    global List<Resource_Request__c> Resource_Requests__r;
    global List<Resource_Request_Set__c> Resource_Request_Sets__r;
    /**
     * <h3>Revenue</h3>
     */
    global Currency Revenue__c;
    /**
     * <h3>Sales Order</h3>
     */
    global Id Sales_Order__c;
    /**
     * <h3>Sales Order</h3>
     */
    global SCMC__Sales_Order__c Sales_Order__r;
    /**
     * <h3>Scheduled Backlog Calculated Date</h3>
     */
    global Date Scheduled_Backlog_Calculated_Date__c;
    /**
     * <h3>Scheduled Backlog End Date</h3>
     */
    global Date Scheduled_Backlog_End_Date__c;
    /**
     * <h3>Scheduled Milestone</h3>
     */
    global Currency Scheduled_Milestone__c;
    /**
     * <h3>Scheduled Time</h3>
     */
    global Currency Scheduled_Time__c;
    /**
     * <h3>Schedule Status</h3>
     */
    global String Schedule_Status__c;
    /**
     * <h3>Scope of Work</h3>
     */
    global String Scope_of_Work__c;
    /**
     * <h3>Services Billing Time Period Type</h3>
     */
    global String Services_Billing_Time_Period_Type__c;
    /**
     * <h3>Services Remaining</h3>
     * Bookings - Billings
     */
    global Currency Services_Remaining__c;
    /**
     * <h3>Share with Project Manager</h3>
     * If true, sharing rules are created for this record and its children so that the user designated as Project Manager has access to them.
     */
    global Boolean Share_with_Project_Manager__c;
    /**
     * <h3>Share with Project Resources</h3>
     */
    global Boolean Share_with_Project_Resources__c;
    global SObjectType SObjectType;
    /**
     * <h3>Stage</h3>
     */
    global String Stage__c;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    /**
     * <h3>State Project</h3>
     */
    global Boolean State_Project__c;
    /**
     * <h3>Status Report Week Ending</h3>
     * The Week Ending Date of the Project Status Report
     */
    global Date Status_Report_Week_Ending__c;
    /**
     * <h3>Superintendent</h3>
     */
    global Id Superintendent__c;
    /**
     * <h3>Superintendent</h3>
     */
    global Contact Superintendent__r;
    global Datetime SystemModstamp;
    global List<Tag__c> Tags__r;
    global List<Task> Tasks;
    /**
     * <h3>Tasks Total Percent Complete (Points)</h3>
     */
    global Decimal Tasks_Total_Percent_Complete_Points__c;
    /**
     * <h3>Tasks Total Points Complete</h3>
     */
    global Decimal Tasks_Total_Points_Complete__c;
    /**
     * <h3>Tasks Total Points</h3>
     */
    global Decimal Tasks_Total_Points__c;
    /**
     * <h3>Task Based Scheduling</h3>
     */
    global Boolean Task_Based_Scheduling__c;
    global List<Timecard__c> TimecardSplits__r;
    global List<Timecard_Header__c> Timecards__r;
    /**
     * <h3>Time Credited</h3>
     * This checkbox should be checked for non-billable projects for which consulting time is credited towards utilization.
     */
    global Boolean Time_Credited__c;
    /**
     * <h3>Time Excluded</h3>
     * This checkbox should be checked for non-billable projects for which time should neither count for or against utilization.
     */
    global Boolean Time_Excluded__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Actual Hours</h3>
     */
    global Decimal Total_Actual_Hours__c;
    /**
     * <h3>Total Assigned Hours</h3>
     */
    global Decimal Total_Assigned_Hours__c;
    /**
     * <h3>Total Budgeted Hours</h3>
     * Manually entered field representing the total number of budgeted hours for this project.
     */
    global Decimal Total_Budgeted_Hours__c;
    /**
     * <h3>Total Costs</h3>
     */
    global Currency Total_Costs__c;
    /**
     * <h3>Total Number of Tasks</h3>
     */
    global Decimal Total_Number_of_Tasks__c;
    /**
     * <h3>Total Projected Revenue From Assignments</h3>
     */
    global Currency Total_Projected_Revenue_From_Assignments__c;
    global List<Transaction_Delta__c> Transaction_Deltas1__r;
    global List<Transaction_Delta__c> Transaction_Deltas__r;
    global List<Transaction__c> Transaction_Log__r;
    global List<UI_Helper__c> UI_Helpers__r;
    /**
     * <h3>Unscheduled Backlog</h3>
     */
    global Currency Unscheduled_Backlog__c;
    /**
     * <h3>Use Reporting Manager as Approver</h3>
     * If checked, the User manager will be designated as the timecard approver. If unchecked the Project Manager will be the approver.
     */
    global Boolean Use_Reporting_Manager_as_Approver__c;
    global List<Vendor_Invoice_Item__c> Vendor_Invoice_Items__r;
    /**
     * <h3>Work Calendar</h3>
     */
    global Id Work_Calendar__c;
    /**
     * <h3>Work Calendar</h3>
     */
    global Work_Calendar__c Work_Calendar__r;
    global List<SVMXC__Service_Order_Line__c> Work_Details__r;

    global Proj__c()
    {
    }
}