// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Project Task Dependency</h3>
 * Specifies a relationship between two project tasks. If a project task is completed early or late, this has an effect on the start and end date of the task that succeeds it. You can create four standard types of dependency. Dependent tasks have a master-detail relationship with project task dependencies.
 */
global class /*pse__*/Project_Task_Dependency__c extends SObject 
{
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>Cross Project</h3>
     * Indicates if this link between two tasks spans two projects
     */
    global Boolean Cross_Project__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Dependency Display Units</h3>
     * Specifies the units of time used for project tasks. Valid values are hours or days. The default value is days.
     */
    global String Dependency_Display_Units__c;
    /**
     * <h3>Dependent Task End Date & Time</h3>
     */
    global Datetime Dependent_Task_End_Date_Time__c;
    /**
     * <h3>Dependent Task End Date</h3>
     */
    global Date Dependent_Task_End_Date__c;
    /**
     * <h3>Dependent Task Start Date & Time</h3>
     */
    global Datetime Dependent_Task_Start_Date_Time__c;
    /**
     * <h3>Dependent Task Start Date</h3>
     */
    global Date Dependent_Task_Start_Date__c;
    /**
     * <h3>Dependent Task</h3>
     * This master-detail lookup references the Project Task that is the dependent Task in this relationship.
     */
    global Id Dependent_Task__c;
    /**
     * <h3>Dependent Task</h3>
     * This master-detail lookup references the Project Task that is the dependent Task in this relationship.
     */
    global Project_Task__c Dependent_Task__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global Boolean IsDeleted;
    /**
     * <h3>Lag Time</h3>
     */
    global Decimal Lag_Time_Hours__c;
    /**
     * <h3>Lag Units</h3>
     * Displays the lag unit type as either hours or days.
     */
    global String Lag_Units__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global FeedComment Parent;
    /**
     * <h3>Preceding Task End Date & Time</h3>
     */
    global Datetime Preceding_Task_End_Date_Time__c;
    /**
     * <h3>Preceding Task End Date</h3>
     */
    global Date Preceding_Task_End_Date__c;
    /**
     * <h3>Preceding Task Start Date & Time</h3>
     */
    global Datetime Preceding_Task_Start_Date_Time__c;
    /**
     * <h3>Preceding Task Start Date</h3>
     */
    global Date Preceding_Task_Start_Date__c;
    /**
     * <h3>Preceding Task</h3>
     * This lookup references the Project Task that is the preceding Task in this relationship.
     */
    global Id Preceding_Task__c;
    /**
     * <h3>Preceding Task</h3>
     * This lookup references the Project Task that is the preceding Task in this relationship.
     */
    global Project_Task__c Preceding_Task__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project</h3>
     */
    global String Project__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Type</h3>
     */
    global String Type__c;

    global Project_Task_Dependency__c()
    {
    }
}