// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Rate Card</h3>
 * Records the suggested bill rate or average cost rate for a resource role in a region, practice, or group (for example, the bill rate for a Consultant in Europe) or for projects on an account. Use rate cards early in the staffing process, to provide information on likely billing and cost rates when creating resource requests. If configured, start and end dates on rate cards determine if the rate only applies to resource requests which lie between the given dates.
 */
global class /*pse__*/Rate_Card__c extends SObject 
{
    /**
     * <h3>Account</h3>
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     */
    global Account Account__r;
    global List<Assignment__c> Assignments__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Average Cost Rate</h3>
     */
    global Currency Average_Cost_Rate__c;
    /**
     * <h3>Cascading Role</h3>
     */
    global Boolean Cascading_Role__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     * The rate card will no longer be applied after the date entered here. If you enter an end date, you must also enter a start date. If there is a start date and no end date, the rate card will be applied.
     */
    global Date End_Date__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    global List<Rate_Card__History> Histories;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Rate_Card_Set_Junction__c> Rate_Card_Set_Junctions__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    global List<Resource_Request__c> Resource_Requests__r;
    /**
     * <h3>Resource Role</h3>
     */
    global String Role__c;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     * The rate card will take effect on the date entered here.
     */
    global Date Start_Date__c;
    /**
     * <h3>Suggested Bill Rate</h3>
     */
    global Currency Suggested_Bill_Rate__c;
    global Datetime SystemModstamp;
    global List<TopicAssignment> TopicAssignments;

    global Rate_Card__c()
    {
    }
}