// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Region</h3>
 * An entity that represents a geographic area in which you do business. Regions are organized as an independent hierarchy determined by the Parent Region field, with parent and child records of the same type. Every region in the hierarchy may contain projects, resources (contacts), and other objects. The hierarchy allows roll-ups of revenue, cost, and time totals.
 */
global class /*pse__*/Region__c extends SObject 
{
    /**
     * <h3>Action: Update Current Time Period</h3>
     */
    global Boolean Action_Update_Current_Time_Period__c;
    global List<ActivityHistory> ActivityHistories;
    /**
     * <h3>Actuals: Last Updated By</h3>
     */
    global Id Actuals_Last_Updated_By__c;
    /**
     * <h3>Actuals: Last Updated By</h3>
     */
    global User Actuals_Last_Updated_By__r;
    /**
     * <h3>Actuals: Last Update Date</h3>
     */
    global Datetime Actuals_Last_Update_Date__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Backlog_Calculation__c> Backlog_Calculations__r;
    global List<Backlog_Detail__c> Backlog_Details__r;
    /**
     * <h3>Backlog: Last Updated By</h3>
     */
    global Id Backlog_Last_Updated_By__c;
    /**
     * <h3>Backlog: Last Updated By</h3>
     */
    global User Backlog_Last_Updated_By__r;
    /**
     * <h3>Backlog: Last Update Date</h3>
     */
    global Datetime Backlog_Last_Update_Date__c;
    /**
     * <h3>Billable Hours (External)</h3>
     */
    global Decimal Billable_External_Hours__c;
    /**
     * <h3>Billable Hours (Internal)</h3>
     */
    global Decimal Billable_Internal_Hours__c;
    /**
     * <h3>Billed</h3>
     */
    global Currency Billed__c;
    /**
     * <h3>Billings</h3>
     */
    global Currency Billings__c;
    global List<Billing_Event_Batch__c> Billing_Event_Batches__r;
    global List<Billing_Event_Calculation__c> Billing_Event_Calculations__r;
    /**
     * <h3>Bookings</h3>
     */
    global Currency Bookings__c;
    global List<CombinedAttachment> CombinedAttachments;
    /**
     * <h3>Company</h3>
     */
    global String Company__c;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>Credited Hours</h3>
     */
    global Decimal Credited_Non_Billable_Internal_Hours__c;
    global String CurrencyIsoCode;
    /**
     * <h3>Current Time Period End Date</h3>
     */
    global Date Current_Time_Period_End_Date__c;
    /**
     * <h3>Current Time Period</h3>
     */
    global Id Current_Time_Period__c;
    /**
     * <h3>Current Time Period</h3>
     */
    global Time_Period__c Current_Time_Period__r;
    /**
     * <h3>Default Work Calendar</h3>
     */
    global Id Default_Work_Calendar__c;
    /**
     * <h3>Default Work Calendar</h3>
     */
    global Work_Calendar__c Default_Work_Calendar__r;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Event> Events;
    /**
     * <h3>Excluded Hours</h3>
     */
    global Decimal Excluded_Hours__c;
    /**
     * <h3>Expense Budget</h3>
     */
    global Currency Expense_Budget__c;
    /**
     * <h3>Expense Costs</h3>
     */
    global Currency Expense_Costs__c;
    global List<Expense_Limit_Rate__c> Expense_Limits_Rates__r;
    /**
     * <h3>External Costs</h3>
     */
    global Currency External_Costs__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Forecast__c> Forecasts__r;
    global List<Forecast_Worksheet__c> Forecast_Worksheets__r;
    /**
     * <h3>Headquarters Region</h3>
     */
    global Id Headquarters_Region__c;
    /**
     * <h3>Headquarters Region</h3>
     */
    global Region__c Headquarters_Region__r;
    /**
     * <h3>Hierarchy Depth</h3>
     */
    global Decimal Hierarchy_Depth__c;
    /**
     * <h3>Historical Utilization Billable Hours</h3>
     * The historical utilization billable hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Historical_Utilization_Billable_Hours__c;
    /**
     * <h3>Historical Utilization Calendar Hours</h3>
     * The historical utilization calendar hours for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Historical_Utilization_Calendar_Hours__c;
    /**
     * <h3>Historical Utilization Credited Hours</h3>
     * The historical utilization credited hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Historical_Utilization_Credited_Hours__c;
    /**
     * <h3>Historical Utilization Excluded Hours</h3>
     * The historical utilization excluded hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Historical_Utilization_Excluded_Hours__c;
    /**
     * <h3>Historical Utilization Non Billable Hrs</h3>
     * The historical utilization non-billable hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Historical_Utilization_Non_Billable_Hrs__c;
    /**
     * <h3>Historical Utilization Target Attainment</h3>
     */
    global Decimal Historical_Utilization_Target_Attainment__c;
    /**
     * <h3>Historical Utilization Target Hours</h3>
     */
    global Decimal Historical_Utilization_Target_Hours__c;
    /**
     * <h3>Historical Utilization Target</h3>
     */
    global Decimal Historical_Utilization_Target__c;
    /**
     * <h3>Historical Utilization</h3>
     * The historical utilization percentage for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Historical_Utilization__c;
    global List<Region__History> Histories;
    /**
     * <h3>Hist Sch Utilization Billable Hours</h3>
     * The historical scheduled utilization billable hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Hist_Sch_Utilization_Billable_Hours__c;
    /**
     * <h3>Hist Sch Utilization Credited Hours</h3>
     * The historical scheduled utilization credited hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Hist_Sch_Utilization_Credited_Hours__c;
    /**
     * <h3>Hist Sch Utilization Excluded Hours</h3>
     * The historical scheduled utilization excluded hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Hist_Sch_Utilization_Excluded_Hours__c;
    /**
     * <h3>Hist Sch Utilization Held Hours</h3>
     */
    global Decimal Hist_Sch_Utilization_Held_Hours__c;
    /**
     * <h3>Hist Sch Utilization Non Billable Hrs</h3>
     * The historical scheduled utilization non-billable hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Hist_Sch_Utilization_Non_Billable_Hrs__c;
    global List<Region__c> HQRegionForRegions__r;
    global List<Region__c> ImmediateSubRegions__r;
    /**
     * <h3>Inactive Project Backlog</h3>
     * The amount of backlog (bookings - billings) that was made inactive when a contained project (including projects from sub-regions) became inactive. For parent regions, this is a cumulative value. NOTE: this field is only intended to be updated by PSE.
     */
    global Currency Inactive_Project_Backlog__c;
    /**
     * <h3>Include In Forecasting</h3>
     * Does this region participate in forecasting?
     */
    global Boolean Include_In_Forecasting__c;
    /**
     * <h3>Internal Budget</h3>
     */
    global Currency Internal_Budget__c;
    /**
     * <h3>Internal Costs</h3>
     */
    global Currency Internal_Costs__c;
    /**
     * <h3>Invoiced</h3>
     */
    global Currency Invoiced__c;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Margin</h3>
     */
    global Currency Margin__c;
    global List<Missing_Timecard_Calculation__c> Missing_Timecard_Calculations__r;
    global String Name;
    /**
     * <h3>Non-Billable Hours (External)</h3>
     */
    global Decimal Non_Billable_External_Hours__c;
    /**
     * <h3>Non-Billable Hours (Internal)</h3>
     */
    global Decimal Non_Billable_Internal_Hours__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global List<OpenActivity> OpenActivities;
    global List<Opportunity> Opportunities__r;
    /**
     * <h3>Other Costs</h3>
     */
    global Currency Other_Costs__c;
    global List<Timecard_Header__c> Override_Cost_Region_For_Timecards__r;
    global List<Timecard__c> Override_Cost_Region_For_Timecard_Splits__r;
    global List<Assignment__c> Override_ExpRegion_For_Assignments__r;
    global List<Budget__c> Override_Region_For_Budgets__r;
    global List<Expense__c> Override_Region_For_Expenses__r;
    global List<Expense_Report__c> Override_Region_For_Expense_Reports__r;
    global List<Milestone__c> Override_Region_For_Milestones__r;
    global List<Miscellaneous_Adjustment__c> Override_Region_For_Misc_Adjustments__r;
    global List<Timecard__c> Override_Revenue_Region_For_TC_Splits__r;
    global List<Timecard_Header__c> Override_Revenue_Region_For_Timecards__r;
    global List<Assignment__c> Override_TC_CostRegion_For_Assignments__r;
    global List<Assignment__c> Override_TC_RevRegion_For_Assignments__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Parent Region</h3>
     */
    global Id Parent_Region__c;
    /**
     * <h3>Parent Region</h3>
     */
    global Region__c Parent_Region__r;
    /**
     * <h3>Pass-Through Billings</h3>
     */
    global Currency Pass_Through_Billings__c;
    global List<Permission_Control__c> Permission_Controls__r;
    /**
     * <h3>Planned Billings</h3>
     */
    global Currency Planned_Billings__c;
    /**
     * <h3>Planned Bookings</h3>
     */
    global Currency Planned_Bookings__c;
    /**
     * <h3>Planned External Costs</h3>
     */
    global Currency Planned_External_Costs__c;
    /**
     * <h3>Planned Internal Costs</h3>
     */
    global Currency Planned_Internal_Costs__c;
    /**
     * <h3>Planned Margin</h3>
     */
    global Currency Planned_Margin__c;
    /**
     * <h3>Planned Revenue</h3>
     */
    global Currency Planned_Revenue__c;
    /**
     * <h3>Planned Utilization</h3>
     */
    global Decimal Planned_Utilization__c;
    /**
     * <h3>Plan: Last Updated By</h3>
     */
    global Id Plan_Last_Updated_By__c;
    /**
     * <h3>Plan: Last Updated By</h3>
     */
    global User Plan_Last_Updated_By__r;
    /**
     * <h3>Plan: Last Update Date</h3>
     */
    global Datetime Plan_Last_Update_Date__c;
    /**
     * <h3>Pre-Billed</h3>
     */
    global Currency Pre_Billed__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Proj__c> Projects__r;
    global List<Rate_Card__c> Ratecards__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global List<Regional_Actuals__c> Regional_Actuals__r;
    /**
     * <h3>Region Owner</h3>
     */
    global Id Region_Head__c;
    /**
     * <h3>Region Owner</h3>
     */
    global Contact Region_Head__r;
    /**
     * <h3>Region ID Chain</h3>
     */
    global String Region_ID_Chain__c;
    /**
     * <h3>Region Name Chain</h3>
     */
    global String Region_Name_Chain__c;
    global List<Region_Plan__c> Region_Plans__r;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    global List<Contact> Resources__r;
    global List<Resource_Change__c> Resource_Changes1__r;
    global List<Resource_Change__c> Resource_Changes__r;
    global List<Resource_Request__c> Resource_Requests__r;
    /**
     * <h3>Revenue</h3>
     */
    global Currency Revenue__c;
    /**
     * <h3>Scheduled Backlog Calculated Date</h3>
     */
    global Date Scheduled_Backlog_Calculated_Date__c;
    /**
     * <h3>Scheduled Backlog End Date</h3>
     */
    global Date Scheduled_Backlog_End_Date__c;
    /**
     * <h3>Scheduled Milestone</h3>
     */
    global Currency Scheduled_Milestone__c;
    /**
     * <h3>Scheduled Time</h3>
     */
    global Currency Scheduled_Time__c;
    /**
     * <h3>Scheduled Utilization Billable Hours</h3>
     * The scheduled utilization billable hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Scheduled_Utilization_Billable_Hours__c;
    /**
     * <h3>Scheduled Utilization Calendar Hours</h3>
     * The scheduled utilization calendar hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Scheduled_Utilization_Calendar_Hours__c;
    /**
     * <h3>Scheduled Utilization Credited Hours</h3>
     * The scheduled utilization credited hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Scheduled_Utilization_Credited_Hours__c;
    /**
     * <h3>Scheduled Utilization Excluded Hours</h3>
     * The scheduled utilization excluded hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Scheduled_Utilization_Excluded_Hours__c;
    /**
     * <h3>Scheduled Utilization Held Hours</h3>
     */
    global Decimal Scheduled_Utilization_Held_Hours__c;
    /**
     * <h3>Scheduled Utilization Non Billable Hrs</h3>
     * The scheduled utilization non-billable hours total for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Scheduled_Utilization_Non_Billable_Hrs__c;
    /**
     * <h3>Scheduled Utilization Target Attainment</h3>
     */
    global Decimal Scheduled_Utilization_Target_Attainment__c;
    /**
     * <h3>Scheduled Utilization Target Hours</h3>
     */
    global Decimal Scheduled_Utilization_Target_Hours__c;
    /**
     * <h3>Scheduled Utilization Target</h3>
     */
    global Decimal Scheduled_Utilization_Target__c;
    /**
     * <h3>Scheduled Utilization</h3>
     * The scheduled utilization percentage for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Scheduled_Utilization__c;
    global List<Skill_Certification_Zone__c> Skill_Certification_Zones__r;
    global SObjectType SObjectType;
    /**
     * <h3>State Code</h3>
     */
    global String State_Code__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<Time_Variance_Detail__c> Time_Variances__r;
    global List<Time_Variance_Calculation__c> Time_Variance_Calculations__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Costs</h3>
     */
    global Currency Total_Costs__c;
    /**
     * <h3>Total Time Period Hours</h3>
     * [DEPRECATED, no longer used]
     */
    global Decimal Total_Time_Period_Hours__c;
    /**
     * <h3>Utilization</h3>
     * The overall (historical + scheduled) utilization percentage for the current time period. This value has been copied from the associated Utilization Detail object for this time period.
     */
    global Decimal Total_Utilization__c;
    global List<Transaction_Delta__c> Transaction_Deltas1__r;
    global List<Transaction_Delta__c> Transaction_Deltas__r;
    global List<Transaction__c> Transaction_Log__r;
    global List<UI_Helper__c> UI_Helpers__r;
    /**
     * <h3>Unscheduled Backlog</h3>
     */
    global Currency Unscheduled_Backlog__c;
    global List<Utilization_Calculation__c> Utilization_Calculations1__r;
    global List<Utilization_Calculation__c> Utilization_Calculations__r;
    /**
     * <h3>Utilization Calculation Date</h3>
     * The date that the utilization fields were last updated
     */
    global Date Utilization_Calculation_Date__c;
    global List<Utilization_Detail__c> Utilization_Details__r;
    /**
     * <h3>Utilization: Elapsed Hours</h3>
     * [DEPRECATED, no longer used]
     */
    global Decimal Utilization_Elapsed_Hours__c;
    /**
     * <h3>Utilization: Last Calculation Date</h3>
     */
    global Date Utilization_Last_Calculation_Date__c;
    /**
     * <h3>Utilization: Last Updated By</h3>
     */
    global Id Utilization_Last_Updated_By__c;
    /**
     * <h3>Utilization: Last Updated By</h3>
     */
    global User Utilization_Last_Updated_By__r;
    /**
     * <h3>Utilization: Last Update Date</h3>
     */
    global Datetime Utilization_Last_Update_Date__c;
    /**
     * <h3>Utilization: Over Full Time Period</h3>
     * [DEPRECATED, no longer used]
     */
    global Decimal Utilization_Over_Full_Time_Period__c;
    /**
     * <h3>Utilization Period End Date</h3>
     */
    global Date Utilization_Period_End_Date__c;
    /**
     * <h3>Utilization Period Start Date</h3>
     */
    global Date Utilization_Period_Start_Date__c;
    global List<Utilization_Summary__c> Utilization_Summary__r;
    /**
     * <h3>Utilization Target Attainment</h3>
     */
    global Decimal Utilization_Target_Attainment__c;
    /**
     * <h3>Utilization Target Hours</h3>
     */
    global Decimal Utilization_Target_Hours__c;
    /**
     * <h3>Utilization Target</h3>
     */
    global Decimal Utilization_Target__c;
    /**
     * <h3>Utilization</h3>
     * [DEPRECATED, no longer used]
     */
    global Decimal Utilization__c;

    global Region__c()
    {
    }
}