// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Resource Actuals</h3>
 * Represent rolled-up totals (for example, billable hours) for the resource, expressed in the resource's currency for a particular time period. Contacts (Resource records) and time periods have a master-detail relationship with resource actuals.
 */
global class /*pse__*/Resource_Actuals__c extends SObject 
{
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billable Hours (External)</h3>
     */
    global Decimal Billable_External_Hours__c;
    /**
     * <h3>Billable Hours (Internal)</h3>
     */
    global Decimal Billable_Internal_Hours__c;
    /**
     * <h3>Billed</h3>
     */
    global Currency Billed__c;
    /**
     * <h3>Billings</h3>
     */
    global Currency Billings__c;
    /**
     * <h3>Bookings</h3>
     */
    global Currency Bookings__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>Credited Hours</h3>
     */
    global Decimal Credited_Non_Billable_Internal_Hours__c;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    /**
     * <h3>Excluded Hours</h3>
     */
    global Decimal Excluded_Hours__c;
    /**
     * <h3>Expense Budget</h3>
     */
    global Currency Expense_Budget__c;
    /**
     * <h3>Expense Costs</h3>
     */
    global Currency Expense_Costs__c;
    /**
     * <h3>External Costs</h3>
     */
    global Currency External_Costs__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global List<Resource_Actuals__History> Histories;
    /**
     * <h3>Internal Budget</h3>
     */
    global Currency Internal_Budget__c;
    /**
     * <h3>Internal Costs</h3>
     */
    global Currency Internal_Costs__c;
    /**
     * <h3>Invoiced</h3>
     */
    global Currency Invoiced__c;
    global Boolean IsDeleted;
    /**
     * <h3>Is Verification</h3>
     * Contains true if this record serves to verify the contents of another record
     */
    global Boolean Is_Verification__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    /**
     * <h3>Margin</h3>
     */
    global Currency Margin__c;
    global String Name;
    /**
     * <h3>Non-Billable Hours (External)</h3>
     */
    global Decimal Non_Billable_External_Hours__c;
    /**
     * <h3>Non-Billable Hours (Internal)</h3>
     */
    global Decimal Non_Billable_Internal_Hours__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Other Costs</h3>
     */
    global Currency Other_Costs__c;
    global FeedComment Parent;
    /**
     * <h3>Pass-Through Billings</h3>
     */
    global Currency Pass_Through_Billings__c;
    /**
     * <h3>Pre-Billed</h3>
     */
    global Currency Pre_Billed__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global List<Resource_Actuals__c> Resource_Actuals__r;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    /**
     * <h3>Revenue</h3>
     */
    global Currency Revenue__c;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Time Period</h3>
     */
    global Id Time_Period__c;
    /**
     * <h3>Time Period</h3>
     */
    global Time_Period__c Time_Period__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Costs</h3>
     */
    global Currency Total_Costs__c;
    /**
     * <h3>Total Time Period Hours</h3>
     */
    global Decimal Total_Time_Period_Hours__c;
    /**
     * <h3>Unique Name</h3>
     */
    global String Unique_Name__c;
    /**
     * <h3>Utilization: Last Calculation Date</h3>
     */
    global Date Utilization_Calculation_Date__c;
    /**
     * <h3>Utilization: Elapsed Hours</h3>
     */
    global Decimal Utilization_Elapsed_Hours__c;
    /**
     * <h3>Utilization: Over Full Time Period</h3>
     */
    global Decimal Utilization_Over_Full_Time_Period__c;
    /**
     * <h3>Utilization</h3>
     */
    global Decimal Utilization__c;
    /**
     * <h3>Verified By</h3>
     * Self-join to store a temporary recalculation of the actuals for verification purposes
     */
    global Id Verified_By__c;
    /**
     * <h3>Verified By</h3>
     * Self-join to store a temporary recalculation of the actuals for verification purposes
     */
    global Resource_Actuals__c Verified_By__r;

    global Resource_Actuals__c()
    {
    }
}