// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Resource Request</h3>
 * Operating as a means of asking for resources to staff an existing or planned project, resource requests collect information to help users responsible for staffing and assignment creation to choose the right resource. The user requesting the resource (e.g., project manager or sales professional) may create a resource request from an opportunity or project, or generate them based on project tasks and project task assignments. Held resource requests, or “soft bookings”, occur when a named resource has been reserved for a project or opportunity, but not yet assigned to the project.
 */
global class /*pse__*/Resource_Request__c extends SObject 
{
    /**
     * <h3>AccountId</h3>
     * The Id of the Account associated with the related Opportunity, if one exists; otherwise, the Id of the Account associated with the related Project, if one exists.
     */
    global String AccountId__c;
    /**
     * <h3>Account Link</h3>
     * A link to the Account associated with the related Opportunity, if one exists; otherwise, a link to the Account associated with the related Project, if one exists.
     */
    global String Account_Link__c;
    /**
     * <h3>Account</h3>
     * The Name of the Account associated with the related Opportunity, if one exists; otherwise, the Name of the Account associated with the related Project, if one exists.
     */
    global String Account__c;
    global List<ActivityHistory> ActivityHistories;
    global List<Assignment__c> Assignments__r;
    /**
     * <h3>Assignment</h3>
     */
    global Id Assignment__c;
    /**
     * <h3>Assignment</h3>
     */
    global Assignment__c Assignment__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Average Cost Rate Currency Code</h3>
     */
    global String Average_Cost_Rate_Currency_Code__c;
    /**
     * <h3>Average Cost Rate Number</h3>
     */
    global Decimal Average_Cost_Rate_Number__c;
    /**
     * <h3>Average Cost Rate</h3>
     */
    global String Average_Cost_Rate__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Eligible for Schedule Recalculation</h3>
     */
    global Boolean Eligible_for_Schedule_Recalculation__c;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    global List<Event> Events;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    global Boolean IsDeleted;
    global Date LastActivityDate;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Latitude (PSA)</h3>
     */
    global Decimal Latitude_PSA__c;
    /**
     * <h3>Longitude (PSA)</h3>
     */
    global Decimal Longitude_PSA__c;
    /**
     * <h3>Milestone</h3>
     */
    global Id Milestone__c;
    /**
     * <h3>Milestone</h3>
     */
    global Milestone__c Milestone__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Notes</h3>
     */
    global String Notes__c;
    global List<OpenActivity> OpenActivities;
    /**
     * <h3>Opportunity Probability (%)</h3>
     */
    global Decimal Opportunity_Probability__c;
    /**
     * <h3>Opportunity</h3>
     */
    global Id Opportunity__c;
    /**
     * <h3>Opportunity</h3>
     */
    global Opportunity Opportunity__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Percent Allocated</h3>
     */
    global Decimal Percent_Allocated__c;
    /**
     * <h3>Planned Bill Rate</h3>
     * This field is the bill rate used during the planning activities for an assignment to assess potential value. It is mainly used for fixed price projects where the actual bill rate is 0
     */
    global Currency Planned_Bill_Rate__c;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    /**
     * <h3>Preferred Schedule</h3>
     */
    global Id Preferred_Schedule__c;
    /**
     * <h3>Preferred Schedule</h3>
     */
    global Schedule__c Preferred_Schedule__r;
    /**
     * <h3>Primary Skill / Certification</h3>
     */
    global Id Primary_Skill_Certification__c;
    /**
     * <h3>Primary Skill / Certification</h3>
     */
    global Skill__c Primary_Skill_Certification__r;
    /**
     * <h3>Primary Skill Minimum Rating</h3>
     * Added to simplify reports. Not intended for editing.
     */
    global String Primary_Skill_Minimum_Rating__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<Project_Task_Assignment__c> Project_Task_Assignments__r;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    /**
     * <h3>Project Name</h3>
     */
    global String psa_report__Project_Name__c;
    /**
     * <h3>Rate Card</h3>
     */
    global Id Rate_Card__c;
    /**
     * <h3>Rate Card</h3>
     */
    global Rate_Card__c Rate_Card__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    global OutgoingEmail RelatedTo;
    /**
     * <h3>Related Resource Request Staffed On</h3>
     * Date and time on which a resource request in the same resource request set was staffed.
     */
    global Datetime Related_Resource_Request_Staffed_On__c;
    /**
     * <h3>Requested Bill Rate</h3>
     */
    global Currency Requested_Bill_Rate__c;
    /**
     * <h3>Request Billable Amount</h3>
     */
    global Decimal Request_Billable_Amount__c;
    /**
     * <h3>Request Priority</h3>
     */
    global String Request_Priority__c;
    /**
     * <h3>Resource Held</h3>
     */
    global Boolean Resource_Held__c;
    global List<Resource_Request__c> Resource_Requests1__r;
    global List<RR_Milestone__c> Resource_Request_Milestone_Junction__r;
    /**
     * <h3>Resource Request Name</h3>
     */
    global String Resource_Request_Name__c;
    global List<Resource_Request_Set__c> Resource_Request_Sets1__r;
    global List<Resource_Request_Set__c> Resource_Request_Sets__r;
    /**
     * <h3>Resource Request Set</h3>
     * Lookup to the related resource request set.
     */
    global Id Resource_Request_Set__c;
    /**
     * <h3>Resource Request Set</h3>
     * Lookup to the related resource request set.
     */
    global Resource_Request_Set__c Resource_Request_Set__r;
    /**
     * <h3>Resource Role</h3>
     */
    global String Resource_Role__c;
    global List<Resource_Skill_Request__c> Resource_Skill_Requests__r;
    /**
     * <h3>Suggested Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Suggested Resource</h3>
     */
    global Contact Resource__r;
    global SObjectType SObjectType;
    /**
     * <h3>Requested Hours</h3>
     */
    global Decimal SOW_Hours__c;
    /**
     * <h3>Staffed Related Resource Request</h3>
     * Lookup to the related resource request, which is staffed.
     */
    global Id Staffed_Related_Resource_Request__c;
    /**
     * <h3>Staffed Related Resource Request</h3>
     * Lookup to the related resource request, which is staffed.
     */
    global Resource_Request__c Staffed_Related_Resource_Request__r;
    /**
     * <h3>Staffer Approval Required</h3>
     */
    global Boolean Staffer_Approval_Required__c;
    /**
     * <h3>Resource</h3>
     * This resource will be picked by Staffer for this resource request.
     */
    global Id Staffer_Resource__c;
    /**
     * <h3>Resource</h3>
     * This resource will be picked by Staffer for this resource request.
     */
    global Contact Staffer_Resource__r;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Suggested Bill Rate Currency Code</h3>
     */
    global String Suggested_Bill_Rate_Currency_Code__c;
    /**
     * <h3>Suggested Bill Rate Number</h3>
     */
    global Decimal Suggested_Bill_Rate_Number__c;
    /**
     * <h3>Suggested Bill Rate</h3>
     */
    global String Suggested_Bill_Rate__c;
    global Datetime SystemModstamp;
    global List<Task> Tasks;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Update Related Resource Requests</h3>
     * Indicates whether the staffing fields on the resource request are updated when a resource request belonging to the same resource request set as this one is staffed.
     */
    global Boolean Update_Related_Resource_Requests__c;
    /**
     * <h3>Work City (PSA)</h3>
     */
    global String Work_City_PSA__c;
    /**
     * <h3>Work Country (PSA)</h3>
     */
    global String Work_Country_PSA__c;
    /**
     * <h3>Work Zip/Postal Code (PSA)</h3>
     */
    global String Work_PostalCode_PSA__c;
    /**
     * <h3>Work State/Province (PSA)</h3>
     */
    global String Work_State_PSA__c;
    /**
     * <h3>Work Street (PSA)</h3>
     */
    global String Work_Street_PSA__c;

    global Resource_Request__c()
    {
    }
}