// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Schedule</h3>
 * Represents start and end dates and weekly working hours for an assignment. You enter schedule details when you create an assignment, which also creates an associated schedule record. Although schedule records have the fields Scheduled Hours and Scheduled Days, these are not intended for users to enter time directly. Their values are system-generated based on schedule dates, patterns, and exceptions. Specific deviations from schedules are represented as schedule exceptions.
 */
global class /*pse__*/Schedule__c extends SObject 
{
    /**
     * <h3>Action: Force Schedule Refresh</h3>
     * If checked on save, refreshes Scheduled Hours, Assignment Projected Revenue and Est Vs Actuals records related to Schedule/Assignment.
     */
    global Boolean Action_Force_Schedule_Refresh__c;
    /**
     * <h3>Action: Update Future Scheduled Hours</h3>
     * If checked on save, refreshes Future Scheduled Hours
     */
    global Boolean Action_Update_Future_Scheduled_Hours__c;
    global List<Assignment__c> Assignments__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Friday Hours</h3>
     */
    global Decimal Friday_Hours__c;
    /**
     * <h3>Future Scheduled Hours Last Update Date</h3>
     * The last updated date for Future Scheduled Hours calculation.
     */
    global Datetime Future_Scheduled_Hours_Last_Updated__c;
    /**
     * <h3>Future Scheduled Hours</h3>
     */
    global Decimal Future_Scheduled_Hours__c;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Monday Hours</h3>
     */
    global Decimal Monday_Hours__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    global List<Resource_Request__c> Resource_Requests__r;
    /**
     * <h3>Saturday Hours</h3>
     */
    global Decimal Saturday_Hours__c;
    /**
     * <h3>Scheduled Days</h3>
     * Number of days scheduled
     */
    global Decimal Scheduled_Days__c;
    /**
     * <h3>Scheduled Hours</h3>
     */
    global Decimal Scheduled_Hours__c;
    global List<Schedule_Exception__c> Schedule_Exceptions__r;
    global List<Overtime_EvA_Detail__c> Schedule__r;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    /**
     * <h3>Sunday Hours</h3>
     */
    global Decimal Sunday_Hours__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Thursday Hours</h3>
     */
    global Decimal Thursday_Hours__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Tuesday Hours</h3>
     */
    global Decimal Tuesday_Hours__c;
    /**
     * <h3>Wednesday Hours</h3>
     */
    global Decimal Wednesday_Hours__c;
    /**
     * <h3>Week Total Hours</h3>
     * The total of the daily hours
     */
    global Decimal Week_Total_Hours__c;

    global Schedule__c()
    {
    }
}