// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Time Variance</h3>
 * Contains time variance calculation details for a single region, practice, or group.  FinancialForce PSA calculates time variance as a percentage based on the number of approved working hours divided into the number of recorded working hours. You can reflect this as a percentage or as strict hours. Time variance calculations are a lookup to the Time Variance Calculation object.
 */
global class /*pse__*/Time_Variance_Detail__c extends SObject 
{
    /**
     * <h3>Allowed Variance Over</h3>
     */
    global Decimal Allowed_Variance_Over__c;
    /**
     * <h3>Allowed Variance Under</h3>
     */
    global Decimal Allowed_Variance_Under__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billable Hours</h3>
     * The number of submitted hours that are billable.
     */
    global Decimal Billable_Hours__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    /**
     * <h3>Credited Hours</h3>
     * The number of submitted hours that are credited.
     */
    global Decimal Credited_Hours__c;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    /**
     * <h3>Excluded Hours</h3>
     * The number of submitted hours that are excluded.
     */
    global Decimal Excluded_Hours__c;
    /**
     * <h3>Exclude Billable Hours</h3>
     * Specifies that billable hours were excluded when this Time Variance was calculated.
     */
    global Boolean Exclude_Billable_Hours__c;
    /**
     * <h3>Exclude Credited Hours</h3>
     * Specifies that credited hours were excluded when this Time Variance was calculated.
     */
    global Boolean Exclude_Credited_Hours__c;
    /**
     * <h3>Exclude Excluded Hours</h3>
     * Specifies that excluded hours were excluded when this Time Variance was calculated.
     */
    global Boolean Exclude_Excluded_Hours__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global String Name;
    /**
     * <h3>Non-billable Hours</h3>
     * The number of submitted hours that are non-billable.
     */
    global Decimal Nonbillable_Hours__c;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Time Variance Calculation</h3>
     */
    global Id Time_Variance_Calculation__c;
    /**
     * <h3>Time Variance Calculation</h3>
     */
    global Time_Variance_Calculation__c Time_Variance_Calculation__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Hours Submitted</h3>
     */
    global Decimal Total_Hours__c;
    /**
     * <h3>Variance</h3>
     */
    global Decimal Variance__c;
    /**
     * <h3>Work Calendar Hours</h3>
     * The number of hours from the Resource's Work Calendar.
     */
    global Decimal Work_Calendar_Hours__c;

    global Time_Variance_Detail__c()
    {
    }
}