// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Timecard</h3>
 * Records the hours and days worked by a resource in a given week. Timecards are associated with a project and may also be logged against an assignment or milestone, or against one or more project tasks. Resources can submit multiple timecards on the Timecard Entry page, accessed by clicking either “Log a Timecard - New UI” or “Log a Timecard with Task Time” on the PSA Links sidebar (depending on whether your organization logs time against project tasks). This object is named Timecard_Header (API name pse__Timecard_Header__c) and has a master-detail relationship with timecard splits.
 */
global class /*pse__*/Timecard_Header__c extends SObject 
{
    /**
     * <h3>Additional Notes</h3>
     * If aggregated timecards notes on TCEntry UI for similar rows exceeds the limit of 255 chars, then the aggregated notes will be saved in it.
     */
    global String Additional_Notes__c;
    /**
     * <h3>Admin Global Edit</h3>
     * If checked, allows Admin to make 'global' changes to the Timecard, including edits to the Timecard's Project, Resource, Currency, or Date, even if Include In Financials is checked. Config requirement: Actuals Calculation Mode must be set to 'Scheduled'.
     */
    global Boolean Admin_Global_Edit__c;
    /**
     * <h3>Approved</h3>
     * This checkbox should be checked when the Timecard is approved - typically by a workflow driven by the Status field.
     */
    global Boolean Approved__c;
    /**
     * <h3>Approver M</h3>
     */
    global Id Approver_M__c;
    /**
     * <h3>Approver M</h3>
     */
    global User Approver_M__r;
    /**
     * <h3>Approver P</h3>
     */
    global Id Approver_P__c;
    /**
     * <h3>Approver P</h3>
     */
    global User Approver_P__r;
    /**
     * <h3>Approver</h3>
     */
    global Id Approver__c;
    /**
     * <h3>Approver</h3>
     */
    global User Approver__r;
    /**
     * <h3>Assignment</h3>
     */
    global Id Assignment__c;
    /**
     * <h3>Assignment</h3>
     */
    global Assignment__c Assignment__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Audit Notes History</h3>
     * Stores audit notes history. When a user changes a project or assignment using the Timecard UI and the audit notes exceed 255 characters, older audit notes are moved and appended here.
     */
    global String Audit_Notes_History__c;
    /**
     * <h3>Audit Notes</h3>
     */
    global String Audit_Notes__c;
    /**
     * <h3>Billable</h3>
     */
    global Boolean Billable__c;
    /**
     * <h3>Billed</h3>
     */
    global Boolean Billed__c;
    /**
     * <h3>Bill Rate Defaulted from Milestone</h3>
     * Indicates that the Timecard Bill Rate was initially defaulted from a Milestone (rather than an Assignment).
     */
    global Boolean Bill_Rate_Defaulted_from_Milestone__c;
    /**
     * <h3>Bill Rate</h3>
     */
    global Currency Bill_Rate__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Cost Code</h3>
     * First 4 letters of name of associated project task. Set by DLRS.
     */
    global String Cost_Code__c;
    /**
     * <h3>Cost Rate Amount</h3>
     */
    global Decimal Cost_Rate_Amount__c;
    /**
     * <h3>Cost Rate Currency Code</h3>
     */
    global String Cost_Rate_Currency_Code__c;
    /**
     * <h3>Cost Rate Exchange Rate</h3>
     * Cost Rate Exchange Rate, relative to Corporate Currency, calculated on End Date of Timecard
     */
    global Decimal Cost_Rate_Exchange_Rate__c;
    /**
     * <h3>Cost Rate</h3>
     */
    global String Cost_Rate__c;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Bill Rate is Daily Rate</h3>
     */
    global Boolean Daily_Bill_Rate__c;
    /**
     * <h3>Cost Rate is Daily Rate</h3>
     */
    global Boolean Daily_Cost_Rate__c;
    /**
     * <h3>Daily Summary</h3>
     */
    global Id Daily_Summary__c;
    /**
     * <h3>Daily Summary</h3>
     */
    global Dailysummary__c Daily_Summary__r;
    /**
     * <h3>Days Worked Override</h3>
     * Provides ability to override number of days calculation
     */
    global Decimal Days_Worked_Override__c;
    /**
     * <h3>Day End Notes</h3>
     */
    global String Day_End_Notes__c;
    /**
     * <h3>Day Start Notes</h3>
     */
    global String Day_Start_Notes__c;
    /**
     * <h3>Disable Approval Auto Submit</h3>
     * If checked, this should disable any PSA trigger-based automatic submit for approval for the Timecard.
     */
    global Boolean Disable_Approval_Auto_Submit__c;
    /**
     * <h3>Done</h3>
     */
    global Boolean Done__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    /**
     * <h3>Estimated Time To Completion</h3>
     */
    global Decimal Estimated_Time_To_Completion__c;
    /**
     * <h3>Exclude from Billing</h3>
     * If checked, this should check the Exclude from Billing checkbox on the child Timecard Splits, which has the same effect as Billing Hold, but is intended to reflect a permanent exclusion from Billing Generation.
     */
    global Boolean Exclude_from_Billing__c;
    /**
     * <h3>Exclude from Daily Maximum</h3>
     * Indicates whether the timecard is excluded from the maximum number of hours set in the max-resource-hours-per-day configuration option that can be entered per day for a resource. See "max-resource-hours-per-day".
     */
    global Boolean Exclude_from_Daily_Maximum__c;
    /**
     * <h3>External Resource</h3>
     */
    global Boolean External_Resource__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Friday Hours</h3>
     */
    global Decimal Friday_Hours__c;
    /**
     * <h3>Friday Notes</h3>
     */
    global String Friday_Notes__c;
    global List<Timecard_Header__History> Histories;
    /**
     * <h3>Hours To Days Rule (Assignment)</h3>
     */
    global String Hours_To_Days_Rule_Assignment__c;
    /**
     * <h3>Hours To Days Rule (Project)</h3>
     */
    global String Hours_To_Days_Rule_Project__c;
    /**
     * <h3>Include In Financials</h3>
     */
    global Boolean Include_In_Financials__c;
    /**
     * <h3>Invoiced</h3>
     */
    global Boolean Invoiced__c;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Location - Fri</h3>
     */
    global String Location_Fri__c;
    /**
     * <h3>Location - Mon</h3>
     */
    global String Location_Mon__c;
    /**
     * <h3>Location - Sat</h3>
     */
    global String Location_Sat__c;
    /**
     * <h3>Location - Sun</h3>
     */
    global String Location_Sun__c;
    /**
     * <h3>Location - Thu</h3>
     */
    global String Location_Thu__c;
    /**
     * <h3>Location - Tue</h3>
     */
    global String Location_Tue__c;
    /**
     * <h3>Location - Wed</h3>
     */
    global String Location_Wed__c;
    /**
     * <h3>Milestone</h3>
     */
    global Id Milestone__c;
    /**
     * <h3>Milestone</h3>
     */
    global Milestone__c Milestone__r;
    /**
     * <h3>Monday Hours</h3>
     */
    global Decimal Monday_Hours__c;
    /**
     * <h3>Monday Notes</h3>
     */
    global String Monday_Notes__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Number of Distinct Tasks</h3>
     * Rollup Summary - Count of distinct tasks for this timecard. Used in validation rule to ensure count is 1 for T&M projects
     */
    global Decimal Number_of_Distinct_Tasks__c;
    /**
     * <h3>Override Cost Group</h3>
     * If set, it overrides the Group to which the Timecard Header 's Cost Transactions will roll up for Group Actuals, even if its Project or Resource are in a different Group. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Cost_Group__c;
    /**
     * <h3>Override Cost Group</h3>
     * If set, it overrides the Group to which the Timecard Header 's Cost Transactions will roll up for Group Actuals, even if its Project or Resource are in a different Group. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Grp__c Override_Cost_Group__r;
    /**
     * <h3>Override Cost Practice</h3>
     * If set, it overrides the Practice to which the Timecard Header 's Cost Transactions will roll up for Practice Actuals, even if its Project or Resource are in a different Practice. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Cost_Practice__c;
    /**
     * <h3>Override Cost Practice</h3>
     * If set, it overrides the Practice to which the Timecard Header 's Cost Transactions will roll up for Practice Actuals, even if its Project or Resource are in a different Practice. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Practice__c Override_Cost_Practice__r;
    /**
     * <h3>Override Cost Region</h3>
     * If set, it overrides the Region to which the Timecard Header 's Cost Transactions will roll up for Region Actuals, even if its Project or Resource are in a different Region. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Cost_Region__c;
    /**
     * <h3>Override Cost Region</h3>
     * If set, it overrides the Region to which the Timecard Header 's Cost Transactions will roll up for Region Actuals, even if its Project or Resource are in a different Region. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Region__c Override_Cost_Region__r;
    /**
     * <h3>Override Revenue Group</h3>
     * If set, it overrides the Group to which the Timecard Header 's Revenue Transactions will roll up for Group Actuals, even if its Project or Resource are in a different Group. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Revenue_Group__c;
    /**
     * <h3>Override Revenue Group</h3>
     * If set, it overrides the Group to which the Timecard Header 's Revenue Transactions will roll up for Group Actuals, even if its Project or Resource are in a different Group. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Grp__c Override_Revenue_Group__r;
    /**
     * <h3>Override Revenue Practice</h3>
     * If set, it overrides the Practice to which the Timecard Header 's Revenue Transactions will roll up for Practice Actuals, even if its Project or Resource are in a different Practice. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Revenue_Practice__c;
    /**
     * <h3>Override Revenue Practice</h3>
     * If set, it overrides the Practice to which the Timecard Header 's Revenue Transactions will roll up for Practice Actuals, even if its Project or Resource are in a different Practice. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Practice__c Override_Revenue_Practice__r;
    /**
     * <h3>Override Revenue Region</h3>
     * If set, it overrides the Region to which the Timecard Header 's Revenue Transactions will roll up for Region Actuals, even if its Project or Resource are in a different Region. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Revenue_Region__c;
    /**
     * <h3>Override Revenue Region</h3>
     * If set, it overrides the Region to which the Timecard Header 's Revenue Transactions will roll up for Region Actuals, even if its Project or Resource are in a different Region. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Region__c Override_Revenue_Region__r;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Primary Location</h3>
     */
    global String Primary_Location__c;
    /**
     * <h3>Primary Project Location</h3>
     */
    global Id Primary_Project_Location__c;
    /**
     * <h3>Primary Project Location</h3>
     */
    global Project_Location__c Primary_Project_Location__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project Exchange Rate</h3>
     * Project (Bill Rate) Exchange Rate, relative to Corporate Currency, calculated on End Date of Timecard
     */
    global Decimal Project_Exchange_Rate__c;
    /**
     * <h3>Project Location - Fri</h3>
     */
    global Id Project_Location_Fri__c;
    /**
     * <h3>Project Location - Fri</h3>
     */
    global Project_Location__c Project_Location_Fri__r;
    /**
     * <h3>Project Location - Mon</h3>
     */
    global Id Project_Location_Mon__c;
    /**
     * <h3>Project Location - Mon</h3>
     */
    global Project_Location__c Project_Location_Mon__r;
    /**
     * <h3>Project Location - Sat</h3>
     */
    global Id Project_Location_Sat__c;
    /**
     * <h3>Project Location - Sat</h3>
     */
    global Project_Location__c Project_Location_Sat__r;
    /**
     * <h3>Project Location - Sun</h3>
     */
    global Id Project_Location_Sun__c;
    /**
     * <h3>Project Location - Sun</h3>
     */
    global Project_Location__c Project_Location_Sun__r;
    /**
     * <h3>Project Location - Thu</h3>
     */
    global Id Project_Location_Thu__c;
    /**
     * <h3>Project Location - Thu</h3>
     */
    global Project_Location__c Project_Location_Thu__r;
    /**
     * <h3>Project Location - Tue</h3>
     */
    global Id Project_Location_Tue__c;
    /**
     * <h3>Project Location - Tue</h3>
     */
    global Project_Location__c Project_Location_Tue__r;
    /**
     * <h3>Project Location - Wed</h3>
     */
    global Id Project_Location_Wed__c;
    /**
     * <h3>Project Location - Wed</h3>
     */
    global Project_Location__c Project_Location_Wed__r;
    /**
     * <h3>Project Methodology</h3>
     */
    global Id Project_Methodology_Object__c;
    /**
     * <h3>Project Methodology</h3>
     */
    global Project_Methodology__c Project_Methodology_Object__r;
    /**
     * <h3>Project Methodology</h3>
     */
    global String Project_Methodology__c;
    /**
     * <h3>Project Phase</h3>
     */
    global Id Project_Phase_Object__c;
    /**
     * <h3>Project Phase</h3>
     */
    global Project_Phase__c Project_Phase_Object__r;
    /**
     * <h3>Project Phase</h3>
     */
    global String Project_Phase__c;
    /**
     * <h3>Project Task Hours</h3>
     */
    global Decimal Project_Task_Hours__c;
    /**
     * <h3>Project Task</h3>
     */
    global Id Project_Task__c;
    /**
     * <h3>Project Task</h3>
     */
    global Project_Task__c Project_Task__r;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    /**
     * <h3>Saturday Hours</h3>
     */
    global Decimal Saturday_Hours__c;
    /**
     * <h3>Saturday Notes</h3>
     */
    global String Saturday_Notes__c;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Submitted</h3>
     */
    global Boolean Submitted__c;
    /**
     * <h3>Sunday Hours</h3>
     */
    global Decimal Sunday_Hours__c;
    /**
     * <h3>Sunday Notes</h3>
     */
    global String Sunday_Notes__c;
    global Datetime SystemModstamp;
    global List<Task_Time__c> Task_Time__r;
    /**
     * <h3>Thursday Hours</h3>
     */
    global Decimal Thursday_Hours__c;
    /**
     * <h3>Thursday Notes</h3>
     */
    global String Thursday_Notes__c;
    global List<Timecard__c> TimecardSplits__r;
    /**
     * <h3>Timecard Notes</h3>
     */
    global String Timecard_Notes__c;
    /**
     * <h3>Timecard UI Save/Submit Needed</h3>
     * For administrator use only. Selected if created from the Timecard UI by using Done. Not selected when using Save or Submit from the Timecard UI.
     */
    global Boolean Timecard_UI_Save_Submit_Needed__c;
    /**
     * <h3>Time Credited</h3>
     */
    global Boolean Time_Credited__c;
    global List<Time_Date__c> Time_Dates__r;
    /**
     * <h3>Time Excluded</h3>
     */
    global Boolean Time_Excluded__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Billable Amount</h3>
     */
    global Currency Total_Billable_Amount__c;
    /**
     * <h3>Total Cost</h3>
     */
    global String Total_Cost__c;
    /**
     * <h3>Total Days Worked Advanced</h3>
     * A rollup summary of the total days worked from the time card splits based on the hours to days conversion rules employed.
     */
    global Decimal Total_Days_Worked_Advanced__c;
    /**
     * <h3>Total Days Worked</h3>
     */
    global Decimal Total_Days_Worked__c;
    /**
     * <h3>Total Hours</h3>
     */
    global Decimal Total_Hours__c;
    /**
     * <h3>Travel - Fri</h3>
     */
    global Boolean Travel_Fri__c;
    /**
     * <h3>Travel - Mon</h3>
     */
    global Boolean Travel_Mon__c;
    /**
     * <h3>Travel - Sat</h3>
     */
    global Boolean Travel_Sat__c;
    /**
     * <h3>Travel - Sun</h3>
     */
    global Boolean Travel_Sun__c;
    /**
     * <h3>Travel - Thu</h3>
     */
    global Boolean Travel_Thu__c;
    /**
     * <h3>Travel - Tue</h3>
     */
    global Boolean Travel_Tue__c;
    /**
     * <h3>Travel - Wed</h3>
     */
    global Boolean Travel_Wed__c;
    /**
     * <h3>Travel Week</h3>
     */
    global String Travel_Week__c;
    /**
     * <h3>Tuesday Hours</h3>
     */
    global Decimal Tuesday_Hours__c;
    /**
     * <h3>Tuesday Notes</h3>
     */
    global String Tuesday_Notes__c;
    /**
     * <h3>Wednesday Hours</h3>
     */
    global Decimal Wednesday_Hours__c;
    /**
     * <h3>Wednesday Notes</h3>
     */
    global String Wednesday_Notes__c;
    /**
     * <h3>Work Date Managed</h3>
     * Work date override for 0 hour timecards needed for day start logging
     */
    global Date Work_Date_Managed__c;
    /**
     * <h3>Work Date</h3>
     * Assumes timecard is for one day and work week starts on Friday.
     */
    global Date Work_Date__c;

    global Timecard_Header__c()
    {
    }
}