// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Timecard Split</h3>
 * Represents a whole timecard or part of a timecard. FinancialForce PSA creates timecard splits when a timecard spans the boundary of a time period, allowing you to bill for part of a timecard. Submission, approval, and inclusion in financials occur on the timecard, but subsequent billing and invoicing are associated with child timecard splits. Note the object name, Timecard, and API name, pse__Timecard__c. Timecards (pse__Timecard_Header__c) have a master-detail relationship with timecard splits.
 */
global class /*pse__*/Timecard__c extends SObject 
{
    /**
     * <h3>Approved for Billing</h3>
     */
    global Boolean Approved_for_Billing__c;
    /**
     * <h3>Approved for Vendor Payment</h3>
     */
    global Boolean Approved_for_Vendor_Payment__c;
    /**
     * <h3>Approved</h3>
     * This checkbox should be checked when the Timecard Split is approved, which should be based on whether its parent Timecard is approved.
     */
    global Boolean Approved__c;
    /**
     * <h3>Assignment</h3>
     */
    global Id Assignment__c;
    /**
     * <h3>Assignment</h3>
     */
    global Assignment__c Assignment__r;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Billable</h3>
     */
    global Boolean Billable__c;
    /**
     * <h3>Billed</h3>
     */
    global Boolean Billed__c;
    /**
     * <h3>Billing Event Invoiced</h3>
     * Reflects Invoiced flag value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Invoiced__c;
    global List<Billing_Event_Item__c> Billing_Event_Items__r;
    /**
     * <h3>Billing Event Item</h3>
     */
    global Id Billing_Event_Item__c;
    /**
     * <h3>Billing Event Item</h3>
     */
    global Billing_Event_Item__c Billing_Event_Item__r;
    /**
     * <h3>Billing Event Released</h3>
     * Reflects Released flag value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Released__c;
    /**
     * <h3>Billing Event Status</h3>
     * Status pick list value on Billing Event Item's parent Billing Event
     */
    global String Billing_Event_Status__c;
    /**
     * <h3>Billing Event</h3>
     * Formula hyperlink to the Billing Event (parent record to the Bill Event Item) if any.
     */
    global String Billing_Event__c;
    /**
     * <h3>Billing Hold</h3>
     * If true, this item cannot be billed
     */
    global Boolean Billing_Hold__c;
    global List<Billing_Queue__c> Billing_Queues__r;
    /**
     * <h3>Bill Date</h3>
     */
    global Date Bill_Date__c;
    /**
     * <h3>Bill Transaction</h3>
     */
    global Id Bill_Transaction__c;
    /**
     * <h3>Bill Transaction</h3>
     */
    global Transaction__c Bill_Transaction__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    /**
     * <h3>Cost Rate Currency Code</h3>
     */
    global String Cost_Rate_Currency_Code__c;
    /**
     * <h3>Cost Rate Exchange Rate</h3>
     * Cost Rate Exchange Rate, relative to Corporate Currency, calculated on End Date of Timecard Split
     */
    global Decimal Cost_Rate_Exchange_Rate__c;
    /**
     * <h3>Cost Transaction</h3>
     */
    global Id Cost_Transaction__c;
    /**
     * <h3>Cost Transaction</h3>
     */
    global Transaction__c Cost_Transaction__r;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Eligible for Billing</h3>
     * Indicates Timecard Split is in a state that is eligible for Billing Event Generation (not including the Approved for Billing flag, which may also be required per global config).
     * This means all of the following conditions must be met:
     * Billing Hold = false
     * Exclude from Billing = false
     * Include In Financials = true
     * Billable = true
     * Billed = false
     * Invoiced = false
     * Billing Event Item = {blank}
     * Project = {not blank}
     * Project's Account = {not blank}
     * Project Exclude From Billing = false
     */
    global String Eligible_for_Billing__c;
    global List<EmailMessage> Emails;
    /**
     * <h3>End Date</h3>
     */
    global Date End_Date__c;
    /**
     * <h3>Estimated Time To Completion</h3>
     */
    global Decimal Estimated_Time_To_Completion__c;
    /**
     * <h3>Est Vs Actuals</h3>
     * OBSOLETE FIELD
     */
    global Id Est_Vs_Actuals__c;
    /**
     * <h3>Est Vs Actuals</h3>
     * OBSOLETE FIELD
     */
    global Est_Vs_Actuals__c Est_Vs_Actuals__r;
    /**
     * <h3>Exclude from Billing</h3>
     * If checked, never bill this business record.  Same effect as Billing Hold, but intended to reflect a permanent exclusion from Billing Generation.
     */
    global Boolean Exclude_from_Billing__c;
    /**
     * <h3>External Resource</h3>
     */
    global Boolean External_Resource__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Friday Hours</h3>
     */
    global Decimal Friday_Hours__c;
    /**
     * <h3>Friday Notes</h3>
     */
    global String Friday_Notes__c;
    global List<Timecard__History> Histories;
    /**
     * <h3>Include In Financials</h3>
     */
    global Boolean Include_In_Financials__c;
    /**
     * <h3>Invoiced</h3>
     */
    global Boolean Invoiced__c;
    /**
     * <h3>Invoice Date</h3>
     */
    global Date Invoice_Date__c;
    /**
     * <h3>Invoice Number</h3>
     */
    global String Invoice_Number__c;
    /**
     * <h3>Invoice Transaction</h3>
     */
    global Id Invoice_Transaction__c;
    /**
     * <h3>Invoice Transaction</h3>
     */
    global Transaction__c Invoice_Transaction__r;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Location - Fri</h3>
     */
    global String Location_Fri__c;
    /**
     * <h3>Location - Mon</h3>
     */
    global String Location_Mon__c;
    /**
     * <h3>Location - Sat</h3>
     */
    global String Location_Sat__c;
    /**
     * <h3>Location - Sun</h3>
     */
    global String Location_Sun__c;
    /**
     * <h3>Location - Thu</h3>
     */
    global String Location_Thu__c;
    /**
     * <h3>Location - Tue</h3>
     */
    global String Location_Tue__c;
    /**
     * <h3>Location - Wed</h3>
     */
    global String Location_Wed__c;
    /**
     * <h3>Milestone</h3>
     */
    global Id Milestone__c;
    /**
     * <h3>Milestone</h3>
     */
    global Milestone__c Milestone__r;
    /**
     * <h3>Monday Hours</h3>
     */
    global Decimal Monday_Hours__c;
    /**
     * <h3>Monday Notes</h3>
     */
    global String Monday_Notes__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Override Cost Group Currency Code</h3>
     */
    global String Override_Cost_Group_Currency_Code__c;
    /**
     * <h3>Override Cost Group</h3>
     * If set, it overrides the Group to which the TC Split 's Cost Transactions will roll up for Group Actuals, even if its Project or Resource are in a different Group. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Cost_Group__c;
    /**
     * <h3>Override Cost Group</h3>
     * If set, it overrides the Group to which the TC Split 's Cost Transactions will roll up for Group Actuals, even if its Project or Resource are in a different Group. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Grp__c Override_Cost_Group__r;
    /**
     * <h3>Override Cost Practice Currency Code</h3>
     */
    global String Override_Cost_Practice_Currency_Code__c;
    /**
     * <h3>Override Cost Practice</h3>
     * If set, it overrides the Practice to which the TC Split 's Cost Transactions will roll up for Practice Actuals, even if its Project or Resource are in a different Practice. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Cost_Practice__c;
    /**
     * <h3>Override Cost Practice</h3>
     * If set, it overrides the Practice to which the TC Split 's Cost Transactions will roll up for Practice Actuals, even if its Project or Resource are in a different Practice. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Practice__c Override_Cost_Practice__r;
    /**
     * <h3>Override Cost Region Currency Code</h3>
     */
    global String Override_Cost_Region_Currency_Code__c;
    /**
     * <h3>Override Cost Region</h3>
     * If set, it overrides the Region to which the TC Split 's Cost Transactions will roll up for Regional Actuals, even if its Project or Resource are in a different Region. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Cost_Region__c;
    /**
     * <h3>Override Cost Region</h3>
     * If set, it overrides the Region to which the TC Split 's Cost Transactions will roll up for Regional Actuals, even if its Project or Resource are in a different Region. Note that either way, the Cost Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Region__c Override_Cost_Region__r;
    /**
     * <h3>Override Revenue Group Currency Code</h3>
     */
    global String Override_Revenue_Group_Currency_Code__c;
    /**
     * <h3>Override Revenue Group</h3>
     * If set, it overrides the Group to which the TC Split 's Revenue Transactions will roll up for Group Actuals, even if its Project or Resource are in a different Group. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Revenue_Group__c;
    /**
     * <h3>Override Revenue Group</h3>
     * If set, it overrides the Group to which the TC Split 's Revenue Transactions will roll up for Group Actuals, even if its Project or Resource are in a different Group. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Grp__c Override_Revenue_Group__r;
    /**
     * <h3>Override Revenue Practice Currency Code</h3>
     */
    global String Override_Revenue_Practice_Currency_Code__c;
    /**
     * <h3>Override Revenue Practice</h3>
     * If set, it overrides the Practice to which the TC Split 's Revenue Transactions will roll up for Practice Actuals, even if its Project or Resource are in a different Practice. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Revenue_Practice__c;
    /**
     * <h3>Override Revenue Practice</h3>
     * If set, it overrides the Practice to which the TC Split 's Revenue Transactions will roll up for Practice Actuals, even if its Project or Resource are in a different Practice. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Practice__c Override_Revenue_Practice__r;
    /**
     * <h3>Override Revenue Region Currency Code</h3>
     */
    global String Override_Revenue_Region_Currency_Code__c;
    /**
     * <h3>Override Revenue Region</h3>
     * If set, it overrides the Region to which the TC Split 's Revenue Transactions will roll up for Regional Actuals, even if its Project or Resource are in a different Region. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Id Override_Revenue_Region__c;
    /**
     * <h3>Override Revenue Region</h3>
     * If set, it overrides the Region to which the TC Split 's Revenue Transactions will roll up for Regional Actuals, even if its Project or Resource are in a different Region. Note that either way, the Revenue Transactions will continue to roll up to the same Project's Project Actuals and same Resource's Resource Actuals.
     */
    global Region__c Override_Revenue_Region__r;
    global List<Overtime_EvA_Detail__c> Overtime_EvA_Details__r;
    global FeedComment Parent;
    /**
     * <h3>Payroll Item Type</h3>
     */
    global String Payroll_Item_Type__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project Exchange Rate</h3>
     * Project (Bill Rate) Exchange Rate, relative to Corporate Currency, calculated on End Date of Timecard Split
     */
    global Decimal Project_Exchange_Rate__c;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    global List<QB_Payroll_Record__c> QBPayrollTimecard__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    /**
     * <h3>Revenue Transaction</h3>
     */
    global Id Revenue_Transaction__c;
    /**
     * <h3>Revenue Transaction</h3>
     */
    global Transaction__c Revenue_Transaction__r;
    /**
     * <h3>Saturday Hours</h3>
     */
    global Decimal Saturday_Hours__c;
    /**
     * <h3>Saturday Notes</h3>
     */
    global String Saturday_Notes__c;
    global SObjectType SObjectType;
    /**
     * <h3>Start Date</h3>
     */
    global Date Start_Date__c;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Submitted</h3>
     */
    global Boolean Submitted__c;
    /**
     * <h3>Sunday Hours</h3>
     */
    global Decimal Sunday_Hours__c;
    /**
     * <h3>Sunday Notes</h3>
     */
    global String Sunday_Notes__c;
    /**
     * <h3>Synchronous Update Required</h3>
     * This checkbox is for system use.  It is intended to be checked in conjunction with any insert/update of the Timecard Split executed within a future method, and will then ensure that no downstream future methods are called.  In Salesforce, a future method can't call another future method.  Triggers should then unset this checkbox so that it never remains checked persistently.
     * Danger:  only check this flag for changes NOT on the "critical" path with respect to governor limits.  For example, it is ok to check this flag if the only change to the Timecard Split is to modify the Billed/Invoiced flags and the Billing Event Item lookup value.
     */
    global Boolean Synchronous_Update_Required__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Thursday Hours</h3>
     */
    global Decimal Thursday_Hours__c;
    /**
     * <h3>Thursday Notes</h3>
     */
    global String Thursday_Notes__c;
    /**
     * <h3>Timecard Header</h3>
     */
    global Id Timecard_Header__c;
    /**
     * <h3>Timecard Header</h3>
     */
    global Timecard_Header__c Timecard_Header__r;
    /**
     * <h3>Timecard Notes</h3>
     */
    global String Timecard_Notes__c;
    /**
     * <h3>Time Credited</h3>
     */
    global Boolean Time_Credited__c;
    /**
     * <h3>Time Excluded</h3>
     */
    global Boolean Time_Excluded__c;
    /**
     * <h3>Time Transaction</h3>
     */
    global Id Time_Transaction__c;
    /**
     * <h3>Time Transaction</h3>
     */
    global Transaction__c Time_Transaction__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Billable Amount</h3>
     * Place-holder for Transaction apex
     */
    global Currency Total_Billable_Amount__c;
    /**
     * <h3>Total Cost</h3>
     * Place-holder for Transaction apex
     */
    global Currency Total_Cost__c;
    /**
     * <h3>Total Days Worked</h3>
     */
    global Decimal Total_Days_Worked__c;
    /**
     * <h3>Total Hours</h3>
     */
    global Decimal Total_Hours__c;
    global List<Transaction__c> Transactions__r;
    /**
     * <h3>Travel - Fri</h3>
     */
    global Boolean Travel_Fri__c;
    /**
     * <h3>Travel - Mon</h3>
     */
    global Boolean Travel_Mon__c;
    /**
     * <h3>Travel - Sat</h3>
     */
    global Boolean Travel_Sat__c;
    /**
     * <h3>Travel - Sun</h3>
     */
    global Boolean Travel_Sun__c;
    /**
     * <h3>Travel - Thu</h3>
     */
    global Boolean Travel_Thu__c;
    /**
     * <h3>Travel - Tue</h3>
     */
    global Boolean Travel_Tue__c;
    /**
     * <h3>Travel - Wed</h3>
     */
    global Boolean Travel_Wed__c;
    /**
     * <h3>Travel?</h3>
     */
    global String Travel__c;
    /**
     * <h3>Tuesday Hours</h3>
     */
    global Decimal Tuesday_Hours__c;
    /**
     * <h3>Tuesday Notes</h3>
     */
    global String Tuesday_Notes__c;
    global List<Vendor_Invoice_Item__c> Vendor_Invoice_Items__r;
    /**
     * <h3>Vendor Invoice Item</h3>
     */
    global Id Vendor_Invoice_Item__c;
    /**
     * <h3>Vendor Invoice Item</h3>
     */
    global Vendor_Invoice_Item__c Vendor_Invoice_Item__r;
    /**
     * <h3>Wednesday Hours</h3>
     */
    global Decimal Wednesday_Hours__c;
    /**
     * <h3>Wednesday Notes</h3>
     */
    global String Wednesday_Notes__c;

    global Timecard__c()
    {
    }
}