// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Transaction</h3>
 * A granular representation of an entity, expressed in units of time or currency, within FinancialForce PSA. Transactions are associated with a project; those related to timecards or expenses will also reference the associated resource. When eligible (typically when “Include In Financials” is selected on its related business record) the transaction amount or hours roll up to the project or resource, or, depending on configuration, their associated region, practice, or group. Never delete transaction records from a production organization.
 */
global class /*pse__*/Transaction__c extends SObject 
{
    /**
     * <h3>Amount</h3>
     */
    global Currency Amount__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<Billing_Queue__c> Billing_Queues__r;
    global List<Expense__c> Bill_Tx_Expenses__r;
    global List<Milestone__c> Bill_Tx_Milestones__r;
    global List<Miscellaneous_Adjustment__c> Bill_Tx_Miscellaneous_Adjustments__r;
    global List<Timecard__c> Bill_Tx_Timecard_Splits__r;
    global List<Budget__c> Budgets__r;
    /**
     * <h3>Budget</h3>
     */
    global Id Budget__c;
    /**
     * <h3>Budget</h3>
     */
    global Budget__c Budget__r;
    /**
     * <h3>Category</h3>
     */
    global String Category__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global List<Expense__c> CostForExpenses__r;
    global List<Milestone__c> CostForMilestones__r;
    global List<Timecard__c> CostForTimecardSplits__r;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    /**
     * <h3>Effective Date</h3>
     */
    global Date Effective_Date__c;
    global List<EmailMessage> Emails;
    global List<Budget__c> ExpenseForBudgets__r;
    /**
     * <h3>Expense</h3>
     */
    global Id Expense__c;
    /**
     * <h3>Expense</h3>
     */
    global Expense__c Expense__r;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group Currency Code</h3>
     */
    global String Group_Currency_Code__c;
    /**
     * <h3>Group Currency Exchange Rate</h3>
     */
    global Decimal Group_Currency_Exchange_Rate__c;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    /**
     * <h3>Hours</h3>
     */
    global Decimal Hours__c;
    global List<Expense__c> Invoice_Tx_Expenses__r;
    global List<Milestone__c> Invoice_Tx_Milestones__r;
    global List<Miscellaneous_Adjustment__c> Invoice_Tx_Miscellaneous_Adjustments__r;
    global List<Timecard__c> Invoice_Tx_Timecard_Splits__r;
    /**
     * <h3>For Billing</h3>
     */
    global Boolean isBilled__c;
    /**
     * <h3>Is Cost</h3>
     */
    global Boolean isCost__c;
    global Boolean IsDeleted;
    /**
     * <h3>Is Expense</h3>
     */
    global Boolean isExpense__c;
    /**
     * <h3>For Invoicing</h3>
     */
    global Boolean isInvoiced__c;
    /**
     * <h3>Is Revenue</h3>
     */
    global Boolean isRevenue__c;
    /**
     * <h3>Is Time</h3>
     */
    global Boolean isTime__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global List<Milestone__c> Milestones__r;
    /**
     * <h3>Milestone</h3>
     */
    global Id Milestone__c;
    /**
     * <h3>Milestone</h3>
     */
    global Milestone__c Milestone__r;
    global List<Miscellaneous_Adjustment__c> Miscellaneous_Adjustments__r;
    /**
     * <h3>Miscellaneous Adjustment</h3>
     */
    global Id Miscellaneous_Adjustment__c;
    /**
     * <h3>Miscellaneous Adjustment</h3>
     */
    global Miscellaneous_Adjustment__c Miscellaneous_Adjustment__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Overridden Group</h3>
     * If checked, this checkbox indicates that the Group for the Transaction has been set independently from usual 'follows rules' for roll-ups.  Instead, it has been overridden at the business record (Budget, Milestone, Misc Adjustment) level.
     */
    global Boolean Overridden_Group__c;
    /**
     * <h3>Overridden Practice</h3>
     * If checked, this checkbox indicates that the Practice for the Transaction has been set independently from usual 'follows rules' for roll-ups.  Instead, it has been overridden at the business record (Budget, Milestone, Misc Adjustment) level.
     */
    global Boolean Overridden_Practice__c;
    /**
     * <h3>Overridden Region</h3>
     * If checked, this checkbox indicates that the Region for the Transaction has been set independently from usual 'follows rules' for roll-ups.  Instead, it has been overridden at the business record (Budget, Milestone, Misc Adjustment) level.
     */
    global Boolean Overridden_Region__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Practice Currency Code</h3>
     */
    global String Practice_Currency_Code__c;
    /**
     * <h3>Practice Currency Exchange Rate</h3>
     */
    global Decimal Practice_Currency_Exchange_Rate__c;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    global List<Budget__c> PreBilledForBudgets__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project Currency Code</h3>
     */
    global String Project_Currency_Code__c;
    /**
     * <h3>Project Currency Exchange Rate</h3>
     */
    global Decimal Project_Currency_Exchange_Rate__c;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region Currency Code</h3>
     */
    global String Region_Currency_Code__c;
    /**
     * <h3>Region Currency Exchange Rate</h3>
     */
    global Decimal Region_Currency_Exchange_Rate__c;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Related Record Ineligible</h3>
     */
    global Boolean Related_Record_Deleted__c;
    /**
     * <h3>Related Record ID</h3>
     */
    global String Related_Record_ID__c;
    /**
     * <h3>Related Record Name</h3>
     */
    global String Related_Record_Name__c;
    /**
     * <h3>Related Record</h3>
     */
    global String Related_Record__c;
    /**
     * <h3>Resource Currency Code</h3>
     */
    global String Resource_Currency_Code__c;
    /**
     * <h3>Resource Currency Exchange Rate</h3>
     */
    global Decimal Resource_Currency_Exchange_Rate__c;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    global List<Expense__c> RevenueForExpenses__r;
    global List<Timecard__c> RevenueForTimecardSplits__r;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    /**
     * <h3>Timecard</h3>
     */
    global Id Timecard__c;
    /**
     * <h3>Timecard</h3>
     */
    global Timecard__c Timecard__r;
    global List<Timecard__c> TimeForTimecardSplits__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Type</h3>
     */
    global String Type__c;

    global Transaction__c()
    {
    }
}