// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Utilization Calculation</h3>
 * A container object that holds information on resource utilization at a single point in time. Utilization calculation, detail, and (optionally) summary records are created when you calculate utilization for a resource, region, practice, or group. FinancialForce PSA calculates utilization as a percentage: the number of hours resources have billed, divided into the number of billable hours in a given time period. If configured, utilization also calculates the number of hours resources are assigned in the future (held against resource requests), or aggregates requested and assigned hours by role.
 * Run utilization reports on the information stored in this object to understand how utilized your resources are in comparison with their work calendar hours.
 */
global class /*pse__*/Utilization_Calculation__c extends SObject 
{
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Batch Id Unheld Calc</h3>
     */
    global String Batch_Id_Unheld_Calc__c;
    /**
     * <h3>Batch Id</h3>
     * An internal field used by PSE - not intended for display to users.
     */
    global String Batch_Id__c;
    /**
     * <h3>Calculate Historical Utilization</h3>
     */
    global Boolean Calculate_Historical_Utilization__c;
    /**
     * <h3>Calculate Scheduled Utilization</h3>
     */
    global Boolean Calculate_Scheduled_Utilization__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Default Opportunity Probability</h3>
     */
    global Decimal Default_Opportunity_Probability__c;
    /**
     * <h3>Delete Prior Calculation</h3>
     * If checked, will delete prior calculations and details based on either the Name or the Time Period/Parent combination by the same logic used by "Is Report Master" which is configured by the custom setting Utilization's field  "Uncheck Master Based On Time Parent"
     */
    global Boolean Delete_Prior_Calculation__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    /**
     * <h3>Error Details</h3>
     * Details of errors that occurred during processing. Not intended for display.
     */
    global String Error_Details__c;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    /**
     * <h3>Historical Utilization Cut-Off Date</h3>
     */
    global String Historical_Utilization_Cut_Off_Date__c;
    /**
     * <h3>Historical Utilization End Date</h3>
     */
    global Date Historical_Utilization_End_Date__c;
    /**
     * <h3>Historical Utilization Start Date</h3>
     */
    global Date Historical_Utilization_Start_Date__c;
    /**
     * <h3>Include Sublevels in Subtotals</h3>
     * Should subtotals be calculated for all sub levels of the selected subtotal by R/P/G
     */
    global Boolean Include_Sublevels_in_Subtotals__c;
    /**
     * <h3>Include Sublevels</h3>
     */
    global Boolean Include_Sublevels__c;
    global Boolean IsDeleted;
    /**
     * <h3>Is Report Master</h3>
     */
    global Boolean Is_Report_Master__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Minimum Opportunity Probability</h3>
     */
    global Decimal Minimum_Opportunity_Probability__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    /**
     * <h3>Scheduled Utilization End Date</h3>
     */
    global Date Scheduled_Utilization_End_Date__c;
    /**
     * <h3>Scheduled Utilization Start Date</h3>
     */
    global Date Scheduled_Utilization_Start_Date__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     */
    global String Status__c;
    /**
     * <h3>Subtotal by Group</h3>
     */
    global Id Subtotal_by_Group__c;
    /**
     * <h3>Subtotal by Group</h3>
     */
    global Grp__c Subtotal_by_Group__r;
    /**
     * <h3>Subtotal by Practice</h3>
     */
    global Id Subtotal_by_Practice__c;
    /**
     * <h3>Subtotal by Practice</h3>
     */
    global Practice__c Subtotal_by_Practice__r;
    /**
     * <h3>Subtotal by Region</h3>
     */
    global Id Subtotal_by_Region__c;
    /**
     * <h3>Subtotal by Region</h3>
     */
    global Region__c Subtotal_by_Region__r;
    global Datetime SystemModstamp;
    /**
     * <h3>Time Period Types</h3>
     */
    global String Time_Period_Types__c;
    /**
     * <h3>Time Period</h3>
     */
    global Id Time_Period__c;
    /**
     * <h3>Time Period</h3>
     */
    global Time_Period__c Time_Period__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Type</h3>
     */
    global String Type__c;
    global List<Utilization_Detail__c> Utilization_Details__r;
    global List<Utilization_Summary__c> Utilization_Summary__r;

    global Utilization_Calculation__c()
    {
    }
}