// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Utilization Detail</h3>
 * Contains utilization details for a single region, practice, group, or resource. FinancialForce PSA calculates utilization as a percentage: the number of hours resources have billed, divided into the number of billable hours in a given time period. If configured, utilization also calculates the number of hours resources are assigned in the future (held against resource requests), or aggregates requested and assigned hours by role. Utilization calculations have a master-detail relationship with utilization details.
 * Run utilization reports on the information stored in this object to understand how utilized your resources are in comparison with their work calendar hours.
 */
global class /*pse__*/Utilization_Detail__c extends SObject 
{
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    /**
     * <h3>Historical Billable Hours</h3>
     */
    global Decimal Historical_Billable_Hours__c;
    /**
     * <h3>Historical Calendar Hours</h3>
     */
    global Decimal Historical_Calendar_Hours__c;
    /**
     * <h3>Historical Credited Hours</h3>
     */
    global Decimal Historical_Credited_Hours__c;
    /**
     * <h3>Historical End Date</h3>
     */
    global Date Historical_End_Date__c;
    /**
     * <h3>Historical Excluded Hours</h3>
     */
    global Decimal Historical_Excluded_Hours__c;
    /**
     * <h3>Historical Non-Billable Hours</h3>
     */
    global Decimal Historical_Non_Billable_Hours__c;
    /**
     * <h3>Historical Start Date</h3>
     */
    global Date Historical_Start_Date__c;
    /**
     * <h3>Historical Utilization (Billable Only)</h3>
     */
    global Decimal Historical_Utilization_Billable_Only__c;
    /**
     * <h3>Historical Utilization Target Attainment</h3>
     */
    global Decimal Historical_Utilization_Target_Attainment__c;
    /**
     * <h3>Historical Utilization Target Hours</h3>
     */
    global Decimal Historical_Utilization_Target_Hours__c;
    /**
     * <h3>Historical Utilization Target</h3>
     */
    global Decimal Historical_Utilization_Target__c;
    /**
     * <h3>Historical Utilization</h3>
     */
    global Decimal Historical_Utilization__c;
    /**
     * <h3>Historical Scheduled Billable Hours</h3>
     */
    global Decimal Hist_Sch_Billable_Hours__c;
    /**
     * <h3>Historical Scheduled Credited Hours</h3>
     */
    global Decimal Hist_Sch_Credited_Hours__c;
    /**
     * <h3>Historical Scheduled Excluded Hours</h3>
     */
    global Decimal Hist_Sch_Excluded_Hours__c;
    /**
     * <h3>Historical Scheduled Held Hours</h3>
     */
    global Decimal Hist_Sch_Held_Hours__c;
    /**
     * <h3>Historical Scheduled Non-Billable Hours</h3>
     */
    global Decimal Hist_Sch_Non_Billable_Hours__c;
    global Boolean IsDeleted;
    /**
     * <h3>Is Report Master</h3>
     */
    global String Is_Report_Master__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global FeedComment Parent;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Time Period</h3>
     */
    global Date psa_report__Month__c;
    /**
     * <h3>Remaining Capacity Hours</h3>
     * Scheduled Calendar Hours - Total Scheduled hours, which should indicate remaining capacity (ie unassigned) hours.
     */
    global Decimal psa_report__Remaining_Capacity_hours__c;
    /**
     * <h3>Remaining Capacity %</h3>
     */
    global Decimal psa_report__Remaining_Capacity__c;
    /**
     * <h3>Total Scheduled Hours</h3>
     * Sum of all scheduled hours - billable, non billable, credited and excluded
     */
    global Decimal psa_report__Total_Scheduled_Hours__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     */
    global Contact Resource__r;
    /**
     * <h3>Scheduled Billable Hours</h3>
     */
    global Decimal Scheduled_Billable_Hours__c;
    /**
     * <h3>Scheduled Calendar Hours</h3>
     */
    global Decimal Scheduled_Calendar_Hours__c;
    /**
     * <h3>Scheduled Credited Hours</h3>
     */
    global Decimal Scheduled_Credited_Hours__c;
    /**
     * <h3>Scheduled End Date</h3>
     */
    global Date Scheduled_End_Date__c;
    /**
     * <h3>Scheduled Excluded Hours</h3>
     */
    global Decimal Scheduled_Excluded_Hours__c;
    /**
     * <h3>Scheduled Held Hours</h3>
     */
    global Decimal Scheduled_Held_Hours__c;
    /**
     * <h3>Scheduled Non-Billable Hours</h3>
     * Non-billable hours from assignments that are not credited or excluded
     */
    global Decimal Scheduled_Non_Billable_Hours__c;
    /**
     * <h3>Scheduled Start Date</h3>
     */
    global Date Scheduled_Start_Date__c;
    /**
     * <h3>Scheduled Utilization (Billable Only)</h3>
     */
    global Decimal Scheduled_Utilization_Billable_Only__c;
    /**
     * <h3>Scheduled Utilization Target Attainment</h3>
     */
    global Decimal Scheduled_Utilization_Target_Attainment__c;
    /**
     * <h3>Scheduled Utilization Target Hours</h3>
     */
    global Decimal Scheduled_Utilization_Target_Hours__c;
    /**
     * <h3>Scheduled Utilization Target</h3>
     */
    global Decimal Scheduled_Utilization_Target__c;
    /**
     * <h3>Scheduled Utilization</h3>
     */
    global Decimal Scheduled_Utilization__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    /**
     * <h3>Template Key</h3>
     * PSE internal field. Not intended for display.
     */
    global Decimal Template_Key__c;
    /**
     * <h3>Time Period Type</h3>
     */
    global String Time_Period_Type__c;
    /**
     * <h3>Time Period</h3>
     */
    global Id Time_Period__c;
    /**
     * <h3>Time Period</h3>
     */
    global Time_Period__c Time_Period__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Utilization (Billable Only)</h3>
     */
    global Decimal Total_Utilization_Billable_Only__c;
    /**
     * <h3>Total Utilization</h3>
     */
    global Decimal Total_Utilization__c;
    /**
     * <h3>Type</h3>
     */
    global String Type__c;
    /**
     * <h3>Utilization Calculation</h3>
     */
    global Id Utilization_Calculation__c;
    /**
     * <h3>Utilization Calculation</h3>
     */
    global Utilization_Calculation__c Utilization_Calculation__r;
    /**
     * <h3>Utilization Target Attainment</h3>
     */
    global Decimal Utilization_Target_Attainment__c;
    /**
     * <h3>Utilization Target Hours</h3>
     */
    global Decimal Utilization_Target_Hours__c;
    /**
     * <h3>Utilization Target</h3>
     */
    global Decimal Utilization_Target__c;

    global Utilization_Detail__c()
    {
    }
}