// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Utilization Summary</h3>
 * If Calculate Summary By Role, in the Utilization custom setting, is set to True, FinancialForce PSA creates Utilization Summary records when calculating scheduled utilization. In contrast to Utilization Detail, this object summarizes utilization by role rather than resource; it can therefore summarize hours from unheld resource requests (these are never linked to a resource). Therefore, utilization summaries give a fuller picture of capacity because these hours are summarized alongside those from held resource requests, assignments, and calendars. You can use this information to plan for future capacity by role.
 * Optionally, total unheld hours can be weighted by the percentage probability of closing an opportunity linked to the resource request. Utilization calculations have a master-detail relationship with utilization summaries.
 */
global class /*pse__*/Utilization_Summary__c extends SObject 
{
    /**
     * <h3>Actual Billable Hours</h3>
     */
    global Decimal Actual_Billable_Hours__c;
    /**
     * <h3>Actual Credited Hours</h3>
     */
    global Decimal Actual_Credited_Hours__c;
    /**
     * <h3>Actual Excluded Hours</h3>
     */
    global Decimal Actual_Excluded_Hours__c;
    /**
     * <h3>Actual Non-Billable Hours</h3>
     */
    global Decimal Actual_Non_Billable_Hours__c;
    /**
     * <h3>Assigned Billable Hours</h3>
     */
    global Decimal Assigned_Billable_Hours__c;
    /**
     * <h3>Assigned Credited Hours</h3>
     */
    global Decimal Assigned_Credited_Hours__c;
    /**
     * <h3>Assigned Excluded Hours</h3>
     */
    global Decimal Assigned_Excluded_Hours__c;
    /**
     * <h3>Assigned Non-Billable Hours</h3>
     */
    global Decimal Assigned_Non_Billable_Hours__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Calendar Hours</h3>
     */
    global Decimal Calendar_Hours__c;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>Group</h3>
     */
    global Id Group__c;
    /**
     * <h3>Group</h3>
     */
    global Grp__c Group__r;
    /**
     * <h3>Held Hours Opp Pct Weighted</h3>
     */
    global Decimal Held_Hours_Opp_Pct_Weighted__c;
    /**
     * <h3>Held Hours</h3>
     */
    global Decimal Held_Hours__c;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    global FeedComment Parent;
    /**
     * <h3>Practice</h3>
     */
    global Id Practice__c;
    /**
     * <h3>Practice</h3>
     */
    global Practice__c Practice__r;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Period Ending</h3>
     */
    global Date psa_report__Period_Ending__c;
    /**
     * <h3>Remaining Capacity Hours</h3>
     */
    global Decimal psa_report__Remaining_Capacity_Hours__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    /**
     * <h3>Region</h3>
     */
    global Id Region__c;
    /**
     * <h3>Region</h3>
     */
    global Region__c Region__r;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Remaining Capacity</h3>
     */
    global Decimal Remaining_Capacity__c;
    /**
     * <h3>Resource Role</h3>
     */
    global String Resource_Role__c;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    /**
     * <h3>Target Hours</h3>
     */
    global Decimal Target_Hours__c;
    /**
     * <h3>Template Key</h3>
     */
    global Decimal Template_Key__c;
    /**
     * <h3>Time Period</h3>
     */
    global Id Time_Period__c;
    /**
     * <h3>Time Period</h3>
     */
    global Time_Period__c Time_Period__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total Hours Opp Pct Weighted</h3>
     */
    global Decimal Total_Hours_Opp_Pct_Weighted__c;
    /**
     * <h3>Total Hours</h3>
     */
    global Decimal Total_Hours__c;
    /**
     * <h3>Type</h3>
     */
    global String Type__c;
    /**
     * <h3>Unheld Hours Opp Pct Weighted</h3>
     */
    global Decimal Unheld_Hours_Opp_Pct_Weighted__c;
    /**
     * <h3>Unheld Hours</h3>
     */
    global Decimal Unheld_Hours__c;
    /**
     * <h3>Utilization Calculation</h3>
     */
    global Id Utilization_Calculation__c;
    /**
     * <h3>Utilization Calculation</h3>
     */
    global Utilization_Calculation__c Utilization_Calculation__r;

    global Utilization_Summary__c()
    {
    }
}