// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Vendor Invoice Item</h3>
 * The line item for a vendor invoice, calculated from the cost fields on timecards and milestones, and from reimbursement amounts on expenses.
 */
global class /*pse__*/Vendor_Invoice_Item__c extends SObject 
{
    /**
     * <h3>Account Currency</h3>
     */
    global String Account_Currency__c;
    /**
     * <h3>Action: Recalc Vendor Currency Amount:</h3>
     */
    global Boolean Action_Recalc_Vendor_Currency_Amount__c;
    /**
     * <h3>Amount</h3>
     * The amount for this line item. This field is automatically populated from the respective related record: the Reimbursement Amount field from Expense, the Milestone Cost field from Milestone, the Amount field from Miscellaneous Adjustment, and Total Cost from Timecard Split.
     * NOTE: this field is not automatically updated if the fields on the related record change.
     */
    global Currency Amount__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    /**
     * <h3>Budget Header</h3>
     * A reference to the budget header that this item applies to. This field is required.
     */
    global Id Budget_Header__c;
    /**
     * <h3>Budget Header</h3>
     * A reference to the budget header that this item applies to. This field is required.
     */
    global Budget_Header__c Budget_Header__r;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Date</h3>
     * The date of the invoice item. The value is populated by the New Invoice Items page from the respective field on the related record: Expense Date on Expense, Actual Date on Milestone, Effective Date on Misc. Adjustment, End Date on Timecard Split.
     */
    global Date Date__c;
    /**
     * <h3>Description</h3>
     */
    global String Description__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<Expense__c> Expenses__r;
    /**
     * <h3>Expense</h3>
     */
    global Id Expense__c;
    /**
     * <h3>Expense</h3>
     */
    global Expense__c Expense__r;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    global Boolean IsDeleted;
    /**
     * <h3>Item Exchange Rate Override</h3>
     * Item-level vendor currency exchange rate override.  Is applied if and only if the above "Override Item Exchange Rate" checkbox is checked.  If not checked then this field value has no effect.  Note that this will be set as the relative rate between the Vendor currency and the Project currency.
     */
    global Decimal Item_Exchange_Rate_Override__c;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    global List<Milestone__c> Milestones__r;
    /**
     * <h3>Milestone</h3>
     */
    global Id Milestone__c;
    /**
     * <h3>Milestone</h3>
     */
    global Milestone__c Milestone__r;
    global List<Miscellaneous_Adjustment__c> Miscellaneous_Adjustments__r;
    /**
     * <h3>Miscellaneous Adjustment</h3>
     */
    global Id Miscellaneous_Adjustment__c;
    /**
     * <h3>Miscellaneous Adjustment</h3>
     */
    global Miscellaneous_Adjustment__c Miscellaneous_Adjustment__r;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Override Item Exchange Rate</h3>
     * May only be checked if parent Vendor Invoice has Apply Vendor Exchange Rate Override UN-checked (otherwise the rate would come from the parent Vendor Invoice).
     */
    global Boolean Override_Item_Exchange_Rate__c;
    global FeedComment Parent;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    /**
     * <h3>Project Currency Exchange Rate</h3>
     * This is the system exchange rate for the project currency (relative to the corporate currency)  It should be read only the page layout.  The field is auto populated by the system.
     */
    global Decimal Project_Currency_Exchange_Rate__c;
    /**
     * <h3>Project</h3>
     */
    global Id Project__c;
    /**
     * <h3>Project</h3>
     */
    global Proj__c Project__r;
    /**
     * <h3>Quantity</h3>
     */
    global Decimal Quantity__c;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>Resource</h3>
     * Resource related to this item. Valid for Time Card Splits and Expenses.
     */
    global Id Resource__c;
    /**
     * <h3>Resource</h3>
     * Resource related to this item. Valid for Time Card Splits and Expenses.
     */
    global Contact Resource__r;
    global SObjectType SObjectType;
    global Datetime SystemModstamp;
    global List<Timecard__c> Timecard_Splits__r;
    /**
     * <h3>Timecard</h3>
     */
    global Id Timecard__c;
    /**
     * <h3>Timecard</h3>
     */
    global Timecard__c Timecard__r;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Unit Price</h3>
     */
    global Currency Unit_Price__c;
    /**
     * <h3>Vendor Currency Amount Number</h3>
     */
    global Decimal Vendor_Currency_Amount_Number__c;
    /**
     * <h3>Vendor Currency Amount</h3>
     */
    global String Vendor_Currency_Amount__c;
    /**
     * <h3>Vendor Currency Exchange Rate</h3>
     * Vendor Currency Exchange Rate that is used to convert amount to Vendor currency.  This is always populated based on whichever rate is actually used - Project Currency Rate, Vendor Invoice Item override rate, or parent Vendor Invoice override rate.  This field is auto-populated by the system, and should be read only on the page layout.
     */
    global Decimal Vendor_Currency_Exchange_Rate__c;
    /**
     * <h3>Vendor Currency</h3>
     */
    global String Vendor_Currency__c;
    /**
     * <h3>Vendor Invoice ER Override Applied</h3>
     */
    global String Vendor_Invoice_ER_Override_Applied__c;
    /**
     * <h3>Vendor Invoice</h3>
     */
    global Id Vendor_Invoice__c;
    /**
     * <h3>Vendor Invoice</h3>
     */
    global Vendor_Invoice__c Vendor_Invoice__r;

    global Vendor_Invoice_Item__c()
    {
    }
}