// Generated by Illuminated Cloud on Fri Jan 12 08:35:14 CST 2018. Do not edit.

/**
 * <h3>Vendor Invoice</h3>
 * This object enables your vendors to proactively manage their own invoices through a partner portal, including logging time and entering expenses against projects. Vendor invoices must be in their project currency. However, they can be set up to specify a vendor currency so every child vendor invoice item can be converted by date and summed up to a vendor amount.
 */
global class /*pse__*/Vendor_Invoice__c extends SObject 
{
    /**
     * <h3>Account Currency</h3>
     */
    global String Account_Currency__c;
    /**
     * <h3>Account</h3>
     * The vendor account
     */
    global Id Account__c;
    /**
     * <h3>Account</h3>
     * The vendor account
     */
    global Account Account__r;
    /**
     * <h3>Action: Recalc Vendor Currency Amount</h3>
     * if checked, un-checks itself and forces re-population/calculation of Vendor Currency Amount Number values on all child Vendor Invoice Items, thereby updating the Vendor Currency Total formula value.
     */
    global Boolean Action_Recalc_Vendor_Currency_Amount__c;
    /**
     * <h3>Approved for Payment</h3>
     * Whether the invoice has been approved for payment
     */
    global Boolean Approved_for_Payment__c;
    global List<AttachedContentDocument> AttachedContentDocuments;
    global List<Attachment> Attachments;
    global List<CombinedAttachment> CombinedAttachments;
    global List<ContentDocumentLink> ContentDocumentLinks;
    global User CreatedBy;
    global Id CreatedById;
    global Datetime CreatedDate;
    global String CurrencyIsoCode;
    /**
     * <h3>Date</h3>
     * The date of the invoice
     */
    global Date Date__c;
    /**
     * <h3>Description</h3>
     * A text description of the invoice
     */
    global String Description__c;
    global List<DuplicateRecordItem> DuplicateRecordItems;
    global List<EmailMessage> Emails;
    global List<EntitySubscription> FeedSubscriptionsForEntity;
    global ContentVersion FirstPublishLocation;
    /**
     * <h3>First Item Date</h3>
     * A calculated field that shows the earliest vendor invoice item date.
     */
    global Date First_Item_Date__c;
    /**
     * <h3>Invoice Number</h3>
     * A unique id field for the invoice
     */
    global String Invoice_Number__c;
    global Boolean IsDeleted;
    global User LastModifiedBy;
    global Id LastModifiedById;
    global Datetime LastModifiedDate;
    global Datetime LastReferencedDate;
    global Datetime LastViewedDate;
    /**
     * <h3>Last Item Date</h3>
     * A calculated field that shows the latest vendor invoice item date.
     */
    global Date Last_Item_Date__c;
    global String Name;
    global List<Note> Notes;
    global List<NoteAndAttachment> NotesAndAttachments;
    /**
     * <h3>Override Vendor Invoice Exchange Rate</h3>
     * If not checked, rates at the line level always used rates defined on the system (unless they are themselves overridden).  If checked then all Vendor Invoice Lines used the specified rate (Vendor Exchange Rate Override) as described below.  This will also UN-check the checkbox for line-item-level overrides on all child Vendor Invoice Items:  Apply Item Exchange Rate Override.
     */
    global Boolean Override_Vendor_Invoice_Exchange_Rate__c;
    global SObject Owner;
    global Id OwnerId;
    global FeedComment Parent;
    /**
     * <h3>PO/WO Number</h3>
     */
    global String PO_WO_Number__c;
    global List<ProcessInstance> ProcessInstances;
    global List<ProcessInstanceHistory> ProcessSteps;
    global List<CollaborationGroupRecord> RecordAssociatedGroups;
    global ContentDistribution RelatedRecord;
    /**
     * <h3>SFDC VAT#</h3>
     */
    global String SFDC_VAT__c;
    global SObjectType SObjectType;
    /**
     * <h3>Status</h3>
     * Status of the invoice
     */
    global String Status__c;
    /**
     * <h3>Submitted</h3>
     * Whether the invoice has been submitted for approval
     */
    global Boolean Submitted__c;
    global Datetime SystemModstamp;
    /**
     * <h3>Target Payment Date</h3>
     * The target date for payment
     */
    global Date Target_Payment_Date__c;
    global List<TopicAssignment> TopicAssignments;
    /**
     * <h3>Total</h3>
     * The sum of all associated vendor invoice items.
     */
    global Currency Total__c;
    /**
     * <h3>Vendor Currency Total Number</h3>
     */
    global Decimal Vendor_Currency_Total_Number__c;
    /**
     * <h3>Vendor Currency Total</h3>
     */
    global String Vendor_Currency_Total__c;
    /**
     * <h3>Vendor Currency</h3>
     */
    global String Vendor_Currency__c;
    /**
     * <h3>Vendor Invoice Exchange Rate Override</h3>
     * Applied to all Vendor Invoice lines if Apply Vendor Exchange Rate Override checkbox is checked, regardless of rates defined on org.  Note that this will be set as the relative rate between the Vendor currency and the Project currency
     */
    global Decimal Vendor_Invoice_Exchange_Rate_Override__c;
    global List<Vendor_Invoice_Item__c> Vendor_Invoice_Items__r;
    /**
     * <h3>Vendor VAT#</h3>
     */
    global String Vendor_VAT__c;

    global Vendor_Invoice__c()
    {
    }
}